/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 2003-2014, PgPool Global Development Group
 * Portions Copyright (c) 1996-2014, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */

#include "pool_parser.h"
#include "utils/elog.h"
#include "utils/palloc.h"
#include <ctype.h>
#include <limits.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "nodes.h"
#include "keywords.h"
#include "gramparse.h"
#include "makefuncs.h"
#include "pool_string.h"
#include "parser.h"
#include "pg_class.h"
#include "pg_trigger.h"


/*
 * Definition taken from
 * postgreSQL source code file: src/include/commands/trigger.h
 */
#define TRIGGER_FIRES_ON_ORIGIN                         'O'
#define TRIGGER_FIRES_ALWAYS                            'A'
#define TRIGGER_FIRES_ON_REPLICA                        'R'
#define TRIGGER_DISABLED                                'D'

/*
 * Definition taken from
 * postgreSQL source code file: src/include/catalog/pg_class.h
 */

#define           REPLICA_IDENTITY_DEFAULT      'd'
#define           REPLICA_IDENTITY_NOTHING      'n'
#define           REPLICA_IDENTITY_FULL         'f'
#define           REPLICA_IDENTITY_INDEX        'i'

/*
 * Definition taken from
 * postgreSQL source code file: src/include/utils/xml.h
 */
typedef enum
{
	XML_STANDALONE_YES,
	XML_STANDALONE_NO,
	XML_STANDALONE_NO_VALUE,
	XML_STANDALONE_OMITTED
} XmlStandaloneType;

static DefElem *defWithOids(bool value);
/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 273 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "y.tab.h".  */
#ifndef YY_BASE_YY_Y_TAB_H_INCLUDED
# define YY_BASE_YY_Y_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    ABORT_P = 269,
    ABSOLUTE_P = 270,
    ACCESS = 271,
    ACTION = 272,
    ADD_P = 273,
    ADMIN = 274,
    AFTER = 275,
    AGGREGATE = 276,
    ALL = 277,
    ALSO = 278,
    ALTER = 279,
    ALWAYS = 280,
    ANALYSE = 281,
    ANALYZE = 282,
    AND = 283,
    ANY = 284,
    ARRAY = 285,
    AS = 286,
    ASC = 287,
    ASSERTION = 288,
    ASSIGNMENT = 289,
    ASYMMETRIC = 290,
    AT = 291,
    ATTRIBUTE = 292,
    AUTHORIZATION = 293,
    BACKWARD = 294,
    BEFORE = 295,
    BEGIN_P = 296,
    BETWEEN = 297,
    BIGINT = 298,
    BINARY = 299,
    BIT = 300,
    BOOLEAN_P = 301,
    BOTH = 302,
    BY = 303,
    CACHE = 304,
    CALLED = 305,
    CASCADE = 306,
    CASCADED = 307,
    CASE = 308,
    CAST = 309,
    CATALOG_P = 310,
    CHAIN = 311,
    CHAR_P = 312,
    CHARACTER = 313,
    CHARACTERISTICS = 314,
    CHECK = 315,
    CHECKPOINT = 316,
    CLASS = 317,
    CLOSE = 318,
    CLUSTER = 319,
    COALESCE = 320,
    COLLATE = 321,
    COLLATION = 322,
    COLUMN = 323,
    COMMENT = 324,
    COMMENTS = 325,
    COMMIT = 326,
    COMMITTED = 327,
    CONCURRENTLY = 328,
    CONFIGURATION = 329,
    CONNECTION = 330,
    CONSTRAINT = 331,
    CONSTRAINTS = 332,
    CONTENT_P = 333,
    CONTINUE_P = 334,
    CONVERSION_P = 335,
    COPY = 336,
    COST = 337,
    CREATE = 338,
    CROSS = 339,
    CSV = 340,
    CURRENT_P = 341,
    CURRENT_CATALOG = 342,
    CURRENT_DATE = 343,
    CURRENT_ROLE = 344,
    CURRENT_SCHEMA = 345,
    CURRENT_TIME = 346,
    CURRENT_TIMESTAMP = 347,
    CURRENT_USER = 348,
    CURSOR = 349,
    CYCLE = 350,
    DATA_P = 351,
    DATABASE = 352,
    DAY_P = 353,
    DEALLOCATE = 354,
    DEC = 355,
    DECIMAL_P = 356,
    DECLARE = 357,
    DEFAULT = 358,
    DEFAULTS = 359,
    DEFERRABLE = 360,
    DEFERRED = 361,
    DEFINER = 362,
    DELETE_P = 363,
    DELIMITER = 364,
    DELIMITERS = 365,
    DESC = 366,
    DICTIONARY = 367,
    DISABLE_P = 368,
    DISCARD = 369,
    DISTINCT = 370,
    DO = 371,
    DOCUMENT_P = 372,
    DOMAIN_P = 373,
    DOUBLE_P = 374,
    DROP = 375,
    EACH = 376,
    ELSE = 377,
    ENABLE_P = 378,
    ENCODING = 379,
    ENCRYPTED = 380,
    END_P = 381,
    ENUM_P = 382,
    ESCAPE = 383,
    EVENT = 384,
    EXCEPT = 385,
    EXCLUDE = 386,
    EXCLUDING = 387,
    EXCLUSIVE = 388,
    EXECUTE = 389,
    EXISTS = 390,
    EXPLAIN = 391,
    EXTENSION = 392,
    EXTERNAL = 393,
    EXTRACT = 394,
    FALSE_P = 395,
    FAMILY = 396,
    FETCH = 397,
    FILTER = 398,
    FIRST_P = 399,
    FLOAT_P = 400,
    FOLLOWING = 401,
    FOR = 402,
    FORCE = 403,
    FOREIGN = 404,
    FORWARD = 405,
    FREEZE = 406,
    FROM = 407,
    FULL = 408,
    FUNCTION = 409,
    FUNCTIONS = 410,
    GLOBAL = 411,
    GRANT = 412,
    GRANTED = 413,
    GREATEST = 414,
    GROUP_P = 415,
    HANDLER = 416,
    HAVING = 417,
    HEADER_P = 418,
    HOLD = 419,
    HOUR_P = 420,
    IDENTITY_P = 421,
    IF_P = 422,
    ILIKE = 423,
    IMMEDIATE = 424,
    IMMUTABLE = 425,
    IMPLICIT_P = 426,
    IN_P = 427,
    INCLUDING = 428,
    INCREMENT = 429,
    INDEX = 430,
    INDEXES = 431,
    INHERIT = 432,
    INHERITS = 433,
    INITIALLY = 434,
    INLINE_P = 435,
    INNER_P = 436,
    INOUT = 437,
    INPUT_P = 438,
    INSENSITIVE = 439,
    INSERT = 440,
    INSTEAD = 441,
    INT_P = 442,
    INTEGER = 443,
    INTERSECT = 444,
    INTERVAL = 445,
    INTO = 446,
    INVOKER = 447,
    IS = 448,
    ISNULL = 449,
    ISOLATION = 450,
    JOIN = 451,
    KEY = 452,
    LABEL = 453,
    LANGUAGE = 454,
    LARGE_P = 455,
    LAST_P = 456,
    LATERAL_P = 457,
    LC_COLLATE_P = 458,
    LC_CTYPE_P = 459,
    LEADING = 460,
    LEAKPROOF = 461,
    LEAST = 462,
    LEFT = 463,
    LEVEL = 464,
    LIKE = 465,
    LIMIT = 466,
    LISTEN = 467,
    LOAD = 468,
    LOCAL = 469,
    LOCALTIME = 470,
    LOCALTIMESTAMP = 471,
    LOCATION = 472,
    LOCK_P = 473,
    MAPPING = 474,
    MATCH = 475,
    MATERIALIZED = 476,
    MAXVALUE = 477,
    MINUTE_P = 478,
    MINVALUE = 479,
    MODE = 480,
    MONTH_P = 481,
    MOVE = 482,
    NAME_P = 483,
    NAMES = 484,
    NATIONAL = 485,
    NATURAL = 486,
    NCHAR = 487,
    NEXT = 488,
    NO = 489,
    NONE = 490,
    NOT = 491,
    NOTHING = 492,
    NOTIFY = 493,
    NOTNULL = 494,
    NOWAIT = 495,
    NULL_P = 496,
    NULLIF = 497,
    NULLS_P = 498,
    NUMERIC = 499,
    OBJECT_P = 500,
    OF = 501,
    OFF = 502,
    OFFSET = 503,
    OIDS = 504,
    ON = 505,
    ONLY = 506,
    OPERATOR = 507,
    OPTION = 508,
    OPTIONS = 509,
    OR = 510,
    ORDER = 511,
    ORDINALITY = 512,
    OUT_P = 513,
    OUTER_P = 514,
    OVER = 515,
    OVERLAPS = 516,
    OVERLAY = 517,
    OWNED = 518,
    OWNER = 519,
    PARSER = 520,
    PARTIAL = 521,
    PARTITION = 522,
    PASSING = 523,
    PASSWORD = 524,
    PLACING = 525,
    PLANS = 526,
    POSITION = 527,
    PRECEDING = 528,
    PRECISION = 529,
    PRESERVE = 530,
    PREPARE = 531,
    PREPARED = 532,
    PRIMARY = 533,
    PRIOR = 534,
    PRIVILEGES = 535,
    PROCEDURAL = 536,
    PROCEDURE = 537,
    PROGRAM = 538,
    QUOTE = 539,
    RANGE = 540,
    READ = 541,
    REAL = 542,
    REASSIGN = 543,
    RECHECK = 544,
    RECURSIVE = 545,
    REF = 546,
    REFERENCES = 547,
    REFRESH = 548,
    REINDEX = 549,
    RELATIVE_P = 550,
    RELEASE = 551,
    RENAME = 552,
    REPEATABLE = 553,
    REPLACE = 554,
    REPLICA = 555,
    RESET = 556,
    RESTART = 557,
    RESTRICT = 558,
    RETURNING = 559,
    RETURNS = 560,
    REVOKE = 561,
    RIGHT = 562,
    ROLE = 563,
    ROLLBACK = 564,
    ROW = 565,
    ROWS = 566,
    RULE = 567,
    SAVEPOINT = 568,
    SCHEMA = 569,
    SCROLL = 570,
    SEARCH = 571,
    SECOND_P = 572,
    SECURITY = 573,
    SELECT = 574,
    SEQUENCE = 575,
    SEQUENCES = 576,
    SERIALIZABLE = 577,
    SERVER = 578,
    SESSION = 579,
    SESSION_USER = 580,
    SET = 581,
    SETOF = 582,
    SHARE = 583,
    SHOW = 584,
    SIMILAR = 585,
    SIMPLE = 586,
    SMALLINT = 587,
    SNAPSHOT = 588,
    SOME = 589,
    STABLE = 590,
    STANDALONE_P = 591,
    START = 592,
    STATEMENT = 593,
    STATISTICS = 594,
    STDIN = 595,
    STDOUT = 596,
    STORAGE = 597,
    STRICT_P = 598,
    STRIP_P = 599,
    SUBSTRING = 600,
    SYMMETRIC = 601,
    SYSID = 602,
    SYSTEM_P = 603,
    TABLE = 604,
    TABLES = 605,
    TABLESPACE = 606,
    TEMP = 607,
    TEMPLATE = 608,
    TEMPORARY = 609,
    TEXT_P = 610,
    THEN = 611,
    TIME = 612,
    TIMESTAMP = 613,
    TO = 614,
    TRAILING = 615,
    TRANSACTION = 616,
    TREAT = 617,
    TRIGGER = 618,
    TRIM = 619,
    TRUE_P = 620,
    TRUNCATE = 621,
    TRUSTED = 622,
    TYPE_P = 623,
    TYPES_P = 624,
    UNBOUNDED = 625,
    UNCOMMITTED = 626,
    UNENCRYPTED = 627,
    UNION = 628,
    UNIQUE = 629,
    UNKNOWN = 630,
    UNLISTEN = 631,
    UNLOGGED = 632,
    UNTIL = 633,
    UPDATE = 634,
    USER = 635,
    USING = 636,
    VACUUM = 637,
    VALID = 638,
    VALIDATE = 639,
    VALIDATOR = 640,
    VALUE_P = 641,
    VALUES = 642,
    VARCHAR = 643,
    VARIADIC = 644,
    VARYING = 645,
    VERBOSE = 646,
    VERSION_P = 647,
    VIEW = 648,
    VIEWS = 649,
    VOLATILE = 650,
    WHEN = 651,
    WHERE = 652,
    WHITESPACE_P = 653,
    WINDOW = 654,
    WITH = 655,
    WITHIN = 656,
    WITHOUT = 657,
    WORK = 658,
    WRAPPER = 659,
    WRITE = 660,
    XML_P = 661,
    XMLATTRIBUTES = 662,
    XMLCONCAT = 663,
    XMLELEMENT = 664,
    XMLEXISTS = 665,
    XMLFOREST = 666,
    XMLPARSE = 667,
    XMLPI = 668,
    XMLROOT = 669,
    XMLSERIALIZE = 670,
    YEAR_P = 671,
    YES_P = 672,
    ZONE = 673,
    NULLS_FIRST = 674,
    NULLS_LAST = 675,
    WITH_ORDINALITY = 676,
    WITH_TIME = 677,
    POSTFIXOP = 678,
    UMINUS = 679
  };
#endif
/* Tokens.  */
#define IDENT 258
#define FCONST 259
#define SCONST 260
#define BCONST 261
#define XCONST 262
#define Op 263
#define ICONST 264
#define PARAM 265
#define TYPECAST 266
#define DOT_DOT 267
#define COLON_EQUALS 268
#define ABORT_P 269
#define ABSOLUTE_P 270
#define ACCESS 271
#define ACTION 272
#define ADD_P 273
#define ADMIN 274
#define AFTER 275
#define AGGREGATE 276
#define ALL 277
#define ALSO 278
#define ALTER 279
#define ALWAYS 280
#define ANALYSE 281
#define ANALYZE 282
#define AND 283
#define ANY 284
#define ARRAY 285
#define AS 286
#define ASC 287
#define ASSERTION 288
#define ASSIGNMENT 289
#define ASYMMETRIC 290
#define AT 291
#define ATTRIBUTE 292
#define AUTHORIZATION 293
#define BACKWARD 294
#define BEFORE 295
#define BEGIN_P 296
#define BETWEEN 297
#define BIGINT 298
#define BINARY 299
#define BIT 300
#define BOOLEAN_P 301
#define BOTH 302
#define BY 303
#define CACHE 304
#define CALLED 305
#define CASCADE 306
#define CASCADED 307
#define CASE 308
#define CAST 309
#define CATALOG_P 310
#define CHAIN 311
#define CHAR_P 312
#define CHARACTER 313
#define CHARACTERISTICS 314
#define CHECK 315
#define CHECKPOINT 316
#define CLASS 317
#define CLOSE 318
#define CLUSTER 319
#define COALESCE 320
#define COLLATE 321
#define COLLATION 322
#define COLUMN 323
#define COMMENT 324
#define COMMENTS 325
#define COMMIT 326
#define COMMITTED 327
#define CONCURRENTLY 328
#define CONFIGURATION 329
#define CONNECTION 330
#define CONSTRAINT 331
#define CONSTRAINTS 332
#define CONTENT_P 333
#define CONTINUE_P 334
#define CONVERSION_P 335
#define COPY 336
#define COST 337
#define CREATE 338
#define CROSS 339
#define CSV 340
#define CURRENT_P 341
#define CURRENT_CATALOG 342
#define CURRENT_DATE 343
#define CURRENT_ROLE 344
#define CURRENT_SCHEMA 345
#define CURRENT_TIME 346
#define CURRENT_TIMESTAMP 347
#define CURRENT_USER 348
#define CURSOR 349
#define CYCLE 350
#define DATA_P 351
#define DATABASE 352
#define DAY_P 353
#define DEALLOCATE 354
#define DEC 355
#define DECIMAL_P 356
#define DECLARE 357
#define DEFAULT 358
#define DEFAULTS 359
#define DEFERRABLE 360
#define DEFERRED 361
#define DEFINER 362
#define DELETE_P 363
#define DELIMITER 364
#define DELIMITERS 365
#define DESC 366
#define DICTIONARY 367
#define DISABLE_P 368
#define DISCARD 369
#define DISTINCT 370
#define DO 371
#define DOCUMENT_P 372
#define DOMAIN_P 373
#define DOUBLE_P 374
#define DROP 375
#define EACH 376
#define ELSE 377
#define ENABLE_P 378
#define ENCODING 379
#define ENCRYPTED 380
#define END_P 381
#define ENUM_P 382
#define ESCAPE 383
#define EVENT 384
#define EXCEPT 385
#define EXCLUDE 386
#define EXCLUDING 387
#define EXCLUSIVE 388
#define EXECUTE 389
#define EXISTS 390
#define EXPLAIN 391
#define EXTENSION 392
#define EXTERNAL 393
#define EXTRACT 394
#define FALSE_P 395
#define FAMILY 396
#define FETCH 397
#define FILTER 398
#define FIRST_P 399
#define FLOAT_P 400
#define FOLLOWING 401
#define FOR 402
#define FORCE 403
#define FOREIGN 404
#define FORWARD 405
#define FREEZE 406
#define FROM 407
#define FULL 408
#define FUNCTION 409
#define FUNCTIONS 410
#define GLOBAL 411
#define GRANT 412
#define GRANTED 413
#define GREATEST 414
#define GROUP_P 415
#define HANDLER 416
#define HAVING 417
#define HEADER_P 418
#define HOLD 419
#define HOUR_P 420
#define IDENTITY_P 421
#define IF_P 422
#define ILIKE 423
#define IMMEDIATE 424
#define IMMUTABLE 425
#define IMPLICIT_P 426
#define IN_P 427
#define INCLUDING 428
#define INCREMENT 429
#define INDEX 430
#define INDEXES 431
#define INHERIT 432
#define INHERITS 433
#define INITIALLY 434
#define INLINE_P 435
#define INNER_P 436
#define INOUT 437
#define INPUT_P 438
#define INSENSITIVE 439
#define INSERT 440
#define INSTEAD 441
#define INT_P 442
#define INTEGER 443
#define INTERSECT 444
#define INTERVAL 445
#define INTO 446
#define INVOKER 447
#define IS 448
#define ISNULL 449
#define ISOLATION 450
#define JOIN 451
#define KEY 452
#define LABEL 453
#define LANGUAGE 454
#define LARGE_P 455
#define LAST_P 456
#define LATERAL_P 457
#define LC_COLLATE_P 458
#define LC_CTYPE_P 459
#define LEADING 460
#define LEAKPROOF 461
#define LEAST 462
#define LEFT 463
#define LEVEL 464
#define LIKE 465
#define LIMIT 466
#define LISTEN 467
#define LOAD 468
#define LOCAL 469
#define LOCALTIME 470
#define LOCALTIMESTAMP 471
#define LOCATION 472
#define LOCK_P 473
#define MAPPING 474
#define MATCH 475
#define MATERIALIZED 476
#define MAXVALUE 477
#define MINUTE_P 478
#define MINVALUE 479
#define MODE 480
#define MONTH_P 481
#define MOVE 482
#define NAME_P 483
#define NAMES 484
#define NATIONAL 485
#define NATURAL 486
#define NCHAR 487
#define NEXT 488
#define NO 489
#define NONE 490
#define NOT 491
#define NOTHING 492
#define NOTIFY 493
#define NOTNULL 494
#define NOWAIT 495
#define NULL_P 496
#define NULLIF 497
#define NULLS_P 498
#define NUMERIC 499
#define OBJECT_P 500
#define OF 501
#define OFF 502
#define OFFSET 503
#define OIDS 504
#define ON 505
#define ONLY 506
#define OPERATOR 507
#define OPTION 508
#define OPTIONS 509
#define OR 510
#define ORDER 511
#define ORDINALITY 512
#define OUT_P 513
#define OUTER_P 514
#define OVER 515
#define OVERLAPS 516
#define OVERLAY 517
#define OWNED 518
#define OWNER 519
#define PARSER 520
#define PARTIAL 521
#define PARTITION 522
#define PASSING 523
#define PASSWORD 524
#define PLACING 525
#define PLANS 526
#define POSITION 527
#define PRECEDING 528
#define PRECISION 529
#define PRESERVE 530
#define PREPARE 531
#define PREPARED 532
#define PRIMARY 533
#define PRIOR 534
#define PRIVILEGES 535
#define PROCEDURAL 536
#define PROCEDURE 537
#define PROGRAM 538
#define QUOTE 539
#define RANGE 540
#define READ 541
#define REAL 542
#define REASSIGN 543
#define RECHECK 544
#define RECURSIVE 545
#define REF 546
#define REFERENCES 547
#define REFRESH 548
#define REINDEX 549
#define RELATIVE_P 550
#define RELEASE 551
#define RENAME 552
#define REPEATABLE 553
#define REPLACE 554
#define REPLICA 555
#define RESET 556
#define RESTART 557
#define RESTRICT 558
#define RETURNING 559
#define RETURNS 560
#define REVOKE 561
#define RIGHT 562
#define ROLE 563
#define ROLLBACK 564
#define ROW 565
#define ROWS 566
#define RULE 567
#define SAVEPOINT 568
#define SCHEMA 569
#define SCROLL 570
#define SEARCH 571
#define SECOND_P 572
#define SECURITY 573
#define SELECT 574
#define SEQUENCE 575
#define SEQUENCES 576
#define SERIALIZABLE 577
#define SERVER 578
#define SESSION 579
#define SESSION_USER 580
#define SET 581
#define SETOF 582
#define SHARE 583
#define SHOW 584
#define SIMILAR 585
#define SIMPLE 586
#define SMALLINT 587
#define SNAPSHOT 588
#define SOME 589
#define STABLE 590
#define STANDALONE_P 591
#define START 592
#define STATEMENT 593
#define STATISTICS 594
#define STDIN 595
#define STDOUT 596
#define STORAGE 597
#define STRICT_P 598
#define STRIP_P 599
#define SUBSTRING 600
#define SYMMETRIC 601
#define SYSID 602
#define SYSTEM_P 603
#define TABLE 604
#define TABLES 605
#define TABLESPACE 606
#define TEMP 607
#define TEMPLATE 608
#define TEMPORARY 609
#define TEXT_P 610
#define THEN 611
#define TIME 612
#define TIMESTAMP 613
#define TO 614
#define TRAILING 615
#define TRANSACTION 616
#define TREAT 617
#define TRIGGER 618
#define TRIM 619
#define TRUE_P 620
#define TRUNCATE 621
#define TRUSTED 622
#define TYPE_P 623
#define TYPES_P 624
#define UNBOUNDED 625
#define UNCOMMITTED 626
#define UNENCRYPTED 627
#define UNION 628
#define UNIQUE 629
#define UNKNOWN 630
#define UNLISTEN 631
#define UNLOGGED 632
#define UNTIL 633
#define UPDATE 634
#define USER 635
#define USING 636
#define VACUUM 637
#define VALID 638
#define VALIDATE 639
#define VALIDATOR 640
#define VALUE_P 641
#define VALUES 642
#define VARCHAR 643
#define VARIADIC 644
#define VARYING 645
#define VERBOSE 646
#define VERSION_P 647
#define VIEW 648
#define VIEWS 649
#define VOLATILE 650
#define WHEN 651
#define WHERE 652
#define WHITESPACE_P 653
#define WINDOW 654
#define WITH 655
#define WITHIN 656
#define WITHOUT 657
#define WORK 658
#define WRAPPER 659
#define WRITE 660
#define XML_P 661
#define XMLATTRIBUTES 662
#define XMLCONCAT 663
#define XMLELEMENT 664
#define XMLEXISTS 665
#define XMLFOREST 666
#define XMLPARSE 667
#define XMLPI 668
#define XMLROOT 669
#define XMLSERIALIZE 670
#define YEAR_P 671
#define YES_P 672
#define ZONE 673
#define NULLS_FIRST 674
#define NULLS_LAST 675
#define WITH_ORDINALITY 676
#define WITH_TIME 677
#define POSTFIXOP 678
#define UMINUS 679

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 211 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;

#line 1198 "gram.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_Y_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1226 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  725
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   79553

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  442
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  574
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2364
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  4567

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   679

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   431,     2,     2,
     436,   437,   429,   427,   440,   428,   438,   430,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   441,   439,
     424,   423,   425,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   434,     2,   435,   432,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   426,   433
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   721,   721,   728,   735,   745,   746,   747,   748,   749,
     750,   751,   752,   753,   754,   755,   756,   757,   758,   759,
     760,   761,   762,   763,   764,   765,   766,   767,   768,   769,
     770,   771,   772,   773,   774,   775,   776,   777,   778,   779,
     780,   781,   782,   783,   784,   785,   786,   787,   788,   789,
     790,   791,   792,   793,   794,   795,   796,   797,   798,   799,
     800,   801,   802,   803,   804,   805,   806,   807,   808,   809,
     810,   811,   812,   813,   814,   815,   816,   817,   818,   819,
     820,   821,   822,   823,   824,   825,   826,   827,   828,   829,
     830,   831,   832,   833,   834,   835,   836,   837,   838,   839,
     840,   841,   842,   843,   844,   845,   846,   847,   848,   849,
     850,   851,   852,   853,   854,   855,   856,   857,   858,   859,
     860,   862,   872,   883,   884,   893,   894,   898,   899,   903,
     908,   912,   917,   922,   926,   930,   935,   939,   993,   995,
     999,  1003,  1007,  1011,  1025,  1043,  1054,  1055,  1059,  1067,
    1085,  1097,  1118,  1125,  1144,  1151,  1168,  1186,  1197,  1198,
    1210,  1217,  1234,  1247,  1257,  1275,  1293,  1294,  1298,  1305,
    1313,  1314,  1315,  1316,  1317,  1318,  1332,  1338,  1344,  1353,
    1361,  1369,  1373,  1381,  1389,  1396,  1405,  1406,  1414,  1425,
    1433,  1441,  1452,  1460,  1468,  1475,  1484,  1494,  1495,  1499,
    1500,  1503,  1505,  1509,  1510,  1511,  1512,  1516,  1517,  1518,
    1524,  1536,  1540,  1544,  1559,  1582,  1583,  1584,  1588,  1589,
    1590,  1594,  1595,  1599,  1606,  1613,  1620,  1627,  1637,  1638,
    1643,  1644,  1649,  1655,  1661,  1667,  1673,  1683,  1693,  1694,
    1698,  1699,  1707,  1722,  1728,  1734,  1740,  1746,  1765,  1774,
    1783,  1792,  1801,  1810,  1819,  1828,  1837,  1846,  1858,  1859,
    1864,  1872,  1880,  1889,  1897,  1905,  1914,  1923,  1932,  1941,
    1951,  1964,  1979,  1988,  1996,  2011,  2019,  2029,  2039,  2046,
    2053,  2061,  2069,  2077,  2085,  2093,  2100,  2107,  2115,  2122,
    2129,  2137,  2145,  2153,  2161,  2169,  2177,  2187,  2194,  2202,
    2210,  2218,  2226,  2233,  2243,  2244,  2248,  2249,  2250,  2254,
    2262,  2266,  2267,  2271,  2278,  2285,  2292,  2302,  2305,  2306,
    2310,  2311,  2316,  2320,  2324,  2329,  2344,  2357,  2358,  2363,
    2372,  2382,  2392,  2418,  2424,  2454,  2483,  2505,  2506,  2510,
    2511,  2520,  2521,  2522,  2525,  2526,  2531,  2532,  2536,  2540,
    2544,  2548,  2552,  2556,  2560,  2564,  2568,  2572,  2576,  2580,
    2584,  2588,  2597,  2601,  2605,  2609,  2613,  2617,  2621,  2622,
    2627,  2631,  2638,  2645,  2646,  2647,  2648,  2649,  2653,  2657,
    2665,  2676,  2691,  2707,  2723,  2752,  2753,  2754,  2755,  2756,
    2763,  2770,  2771,  2775,  2776,  2780,  2781,  2785,  2789,  2796,
    2800,  2807,  2808,  2809,  2813,  2814,  2817,  2838,  2859,  2860,
    2864,  2872,  2873,  2874,  2905,  2912,  2919,  2930,  2941,  2951,
    2960,  2993,  3000,  3007,  3014,  3025,  3035,  3036,  3037,  3041,
    3042,  3043,  3044,  3045,  3046,  3055,  3063,  3067,  3080,  3095,
    3109,  3124,  3138,  3156,  3177,  3178,  3182,  3183,  3187,  3188,
    3191,  3197,  3201,  3209,  3214,  3220,  3221,  3225,  3230,  3237,
    3238,  3248,  3250,  3252,  3254,  3257,  3260,  3263,  3267,  3268,
    3269,  3270,  3271,  3274,  3275,  3280,  3281,  3282,  3283,  3286,
    3287,  3288,  3289,  3292,  3293,  3296,  3297,  3300,  3315,  3330,
    3344,  3345,  3346,  3358,  3373,  3386,  3387,  3399,  3419,  3431,
    3439,  3450,  3451,  3454,  3455,  3458,  3462,  3466,  3470,  3474,
    3478,  3482,  3486,  3490,  3494,  3498,  3502,  3508,  3509,  3513,
    3514,  3519,  3522,  3523,  3535,  3547,  3562,  3563,  3571,  3572,
    3576,  3577,  3581,  3582,  3586,  3587,  3591,  3602,  3615,  3616,
    3626,  3637,  3638,  3651,  3658,  3675,  3683,  3694,  3697,  3701,
    3705,  3709,  3721,  3731,  3734,  3738,  3751,  3761,  3771,  3780,
    3789,  3798,  3808,  3817,  3827,  3837,  3847,  3856,  3865,  3874,
    3883,  3892,  3901,  3910,  3919,  3928,  3937,  3946,  3955,  3964,
    3982,  3993,  3994,  3995,  3996,  4000,  4001,  4005,  4006,  4016,
    4027,  4047,  4055,  4067,  4068,  4072,  4076,  4084,  4088,  4092,
    4099,  4103,  4108,  4113,  4120,  4127,  4132,  4142,  4156,  4157,
    4162,  4163,  4167,  4168,  4178,  4189,  4209,  4218,  4226,  4243,
    4258,  4283,  4292,  4310,  4322,  4323,  4324,  4334,  4342,  4359,
    4378,  4398,  4423,  4424,  4425,  4429,  4431,  4453,  4455,  4457,
    4459,  4461,  4466,  4471,  4481,  4482,  4486,  4487,  4491,  4492,
    4496,  4497,  4498,  4502,  4508,  4509,  4510,  4514,  4515,  4520,
    4521,  4548,  4549,  4550,  4551,  4552,  4553,  4558,  4569,  4592,
    4602,  4616,  4618,  4623,  4628,  4630,  4635,  4645,  4646,  4647,
    4648,  4660,  4680,  4703,  4713,  4724,  4734,  4744,  4755,  4764,
    4771,  4778,  4787,  4796,  4805,  4814,  4823,  4834,  4837,  4838,
    4841,  4845,  4852,  4853,  4854,  4855,  4856,  4859,  4862,  4863,
    4871,  4878,  4879,  4882,  4884,  4895,  4905,  4915,  4927,  4928,
    4944,  4959,  4960,  4964,  4974,  4985,  4994,  5004,  5013,  5014,
    5017,  5018,  5021,  5022,  5023,  5026,  5040,  5045,  5055,  5064,
    5076,  5077,  5081,  5089,  5101,  5112,  5126,  5137,  5160,  5170,
    5188,  5199,  5210,  5221,  5235,  5236,  5237,  5238,  5239,  5240,
    5241,  5242,  5243,  5244,  5245,  5246,  5247,  5248,  5249,  5250,
    5251,  5255,  5256,  5259,  5260,  5263,  5265,  5278,  5289,  5290,
    5291,  5323,  5332,  5341,  5350,  5359,  5368,  5377,  5387,  5396,
    5405,  5414,  5423,  5432,  5444,  5445,  5446,  5447,  5448,  5449,
    5450,  5451,  5452,  5453,  5454,  5455,  5456,  5457,  5458,  5459,
    5460,  5461,  5462,  5463,  5464,  5465,  5466,  5470,  5471,  5485,
    5496,  5507,  5518,  5529,  5542,  5543,  5547,  5548,  5549,  5550,
    5551,  5552,  5553,  5554,  5555,  5556,  5557,  5558,  5559,  5562,
    5563,  5573,  5579,  5587,  5595,  5603,  5611,  5619,  5627,  5635,
    5643,  5651,  5659,  5667,  5675,  5683,  5691,  5699,  5707,  5717,
    5718,  5721,  5722,  5732,  5748,  5762,  5788,  5790,  5792,  5794,
    5801,  5810,  5811,  5814,  5821,  5828,  5835,  5849,  5857,  5865,
    5873,  5881,  5889,  5897,  5905,  5913,  5921,  5929,  5937,  5945,
    5953,  5961,  5969,  5981,  5982,  5985,  5995,  6009,  6010,  6014,
    6015,  6020,  6036,  6049,  6059,  6071,  6072,  6075,  6076,  6086,
    6096,  6097,  6101,  6105,  6109,  6120,  6133,  6147,  6164,  6165,
    6166,  6167,  6179,  6206,  6207,  6211,  6212,  6216,  6217,  6221,
    6222,  6225,  6226,  6234,  6245,  6256,  6269,  6270,  6273,  6274,
    6275,  6278,  6279,  6280,  6283,  6284,  6285,  6301,  6313,  6326,
    6341,  6342,  6345,  6346,  6350,  6351,  6359,  6360,  6364,  6365,
    6380,  6389,  6398,  6407,  6416,  6428,  6429,  6430,  6431,  6432,
    6438,  6442,  6457,  6458,  6464,  6474,  6478,  6483,  6491,  6532,
    6536,  6540,  6544,  6552,  6553,  6558,  6559,  6566,  6570,  6574,
    6578,  6582,  6586,  6590,  6594,  6598,  6602,  6606,  6610,  6614,
    6618,  6622,  6630,  6634,  6638,  6642,  6648,  6649,  6656,  6657,
    6660,  6672,  6676,  6691,  6702,  6703,  6708,  6709,  6724,  6735,
    6749,  6760,  6774,  6785,  6799,  6807,  6809,  6811,  6816,  6818,
    6831,  6840,  6841,  6845,  6849,  6861,  6872,  6883,  6896,  6897,
    6898,  6902,  6915,  6916,  6930,  6938,  6948,  6961,  6962,  6965,
    6966,  6976,  6988,  7000,  7012,  7024,  7036,  7048,  7060,  7072,
    7081,  7098,  7108,  7117,  7126,  7135,  7144,  7154,  7163,  7173,
    7182,  7191,  7201,  7211,  7220,  7229,  7239,  7249,  7259,  7269,
    7279,  7289,  7299,  7309,  7319,  7329,  7339,  7349,  7360,  7371,
    7382,  7393,  7403,  7414,  7425,  7435,  7445,  7453,  7462,  7471,
    7480,  7489,  7498,  7507,  7516,  7525,  7539,  7540,  7543,  7544,
    7554,  7564,  7573,  7582,  7591,  7600,  7610,  7620,  7630,  7640,
    7649,  7658,  7667,  7676,  7685,  7694,  7703,  7712,  7721,  7730,
    7739,  7748,  7757,  7766,  7783,  7792,  7800,  7808,  7816,  7824,
    7833,  7841,  7849,  7858,  7867,  7876,  7884,  7892,  7900,  7908,
    7916,  7924,  7932,  7949,  7966,  7967,  7968,  7973,  7979,  7988,
    7989,  7990,  7991,  7992,  7996,  7997,  8000,  8001,  8002,  8003,
    8007,  8008,  8009,  8014,  8025,  8047,  8057,  8058,  8061,  8070,
    8076,  8095,  8102,  8109,  8116,  8123,  8130,  8137,  8145,  8153,
    8161,  8169,  8177,  8184,  8191,  8200,  8201,  8202,  8206,  8209,
    8212,  8215,  8218,  8225,  8227,  8229,  8234,  8236,  8248,  8261,
    8274,  8292,  8313,  8314,  8315,  8316,  8326,  8342,  8352,  8353,
    8357,  8361,  8365,  8369,  8373,  8377,  8381,  8385,  8389,  8393,
    8397,  8401,  8405,  8409,  8413,  8417,  8427,  8428,  8439,  8446,
    8457,  8468,  8469,  8473,  8487,  8494,  8512,  8528,  8541,  8550,
    8558,  8566,  8575,  8586,  8597,  8607,  8608,  8619,  8629,  8639,
    8649,  8659,  8669,  8677,  8698,  8721,  8729,  8738,  8749,  8750,
    8762,  8778,  8794,  8808,  8828,  8853,  8854,  8858,  8859,  8860,
    8861,  8865,  8879,  8896,  8897,  8901,  8902,  8905,  8906,  8909,
    8910,  8914,  8915,  8928,  8935,  8945,  8952,  8962,  8963,  8964,
    8965,  8966,  8967,  8968,  8969,  8970,  8974,  8978,  8985,  8992,
    8993,  8997,  8998,  8999,  9009,  9019,  9020,  9024,  9025,  9026,
    9027,  9037,  9044,  9062,  9063,  9073,  9079,  9085,  9091,  9107,
    9117,  9123,  9129,  9138,  9140,  9145,  9156,  9157,  9168,  9182,
    9183,  9194,  9205,  9206,  9209,  9210,  9211,  9212,  9213,  9214,
    9215,  9216,  9219,  9220,  9231,  9249,  9250,  9254,  9255,  9259,
    9267,  9295,  9306,  9307,  9317,  9328,  9331,  9332,  9333,  9334,
    9335,  9338,  9339,  9340,  9388,  9389,  9393,  9394,  9409,  9410,
    9417,  9425,  9433,  9441,  9449,  9457,  9468,  9469,  9496,  9511,
    9512,  9531,  9535,  9539,  9554,  9561,  9571,  9572,  9575,  9587,
    9588,  9592,  9604,  9612,  9617,  9622,  9627,  9632,  9640,  9648,
    9653,  9658,  9665,  9666,  9669,  9670,  9671,  9678,  9679,  9680,
    9681,  9685,  9686,  9690,  9694,  9695,  9698,  9707,  9720,  9721,
    9722,  9723,  9727,  9728,  9732,  9734,  9744,  9749,  9752,  9757,
    9758,  9766,  9776,  9777,  9778,  9786,  9790,  9791,  9794,  9795,
    9800,  9801,  9805,  9806,  9810,  9811,  9815,  9816,  9820,  9821,
    9825,  9836,  9837,  9838,  9839,  9843,  9844,  9849,  9855,  9873,
    9874,  9878,  9879,  9885,  9890,  9897,  9905,  9940,  9965,  9969,
    9995,  9999, 10011, 10024, 10038, 10049, 10064, 10070, 10075, 10081,
   10088, 10089, 10097, 10101, 10105, 10111, 10118, 10123, 10124, 10125,
   10126, 10130, 10131, 10143, 10144, 10149, 10156, 10163, 10170, 10181,
   10182, 10195, 10199, 10206, 10227, 10237, 10249, 10254, 10255, 10258,
   10259, 10262, 10263, 10268, 10269, 10274, 10275, 10283, 10288, 10289,
   10293, 10297, 10303, 10333, 10338, 10345, 10350, 10356, 10361, 10370,
   10372, 10375, 10379, 10380, 10381, 10382, 10383, 10384, 10389, 10419,
   10420, 10421, 10422, 10433, 10439, 10447, 10448, 10454, 10459, 10464,
   10469, 10474, 10479, 10484, 10489, 10495, 10501, 10507, 10514, 10536,
   10545, 10549, 10557, 10561, 10569, 10581, 10602, 10606, 10612, 10616,
   10629, 10640, 10655, 10657, 10659, 10661, 10663, 10665, 10670, 10671,
   10675, 10676, 10683, 10692, 10700, 10709, 10720, 10728, 10729, 10730,
   10734, 10736, 10738, 10740, 10742, 10744, 10746, 10751, 10756, 10762,
   10770, 10775, 10782, 10789, 10793, 10797, 10827, 10828, 10830, 10838,
   10853, 10855, 10857, 10859, 10861, 10863, 10865, 10867, 10869, 10871,
   10873, 10876, 10878, 10880, 10883, 10885, 10887, 10890, 10892, 10899,
   10901, 10908, 10910, 10917, 10919, 10927, 10934, 10941, 10948, 10965,
   10972, 10979, 10986, 10993, 11009, 11016, 11023, 11030, 11037, 11044,
   11051, 11055, 11063, 11067, 11077, 11084, 11091, 11104, 11117, 11136,
   11157, 11167, 11174, 11190, 11195, 11213, 11215, 11217, 11219, 11221,
   11223, 11225, 11227, 11229, 11231, 11233, 11235, 11237, 11239, 11241,
   11243, 11245, 11249, 11254, 11258, 11262, 11267, 11284, 11285, 11286,
   11301, 11313, 11315, 11317, 11327, 11350, 11360, 11370, 11378, 11389,
   11393, 11399, 11406, 11413, 11423, 11430, 11458, 11493, 11504, 11505,
   11512, 11518, 11544, 11554, 11567, 11575, 11588, 11598, 11611, 11621,
   11634, 11638, 11642, 11646, 11650, 11654, 11658, 11660, 11664, 11673,
   11678, 11685, 11700, 11707, 11711, 11715, 11719, 11723, 11730, 11738,
   11746, 11750, 11754, 11758, 11762, 11766, 11772, 11776, 11785, 11789,
   11793, 11798, 11812, 11814, 11818, 11820, 11822, 11825, 11828, 11831,
   11832, 11835, 11843, 11853, 11854, 11857, 11858, 11859, 11864, 11868,
   11872, 11876, 11887, 11888, 11892, 11893, 11901, 11902, 11906, 11907,
   11912, 11920, 11922, 11936, 11939, 11966, 11967, 11970, 11971, 11982,
   12000, 12007, 12016, 12033, 12078, 12086, 12094, 12102, 12110, 12131,
   12132, 12133, 12136, 12137, 12138, 12141, 12142, 12145, 12146, 12147,
   12148, 12149, 12150, 12151, 12152, 12153, 12156, 12158, 12163, 12165,
   12170, 12172, 12174, 12176, 12178, 12180, 12192, 12196, 12203, 12207,
   12213, 12217, 12228, 12229, 12232, 12236, 12240, 12246, 12247, 12252,
   12256, 12263, 12264, 12265, 12266, 12267, 12268, 12269, 12270, 12280,
   12284, 12291, 12298, 12299, 12315, 12319, 12324, 12328, 12343, 12348,
   12352, 12355, 12358, 12359, 12360, 12363, 12370, 12380, 12394, 12395,
   12399, 12410, 12411, 12414, 12415, 12418, 12422, 12429, 12433, 12437,
   12444, 12454, 12455, 12459, 12460, 12463, 12464, 12475, 12476, 12485,
   12486, 12494, 12504, 12505, 12509, 12510, 12513, 12529, 12537, 12545,
   12567, 12568, 12579, 12583, 12610, 12612, 12617, 12620, 12623, 12625,
   12627, 12629, 12639, 12641, 12652, 12656, 12660, 12664, 12668, 12677,
   12684, 12716, 12720, 12726, 12743, 12747, 12751, 12757, 12758, 12759,
   12761, 12763, 12767, 12768, 12769, 12785, 12786, 12787, 12792, 12793,
   12794, 12799, 12800, 12801, 12802, 12808, 12809, 12810, 12811, 12812,
   12832, 12833, 12834, 12835, 12836, 12837, 12838, 12839, 12840, 12841,
   12842, 12843, 12844, 12845, 12846, 12847, 12848, 12849, 12850, 12851,
   12852, 12853, 12854, 12855, 12856, 12857, 12858, 12859, 12860, 12861,
   12862, 12863, 12864, 12865, 12866, 12867, 12868, 12869, 12870, 12871,
   12872, 12873, 12874, 12875, 12876, 12877, 12878, 12879, 12880, 12881,
   12882, 12883, 12884, 12885, 12886, 12887, 12888, 12889, 12890, 12891,
   12892, 12893, 12894, 12895, 12896, 12897, 12898, 12899, 12900, 12901,
   12902, 12903, 12904, 12905, 12906, 12907, 12908, 12909, 12910, 12911,
   12912, 12913, 12914, 12915, 12916, 12917, 12918, 12919, 12920, 12921,
   12922, 12923, 12924, 12925, 12926, 12927, 12928, 12929, 12930, 12931,
   12932, 12933, 12934, 12935, 12936, 12937, 12938, 12939, 12940, 12941,
   12942, 12943, 12944, 12945, 12946, 12947, 12948, 12949, 12950, 12951,
   12952, 12953, 12954, 12955, 12956, 12957, 12958, 12959, 12960, 12961,
   12962, 12963, 12964, 12965, 12966, 12967, 12968, 12969, 12970, 12971,
   12972, 12973, 12974, 12975, 12976, 12977, 12978, 12979, 12980, 12981,
   12982, 12983, 12984, 12985, 12986, 12987, 12988, 12989, 12990, 12991,
   12992, 12993, 12994, 12995, 12996, 12997, 12998, 12999, 13000, 13001,
   13002, 13003, 13004, 13005, 13006, 13007, 13008, 13009, 13010, 13011,
   13012, 13013, 13014, 13015, 13016, 13017, 13018, 13019, 13020, 13021,
   13022, 13023, 13024, 13025, 13026, 13027, 13028, 13029, 13030, 13031,
   13032, 13033, 13034, 13035, 13036, 13037, 13038, 13039, 13040, 13041,
   13042, 13043, 13044, 13045, 13046, 13047, 13048, 13049, 13050, 13051,
   13052, 13053, 13054, 13055, 13056, 13057, 13058, 13059, 13060, 13061,
   13062, 13063, 13064, 13065, 13066, 13067, 13068, 13069, 13070, 13071,
   13072, 13073, 13074, 13075, 13076, 13077, 13078, 13079, 13080, 13081,
   13082, 13083, 13084, 13085, 13086, 13087, 13088, 13089, 13090, 13104,
   13105, 13106, 13107, 13108, 13109, 13110, 13111, 13112, 13113, 13114,
   13115, 13116, 13117, 13118, 13119, 13120, 13121, 13122, 13123, 13124,
   13125, 13126, 13127, 13128, 13129, 13130, 13131, 13132, 13133, 13134,
   13135, 13136, 13137, 13138, 13139, 13140, 13141, 13142, 13143, 13144,
   13145, 13146, 13147, 13148, 13149, 13150, 13164, 13165, 13166, 13167,
   13168, 13169, 13170, 13171, 13172, 13173, 13174, 13175, 13176, 13177,
   13178, 13179, 13180, 13181, 13182, 13183, 13184, 13185, 13195, 13196,
   13197, 13198, 13199, 13200, 13201, 13202, 13203, 13204, 13205, 13206,
   13207, 13208, 13209, 13210, 13211, 13212, 13213, 13214, 13215, 13216,
   13217, 13218, 13219, 13220, 13221, 13222, 13223, 13224, 13225, 13226,
   13227, 13228, 13229, 13230, 13231, 13232, 13233, 13234, 13235, 13236,
   13237, 13238, 13239, 13240, 13241, 13242, 13243, 13244, 13245, 13246,
   13247, 13248, 13249, 13250, 13251, 13252, 13253, 13254, 13255, 13256,
   13257, 13258, 13259, 13260, 13261, 13262, 13263, 13264, 13265, 13266,
   13267, 13268, 13269, 13270, 13271
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT",
  "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR",
  "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION",
  "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P",
  "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING",
  "INCREMENT", "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY",
  "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT",
  "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL",
  "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LC_COLLATE_P",
  "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MATERIALIZED", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF",
  "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P", "YES_P",
  "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_ORDINALITY", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'",
  "$accept", "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt",
  "opt_with", "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "SetResetClause", "FunctionSetResetClause", "VariableShowStmt",
  "ConstraintsSetStmt", "constraints_set_list", "constraints_set_mode",
  "CheckPointStmt", "DiscardStmt", "AlterTableStmt", "alter_table_cmds",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "ReindexStmt", "reindex_type", "opt_force", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "AlterSystemStmt",
  "CreateDomainStmt", "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "rowsfrom_item",
  "rowsfrom_list", "opt_col_def_list", "opt_ordinality", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_application", "func_expr", "func_expr_windowless",
  "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "opt_target_list", "target_list", "target_el",
  "qualified_name_list", "qualified_name", "name_list", "name",
  "database_name", "access_method", "attr_name", "index_name", "file_name",
  "func_name", "AexprConst", "Iconst", "Sconst", "RoleId", "role_list",
  "SignedIconst", "ColId", "type_function_name", "NonReservedWord",
  "ColLabel", "unreserved_keyword", "col_name_keyword",
  "type_func_name_keyword", "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,    61,    60,    62,   678,    43,    45,    42,
      47,    37,    94,   679,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

#define YYPACT_NINF -4013

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4013)))

#define YYTABLE_NINF -2272

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2272)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    5832,  1302, 10230, -4013, -4013,  1302, -4013, 54668,   -15,   624,
    1139,   174, 10863, 55084, 62156,   672,   280, 10957,  1302, 62156,
    1880, 40940, 52172, 62156,   423,   589, 40940, 62156, 62572,   722,
     863,  1073, 62988, 55500, 50924,  1277, 62156,   977,   301, 63404,
   55916,   830, 56332,   589, 38046,    84,   769, 63820,  2153,  1235,
     818, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,   -15, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,   191,
   -4013,  1146,   197,   641,   744,   862, -4013, -4013, -4013, 46348,
   62156, 62156, 62156,  1087, 62156,  1022, 62156,   266, 46348, 46764,
   64236,  1174,  1060, 34631, -4013, 44684, 62156, 62156, 64652, 62156,
    1154, 56748, 62156,  1220, 62156, 62156, 47180, 65068,  1375,   983,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, 62156, 11263,   423, -4013, -4013, 62156,
    1250, 46348, 62156,  1239, 62156,  1348, 62156, -4013, 62156,  1420,
   65484,   411,  1504, 46764,  1602, 35061,  1493, 46764, 65900, 62156,
   62156, -4013, -4013,  1529, 62156, 62156, -4013,  1649, 47596,  1308,
    1658,  1930,  1714,   770, -4013, 57164, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, 45100,   280, -4013, -4013, 48012, 62156,
    1748, -4013, -4013, 66316, -4013,  1641, -4013,   437, 48428, 48844,
    1887,  1585, 35491,  1969, 49260, 66732, -4013, -4013, 67148, -4013,
   67564,  1697, 67980, -4013, 49676, -4013,  1832, 68396, -4013,  1601,
    1470,  1707, 31240, -4013, -4013, -4013,   -15, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013,   348,  1786,   295,   201,   325,
   -4013, -4013,   213,   238,   263,   348,  2079,  2079, -4013, 62156,
   -4013, -4013,  1786,    21,  1660,  1660,  1660,  1878,   -31, -4013,
    1660, -4013, -4013, -4013, -4013, 56332, -4013,  1684,   423,  1725,
    2097,  1848, 62156, -4013, 62156, -4013, 62156, 62156, -4013, -4013,
    2130,  1863,  2069,  1838, -4013,  2034,  2038,  2046,   296,   423,
    1944, -4013,  2172, -4013,  2057, 21786,   423, 57580, 68812,   193,
   45100,   423, 57996,  1914,   867,  2065, -4013, -4013, -4013,   662,
   -4013,  2289,  1932,  2147,  1838,   983, 32509, -4013,  1929,  1287,
   56332, -4013, -4013, -4013,   205,  2221, 22220, -4013, 62156,  1943,
   -4013,  1957,  1960,  1961,   641, -4013,  5832, 62156,   328,   328,
    2356,   328,  1495,  1624, -4013,  1402, -4013,  2260,  2234, 56332,
     769,   206, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013,  2020,  1287, -4013,   210, -4013,  1554,
    2037,  1653,  1377, -4013, -4013,   748, 62156,  2162,   204,   -21,
    2064, 58412,  2461,  2044, -4013,   221, -4013, -4013, -4013, -4013,
    2346,  4958,   279, 69228, -4013, 62156, 62156, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013,  2087, -4013, -4013,  2076,
    2362,  1151,  2297,  1242,  2423,  4658,    62, 62156,  2429,  5371,
    1611,   787,  2322,   807,  2431,  1412,  2453,  5926, 62156, -4013,
    2381,  2488,    51, -4013,   780, -4013,  2226,  2359,   716, 46348,
    2180, -4013, -4013, 62156, -4013, -4013, -4013,  2259, -4013,   712,
   46348, -4013,  2403,  2268, 35921, -4013, 62156, -4013, -4013, -4013,
   -4013, -4013,  2348, 62156, -4013, -4013,  2470, 62156, -4013,  1660,
    2387,  2235,  2612, 77920,    83, 62156,  2273,  2643, 62156,  2440,
    2273,  2274, 69644, -4013, -4013,  2273, -4013, -4013, 62156, 62156,
    2243,  1381,  2273,  2444,  2644,  2648,  2323,  2426,   802,   274,
     150,  2545,  2273,  2300, 62156, 70060, 62156,  2303, 62156,  2625,
   46348, 62156, -4013,  2418, -4013, -4013,  1382, -4013, -4013, -4013,
   -4013,  2565,  2020,   814,  2566,  2269,  2569, -4013, -4013,  2302,
   -4013,  2572,  2044,  2573, -4013,  2270, 70476, -4013, 70892, 71308,
    2574,  2087, 46764,  2576,  2270,  2577,  2463,  2579,   814,  2580,
   -4013,  1128,  2583,  2471,  2585,  1799,  2270, 45516,  2587,   182,
   -4013, 23956, -4013,  2374, -4013,   769, -4013,  1527, -4013, 40524,
   -4013,  1707,  1786, -4013, 62156,  1786, 62156,  1786, 62156,  1786,
   62156,  1786, 62156, 62156, 62156,  1786, -4013, -4013, -4013, 62156,
    2288, 62156, 62156, -4013, -4013, -4013, 52588, 46764, 53004, -4013,
   -4013,    69,   423, -4013, -4013, 77920,  2697, 46764,  2625,  2581,
    2581,  2581, -4013, -4013, -4013,  2521, 62156,  2584,  2586, 52588,
   46764, -4013, 71724, 45100,  2482,  2298, -4013, -4013, -4013, -4013,
   -4013,  1589,  2732,   306,  2734, 23956,  2305,   199,   199,  2306,
    2596, -4013, -4013, -4013,   211,  2308,  2310, -4013,   246,   246,
    2473,  2313,  2315, -4013,   247,  2316,  2749,  2750,   256,  2320,
    2321,  2329,  1913,   199, 23956, -4013,  2332,   246,  2333,  2335,
    2338,  2754,  2339, -4013,  2773,  2345,   202,   303,  2347,  2349,
   -4013,  2313, -4013,   235,  2350,  2353,  2357,  2361,  2363,  2364,
    2365,  2369, 23956, 23956, -4013, 20918,  1287,   423, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013,   144, -4013,   264,  4734, -4013,
    2383, -4013, -4013,  2531, 23956, -4013, -4013,  2591,  2355, -4013,
     272, -4013, -4013, -4013,  1287, -4013, -4013,  1065,  2367, -4013,
    1514, -4013, -4013, -4013, -4013, -4013, -4013, 43436,  2777, -4013,
     388,   423,   780,   283,  2724, 39692, 40108, -4013, -4013,  2602,
   -4013, 62156, -4013, -4013, 23956, 37630, -4013,  1287,   147, -4013,
   -4013, -4013,  1615, -4013, -4013, -4013,   -15, -4013, 10184, -4013,
    1652,  1943, 62156, 62156,  2782, -4013, -4013, -4013,  1957, -4013,
   -4013,   641,   641, 23956,   641,   186,  1656, 22654, 23956,  2672,
    2575,  1195,  1273,  2674, -4013,  2578,  1495,  1624, 56332, 62156,
   72140,  2494, -4013, 38462,  1683,  1287,  2469,  2472,  2515, 41772,
    2394,  2474,  2475,  2523,  2476,  2481, 72556, -4013, -4013, -4013,
   -4013,  1386,  1049,  1062,  2483,   178,   168,  2765, -4013,   746,
    2529, -4013, -4013, -4013,  2673, 62156,  2710,  5994,  2597,   279,
    2530, -4013, -4013,  2645,  2490,  2493,  2613,   279,  1380, 72972,
   -4013, -4013, -4013, -4013, -4013, -4013,  2340, 19674, -4013,  2496,
    2477, 62156, 50092,   313,  2608,  1208,  1824,   730, 62156,  2682,
    2614, 62156,  2425,  2503,  2506,  2700,  2432,  1403,  2793,  2430,
   -4013, -4013, -4013,  1948,  2607, -4013,  2737,  6961,  2492,  2499,
   77110,  1175, 36351,  2778,   546,  2526, -4013,   546, 62156,  2527,
    2528, 62156,   279, -4013,  2841,   279,   279,  1378,  2842,  2532,
     362,  1408,  2273,  2430,  1492, -4013,  2533,  2536,   848, -4013,
    2642, -4013,  1216, 56332,   374,  1497,  2430,   277,  2541,  2542,
    2432,  2432, 62156, 62156, 62156, 62156, 62156,   175,  2865,  2868,
    2547,   180,  2593,  2479, -4013, 43852,  2550, 68812, -4013, -4013,
   62156,  2553,  1503,  2430,  1405,  1646, -4013, -4013, -4013,   983,
   -4013, 62156, -4013, 62156,  2020, 77920,  2663, -4013,  2510, -4013,
    2044,   279, -4013, 62156, 62156,  2087,   177,  1129,  2665, 62156,
    2727,  2517, -4013,   481, 38869, -4013,  2243,  2485, -4013, -4013,
    2538, -4013,  2538,  2538,  2486,  2486,  2487, -4013, -4013, -4013,
    1913,  2538,  2486, -4013, 78730, -4013,  1507,  1622, -4013,  2898,
    2900, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
     622,  1635, -4013, 62156, 41772, -4013,  2911, -4013, -4013, 77920,
    2692,  2808, -4013, 62156,  2708,  2511, -4013,  2845,  2564, -4013,
   -4013,    59, -4013,  2814, 46764,   823,   423,  2558, 62156,  2735,
   62156, 62156, 62156, 62156, -4013, -4013,  2705,   810,   139, -4013,
   43852, -4013, 62156,  1492,  2717,  2924,    66,  1660, 62156,  2809,
   -4013, 62156,  2524,  2926,  2760, -4013,  1704, -4013,  2647, -4013,
   46348,   814, -4013, -4013, -4013, -4013, 77920, 62156, 73388, 46348,
     814, 46764, 46764,  2829,   182,  2830,  2588,  2831,  2589, 36351,
     814,   255, 46764, 62156, 62156, 62156, -4013, 62156, -4013, -4013,
   -4013, -4013, 62156, 62156, 46764, 43852,  2832,  2836,   814, 62156,
   62156, -4013, 10184,  1751, 62156,  1707, 44268, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, 62156, -4013, 62156, -4013, 62156,
   -4013, 62156, -4013, 62156, -4013, -4013, -4013, 62156, -4013, 62156,
    1756, -4013, -4013,  1814,   142, 62156, 62156,   164, 46348, 62156,
    2729, 62156, 62156, 62156, 62156, 62156,  2616,  2367,  1246, -4013,
     218, 56332,  2739, -4013, -4013,  1825,  2153,   853, 62156, -4013,
   -4013, -4013, -4013, -4013, -4013, 53004, 52172,  2820,   364, 62156,
   -4013, -4013,  2495, 23956,  1287, 21352, -4013, -4013, -4013,  2546,
   10184,  2592, 23956, -4013, -4013, 23956,  2548,  2079,  2079, 23956,
   -4013, -4013, -4013, -4013,   937,  2079, -4013, 23956, 23956,  2079,
    2079,  2538,  2538, -4013,  5134, 23956, -4013, 36351, 23956, 26560,
   18824, 23956,  2620,  2563,  2079, -4013,  2079, -4013, 23956, 20484,
   -4013, 23956,  2761, 27422, 23956,   283,  2762, 23956,   283,  2980,
    2980,  1674,  4428,  2552,  1287, -4013,  2668,  2079, -4013,  2079,
     751, -4013,   220, 77920, 23956, 41772,  2638,   252, 62156, 23956,
    2561,  1647, -4013, 23956,  1027, -4013,  2562, 23956,  2640, 23956,
   23956, 23956, 23956, 23956, 23956, 23956, 23956, 23956, -4013, 28268,
     226,  2840,  2858,    30,  2055, 58828,  2854, 21786, 18389, -4013,
     281, -4013, -4013, -4013, 62156,  2777, -4013, -4013,  2649, -4013,
   -4013, -4013, -4013, -4013,   273, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013,  2568, -4013, -4013, -4013, -4013,  2568, -4013,  2582,
    3797, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013,  2843,  2847,   814,
   62156,   205, 53420, -4013, 22220, -4013,  1835, -4013,  2590, -4013,
    2822, -4013,  2595, -4013,  8208,  2822, -4013, -4013,   318,  2686,
    2818,  2766, -4013, -4013, -4013,  2598, 10184, -4013,  1771, 10184,
    1920, -4013, -4013, -4013, -4013, -4013, -4013,   895, -4013, 62156,
    2739,  2672,  1273,  2635,   721, 62156, -4013, 32932,  2763, -4013,
    2972, -4013, 78730, -4013,  2600, -4013, 78325, 75884, -4013, -4013,
      34, -4013,  1187,  2670,  2671,  2718, 46764, 62156, 62156, -4013,
   41772, 46764, 62156, 62156, 46764, 62156, 62156, -4013,  2949,    25,
   52172,  2719, 51340, -4013, -4013,  2603, 62156,  2659,  2846,  2848,
     -42, -4013, -4013, 73804, -4013,  2801, 46764, 62156, 62156, 23956,
    2803, 62156, 62156, -4013,   243,  2688,  2694, -4013, 62156,  2696,
   46348,  2621, 62156, 62156, 62156,  2693,   715, 46348,  2667, 36781,
   62156, 62156, 62156, 62156,  2742, 62156, 62156,  2862,  1057, 56332,
     223,  1597,  2430,  2821, -4013,  1396, -4013, 46764, 62156,  2813,
   -4013, -4013, -4013, 59244,  3027,  2736, -4013, -4013, 74220, -4013,
   -4013, -4013,  1845, -4013, 46764, 46764,  7267, 62156,  1241, -4013,
   -4013, 77920, -4013, 62156, 62156, 62156, 62156, 53836, 74636, 75052,
    1416,  1515, 62156, 54252, -4013, 62156, -4013, -4013, 42188, 46764,
   62156,   861, 41772, -4013, 62156,  2825,   811, -4013, 62156,  5747,
   -4013,  2711, 62156,   390,  1833,  2430, 62156, 62156,  2631,  1846,
    2720,  2764, -4013, 62156, -4013, 46764,   430, -4013,  2779, 46764,
   62156,  9017, -4013, -4013,   279, -4013, -4013, -4013, -4013, -4013,
   62156, 62156,   279, 62156,   279,  1029, -4013, 46764, 62156, -4013,
   -4013, -4013,  7801, 62156, 62156, 62156, 62156,   668,   953,  2683,
    1181, 46764, 62156, -4013, -4013,   808,  1149,  1078,  1516,  2783,
   62156,  2914, 62156, 75468, 46764, 62156, 62156, 62156,   897, -4013,
   -4013,  2767, -4013, 46764,   430,  9381, 62156, 62156,  2726,  2728,
     155,  2797, -4013, -4013, -4013, -4013, -4013, -4013,  2893,  3060,
   62156, -4013,  2899,  2901,  2714,  2716,  2906,   915, 62156, -4013,
   -4013, -4013, -4013, 62156,  2908,   915,  2853,   714, -4013, -4013,
    2273, -4013,  2680,  1852, -4013, -4013, 23956,  3074, 77920,  2675,
    2676,  2747,  2748,  2752, -4013,  2679,  2753,  2079, -4013, -4013,
    1713, -4013, -4013,  1858, -4013,  2685,   810,  2056, -4013, 41772,
   62156,   880,   821,  2981, 50508,  1593,  2970, 62156,  2725, 62156,
    1593, 62156, -4013,  1680, 52172, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013,  2973, -4013,   423,  2243,  2243,  2243,
    2243, -4013, -4013, -4013, -4013,  2873,   117, -4013,  2687,  2243,
   62156,  2798,  1593,  2689, -4013,  1492,  2989,   112, 62156, 50508,
    1805,  2730,  3095,  1660,   423,  2877, -4013, 20079,  2224,  2881,
   45100,  2968,  2969,  2987, -4013,  2020, -4013,  3104, -4013,  3002,
     814,  2044, -4013,  2270, -4013, 62156, -4013, 62156, 62156, 62156,
   62156,  2087, -4013, -4013,  2270,  2888,   814,   814, -4013,  2889,
     814,  2270,  2817,  2994, 45100, -4013,   182, -4013, -4013, 23956,
    1660, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,  1860,
   -4013, 62156, -4013,  2971,  2974,  2975,  2702,  2704,  2741, 62156,
    2709, -4013,  2702,   279,  2702,  2367,  2367,  2702,  2704, 45932,
    3129,  2992,   156, -4013,   165,  1213,  2927, -4013, -4013, -4013,
   -4013, 77920, -4013, -4013, -4013, -4013, -4013, 62156,  2751,   351,
    2903,  2715, 45932,  3106,   814, -4013, 46348, -4013, -4013, -4013,
    2794,  2807, 46348,  2913,  2768, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013,  2960, 62156,  1868, -4013, -4013,  1655, -4013,  1690,
   23956, 23956,   367, -4013,  8669,  1874, 23956,  2723,  2731,  1900,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013,  2733,  3010, -4013,
    2738,  1909,  1911,  2740,  2743, -4013, -4013,  3638,  2744,  9219,
    2745, 26560, 26560,   369, -4013, -4013, 26560,  2746, -4013,  1924,
    8289,  2755,  2756,  2758, -4013,  2757,  2769,  8773, 23088, 23956,
   23088, 23088,  9358,  2755,  2770,  1933, 41772,  2895,  9662,  1934,
   -4013, 23956, 41772,  4151, 23956, -4013, 23956, 62156,  2771,  2772,
   -4013, -4013,  5134, -4013,  2780, -4013, 26560, 26560, -4013,  4356,
   20918, -4013, -4013,  3012, -4013, -4013,  2173, -4013,  2774, -4013,
   -4013,  6128,   391, 23956,  2561, 23956,  2810, 36351,  2509, 23956,
    3340,  3685,  3685,   352,   352,   271,   271,   271,  1762,  2055,
   -4013, -4013, -4013,  2775,  2776,  2781,  2907,  2339, 23956, -4013,
    1898,  1904, 62156,  2816,  3380,  3896, -4013, -4013, 29548,  2789,
   -4013, 23956, 23956, 23956,  2784, -4013,  3158, 10184,   732, -4013,
    3159, -4013,   983,  2079,   751, 40524, -4013, -4013, 23956, -4013,
   -4013, -4013,  1957, -4013, -4013, -4013, -4013, -4013, 62156,  2153,
   23956, -4013, -4013,   480,  1759, 23956,  1771, -4013, -4013,  2795,
   -4013, 23956, -4013, -4013, -4013,  2367, -4013, -4013, -4013, 29548,
    2790,  2786, 32086,  2874, -4013, -4013, 62156,   363, -4013, -4013,
   -4013,  2799, -4013, -4013, 75884,  1635, -4013, 78325, -4013, 78325,
   -4013,  1635,  3131, -4013, 75884,  1722, 46764, 62156, 62156, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,  2977,
   -4013, 46764, 46764,  2940, 62156,  2938,  2947, 23956,   908, 62156,
    2787,  2788,  1450,  3024, 62156, -4013,  3065,   814, -4013, -4013,
    2844, -4013, 10184, -4013, -4013, -4013, -4013, -4013, 46764, 62156,
   -4013, 45100, -4013,  2020, 77920, -4013, -4013, -4013, 62156,  2824,
   62156, -4013, 62156, 62156, 62156,  2087, -4013, -4013, -4013, -4013,
    1133, -4013, -4013, 62156, 62156,   674,  2859,  2861, 62156, -4013,
    1171,  2642,  9739, 62156, 62156, 62156,  3019, -4013, -4013, -4013,
   -4013,  2964, -4013, -4013, 75884, -4013,  2270,  2866,  2430, -4013,
    2976, -4013,   724, -4013, -4013, -4013, -4013, -4013,  3091,   814,
    3094,   814, 62156, 62156, 62156, 62156, -4013, -4013, -4013, -4013,
   -4013, 41772, 41772, 41772,  1940, -4013, -4013,   423, -4013, -4013,
   -4013, -4013, -4013, -4013,  3057, -4013,  1941, -4013,  1362, -4013,
   -4013, -4013, -4013, -4013, -4013, 46764, 10178, 62156, 62156, 62156,
    1787, -4013,   815, 77920, -4013, 77515, 46764, 62156, -4013, -4013,
   -4013,  3022,  2967, -4013,   951,  2978, 46764,  2860, -4013,  2880,
   -4013, -4013,  2885,  1985,  2430,  1492, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013,   412,  2077,  2430,  2886, -4013,  2887,
   -4013,  3203, 62156,  3209, 62156,  1230,  3210, 62156, -4013, -4013,
    3040,  3042,  3044,  2905,  2916,  2952,  2917,  2919,  2953, -4013,
    2920,  2958,  2922,  2979,  2923,   814, 77920,  3047,   423,  2959,
    3149,   814, -4013,  2928, -4013, -4013,  3249, -4013, 62156, -4013,
    2929,  2155,  2430, -4013, -4013, 46764, 62156, -4013, -4013, -4013,
     915, 77920,  3097,   915,   915, 62156, 62156,   915, -4013, -4013,
   -4013,  3099,  3101,   915, -4013, -4013, -4013, -4013,  2387,  2867,
   34201, -4013,  3294,  5224,  2870,  2676,  2872,  2079,   253,   871,
    1155,  2988,  2079,  3081,  2875, -4013, -4013, 41772, 34201,  1809,
    3100,  2891,  2891,  2891,  2891,  2891,  2891,  2891, -4013,  2043,
     110,  2273, 45100, 62156, 45100, -4013,   821,  2976, 62156, 62156,
    2878,  2876, -4013, -4013, -4013, -4013, 46764,   143, 46764,  2079,
   -4013, -4013,  2942, -4013, 62156,  1660,  3279,  2648,   823,  3020,
    1437,  3222,  2730, -4013, -4013, -4013, -4013, 62156, 62156,   810,
     423, -4013,  2883,  2882, -4013, 62156, 62156, 62156, 62156,  2751,
    2890,  2884, 77920,   601,  3075,  3077,  2432,  3297,  2153,  2730,
    2985, 62156, -4013,  1942,   122, -4013,   423, 45100, 76289, -4013,
    1775, -4013, -4013,   151,  3169, -4013, -4013,  2153,   814, 77920,
   62156, -4013,   814,   182,  2950,   814,  2951,   814,   814, 62156,
   -4013, -4013, 62156, -4013, 62156, 43852,   814, -4013, 10184, -4013,
   -4013,  3023,  3025,  3026, 62156,  2702, 46348, -4013,  2909, 46764,
    1310, -4013, -4013,  3085, -4013, -4013, -4013, -4013, -4013,  3212,
    3213, -4013, -4013, -4013,   225, -4013, 46764, 52588,   278, 46764,
   -4013,  2020, -4013, -4013,  2044,   279, -4013, 62156,  3154, -4013,
   -4013, -4013,  2921,  1955,  9714, 23956, -4013,  3224, 77920, -4013,
    5257, -4013, -4013, -4013, -4013, 23956, -4013, -4013, -4013, -4013,
   -4013, 23956, -4013, 23956,  3201, -4013,  3343,  3343, 77920, 26560,
    1488,  2333, 26560, 26560, 26560, 26560, 26560, 26560, 26560, 26560,
   26560, 28702,   856, -4013, -4013, 23956, 23956,  3211,  3201, -4013,
   -4013,  1547,  1547, 77920,  2925,  2755,  2931,  2935, 23956, -4013,
   -4013,  1965, 27845,  2936, 41772, -4013, 23956,  8316,  1971,  2965,
    9979,  1287,  6053, -4013,  3298,   423, 23956,   801,   959, 23956,
    1976, 23956,  3208, -4013, -4013, -4013,  2941, -4013, -4013, 77920,
   23956, 26560, 26560,  7966, -4013,  8420, 23956,  2937,  8717, 20918,
   -4013,  3105,  2966, 33355, -4013,   589,   589,   589,   589, -4013,
   62156, 62156, 62156, 29971,  3214, 29125, 59660,  2939,  1946, -4013,
   59660, 60076, -4013,  2943, -4013,  2945,  1287, 23956,  3205,   743,
     743,  3105, -4013, 23956, 23522,  2946, -4013,   780,  2948, -4013,
   -4013,  5592, -4013, -4013,  2954, -4013,  2956, -4013,  1759, -4013,
   -4013, -4013,  6093,  3127, -4013, -4013,  2939, 24390,  2874, -4013,
    1989, -4013, -4013, 21786, -4013, -4013,  1994, 32932,  2790, 22220,
    1287,  2004,  1754, -4013, -4013, 75884, -4013,  3016, -4013, -4013,
   -4013,  2891,  2270,  2270,  1214,  2702,  3240,  1214,  6612, -4013,
   -4013, 30394, 62156, 62156, -4013, 62156,  2024,  1184, 62156, -4013,
   62156, -4013, -4013, -4013, -4013,  3357, -4013, 62156, -4013, -4013,
    3008,  3009, -4013, 62156, 62156, 62156, 62156, -4013, -4013,  2037,
   -4013, -4013, 46764, 62156, -4013, -4013, -4013,   413,  2185,  2430,
   -4013,  3035, -4013, -4013,  3216, -4013, 62156,  2983, -4013,  1184,
     228,  2432,   133, -4013, -4013,  3028, 62156, -4013, 62156, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, 42188, -4013,
   -4013, 62156, -4013, 41772, 34201, 41772, -4013,   436,  2210,  2430,
   -4013,  3036, -4013,  3041,  3043,  3087,   680,   717,  3046,  3048,
    3089,  2984,  2986,  2990, -4013, -4013,   348,   423, -4013, -4013,
     423,  2270,   423, 62156, 62156, 62156, 62156, 62156, 62156, 62156,
   62156, 46764,  2739, 46764,  2739,  3360, 62156, 46764,  2739,  3262,
    1080,  1808, 46764, 62156, 62156, 46764, 62156, 62156, 62156, 62156,
   62156, 62156, 62156, -4013,  3344,  3278,  1981,  3318,  3049, 62156,
   -4013, 62156,  2642, 62156, 62156, -4013, -4013, -4013,  2991,   915,
   -4013, -4013,  3227,  3232, -4013,   915,   915, -4013,   481, 41772,
   -4013,  2311,  2956,  2079,  1948, -4013, -4013, -4013, -4013, -4013,
   -4013,  2680, -4013, -4013,  2079,  1931,  2995, -4013,  2997, -4013,
   -4013, -4013, -4013, -4013, -4013,  2998, -4013,   751, -4013, -4013,
   62156,  2891, -4013,   337,  1258,  1334,  1357, 60492, 60908, 61324,
    2993, 62156, 62156, 26560, -4013,  1491,  1199, -4013,  3218, 62156,
    3037, -4013, -4013, -4013,  3160, 62156, -4013, -4013, -4013, -4013,
   -4013,  3000, -4013,  3117, 50508,  2270, 46764, 46764,  2270, -4013,
   77920,  3011,  2730, 46764,   823,  1093, 70060,  3050, -4013,  3004,
    3304, -4013,  3029,  3005, -4013, -4013, 62156,  2976,  2026,    74,
    1601, -4013, 51756,  1805,  3275, -4013, -4013, -4013,  3386,  3108,
   -4013,  2153,  2751,  3108,   423,  2659, -4013, 75884, 23956, 23956,
   -4013,  3021, -4013,  3031,  2930, -4013,  2243, -4013, -4013, -4013,
   -4013, -4013, -4013,  3103, 62156, -4013, -4013,  3032,   814, -4013,
   -4013, 62156, -4013, 62156, -4013, -4013,   814,   814, -4013,  3142,
   -4013, 62156, 62156, 62156,  2702, -4013,   279, -4013,  3311, 45932,
   -4013, -4013, -4013, -4013, -4013,  3374,   364,  3319, -4013, -4013,
    3280,  3281,  3282,  3283,   956, -4013, -4013, 23956, 10184, -4013,
    3045, -4013, 10184,  6627, 10184,  3211, -4013,  1709,  3320, -4013,
    1347,  3051,  1709,  1067,  1067,   426,   426,   194,   194,   194,
    3343,   856, 10184, 10184, -4013, -4013, -4013, -4013,  3053, -4013,
   -4013, -4013,  2755, -4013, 24824,  3186,  3430, -4013, -4013, -4013,
    3082,  3083,  3054, -4013, 23956, 25258,  3052, 78730, -4013, -4013,
     751,   333, 26560, 26560,  1202, -4013,   410, 23956, 77920,  2030,
    1202,  1496,  1815, 23956, 23956,  8787,   236, 23956,  6668,  3056,
   23956, 76694, -4013, -4013, 62156, 62156, 62156, 62156, -4013, -4013,
   -4013, 59660, 60076,  3058, 19250,  1946,  3059, 62156, -4013, -4013,
    3061, 29548,  3287,  3226, -4013, 29548,  3226,  1500,  3226,  3290,
   -4013, 33778, -4013, -4013,  3062, -4013, -4013, 18389,  1627, 10184,
    3440,  3333, 23956,  3063,  3064,  3066, 10184, 23956, -4013,   423,
     423, -4013, -4013, 36351, -4013, -4013, -4013,  3253, 10184, -4013,
    2153, 62156,  1287,  2355,  3079, 62156, -4013,  2874, -4013, -4013,
    3136,  2058, -4013,   348, -4013, -4013, -4013, -4013,  3146, 52172,
    3354, -4013, 23956,  2060, -4013,  3111,  3447,   134,  2078,  2082,
    1184, -4013,  3037, -4013,  1573,  3337,   138, -4013,   814, -4013,
   77920, -4013, 62156, 62156, -4013, -4013, -4013, -4013,  2394, -4013,
   -4013, 62156, 62156, 62156, 62156, -4013, -4013, 41772,  2043,  3274,
   -4013, -4013,  3276,   348, 62156, -4013, 77920,   814,   814, -4013,
   -4013, -4013, -4013,  3093, 62156, 62156, 62156, 62156, 46764, 62156,
   62156,  2079,  2079, 77920,  3078, -4013,  2079,  2079,  3080, -4013,
   46764, 62156, 62156, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013,  3164, -4013, -4013, -4013,  1091, -4013,
    1211, -4013, 46764,  2739,  1259, -4013, 62156, 62156, 62156, 62156,
    3384, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, 62156, -4013, -4013,   423,   423, 77920,   814,   814,
   -4013, -4013, -4013,  3331, -4013,   915,   915, -4013, -4013,   209,
    2091, -4013, 30817, -4013, -4013,  2643,   423,  2643,  1548, -4013,
   -4013,  2643, -4013,  2643, -4013,  1184,  3090,  1614,  3372, -4013,
   -4013, -4013, -4013,  3376,   348, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   23956, -4013,  1023,  1709, -4013, -4013, -4013, -4013,  3037,  1660,
    3148, 46348,   310, -4013,  3358,   880, 50508,  1219, 62156, -4013,
    2270,  2270,  3150, 62156,  3504, -4013,   522, 62156,  3415,  3143,
   -4013,   423, -4013, -4013,  2730, 62156, 50508,  2751,  2093, -4013,
   -4013, -4013,  3138,  3077,  3107,  1805,   826, 62156, -4013,  3141,
   -4013, -4013,  3392,  3109, -4013, 10184, 10184,   423, 79135,  1775,
   -4013, 62156,  3366,   814, -4013,   814,   814, -4013, -4013, 62156,
    2702,  2702,  2702, -4013,  3295, -4013, -4013,   814, 45932,   956,
     956,   956,   956, -4013, -4013, -4013, 10184, -4013, -4013, -4013,
   26560,  3395, -4013,  3113, 77920, -4013,  3115,  2104,  2125, 27422,
    3261, -4013, -4013, -4013,  6954,  3167, 10184,  3219,  3119,  3120,
   -4013,   521,   521,   410,  2129, -4013, 26560, 26560,  1202,  1202,
   23956,  1202, -4013, -4013,  6981,  3291, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, 42604, 59660,  3118, 62156,  1946, 29548, -4013,
   -4013,  1921, -4013, 29548,  3363, -4013, 29548, 62156,  3124, 62156,
     732, 23956, 23956,  3162, -4013, -4013, -4013,  3105, -4013,   751,
    3125, 62156, -4013, -4013,   769, -4013, -4013, -4013, -4013, -4013,
   45932,  3313, 45932,  1184,  7229,  3037, 30394, 37211, 62156, 61740,
   61740,  3273,  3037,  3148, -4013, -4013, -4013, -4013, -4013, -4013,
    3130, -4013, -4013, -4013,  3207, -4013, -4013,  2133, -4013, -4013,
   -4013, -4013, -4013,  3344, -4013, -4013, 34201, -4013,  3215, -4013,
   -4013, -4013, -4013, -4013, 31663, 36351, -4013,   680,  3132,  3134,
     717, -4013, -4013, -4013, 62156, 62156, 62156,  1306, -4013, 62156,
    1397,   878,  3172,  2702,  3426, -4013, -4013, -4013,  3344, -4013,
   -4013,   915, -4013, -4013, -4013,  2273,  3467, -4013, 41772, -4013,
   43020, -4013, -4013, -4013,   423, -4013,   423,  3339, 62156, 39276,
     423,   423, -4013, 46348,  3547,  3547, 62156, -4013, -4013,  7469,
    3341, -4013,  3148,  3361,  3408, -4013,  3152, 62156,  3302,  3157,
    3168,   986,   986,  2976, 62156,  2137,  2153,   823, 50508,  2976,
   -4013,    45,  3163,  3451, -4013,  3555,  2890,  3170, -4013, -4013,
   51756,  3347,  3108, 62156,  3077,  3301, -4013,  3305, -4013,  1162,
   -4013, 62156, 30394, -4013, 78325, -4013,  2142, -4013, -4013,  2789,
   62156,    88, -4013, -4013, -4013, -4013, -4013, -4013,   278, -4013,
   -4013, -4013, -4013,   914, 26560, 77920,  2143, 23956, -4013, 23956,
   -4013,  3546, -4013, -4013, -4013,    79, -4013, -4013, -4013,   521,
     521,  1202, -4013,  3560,  3105, -4013,  2144,  3582, -4013, 62156,
    2160, -4013, 23956,  3179, -4013, -4013, 29548,  1921,  2161, 62156,
    2165, 77920,  3181,  2755, 10184, 62156, -4013,  3182, -4013, -4013,
   -4013, -4013,  1310,  1214,   278,  3447,  3148, -4013,  3188, -4013,
   -4013, 62156, -4013,   300,   300, 62156,  3148, -4013, -4013, 62156,
   -4013, 41772,  3241, -4013, 62156, 77920,  2044,    81, -4013, 77920,
   77920, -4013, -4013,  2739,  2739, 62156,  2739, 62156, 62156, 62156,
   62156, 62156,   814, -4013,  2867,   423, -4013, -4013,  2171, -4013,
   -4013, -4013, 62156,  3004, -4013,  3004, -4013, -4013,  3547,  1125,
   -4013, -4013, -4013,  1383,  3391, -4013,  1034,  3377,  3284,  3189,
   -4013, 46348,  3624,  3307, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013,  3490,  2730,  3141, -4013, -4013, -4013, -4013,
   23956,  3350,  2153,  1805,  3275, -4013, -4013, -4013,  2177,  3108,
   -4013, -4013,  3573,  3381,  3578, -4013,  2178, -4013, -4013,  2930,
   79135,  3523, -4013,  3255, 62156, -4013, -4013, -4013,   914,  2188,
   -4013,  2189,  2190,  3352,  3258, -4013, 23956,  1482,  2943, 42604,
    3217, -4013,  2195, -4013, 10184, 62156, -4013, -4013, -4013,  2196,
   -4013, -4013,  3220, -4013,  3610, -4013, -4013,  3493, -4013, 61740,
    3250, 36351, -4013,  1759,  1759,  1660, -4013,  1184, -4013, -4013,
   23956, -4013, -4013,  2200, -4013,    87,  3359,  3503,  2202,  2215,
   -4013, -4013,  2739, -4013,  2704,  3252,  2704, -4013,  2702, -4013,
   -4013, -4013, -4013, 43020,  3004, -4013, -4013, -4013,  3533,  3478,
   -4013, -4013, -4013, -4013,   227, -4013,  3406,  3407, 62156, -4013,
    3223, -4013,  2216, 62156, 62156,  3630,  3632, -4013,  7718, 46348,
    3141,  3077,  1805,  2043, -4013, -4013,  3411, -4013,  3412,  2730,
   30394,  1775, -4013,   890, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013,  2755, 25692, 25692,  3230, -4013, -4013, 62156, -4013,  2217,
   -4013, 62156,  3233, 45932,   300,  3235, -4013,  3231, -4013, -4013,
    3361,  1184, 10184, 46348,  3625, -4013, -4013, -4013,  3359, -4013,
   -4013, -4013, 62156, -4013,  3362, -4013,   813,   813,  3567, -4013,
    3299, -4013, -4013,  3239, -4013,  3672,  2976, -4013,   680,  2153,
   -4013,  3243, -4013,  3108,  3077, -4013, -4013,  3108, -4013, -4013,
   -4013, -4013,  2040, 26994,  3371,   773,  8343, -4013, -4013, -4013,
   -4013,  2222, -4013, -4013, -4013,   278,  1759, 23956,  1184, -4013,
    3377,  2044, 62156, -4013, -4013,  3143, -4013,  3665, -4013,  1058,
   -4013, -4013, -4013, -4013, -4013,  3078,  3141, 41356, -4013,  3108,
    2789, -4013,  1917, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
    3655, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,  7765,
   -4013, -4013, -4013,  3551, -4013, -4013, -4013, -4013, -4013,  2223,
   -4013, -4013, -4013, -4013, -4013, -4013,  1831, -4013, -4013,  1949,
    1961, 26126, -4013,  1184,  3404, -4013, 41356, -4013,  1917, -4013,
   46348, -4013, -4013,  3254, 41356,  2228, -4013
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1400,  1197,   539,  1284,  1283,  1197,   242,     0,  1286,     0,
    1197,   363,   951,     0,     0,     0,     0,   539,  1197,     0,
    1400,     0,     0,     0,     0,  1413,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,  1420,     0,
       0,     0,     0,  1413,     0,  1288,     0,     0,     0,     0,
       2,     4,    61,    62,    26,    25,    31,    30,    84,    85,
      49,    17,    75,    55,   118,   117,   119,    37,    33,    69,
      22,    24,    34,    38,    57,    39,    50,    96,    56,    20,
      54,    79,    58,    82,    44,    11,    12,    45,    73,    13,
      46,    74,    14,    47,    15,    63,    86,    29,    59,    83,
      60,     5,    40,    71,    67,    10,    51,    52,    53,    76,
      77,    78,   101,    81,   113,    36,   110,    90,    91,   107,
      92,   108,     8,    93,    48,    16,   104,   103,   105,    70,
      41,    72,   102,    23,   106,    18,    19,   109,    80,    99,
      95,   114,   112,   120,    97,    64,     6,     7,    87,    21,
      43,     9,    28,    27,    42,    35,   116,    32,  1286,    89,
     100,    88,    65,    94,    68,    98,   115,    66,   111,  1387,
    1374,  1422,  1386,  1399,     0,  1389,  1196,  1195,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   538,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1207,
    1945,  1960,  1961,  1962,  1963,  1964,  1965,  1966,  1967,   334,
    1968,  1969,  1970,  1971,  1972,  1973,  1974,  1975,  1976,  1977,
    2219,  2220,  2221,  2222,  1978,  1979,  1980,  1981,  1982,  1983,
    1984,  2223,  2224,  1985,  1986,  1987,  1988,  1989,  2225,  1990,
    1991,  1992,  1993,  1994,  1995,  1996,  1997,  1998,  1999,  2000,
    2001,  2002,  2003,  2004,  2005,  2006,  2007,  2008,  2009,  2226,
    2227,  2010,  2011,  2012,  2013,  2014,  2015,  2016,  2017,  2018,
    2019,  2020,  2021,  2022,  2023,  2024,  2025,  2026,  2027,  2028,
    2029,  2030,  2031,  2032,  2033,  2034,  2228,  2035,  2036,  2037,
    2229,  2038,  2039,  2040,  2230,  2041,  2042,  2043,  2044,  2045,
    2046,  2047,  2231,  2048,  2049,  2050,  2051,  2052,  2053,  2054,
    2055,  2056,  2057,  2058,  2059,  2060,  2061,  2062,  2063,  2232,
    2064,  2065,  2066,  2067,  2233,  2234,  2235,  2068,  2069,  2070,
    2071,  2072,  2073,  2074,  2075,  2076,  2077,  2236,  2078,  2079,
    2080,  2081,  2082,  2083,  2084,  2085,  2086,  2087,  2088,  2089,
    2090,  2091,  2092,  2093,  2094,  2237,  2238,  2095,  2096,  2239,
    2097,  2098,  2099,  2240,  2100,  2241,  2101,  2102,  2103,  2104,
    2105,  2106,  2107,  2108,  2242,  2109,  2243,  2110,  2111,  2112,
    2113,  2114,  2115,  2116,  2117,  2244,  2118,  2245,  2121,  2119,
    2120,  2122,  2123,  2124,  2125,  2126,  2127,  2128,  2129,  2246,
    2130,  2131,  2132,  2133,  2134,  2135,  2136,  2137,  2138,  2139,
    2140,  2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,  2247,
    2149,  2150,  2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,
    2159,  2160,  2161,  2162,  2248,  2163,  2164,  2165,  2249,  2166,
    2167,  2168,  2169,  2170,  2171,  2172,  2173,  2174,  2175,  2176,
    2250,  2177,  2178,  2179,  2180,  2181,  2182,  2183,  2184,  2251,
    2252,  2185,  2253,  2186,  2254,  2187,  2188,  2189,  2190,  2191,
    2192,  2193,  2194,  2195,  2196,  2197,  2198,  2199,  2200,  2201,
    2202,  2203,  2255,  2256,  2204,  2205,  2206,  2207,  2208,  2209,
    2210,  2211,  2212,  2213,  2214,  2215,  2257,  2258,  2259,  2260,
    2261,  2262,  2263,  2264,  2265,  2216,  2217,  2218,   333,  1365,
    1916,  1946,  1947,  1285,  1266,   539,     0,  1184,   362,     0,
       0,     0,     0,     0,     0,     0,     0,   728,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   167,     0,
       0,   386,   385,     0,     0,     0,   923,   391,     0,     0,
       0,     0,     0,   527,  1327,  2119,  1325,  1366,   243,   246,
     247,   244,   245,  1938,     0,  1030,  1031,  1033,     0,     0,
    1043,   763,   764,     0,   762,     0,   766,     0,     0,     0,
     758,     0,     0,     0,     0,     0,   765,   755,     0,   754,
       0,     0,     0,   761,     0,   756,     0,     0,  1185,  1324,
     392,  1400,     0,  1302,  1303,  1304,  1286,  1293,  1305,  1298,
    1300,  1299,  1301,  1297,  1937,  1961,   862,   862,   862,   862,
     859,   860,   862,   862,   862,  2136,     0,     0,   841,     0,
     843,  1942,   862,   867,   447,   447,   447,     0,   866,   871,
     447,  1178,  1216,  1921,  1412,     0,   842,  1177,  2185,  1316,
       0,     0,     0,  1047,     0,  1048,     0,  2151,  1189,   227,
    2161,  2251,  2185,   223,   197,  1965,     0,     0,   866,     0,
    1186,  1187,   825,  1419,  1417,  1903,  1983,  1996,  2081,   220,
    2147,  2152,  2161,  2251,  2185,  2215,   176,   186,   181,     0,
     236,  2161,  2251,  2185,   232,  1207,     0,  1390,  1505,  1912,
       0,  1180,  1179,  1287,     0,  1290,     0,  1467,  2132,  1394,
    1396,  1292,  1387,     0,     0,     1,  1400,  1281,  1416,  1416,
       0,  1416,     0,  1379,  1387,  1382,  1386,     0,     0,     0,
       0,  1945,  2266,  2267,  2268,  2269,  2270,  2271,  2272,  2273,
    2274,  2275,  2276,  2277,  2278,  2279,  2280,  2281,  2282,  2283,
    2284,  2285,  2286,  2287,     0,     0,  1922,  1946,  1950,     0,
     773,     0,   124,  1917,   911,     0,     0,     0,     0,  1916,
       0,     0,     0,     0,  1951,     0,  1939,  1952,  1953,  1954,
    2053,     0,     0,     0,  1815,  1987,  2038,  1825,  1823,  1824,
    1817,  1818,  1819,  1820,  1821,  1822,     0,  1028,  1816,     0,
     146,   124,     0,     0,  2053,     0,     0,     0,  2053,     0,
       0,     0,     0,     0,  2084,   124,  2053,     0,     0,  1201,
       0,     0,     0,  1203,  1206,  1182,  1269,     0,  1912,     0,
       0,   804,   794,     0,   805,   795,   800,     0,   807,     0,
       0,   797,     0,     0,     0,   808,     0,   796,   798,   810,
     799,   806,     0,     0,   801,   802,     0,     0,  1193,   447,
     340,     0,     0,     0,     0,     0,   124,  1256,     0,  2053,
     124,     0,     0,   390,   389,   124,   388,   387,  1987,  2038,
       0,   950,   124,  2053,     0,   169,   609,   542,     0,     0,
     687,  2084,   124,     0,     0,     0,     0,     0,     0,   926,
       0,     0,   526,   539,  1328,  1326,     0,  1034,   222,   221,
    1032,  2053,     0,   308,     0,     0,  2053,  1244,   760,     0,
     759,  2053,     0,  2053,  1940,   160,     0,   757,  1987,  2038,
    2053,     0,     0,  2053,   152,  2053,     0,  2053,   308,  2053,
     543,     0,  2053,     0,  2053,  2084,   154,     0,  2053,   308,
     771,     0,  1321,     0,  1295,  2255,  1310,     0,  1306,  1313,
    1309,  1400,   862,   861,     0,   862,     0,   862,     0,   862,
       0,   862,     0,     0,     0,   862,  1943,  1944,   844,     0,
     868,     0,     0,   875,   874,   873,     0,     0,     0,   876,
    1509,  1343,     0,  1175,  1192,     0,     0,     0,   926,  1050,
    1050,  1050,  1188,   226,   224,     0,     0,     0,     0,     0,
       0,  1194,     0,     0,     0,     0,  1925,  1927,  1928,  1826,
    1893,     0,  2220,  2221,  2222,  1884,     0,  2223,  2224,  2225,
    2268,  1734,  1721,  1730,  1735,  1722,  1724,  1731,  2226,  2227,
    2022,  2228,  2229,  1935,  2230,  2231,  2233,  2234,  2235,  2236,
    1726,  1728,  2237,  2238,     0,  1936,  2240,  2241,  2105,  2243,
    2244,  2246,  2247,  1732,  2249,  2250,  2251,  2252,  2253,  2254,
    1934,     0,  1733,  2256,  2258,  2259,  2260,  2261,  2262,  2263,
    2264,  2265,     0,     0,  1909,     0,  1703,     0,  1549,  1550,
    1572,  1573,  1551,  1578,  1579,  1591,  1552,     0,  1908,  1616,
    1783,  1702,  1717,  1708,     0,  1701,  1697,  1402,  1902,  1904,
       0,  1698,  1924,  1926,  1885,   189,   238,     0,   239,  1910,
    2161,   177,   219,   191,   218,   192,   190,     0,  1985,   178,
       0,     0,   179,     0,     0,     0,     0,   235,   233,     0,
    1183,     0,  1507,  1506,     0,     0,  1891,  1913,   780,  1279,
    1280,  1278,     0,  1275,  1277,  1289,  1286,  1898,  1897,  1899,
       0,  1395,     0,     0,     0,  1377,  1376,     3,  1292,  1414,
    1415,     0,     0,     0,     0,     0,     0,     0,     0,  1457,
    1430,  1431,  1433,  1454,  1458,  1466,     0,  1383,     0,     0,
    1511,     0,  1468,     0,     0,  1923,     0,     0,     0,     0,
     774,     0,     0,     0,     0,     0,     0,   123,  1242,   229,
    1240,     0,     0,     0,     0,     0,     0,     0,  1248,     0,
       0,   158,   159,   554,   539,     0,  2053,     0,     0,     0,
       0,   990,   997,     0,     0,     0,     0,     0,     0,     0,
     991,   989,   992,   231,  1001,  1014,  1017,     0,   901,     0,
       0,     0,     0,  1107,     0,     0,  1107,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   250,
     258,   303,   519,     0,     0,   521,  2053,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   128,     0,     0,     0,
       0,     0,     0,   506,   518,     0,     0,     0,     0,     0,
     515,     0,   124,   252,   499,   503,     0,     0,     0,   618,
     617,  1246,     0,     0,  1107,     0,   248,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   326,   327,     0,     0,     0,   128,   151,
       0,     0,     0,   254,     0,     0,  1202,  1199,  1200,     0,
    1205,     0,  1265,     0,     0,     0,     0,   812,     0,   809,
       0,     0,   803,  1987,  2038,     0,     0,     0,     0,     0,
       0,   365,   339,     0,     0,   684,     0,     0,  1948,  1560,
    1589,  1567,  1589,  1589,  1556,  1556,  1569,  1557,  1558,  1596,
       0,  1589,  1556,  1561,     0,  1559,  1599,  1599,  1584,     0,
    1541,  1542,  1543,  1544,  1570,  1571,  1545,  1576,  1577,  1546,
    1613,  1556,  1949,     0,     0,   695,     0,  1219,  1255,     0,
       0,     0,   548,     0,  2053,     0,   126,   729,     0,   685,
     391,     0,   126,     0,     0,   163,     0,   613,     0,     0,
       0,     0,     0,     0,   633,   632,     0,     0,     0,   686,
       0,   126,     0,   502,  2053,     0,   447,   447,     0,     0,
     925,   928,     0,     0,     0,  1369,  1371,  1370,     0,  1368,
       0,   308,   306,   307,   682,  1042,     0,     0,     0,     0,
     308,     0,     0,  2053,   308,  2053,     0,  2053,     0,     0,
     308,   308,     0,     0,     0,     0,   614,     0,   770,   768,
     767,   769,     0,     0,     0,     0,     0,  2053,   308,     0,
       0,   751,  1836,     0,     0,  1400,     0,   208,   209,   207,
    1311,   210,  1312,  1308,  1294,     0,   852,     0,   856,     0,
     847,     0,   853,     0,   848,   845,   846,     0,   851,     0,
       0,   448,   450,     0,     0,  2007,  2021,     0,  2044,  2072,
    2073,  2152,  2157,     0,  2180,  2189,     0,   877,   906,   872,
       0,     0,  1353,  1176,  1842,     0,  1400,     0,     0,  1049,
    1046,  1045,  1044,   225,   198,     0,     0,     0,   908,  2151,
    1191,   824,   539,     0,  1699,     0,  1706,  1707,  1588,  1575,
    1883,     0,     0,  1583,  1582,     0,     0,     0,     0,     0,
    1565,  1564,  1563,  1705,  1850,     0,  1562,     0,     0,     0,
       0,  1589,  1589,  1587,  1636,     0,  1566,     0,     0,  1863,
       0,  1869,     0,     0,     0,  1595,     0,  1593,     0,     0,
    1672,     0,     0,     0,     0,     0,     0,     0,     0,  1620,
    1621,  1703,  1836,     0,  1704,  1931,     0,     0,  1581,     0,
    1613,  1907,  1826,     0,     0,     0,     0,  1896,     0,  1834,
       0,     0,  1650,  1832,     0,  1652,     0,     0,     0,  1825,
    1823,  1824,  1817,  1818,  1819,  1820,  1821,  1822,  1830,  1633,
       0,     0,  1785,     0,  1632,     0,  1470,     0,     0,  1929,
    1886,   240,   241,   237,     0,     0,   194,   193,     0,   212,
     216,   217,   188,   215,     0,   211,   196,  1774,  1773,   195,
     187,   184,   182,   199,   201,   202,   185,   183,   234,     0,
       0,  1955,  2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,
    2296,  2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,
    2306,  2307,  2308,  2309,  2310,  2311,  2312,  2313,  2314,  2315,
    2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,  2324,  2325,
    2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,  2334,  2335,
    2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,  2344,  2345,
    2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,
    2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,  2364,  1888,
    1887,  1919,  1956,  1957,  1958,  1959,  1892,     0,     0,   308,
    1273,     0,  1270,  1901,     0,  1397,     0,  1914,     0,  1282,
    1393,  1392,  1423,  1424,   943,  1391,  1448,  1449,  1444,     0,
       0,     0,  1463,  1461,  1440,  1434,  1439,  1437,     0,  1441,
    1616,  1456,  1381,  1428,  1429,  1432,  1380,     0,  1459,     0,
    1353,  1457,  1433,  1340,     0,     0,  1512,     0,   965,   967,
       0,   966,     0,   969,     0,   978,     0,     0,   964,   983,
       0,   972,   970,     0,     0,     0,     0,     0,     0,   775,
       0,     0,     0,     0,     0,     0,  2180,   228,  1238,     0,
       0,     0,     0,   910,   909,     0,     0,   930,     0,     0,
       0,  1251,   436,     0,   305,     0,     0,     0,     0,     0,
       0,     0,     0,   680,   677,     0,     0,   676,     0,   552,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   588,     0,
    1107,     0,   621,     0,   999,     0,   998,     0,     0,     0,
    1000,   995,   996,  2152,  2161,  2185,   230,  1016,     0,  1015,
    1013,   953,     0,   954,     0,     0,     0,     0,  2031,   260,
     273,     0,  1106,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   294,     0,   297,   296,     0,     0,
       0,     0,     0,   301,     0,     0,     0,   300,     0,     0,
     520,     0,     0,  1107,     0,   256,     0,     0,     0,     0,
       0,     0,  1029,     0,   149,     0,   145,   148,     0,     0,
       0,     0,   505,   517,     0,   509,   510,   507,   511,   512,
       0,     0,     0,     0,     0,     0,   504,     0,     0,   611,
     610,   616,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1060,  1059,     0,     0,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,   624,
     625,     0,   626,     0,   150,     0,     0,     0,     0,     0,
       0,     0,   206,  1198,  1204,  1268,  1920,  1267,     0,     0,
       0,   811,     0,     0,     0,     0,     0,     0,     0,   813,
     814,   815,   816,     0,     0,     0,     0,     0,   342,   343,
     124,   341,  1948,     0,   708,   683,     0,  1541,     0,  1537,
    1533,  1602,  1603,  1604,  1601,  1614,  1600,     0,  1547,  1605,
    1556,  1553,   696,     0,   698,   701,     0,  1217,   409,     0,
       0,   545,   588,     0,   394,   156,     0,     0,     0,     0,
     122,   167,   169,   392,     0,   168,   170,   172,   173,   174,
     171,   175,   608,   612,     0,   541,     0,     0,     0,     0,
       0,   634,   638,   637,   641,   639,     0,   635,     0,     0,
    1529,     0,   144,     0,   498,   501,     0,     0,     0,   394,
     478,   319,     0,   447,     0,     0,   927,     0,     0,     0,
       0,     0,     0,     0,  1367,     0,  1020,     0,  1245,  2053,
     308,     0,  1018,   161,  1941,     0,   752,     0,     0,     0,
       0,     0,  1022,   748,   153,     0,   308,   308,   544,     0,
     308,   155,     0,     0,     0,   536,   308,   772,  1323,     0,
     447,  1296,  1307,   849,   858,   857,   855,   854,   850,     0,
     869,     0,   446,     0,     0,     0,   883,   884,     0,     0,
     882,   899,   885,     0,   887,   879,   878,   888,   889,     0,
       0,   908,     0,  1350,     0,  1348,     0,  1510,  1352,  1341,
    1315,     0,  1314,  1318,  1320,  1319,  1317,     0,   492,     0,
       0,   866,     0,     0,   308,  1190,     0,   826,   827,   833,
       0,     0,     0,     0,     0,   834,   830,   831,   832,   835,
     836,   837,     0,     0,     0,  1894,  1846,     0,  1847,     0,
       0,     0,  1882,  1878,     0,     0,     0,     0,     0,     0,
    1851,  1854,  1855,  1856,  1853,  1857,  1852,     0,     0,  1858,
       0,     0,     0,     0,     0,  1586,  1585,     0,     0,     0,
       0,     0,     0,     0,  1675,  1708,     0,     0,  1810,     0,
    1836,  1868,     0,     0,  1597,     0,     0,     0,     0,     0,
       0,     0,  1836,  1874,     0,     0,     0,     0,  1772,     0,
    1769,     0,     0,     0,     0,  1893,     0,     0,     0,     0,
    1932,  1617,  1634,  1906,     0,  1895,     0,     0,  1618,  1641,
       0,  1875,  1668,     0,  1673,  1656,     0,  1649,     0,  1654,
    1658,  1637,  1896,  1835,     0,  1833,     0,     0,  1635,     0,
    1630,  1628,  1629,  1622,  1623,  1624,  1625,  1626,  1627,  1631,
    1814,  1812,  1813,     0,     0,     0,  1793,     0,     0,  1653,
    2046,  2081,     0,  1413,  1413,  1413,  1401,  1411,     0,  1524,
    1905,     0,     0,     0,     0,  1709,     0,  1840,  1422,  1838,
    1922,  1911,     0,     0,  1613,     0,  1508,  1889,     0,   778,
     779,   777,  1292,  1276,  1272,  1271,  1900,  1291,     0,  1400,
       0,   941,   942,     0,   946,     0,     0,  1442,  1464,     0,
    1455,     0,  1446,  1447,  1438,  1465,  1460,  1385,  1384,     0,
    1527,     0,     0,  1337,  1330,  1513,     0,  1470,  1355,  1357,
    1358,     0,  1893,   968,     0,  1556,   979,     0,   963,     0,
     962,  1556,     0,   980,     0,  1556,     0,     0,     0,  1135,
    1062,  1111,   776,  1136,  1063,  1112,  1137,  1064,  1239,     0,
    1241,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   659,  2053,   308,  1249,  1138,
       0,  1065,   304,  1250,  1113,  1254,   679,   678,     0,     0,
    1114,     0,   553,     0,     0,   558,   559,   560,     0,     0,
       0,   561,     0,  1987,  2038,     0,   566,   573,   578,   568,
       0,   579,   574,     0,     0,     0,     0,     0,     0,   585,
     592,     0,     0,     0,     0,     0,     0,   993,   994,  1139,
    1068,     0,  1115,   952,     0,  1069,   157,     0,   251,   261,
     594,   659,  1109,   280,   293,   288,   289,   287,  2053,   308,
    2053,   308,     0,     0,     0,     0,   290,   285,   286,   282,
     295,  1964,  2023,  2162,     0,   598,   600,     0,   605,   298,
    1083,   315,   314,   313,     0,   302,     0,   320,   323,   299,
     278,   281,   279,   275,   259,     0,     0,     0,     0,     0,
       0,  1918,     0,     0,  1024,     0,     0,     0,   147,  1097,
     137,     0,     0,   133,     0,     0,     0,     0,   127,     0,
    1145,  1073,     0,     0,   253,   500,   508,   513,  1077,   516,
    1125,   514,  1151,  1074,  1107,     0,   249,     0,  1075,     0,
    1119,     0,     0,     0,     0,     0,     0,     0,  1147,  1099,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,   308,     0,     0,     0,  1109,
    2053,   308,  1146,     0,  1104,  1133,     0,   328,     0,  1098,
       0,     0,   255,  1079,  1127,     0,     0,   204,   203,   205,
       0,     0,     0,     0,     0,     0,     0,     0,   818,   787,
     817,     0,     0,     0,   781,   364,   337,   338,   340,   347,
       0,   707,     0,     0,  1538,  1534,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1554,   697,     0,     0,     0,
       0,  1237,  1237,  1237,  1237,  1237,  1237,  1237,  1218,  1247,
       0,   124,     0,     0,     0,   547,   587,   594,     0,     0,
       0,   393,   397,   401,   402,   403,     0,     0,     0,     0,
     138,   125,     0,   737,     0,   447,     0,   169,   162,     0,
       0,     0,   319,   694,   692,   691,   693,     0,     0,     0,
     712,   690,     0,  1528,  1530,     0,     0,     0,     0,   492,
     396,     0,   450,     0,     0,   482,     0,     0,     0,   319,
       0,     0,   957,     0,   975,   958,     0,     0,     0,  1004,
    1009,  1005,   985,     0,   524,  1372,  1373,     0,   308,     0,
       0,   589,   308,   308,     0,   308,     0,   308,   308,     0,
    1173,   615,     0,   667,     0,     0,   308,   750,  1837,   870,
     449,     0,     0,     0,     0,   881,     0,   522,   886,     0,
     898,   893,   895,     0,   902,  1351,  1344,  1346,  1345,     0,
       0,  1342,  1843,   749,     0,   497,     0,     0,   308,     0,
     903,     0,   828,   829,     0,     0,   838,     0,     0,  1418,
    1844,  1845,     0,     0,     0,     0,  1879,     0,     0,  1747,
       0,  1723,  1725,  1555,  1737,     0,  1568,  1748,  1749,  1727,
    1729,     0,  1827,     0,     0,  1738,  1677,  1678,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1690,  1689,  1739,  1809,     0,     0,  1866,  1867,  1740,
    1598,  1599,  1599,     0,     0,  1873,     0,     0,     0,  1745,
    1750,     0,     0,     0,     0,  1756,     0,  1777,     0,     0,
       0,  1700,  1837,  1590,  1591,     0,     0,     0,     0,     0,
       0,     0,     0,  1674,  1657,  1651,     0,  1655,  1659,     0,
       0,     0,     0,  1643,  1669,  1639,     0,     0,  1645,     0,
    1670,     0,     0,     0,  1716,  1413,  1413,  1413,  1413,  1410,
       0,     0,     0,     0,  2149,     0,  1491,  1469,  1471,  1478,
    1491,  1496,  1718,  1522,  1719,     0,  1912,     0,  1451,  1422,
    1422,  1422,  1715,     0,     0,     0,  1421,   180,     0,   213,
     200,     0,  1274,  1915,     0,  1425,     0,  1828,   946,   944,
     945,  1427,     0,     0,  1462,  1435,  1339,     0,  1337,  1332,
       0,  1333,  1893,     0,  1329,  1362,     0,     0,  1527,     0,
    1361,     0,  1556,   960,   961,     0,   984,     0,  1134,  1061,
    1110,  1237,   913,   914,     0,   912,     0,     0,     0,   435,
     929,     0,     0,     0,   659,     0,     0,   439,     0,  1252,
       0,  1152,  1096,   555,   556,     0,   567,     0,   576,   575,
       0,     0,   563,     0,     0,     0,     0,   562,   581,   528,
     582,   584,     0,     0,   583,   586,   591,  1107,     0,   622,
    1085,     0,  1131,   987,     0,   955,     0,     0,   409,   274,
       0,     0,     0,   262,   272,     0,     0,   277,     0,   270,
     291,   283,   292,   284,   602,   603,   601,   597,     0,   604,
     606,     0,   317,     0,     0,     0,  1141,  1107,     0,   257,
    1081,     0,  1129,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1142,  1116,     0,     0,   130,   129,
       0,   136,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1353,     0,  1353,     0,     0,     0,  1353,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   329,   310,     0,   715,     0,     0,     0,
     331,     0,     0,     0,     0,  1140,  1070,   782,     0,     0,
     783,   791,     0,     0,   784,     0,     0,   793,     0,     0,
     336,   344,  2105,  1817,  1818,   705,   710,   702,   704,   706,
     703,     0,   709,   659,     0,     0,     0,  1539,     0,  1607,
    1608,  1609,  1610,  1611,  1612,     0,  1606,  1613,   699,   700,
       0,  1237,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,     0,   415,     0,     0,
    1009,   408,   411,   412,     0,     0,   548,   551,   549,   550,
     580,     0,   428,     0,     0,   140,     0,     0,   141,   139,
       0,     0,   319,     0,   165,   392,     0,     0,   540,   640,
     643,   636,     0,   711,   713,   688,     0,   594,     0,     0,
    1324,   488,     0,   478,   474,   476,   475,   477,     0,   484,
     318,     0,   492,   484,     0,   930,   956,     0,     0,     0,
    1002,  1006,  1003,     0,     0,   971,     0,   986,   949,  1168,
    1169,  1166,  1167,     0,     0,  1364,  1021,     0,   308,  1019,
     753,     0,   744,     0,   746,  1023,   308,   308,   627,     0,
     537,     0,     0,     0,   880,   900,     0,   896,     0,     0,
     863,   905,  1349,  1347,   490,     0,   908,     0,   864,   907,
       0,     0,     0,     0,     0,  1848,  1574,     0,  1881,  1877,
       0,  1720,  1849,     0,  1861,  1860,  1676,  1862,     0,  1695,
       0,     0,  1687,  1685,  1686,  1679,  1680,  1681,  1682,  1683,
    1684,  1688,  1871,  1870,  1864,  1865,  1594,  1592,     0,  1742,
    1743,  1744,  1872,  1751,     0,  1978,  1778,  1755,  1771,  1770,
       0,     0,     0,  1758,     0,     0,  1767,     0,  1811,  1580,
    1613,  1619,     0,     0,  1642,  1876,  1660,     0,     0,     0,
    1638,     0,     0,     0,     0,  1647,  1827,     0,     0,     0,
       0,  1796,  1791,  1792,     0,     0,     0,     0,  1404,  1403,
    1409,  1491,  1496,     0,  1387,     0,  1478,     0,  1490,  1476,
    1489,     0,     0,  1502,  1500,     0,  1502,     0,  1502,     0,
    1473,     0,  1492,  1474,  1489,  1521,  1514,     0,  1913,  1523,
       0,  1453,     0,     0,     0,     0,  1841,     0,  1839,  1710,
       0,  1890,  1398,     0,  1426,  1443,  1436,  2003,  1525,  1338,
       0,     0,  1335,  1336,     0,     0,  1356,  1337,  1359,   981,
       0,     0,   973,     0,   919,   920,   918,   921,     0,     0,
       0,   659,     0,     0,   455,     0,   937,   937,     0,     0,
     441,   487,  1009,   662,     0,     0,     0,   660,   308,  1066,
       0,   577,     0,     0,   572,   570,   569,   571,   529,  1150,
    1067,     0,     0,     0,     0,   988,  1084,     0,   406,     0,
     267,  1108,     0,     0,     0,   266,     0,   308,   308,   599,
     316,   321,   322,   325,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   738,   721,     0,     0,   739,   740,
       0,     0,     0,  1026,  1027,  1025,   134,   131,   132,   135,
    1094,  1078,  1126,  1076,     0,  1120,  1091,  1087,     0,  1051,
       0,  1053,     0,  1353,     0,  1052,     0,     0,     0,     0,
       0,  1149,  1103,  1124,  1148,  1101,  1122,  1100,  1121,  1102,
    1123,  1095,     0,  1532,   718,     0,     0,     0,   308,   308,
     629,  1080,  1128,     0,   785,     0,     0,   786,   788,   367,
       0,   370,   377,   348,   353,  1256,     0,  1256,     0,   350,
     354,  1256,   349,  1256,   346,   681,     0,     0,     0,  1535,
    1540,  1615,  1548,   658,     0,  1228,  1227,  1226,  1230,  1229,
    1232,  1231,  1223,  1222,  1235,  1234,  1221,  1220,  1225,  1224,
       0,   413,     0,   419,   423,   424,   422,   414,  1009,   447,
     486,     0,     0,   671,     0,   546,   394,   425,     0,   398,
     143,   142,     0,     0,     0,   169,     0,     0,   645,   649,
     689,     0,  1531,   623,   319,     0,   394,   492,     0,   399,
     404,   405,     0,   482,     0,   478,     0,     0,   489,  1215,
     493,   494,     0,     0,   959,   976,   977,     0,     0,  1009,
    1008,     0,   531,   308,   590,   308,   308,  1174,   668,     0,
     892,   891,   890,   523,     0,   894,   491,   308,     0,     0,
       0,     0,     0,   840,   819,   839,  1880,  1736,  1746,  1859,
       0,     0,  1696,     0,     0,  1741,  2257,     0,     0,     0,
       0,  1775,  1776,  1757,     0,  2096,  1762,     0,     0,     0,
    1933,  1666,  1664,  1661,     0,  1662,     0,     0,  1644,  1640,
       0,  1646,  1671,  1782,     0,  1798,  1795,  1408,  1407,  1406,
    1405,  1477,  1475,     0,  1480,  1487,     0,  1472,     0,  1501,
    1497,     0,  1498,     0,     0,  1499,     0,     0,  1487,     0,
    1422,     0,     0,  1787,  1713,  1714,  1711,  1422,  1930,  1613,
       0,     0,  1331,  1334,     0,  1363,  1354,   974,   982,  1243,
       0,     0,     0,   437,     0,  1009,     0,     0,     0,   940,
     940,     0,  1009,   486,   664,   663,   666,   661,   665,  1253,
       0,   564,   565,  1086,     0,  1132,  1092,     0,   595,   263,
     264,   265,   268,   310,   276,   269,     0,  1082,     0,  1130,
    1089,  1143,  1071,  1117,     0,     0,   727,     0,     0,     0,
       0,  1144,  1072,  1118,     0,     0,     0,     0,  1054,     0,
       0,     0,     0,  1262,     0,   309,   717,   716,   310,   330,
    1105,     0,   789,   790,   368,   124,     0,   345,     0,   375,
       0,   373,   372,   374,     0,   361,     0,     0,     0,     0,
       0,     0,  1536,     0,  1040,  1040,     0,   659,  1233,     0,
       0,   410,   486,   454,     0,   416,     0,     0,     0,     0,
       0,     0,     0,   594,     0,     0,     0,   164,   394,   594,
     644,     0,     0,     0,   714,     0,   396,     0,  1322,   395,
       0,     0,   484,     0,   482,     0,   479,     0,   483,     0,
    1208,     0,     0,  1007,     0,  1011,     0,   970,   947,  1524,
       0,   535,  1041,   745,   747,   628,   897,   904,   308,   820,
     821,   822,   823,  1691,     0,     0,     0,     0,  1752,     0,
    1753,  1780,  1779,  1759,  1763,     0,  1760,  1761,  1663,  1667,
    1665,  1648,  1784,     0,  1422,  1517,     0,  1520,  1479,     0,
       0,  1481,     0,     0,  1483,  1485,     0,     0,     0,     0,
       0,  1916,     0,  1450,  1452,     0,  1388,     0,   214,  1829,
    1526,  1360,   898,     0,   308,   937,   486,   456,  2105,   457,
     936,     0,   938,   943,   943,     0,   486,   659,   557,     0,
     593,     0,   312,   324,     0,     0,     0,   734,   722,     0,
       0,   741,  1088,  1353,  1353,     0,  1353,     0,     0,     0,
       0,     0,   308,   792,   347,     0,   371,   380,     0,   378,
     351,   356,     0,   360,   358,   357,   352,   355,  1040,     0,
    1037,  1036,   657,     0,   445,   417,     0,   465,     0,     0,
     672,     0,     0,     0,   434,   433,   430,   429,   431,   432,
     427,   426,   619,   731,   319,  1215,   607,   646,   647,   642,
       0,     0,     0,   478,   474,   400,   409,   383,     0,   484,
     480,   481,     0,     0,     0,  1264,     0,   931,  1010,     0,
       0,     0,   530,     0,     0,   534,   525,   865,  1692,     0,
    1693,     0,     0,     0,  1765,  1764,     0,  1801,  1522,     0,
       0,  1516,     0,  1488,  1504,     0,  1484,  1482,  1493,     0,
    1495,  1710,  1786,  1788,     0,  1712,   915,     0,   916,   940,
     460,     0,   939,   946,   946,   447,   659,   438,  1093,   596,
       0,   271,  1090,     0,   725,     0,   736,   734,     0,     0,
    1055,  1057,  1353,  1056,  1258,     0,  1259,  1260,  1263,   332,
     335,   366,   376,     0,   359,  1035,  1039,  1038,     0,     0,
     418,   451,   452,   453,     0,   420,   461,   462,     0,   669,
       0,   674,     0,     0,     0,     0,     0,  1209,     0,     0,
    1215,   482,   478,   407,   473,   381,     0,  1212,     0,   319,
       0,  1009,  1012,  1172,   533,   532,  1694,  1768,  1754,  1781,
    1766,  1797,     0,     0,     0,  1515,  1518,     0,  1486,     0,
    1494,     0,     0,     0,   943,     0,   659,     0,   934,   933,
     454,   440,   311,     0,     0,   732,   735,   723,   736,   743,
     742,  1058,     0,   379,     0,   444,     0,     0,     0,   463,
       0,   464,   485,     0,   673,     0,   594,   730,     0,     0,
     648,     0,  1210,   484,   482,  1213,  1214,   484,   932,   948,
    1171,  1170,  1400,  2219,  2003,  2191,     0,  1799,  1802,  1800,
    1794,     0,  1503,  1789,  1790,   308,   946,     0,   442,   458,
     465,     0,     0,   724,  1261,   649,   470,     0,   469,     0,
     467,   466,   670,   675,   620,   720,  1215,   652,   384,   484,
    1524,  1154,  1400,  1153,  1155,  1163,  1160,  1162,  1161,  1159,
       0,  1806,  1805,  1804,  1808,  1807,  1519,   917,   935,     0,
     659,   726,   733,     0,   468,   472,   471,  1211,   654,     0,
     650,   653,   655,   656,   382,   922,     0,  1164,  1158,  1387,
    1374,     0,   459,   443,     0,   630,     0,  1156,  1400,  1803,
       0,   651,  1157,     0,   652,     0,   631
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4013, -4013, -4013,  2962, -4013,  -768,   258,  2341,  -704, -4013,
   -4013, -4013,  2892, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
    2910, -4013, -4013,  1530, -2078, -4013, -4013,   135,  2894, -1098,
     116,  2551,  1217, -4013,  -945, -4013, -4013,  -512,   120,  -635,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,  -714,  1685,
    1066,  -564, -3651, -4013, -4013, -1183, -2738, -4013,   477, -4013,
   -4013,  1628, -4013, -4013, -4013,   919,   394,  -516, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013,  -339, -4013, -4013,  -653,   137,
      46, -2075,  -384, -4013, -4013,   339,  -386, -1097, -4013, -3075,
   -4013,   -87, -4013, -4013, -4013,  -366, -1184,  1159, -4013,  -613,
    -970,  1457,  -707, -4013,  -250, -4013,  -762,  -647,  -645,  -715,
    -541, -3250, -3679, -3259, -2762,  1172,   157, -4013, -2726,   158,
   -4013, -4013,   160,   161, -4013, -4013, -1296, -1216, -4013,  -739,
   -4013, -4013, -4013, -2534, -4013, -4013, -4013, -4013,    63, -4013,
   -4013, -4013, -4013,   371, -4013, -4013, -4013, -4013, -4013, -4013,
   -2343,  1586,  1587, -4013, -4013, -2725, -4013,  -771, -4013,   523,
   -2561,  1088, -4013, -4013, -4013,  2295, -4013, -4013, -4013, -4013,
   -4013, -4013, -1365, -4013, -4013,   162, -4013,  1598,   884, -4013,
   -4013, -4013,  -748,  -816,  -806, -4013, -2545, -4013, -4013, -4013,
   -4013,  -328, -4013, -4013, -4013, -4013, -4013, -4013,  -830, -4013,
     947, -2697, -4013, -4013,   963, -4013, -4013, -4013, -4013, -4013,
    -701,  -259,  2324, -4013,  -587,  -676, -4013, -4013, -4013,  -254,
   -4013, -4013, -4013, -4013, -4013, -4013,  -911,    95, -1346, -4013,
   -4013, -4013, -4013, -2026, -4013, -4013, -4013, -1669, -4013,  3747,
    2141,   486,   163, -4013,   -26,    60,  2785,  -951, -2219,   315,
    -407, -4013, -1514, -4013, -4013, -4013, -2172, -4013, -4013, -4013,
   -4013, -3019,   169, -4013,  2791, -4013,   361, -4013, -3865, -3469,
   -3735, -3884, -3008, -4013, -4013,  -915, -4013, -4013, -4013, -1192,
    1901, -1656, -4013, -1789,   365,  1247,  -807, -2358, -3282,  -590,
   -2794, -4013, -3208,  -505, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013,  -907,  -536, -4013, -4013,  3221, -4013, -3773, -4013, -4013,
   -4013, -4013,  1204, -4013, -4013, -1185,  1037, -4013, -4013, -4013,
   -4013, -4013,  -685,  -770, -4013, -4013, -4013,   170, -4013, -4013,
   -4013, -4013,  2154,  -782,  -623,  3096,   171, -4012, -4013, -4013,
   -4013, -4013, -2628, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -1651, -4013, -4013, -4013, -4013, -4013, -4013, -4013,  1979,
    1982,    56,   -23, -4013, -4013, -1075, -4013,  -481, -4013,  2277,
   -4013, -4013, -4013, -4013,  1320,   172,   415, -4013,     3, -4013,
   -4013,   200, -2924,     4, -4013, -4013, -4013, -4013, -1813,     5,
   -4013,   686, -4013, -4013, -2400, -4013,   176,    22, -4013, -4013,
       1,     0,   -41,   -37,   -33,     2,  3098,  2650, -4013, -4013,
   -4013,   -17,  1726, -4013,  -723,  -143, -4013,  1330,  -529,  1962,
    2637,  2636, -4013,  1328, -4013, -4013,  1338, -4013, -4013, -4013,
    -526,  1974, -4013,  2651, -4013, -4013, -4013,  1313,  1329, -2957,
     765, -2943, -2901,   284,   265, -1022,  -326,    49,  3133,  2652,
     776,  -458, -4013, -4013,  -456, -3905,   726, -4013, -3739, -1963,
    -812,  1728, -1341, -4013, -4013,  -982, 11054, -4013, -4013, -4013,
   12840, 13664, -4013, -4013, 13837, 13971, -4013,  -842,   822, 14211,
    2502, -1005, -1614,  -580, 11181,  -547, -1006, -2332, -4013, -3032,
   -2194, -4013, -4013, -4013,  -279,   833,   154, -4013, -4013, -4013,
   -4013, -4013, -4013,  -560, -4013,  -562, -4013, -4013, -4013,  -551,
   -3181, -1484, -4013,  -170, -4013, 12253,  1371, -4013,  -920, -2329,
   -2336, -2939, -1496, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -2610, -2827,  -154,  1442, -4013, -4013,  1536, -4013, -4013, -4013,
   -1080,  -710, -2249,  1451, -1718, -4013,  -721, -4013,   752,  2179,
    -669,  7976, -1123, 11169,  -439, -1958, -1054, -1288, -4013,  -149,
   -4013,    28,   -10,  -179,  -473,    14,  3416, 12012,  -561, -1140,
    6582,  8872,  9731, -2686
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    49,    50,    51,    52,  1218,  2155,  2026,  2840,  2841,
      53,    54,  1294,    55,    56,    57,    58,    59,    60,    61,
    1234,    62,    63,   894,  1445,  2165,    64,  1897,   697,   698,
     699,  1722,  1723,  2093,  1724,  1712,  1133,  1531,  1253,  1220,
    1254,    66,    67,  1127,  1703,    68,    69,    70,  1279,  1280,
    1228,  1484,  3743,  4341,  2665,  2007,  2877,  2666,  2667,    71,
    1343,  1344,    72,    73,  2788,  1383,  2120,  3310,  3311,  3774,
     529,  2117,  4045,  4046,  3760,  3761,  4052,  4228,  4229,  2166,
    1441,  2871,  3403,  2831,  3838,  2832,  3839,  2833,  3840,  2819,
    3361,  3362,  3363,  2834,  3817,  4260,  2835,  1912,  4370,  2200,
    1553,  1551,  4247,  3633,  3634,  4426,  4375,  4376,  4377,  4500,
    3845,  2875,  3409,  3848,  4075,  2565,   613,  1465,  2945,   614,
    2202,   560,   615,  2167,    79,  2194,  1314,  1315,  2034,  3315,
    2928,    80,   913,  3178,  4121,  4295,  4296,    81,   208,    82,
    1449,    83,    84,  2151,  2825,    85,  1929,  2582,    86,    87,
    2609,  2610,  2611,    88,    89,  3198,  3997,  1281,  2654,  2655,
    2656,  2657,  3219,    90,  1447,  1320,  2174,    91,    92,    93,
      94,    95,  2081,    96,    97,  2168,  1457,  2186,  2187,  3829,
    4091,  4269,  4093,  4539,  4540,  4067,  3157,  3647,    99,   100,
    3812,  3813,  4382,   101,  1927,   102,   103,   104,  1425,  2143,
    2144,  3316,  1385,  2123,  2124,  3392,  3393,   105,  2748,   106,
    3694,  3695,   561,  4385,  4346,  4437,   107,   108,  3698,  3699,
     109,   110,   111,   112,   113,   607,   959,   960,  1210,   114,
    1819,   115,   867,  2779,   116,  1024,  2323,  3884,   117,   638,
     973,   974,  2169,   119,   647,  2301,   649,  1566,  2930,  2931,
    3460,  2270,   782,   120,   121,  2281,  2304,   122,  1221,  1903,
    1904,  3628,  2170,   562,  1471,  2205,  2560,  4286,  3635,  3979,
    4193,  2494,  3111,   124,   563,  1258,  1972,  2208,  2883,  1875,
    1876,  1877,  3424,  1878,  2885,  1879,  1204,  1880,  2890,  2891,
    2892,  3420,  3428,  4115,  4116,   125,  1256,  1970,   126,   127,
     128,  1291,   806,   129,   575,   576,   130,  4240,   131,   925,
     132,   666,  1580,   133,   134,  1984,  3205,   135,   136,   137,
    4513,  4546,  4547,  4548,  3433,  4472,   138,  4515,  1003,   140,
     141,   142,   178,   833,   834,   835,  2171,  4110,   144,   145,
    2147,  2818,  3343,   146,   147,  1898,  2550,   148,   149,   150,
     151,  1429,   152,   153,   154,   155,  1362,   156,  1162,  1163,
     157,   158,   524,   715,  1166,  1174,   159,   617,   967,   968,
     969,  1533,   160,  1006,  2292,   618,   962,   162,   619,  2513,
    3120,  3121,  3124,   620,  2510,   165,  1572,  2286,  2289,   621,
    2517,  2518,  2519,  2520,  2521,  3126,   622,   640,   916,  2213,
     623,  1096,   170,   171,   172,   724,   719,   720,   174,  1696,
    2456,   655,  1181,   685,   732,  3096,  1832,  1833,  1855,  1856,
    1190,  1191,  1845,  1847,  2496,  1848,  2504,  1838,  3591,  3953,
    1851,  1852,  1193,  1194,  1195,  1860,   175,  2459,  3077,  3078,
    3079,  3568,  3569,  3583,  3579,  3940,  4164,  3080,  1001,  1201,
    3081,  4155,  4156,  4311,  3586,  3088,  3118,  2862,  2863,  2864,
    1881,  2130,  1410,  1097,  1411,  2141,  1098,  1616,  1413,  1099,
    1100,  1101,  1416,  1102,  1103,  1104,  1105,  1599,  1658,  1106,
    1107,  1635,  2138,  2139,  1522,  2363,  1109,  1110,  1111,  3083,
    1112,  3526,  3908,  3897,  2389,  2390,  1719,  3522,  3023,  1692,
    2446,  4176,  4322,  4323,  3064,  3552,  3925,  4154,  4414,  4477,
    4478,  1113,  2443,  1688,   808,  1114,  3318,  1690,  2383,  2468,
    2469,  1575,  1597,  2329,  2347,  2348,  2360,  2984,  2367,  2372,
    3007,  3008,  2384,  2412,  1115,  2332,  2333,  2967,  1601,  1116,
    1156,  1157,  1594,  2407,  1169,  1170,   717,  1117,  1118,  1119,
    1567,   708,  4160,   519,   772,  2680,  1810,   837,   652,  1120,
    1121,  1122,  1123,   934,   935,  1285,   520,   766,   786,  2658,
     521,   522,   768,  1815
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     169,   168,   173,   163,   164,   166,   577,   723,   677,   890,
     785,   530,  1196,   919,   653,  1811,   811,  1490,  1128,  1202,
     169,  1550,   173,   807,  1530,  1494,   710,   825,   733,   518,
     764,   993,   994,   995,  1500,   642,   567,   999,  1911,   783,
     642,  1523,  2466,  1296,  2271,  1319,  2400,  2506,   722,   641,
    1826,   970,  1360,  1284,   641,  1205,   941,  1348,   559,  2682,
    1439,  1409,   917,  2127,  1386,  1973,  1610,  1611,  1587,  1811,
    1459,  1142,  1637,  2095,  3184,  2140,   616,  1816,  1980,  2830,
     606,  1989,   648,  2948,  2848,  1626,  3199,  2528,  2530,  2784,
    3214,   707,  3216,  2003,   678,  2191,  3427,   876,  2046,  2328,
    3604,  1313,  3370,  1829,  3320,  1326,  2486,  2745,  1427,  2934,
    3539,  3339,  1432,  1353,  3388,  1481,  3125,  1436,  3565,  3636,
      65,   944,  3320,  3668,  1442,  1816,  3082,  3091,  3630,   919,
     964,   956,  3089,  3090,  1461,   727,   735,    74,  3582,  2055,
     736,  3413,  3859,  3401,   927,  2365,  3031,  2063,  2064,   673,
    2242,  1966,  3810,  3843,  3851,  1889,   704,    75,    76,  2365,
      77,    78,    98,   118,  4102,  1979,  3131,  2195,  3980,   123,
     139,   143,   161,   734,   696,  1653,   167,  3082,  1135,  3580,
    3504,  1458,  1850,  2206,  3344,  3345,  3346,  3347,  3348,  3349,
    1349, -1375,  1255,  1574,  3609,  1603,  1604, -1378,   573,  2843,
    3978, -2040,  1656,  1189, -1589,  2988,  1192, -1599,  4168,  2449,
    4170, -1948,  2070, -2074,  4291, -1949, -2271,  2075,   528, -1948,
    2527,  1623,  1231, -1949, -2271,  3418,  1817,  2767,  4345,  3671,
    1532,     3,     4,  1482,  2282,  1423,  1919,   713, -2095,  1231,
   -1584,  1570, -1815,  3987,  3364,  4194,  2868,  4287,  2440, -1815,
     819, -1556, -1569,  4387,  1917,  2441,  1381, -1589, -1831,  3429,
    2268, -1596,   624, -2122,  3084, -1831,  2188,  3185,  2576,   573,
    2905,  1919,  2907,  3130, -1375,   769,   771,   573,   573,   775,
   -1378,   777,  1663,  1282,  2145,   573, -1923,  2405,   624,  2935,
    2532,  1982,  4241, -1584,  1454, -1975,  1132,  2263,  2937,  2057,
     823,   990,  1357,  3376,   624,  -773,  1482,  1666, -1599,  4333,
    4334, -1589,  2198,  4304,  1455,  3084,  1272,   975,  1375,  -369,
    3835,  3464,  4293,   683,  1232, -2043,  1316,   624,   997,  1482,
    1836,  1914,  2491,  2551,   624,  4446,  3430,  1668,  4077,  2563,
    2447,  1232,   573,  4434,  1663, -2094,   624,   979, -1375,  2158,
    1179,  2283,  4202,   630, -1378,  4267,  1159,   624,  1160,  1317,
    1360,  1717,   780,  1663,   885,   630,  -124,  2858,   892,  3672,
    2107,  -124,  2859,   631,  3485,   807,   523,  1029,  4462,   902,
    2988,  1982,   871,  4268,  1506,   631,  1654,  4222,  1666,  1983,
     630,  1709,  1282,   573,  2564,  1521,   919,   624,  3505,  1668,
    1718,  1713,  1637,  4435,  1920,  2552,  1725,  1725,   919,   998,
     631,  2492,  1610,  1611,  1700,   630,   684,  1209,  1668,  1837,
    1626,  1663,   807,  2591,  2189,  4279,  2405,  2108,   573,   922,
    4319,    38,  2266,  2690,  3983,   631,  2272,  2988,  2274,   932,
    3785,  2277,  1982,  1180,  4078,  1518,  1666,   630,  1020,  1818,
    2053,  3377,  2159,  2058,  1318,  2102,  1358,   991,  1982,  3465,
    1456,    42,   919,  2264,  3669,  4365,  2448,   631,  2106,  1501,
    3431,  2533,  3673,  4294,  2534,  3674,  1668,   630,  2019,   574,
    1982,  1982,  1921,  3185,  2936,  1483,   573,  2269,   794,  2965,
    1534,  1710,  2265,  2938,  4537, -1375,  4305,   631,  2059,    46,
    1954, -1378,  2199,  2946,  1982,  2691,  3365,   881,  1960,  1571,
    3836,  1591,    47,  3623,  2325,  2458,   868,  1290,  1259,  1424,
     714,  3988,  2303,  1952,  1568,  2403,  2768,  3682,  2284,  1029,
    3432,  2127,  2988,   929,  1577,  4468,  2535,  1918,  3320,  2076,
    4486,  2989,  2042,  2577,  2044,  3419,  2285,  1588,    48,  2051,
    1603,  1604, -2094,  2099, -1815,  2692,  2125,  2098,  1483,  1623,
    2442,  2071,  2990,  2032,   918,   577,  2035,  2036,  1154,  2002,
   -1831,   723,  1155,  2015,  1816,  2190,   919,  2094,  1399,  2259,
    1657,  1483,  2613,  1233,   919,   919,  1424,  1571,   866,  1598,
    4044, -1375,  1197,   971,  4424,  4104,  1161, -1378,  2406,  3914,
    4072,  3150,  1711, -2272,  1632,  4545,  4447,  2693,  2246,  3640,
      48,   169,   722,   173,  3937,   781, -2094,  2148,  3941,  3582,
    1816,  2991,  1520,  2364,  1633,  1707,  3000,  2060, -1375,   874,
   -1375, -2094,  2103,   877, -1378, -1589, -1378,  2387,  1634,   972,
   -2040,   977, -1948,   981,  3824,  2267, -1949, -2271,  1004,   985,
     900,  4118, -2074,   641,  2278,   641,   963,   641,  3889,  2024,
    3931,   988,  2027,   641,   986,   987,  1969,  1861,   966,  1021,
    1862, -1584,  3833,  2324,  2217,  2327,  1125, -2095,  4481,  1134,
     918,  1136,  1609,  1615,   807,  2335,  3850,   735,  3327,  2339,
    1364,   736, -1596,  3966,   568,  1492,  1598,  2351,  2352,  2694,
    1659,  1370, -2122,  1687,  1000,  1632,   636,  1283,  1698,  2473,
    2369,  2371,  4463,  3784,  2990,  1154,  4329, -1923,  3459,  1155,
    2131,  2385,   636,   637,   734,  1633,   169,   168,   173,   163,
     164,   166,  3106,  2054, -1975,  2705,   998,  3051,  3133,  1636,
    3134,  3082, -1589,  3082,  3297,   636,   637,  3300,  3301,  2677,
    1811,  3304,   636,   637,  2495,  1990,  2022,  3307,  3598,  1000,
     882,  1472,  1217,  2331, -2043,  2614,  1222,  4186,  2198,  3384,
    1164,  3256,  3661,  2991,  4196,   636,   637,  3621,  3775,  2355,
    2356,  1684,  1685,  1686,  1687,  4509,   930,  2132,  1200,  -124,
    -124,   998,  2992,  2993,  2994,  3684,  2995,  2996,  2997,  2998,
    2999,  3000,  2695,  3127,  1492,  2466,  2466,  2466,  1368,  1029,
    2696,  2589,  2988,  2697,  1144,   636,  1283,  3302,  3303,  3082,
     641,  2118,  2119,  1131,  2511,  1337,  2730,  1139,  2678,  3532,
    1237,  1338,  2731,  3236,  3691,  3180,  2542,  1682,  1683,  1684,
    1685,  1686,  1687,  4277,  3200,  2133,    65,    33,  2134,  2131,
    3405,  2401,   737,   573,  2201,  2997,  2998,  2999,  3000,  1923,
    3099,  1332,  2668,    74,  4496,  1482,  2786,  2988,  1223,  1924,
    1966,  3696,  1347,  3612,   525,  2671,  1450,  2365,  2365,  3084,
    2629,  3084,  2365,    75,    76,   829,    77,    78,    98,   118,
    1288,  1289,  1219,  2275,  2276,   123,   139,   143,   161,  1333,
    3862,  4157,   167,   797,   798,   799,  2163,   800,   801,   802,
     803,   804,   805,  4470,  1451,  2756,  2132,  2216,  2182,  4522,
     573,  1338,  2365,  2365,   910,  2988,  2222,  1339,  2732,   738,
    2226,  2721,  3692,  1322,  4105,  3237,  2232,  2233,   654,  2135,
    2340,  1654,   573,   569,  3636,  1219,  4106,   918,  2995,  2996,
    2997,  2998,  2999,  3000,  2245,  4136,   573,  3084,  4088,   918,
      38,   573,  1380,  2231,  2661,   970, -1920,  1029,  1905,  3697,
    2988,   169,   829,   173,  2133,   830,  1474,  2134,  1272,  2046,
    2164,  4161,  2604,  1437,  1438,   660,  4165,  3533,   730,  4167,
      42,  4158,  1573,   570,  2990,  2183,  1536,   641,  1538,   730,
    1540,  3317,  1542,  1469,  1544,  1545,  1546,  4401,  4254,  2820,
    1925,  1548,  1224,   918,  2662,  2884,   831,  1339,  2223,  3317,
    4395,  1145,  3693,  4391,   571,  3201,   572,  2722,    46,  2234,
    1991,  1596,  2822,  1496,  1498,  2341,  3329,  2002,  2136,  1907,
      38,  2241,  1992,  1926,  2251,  1225,  4523,  4497,  2218,  2990,
    3202,  1613,  1334,  2991,   723,  2605,  4255,  1908,  2137,  3181,
    2672,  1369,   830,  4256,  2590,  3427,   832,  1452,  2135,  2422,
      42,  1340,  2733,  2787,  1226,  1029,  4471,    48,  2988,  3238,
    3636,  1640,   911,  3350,   661,  1146,  3973,  1655,   829,  2049,
    4257,  2358,  1839,  1993,  3330,  1651,  4095,  1660,  2663,  3425,
    1016,  4107,  2342,   831,  1341,  2734,  3998, -2272,    46,  1905,
    1699,  4098,  3239,   976,   978,   980,  4498,  1483,   982,   983,
     984,    47,   807,   739,  2037,  1906,  3353,   918,   989,  1840,
    1715,  1716,  1227,  1342,  2735,   918,   918,   912,  1913,  4499,
    1335,  3240,  4464,  1822,  1830,  1831,  2925,  1835,   736,   736,
    1154,   736,  2990,   832,  1155,  1453,  2778,  2512,  2805,  4366,
    2343,  4535,  4258,  2344,  4327,  1914,  2082,  2136,   641,  2630,
     662,  1701,  3094,   641,   641,   682,  2184,  4218,   830,  3132,
    1907,   734,   734,  3592,   734,  2535,  1909,  4371,  2135,  2185,
    2505,   705,  3248,  4469,  2823,  2423,  4299,  3883,  1908,  2424,
    1141,  4393,  1508,  2109,  4508,   716,  2608,  3173,  4510,  4316,
    1662,  2991,  2297,  1663,  4282,  3965,  2723, -1556,  2604,   831,
    1359,  4197,  4283,  1842,  2992,  2993,  2994,  3727,  2995,  2996,
    2997,  2998,  2999,  3000,  1702,   725,  2739,  2425,  1666,  3082,
    1509,  2110,  2664,  3082,  1667,  3174,  3021,  1200,   663,   542,
    4544,  2038,  3028,  2039,  2345,  2481,  3598,   726,  3950,  4070,
    2990,  3957,  2628,   573,  3357,  2162,  4343,   641,  1668,   832,
    4348,  4349,  2824,  3754,  1843,   641,   728,  4157,  4219,  3757,
    3758,  2082,  1910,  2995,  2996,  2997,  2998,  2999,  3000,  3643,
   -1556,  2605,  4520,  1492,  3877,  2706,  4367,  1947,  1915,  4536,
    4372,  3358,   740,  2709,  3806,  2711,  2902,   544,  2050,  4203,
    4245,   987,  2724,  2224,  2903,  3359,  2796,  2704,  2488,  2991,
    3320,  2606,  2698,  1293,  2908,  4428,  4429,  1909,  4259,   807,
     641,  2215,  2604,   641,   641,   729,  2082,  1185,  2716,   573,
    2221,  2995,  2996,  2997,  2998,  2999,  3000,  2853,  2854,  2855,
    2856,  4081,  2789,  2346,  2607,  2364,  2364,  2426,  4262,  2861,
    2364,  3788,   573,  3644,  4266,  4373,  1997,   774,  3636,  3624,
    4559,  2762,  2052,  2121,  1670,  2740,  4284,  3084,  3332,  3728,
    2698,  3084,  2992,  2993,  2994,   776,  2995,  2996,  2997,  2998,
    2999,  3000,  4082,  1510,  2111,  1671,  1672,  3360,  3175,   641,
    2364,  2364,   730,  2595,  2741,  2605,  1187,  3102,  2898,   783,
    2963,  3618,  3455,  2736,  1219,  1185,   526,  1219,  3645,   792,
    3646,   664,   665,  1910,  4330,  -587,  1475,  2065,  2066,  2067,
    2068,  3145,  3195,  3832,  4336,  3317,  2172,  3790,  2466,  2020,
    3807,  1675,  2608, -1556,  2726,   551,  2737,   552,  1295,  3719,
    4025,  3721,  -146,   793,  1676,  3725,  2547,   807,  1535,  3015,
    3792,  1537,  3891,  1539,  3892,  1541,  3475,  1543,  2104,  2105,
    1440,  1547,  2135,  2037,  2114,  2738,  1476,  -146,  4528,  2942,
     817,  1511,  2112,  3865,  1187,  3866,  3176,  1961,  3643,  2046,
    3040, -2272, -2272,  3265,  2995,  2996,  2997,  2998,  2999,  3000,
     176,  2021,  2626,  2617,  1029,  2365,  1299,  2988,  2365,  2365,
    2365,  2365,  2365,  2365,  2365,  2365,  2365,  2365,  2142,   731,
    1986,  1188,  4243,  2939,  3916,   169,  4386,   173,  1653,  3257,
    4368,  1492,   728,  1899,  2927,  3625,   821,   542,  2365,  1300,
    2727,  1302,   177,  1900, -1422,  2177,  2178,  2179,  2180, -1422,
    3449,  1217,  1137,  2805,   679,  1995,  2608,  2253,  1901,  2254,
    2300,  2255,  3644,  2256,  3626,  2257,  1477,  2365,  2365,  2258,
    4026,  1987,  1962,  1705,   828,  1145,   169,  2296,   173,  2293,
    2294,  2295,   966,  3627,  2688,  1424,  4292,  1303,  2618,  3266,
    2879,   729,  2940,  3893,  3156,   544,  2690,  3804,   903,  2236,
    2038,  3082,  2039,  3488,  2349,  3489,  3082,  3427,  2240,   870,
   -1556,  3082,  2836, -1422,  3082,  2247,  1478,  3645,  4029,  3646,
    2287, -1556,  2559,  1609, -1556,  1209,   542, -1556,   904,  1682,
    1683,  1684,  1685,  1686,  1687,  2337,  2338,  1185,   176,  1146,
    4339,  1214,  1186,  2350,  3082,  2299,  2280,  2353,  2354,   919,
   -1422,  1492,  4337,  3573,  1016,  2322,  2901,   905,   730,  4128,
    3805,  4467,  2375,   176,  2376,  4215,  1304,  2145,  2691,  2088,
    2411,  -392,  2910,  2911,  1215,   873,  2913,  -930,    33,  3984,
     177,  3574,  2917,   919,   544,  2398,  1492,  2399,  3172,  2990,
    3406,  -496,  1902,  3410,  3991,  3992,  3943,  1479,  2894,  1492,
    2160,   906,  2089,  1216,  2474,   177,  1187,  2539,  3576,  1346,
    3458,   875,  2543,    33,  1305,  2546,  1306,  1029,  2692,  2192,
    2988,  1154,  2043,  3782,  3490,  1155,  2045,   903,  2642,  4042,
    4043,  4504,  2916,   551,  3491,   552,  1725,  2569,  1347,  3084,
    2950,  4080,  3985,  1188,  3084,  3095,  1492,  4087,  2991,  3084,
    3459,  4182,  3084,  4184,  2004,  1308,   535,   904,  1440,  2004,
    4405,  4097,  2413,  2408,  2414,  2837, -1421,  4412,  4063,   807,
    2693, -1421,  3165,  1663,  -392,   731,  3164,  1217,  2619,  2643,
    3082,  2583,  3084,   878,  4057,  3224,  3386,  2415,   783,  4058,
     610,  4431,   891,  4413,  1310,  2625,  4064,  4217,  1666,  2391,
    3225,  3454,  2394,  2005, -1387,  2006,  2886,  3578,  2005,    14,
    2006,  2056,  1217,  2742,  2986,  2987, -1387,  2087,  1206,  3002,
    2659, -1387,   551,  1029,   552,  1238,  2988,  2644,  1668,  1312,
     906,  2563,  4059,  3658,  3082, -1421,   542,  2488,  1327,  2002,
    3186,    19,  2743,  3917,  2002,   898,  2689,   557,  2004,  3097,
    2700,  1207,  2497,  1839,  2004,  -924,   883,  1239,   884,  3037,
    3038,  3204,  2694, -1387,   169,  2514,   641,  3641,  2712,  2365,
    -495,  3241, -1421,  3243,  2553,  1328,  2556,  1164,  2645,   907,
    1208,  4488,  2728,  2416,  3518, -1387,  3153,  3389,  2417,   909,
    1840,  3057,  1982,  2418,   544,  2752,  3398,  2005,  3189,  2006,
    1988,  2838,  2990,  2005,  2759,  2006,     3,     4,  1329,  1632,
    4028,  2615,  1330,  1240,   919,   924,  3910,  1211,  3084,  2992,
    2993,  2994, -1387,  2995,  2996,  2997,  2998,  2999,  3000,  1633,
   -1387,  2466,  2090,  2002,  3284,  2849,  2466,  1331,   630,  2002,
    2839,  2466,  1841,  1634,  2091,  1241,  1515,  1883,  2004,  1632,
    1212,  2325,  2010,  1136,   886,  3729,   887,   624,   631,  3298,
     936,  2991,  3229,   610,  1525,  2695,  1516,  1526,  2092,  1633,
    1621,  1622,  3084,  2696,  2887,  3730,  2697,  3082,   937,  1213,
    1884,  1242,    14,  2364,  1842,  4553,  2364,  2364,  2364,  2364,
    2364,  2364,  2364,  2364,  2364,  2364,  3467,  2005,  2612,  2006,
      30,  3745,  3662,  3159,   928,  3572,  3506,  3507,  2990,  1885,
     908,  1243,  2419,   951,    19,  4223,  3516,   942,  3670,  3675,
     919,  3746,  2420,  1595,  1632,    48,    38,  2585,  2586,  2587,
    3572,   957,   551,  2002,   552,  1843,  2597,   961,  2599,  3471,
    2601,  2602,  3685,   554,  1633,  2364,  2364, -1387,  2365,  2365,
    2325,  3233,  1820,  3366,   556,  1821,    42,  1440,  1636,  3340,
    2630,  1154,   641, -1923,  2859,  1155,  1663,  2991,  3082,  3163,
     641,  1609,   641,  1209,  3573,  3207,    33,  3209,  3142,  3143,
    1246,  2502,  2503,  2668,  3234,  3683,  1247,  3437,   624,  1823,
    2960,  1666,  1824,  1248,    46,  2249,   992,  2780,  3512,  3573,
    2932,  1968,  3574,  3350,  2211,  2780,  2212,    47,  1154,  3351,
    1250,  1175,  1155,  3235,  4054,  3084,  4056,  3575,  1251,  3352,
    4060,  1668,  4061,  2932,  1002,  2961,  4263,  3574,   996,  3576,
    2962,  2810,  2992,  2993,  2994,  2707,  2995,  2996,  2997,  2998,
    2999,  3000,  3575,    48,  3470,  1007,  3353,  2679,  3354,  1609,
    2805,  1890,  3577,  3137,  3576,    27,  3480,  2951,  1609,   209,
    1890,  1005,   639,  2954,   527,  2804,  2852,   639,  1013,  3762,
    1252,  4162,   608,    30,  2889,  3426,  3486,  3577,  3109,  3110,
    2811,  3283,  3638,  3639,  2004,  3620,  3909,  3290,  2248,   680,
    1609,  2249,  1890,  2260,  2880,  2772,  2261,   169,  2869,    38,
     918,  3508,  4114,  2781,  4485,  2873,  3084,  2874,  2782,  2850,
    4129,  4130,  4131,  4132,  1581,  1582,  3472,  3317,  3841,  3331,
    3333,  3334,  3355,  3251,  3014,  2884,  3016,  3017,  3578,    42,
   -1445, -1445,  3382,  2005,   918,  2006,    38,  1574,  2992,  2993,
    2994,  1008,  2995,  2996,  2997,  2998,  2999,  3000,  1671,  1672,
    3065,  2262,  3066,  3578,  2261,  2886,  3067,   807,  3068,  2812,
    2813,   919,  2290,   919,  1015,  2291,    42,    46,  4557,  2002,
    4558,   611,  2487,  2814,  1238,  2488,  1016,  4511,    27,  3356,
      47,  1014,  2623,  2684,  3357,  2624,  2685,  1017,  3042,  2791,
    3043,  1018,  2792,  2870,  1675,  2806,  1019,  2919,  2807,  3255,
    2261,   641,  4163,  1022,    46,  2959,  1239,  1025,  2249,  3085,
    3367,  2969,  3369,  3044,  2249,  1360,   612,    47,  1143,  1023,
    2815,  3358,  2904,  3107,  2906,  4288,   919,  1147,  3870,  3871,
    3872,  3777,  1140,  3778,  3436,  3359,  2004,  2973,  3439,  3440,
    2249,  3442,  1149,  3444,  3445,  4178,  2977,  2364,  2978,  2249,
    1148,  2249,  3450,    48, -1165,  3763, -1165,  3138,  1153,    38,
    3085,  3004,  1240,  3375,  2249,  3378,  3593,  3594,  3595,   723,
    3020,  3025,  1165,  2249,  3026,  3422,  3588,  3217,  3222,  3416,
    3218,  3223,  3417,  1172,  3468,  2005,  1175,  2006, -1375,    42,
    1238,  3258,  3476,  1173,  1241,  2249,  3764,  1175,  1176,  3161,
    4350,  4351,  3513,  4353,  1183,  3514,  2365,  2816,  3523,  2817,
    1651,  3524,  1198,  3535,  3045,  2365,  2249,  3360,  2958,  3046,
    3765,  2002,  1239,  2887,  2411,  1199,  3610,    46,  2004,  3611,
    1242,  3614,  2365,  2365,  3615,  3766,  3070,  3071,  3072,  3767,
      47,  3619,  3487,  3060,  2534,  3492,  3493,  3494,  3495,  3496,
    3497,  3498,  3499,  3500,  3501,  1182,  1203,  1184,  3076,  3768,
    1243,  3642,  3769,  3834,  2261,   918,  2261,  3915,  1235,  3294,
    2291,   723,    38,  3466,  3770,  1209,  4512,  2005,  1240,  2006,
    1257,  1261,  1682,  1683,  1684,  1685,  1686,  1687,  1230,   169,
    2296,   173,  2293,  2294,  2295,  3968,  3226,  3975,  2534,  3663,
    3976,  3098,    42,   641,  3541,  3542,  2004,  3244,  1816,  3076,
    1241,  1238,   722,  2002,  1292,  3981,  2306,  1662,  2261,  3982,
    1663,  3750,  2261,  1290,  3686,    33,  2364,  2364,  4047,  2888,
    4099,  4048,  2325,  4100,  1293,  1247,  2004,  1664,  3047,  4441,
      46,  4138,  1248,  1239,  4139,  1666,  1242,  1298,  3048,  4238,
    1968,  1667,  3771,    47,  3942,  2005,  3945,  2006,  1301,  1250,
    3772,  2004,  4140,  2307,  1323,  2249,  4148,  1251,  3822,  2291,
    4200,   918,  1336,  4201,  4264,  1668,  1243,  2261,  1345,  4289,
    4300,  4308,  4290,  2291,  4309,  2005,  3295,  2006,  1350,    48,
    1355,  2002,  2308,  1356,  3898,  3773,  3860,  4313,  4318,  1240,
    2488,  3396,  4320,  4030,  4031,  3396,  4033,  1361,  4362,  1363,
    2005,  4363,  2006,  2309,  4394,  4399,  1365,  1704,  4400,  1252,
    3107,  2002,  1367,  2889,  2310,  4406,  4407,  4408,  2291,  3026,
    2249,  1241,  4418,  4420,  4114,  2488,  3396,  4433,  3107,  4439,
    2291,    33,  2291,  1967,  2311,  1246,  2002,  3220,  1371,  2312,
    2365,  1247,  4440,  4454,  4482,  2291,  4455,  2488,  1248,  4526,
    4555,  1372,  3396,  4556,  1377,  4566,  1968,  1242,  4556,  1379,
    1382,  1384,  1387,  1217,  1428,  1250,  1431,  1669,  1433,  1424,
    1443,  1670,  1444,  1251,  3249,  3168,  -166,  3169,  3170,  3171,
    1448,  1446,  1460,  1462,  1930,  2313,  1468,  1243,  1470,   194,
    1480,  1485,  1671,  1672,  1487,  1486,  1488,  1489,  1491,  1499,
    1492,  1502,  1503,  1504,  1505,  1507,  2314,  3873,  1512,  1673,
    1514,  1513,  1519,  1524,  1549,  1244,  1574,  1931,  1576,  1579,
    1583,  1585,  1592,  1586,  1593,  1252,  2082, -1560,  3286, -1567,
    1932,  1602,  1605,  1606,  1607,  1674,  1608,  1612,  1675,    48,
    3457,  1614,  1617,  1933, -1557, -1558,  1618,  1619,  1245, -1561,
    2780,  1676,    33,  2780,  2780,  1620,  1246,  2780,  1625,  1627,
    3469,  1628,  1247,  2780,  1629,  1630,   194,   783, -1559,  1248,
    3319,  1631,  1695,  1638,  1691,  1639,  1641,  1249,  3718,  1642,
    3720,  1934,  1693,  1643,  3724,  1697,  1250,  1644,  3319,  1645,
    1646,  1647,  1935,  2315,  1251,  1648,  3803,  1704,  1708,  2316,
    1720,  1728,   918,  1828,   918,  2317, -2181,  4051,   641,  1186,
    1867,  1857,  1936,  1188,  1859,  3326,  3328,  1937,  1886,  1888,
    3335,  1887,  1890,  1891,  1892,  1894,   641,  1893,  3990,  1678,
    1895,  1922,  1916,  1928,  2318,  1949,  2319,  1953,  1955,  1957,
    3394,  1956,  1958,  4085,  1959,  1974,  1252,  1975,  1985,  1995,
    1996,  1998,  1999,  2320,  4003,  2000,  2001,  3379,  2002,  2008,
    2009,  2011,  2012,  2016,  3864,  2023,  3421,   918,   169,  3412,
    2017,  4016,  3867,  3868,  2364,  2025,  2029,  2030,  2321,  2033,
    2040,  2041,  2047,  4141,  1938,  2048,  1272,   169,  3435, -2181,
    2061,  2062,  2072,  3820,  3821,  2073,  2074,  2077,  3762,  2083,
    2364,  2364,  2086,  2100,  2101,  2113,  3841,  2116,  3549,  2078,
    2115,  2126,  1609,  1615,  3085,  1939,  3085,  1205,  1598,  2128,
    2129,  2146,  1679,  1680,  1681,  4038,  1682,  1683,  1684,  1685,
    1686,  1687,  2149,  2150,  2153,  2157, -2181,  2154,   537,  2161,
    1318,  2181,  2176,  2196,   194,  2197,  2204,  2209, -2181,  2210,
    2207,  2886,  2214, -2181,  2225,  2227,  2229,  2243, -2181,  2228,
    2230,  2244,  2302, -2181,  2273,  2279, -2181,  2373, -2181,  2288,
    1238,  2374,  2330,   641,  2336,  3911,  3912,  1940,  2331,  2386,
    2392,  1663,  2396,  1941,  2397,  2404,  1942,  2410,  2427,  2429,
    2444,  2445,  3085,  3659,  3446, -2181,  2458,  3447,  2475,  2479,
    2472,   729,  1239,  2480,  2498,  2499,  2509,  2500,   723,  2476,
    2524,  2523,  1943,  4053,  2549,  3530,  2489, -2181,  1944,  2536,
    2537,  4173,  2538,  2554,   723,  2490,  4312,  2526,  2501,  2557,
    2559,  1945,  2568,  2561,  2573,  2562,  4312,  2578,  3554,  3555,
    3556,  3557,  3473,  2579,  3107,  2581,  2588,  2584,  2600,  1651,
    2592,  2603,  2616,  2621, -2181,  1137,  1946,  3960,  1240,  1141,
    2675,  2683, -2181,  3561,  2670,  3564,  2699,  2725,  2687,  2686,
    2744,  2747,  1574,  2769,  3989,  2765,  2770,  2766,  4233,  4235,
    2758,  2771,  2773,  3731,  2774,  2775,  3734,  2776,  4358,  2777,
    1241,  2783,  2785,  2790,  2794,  4227,  2799,  2800,  2808,  2797,
    2798,  2801,  2803,  4004,  4005,  2802,  2828,  2842,  2844,  2857,
   -2181,  2865,  2851,  2860,  2867,  2866,  2878,  2881,  2364,  2887,
    2876,  2893,  2895,  2896,  2897,  2899,  1242,  2900,  2909,  2912,
    2914,  2915,  2488,  2921,  1520,  2924,  2922,  2923,  2933,  2926,
    2303,  2944,  2941,  2947,  2949,   998,  2953,  2952,  2955,  2957,
    2971,  2956,  2975,  3022,  3041,   654,  1243,  3063,  2972,  3056,
    2974,  3093,  -970,  3119,  3114,  2976,  3010,  2979,  3123,  3135,
    2980,  2982,  2985,  3003,  4039,  4040,  3087,  3117,  3141, -2181,
    3144,  3146,  4419,  3009,  3011,  2249,  4073,  3147,  3036,  3155,
    3158,   919,  3193,  3160,  3825,  3194,  3012,  3019,  3034,  3035,
    3049,  3059,  3061, -2181,  3319, -2181, -2181,  3062,  3182,  4302,
    3183,  3092,  3129,  3151,  3152,  3196,  3206,  4172,  3167,  3208,
    3197,    33,  3221,  3246,  4177,  1246,  3247,  3707,  3252,  3253,
    3708,  1247,  3709,  4181,  3254,  3259,  3260,  3250,  1248,  4027,
   -2181,  3261,   641, -2181, -2181, -2181,  1968,  3263,  3267,  3269,
    3706,  3270,  4364,  3271,  3272,  1250,  3274,  3277,  3654,  3655,
    3656,  3657,  3279,  1251,   641,  3273,  3275,  4224,  3276,  3278,
    2932,  3280,  3282,  3285,  3289,  3287,  2070,  3291,  3293,  2780,
    3299,  4344,  3305,  3281,  3306,  2780,  2780,  3321,  2121,  4122,
    4347,  4123,  4124,  3309,  3324,  2135,  4354,  3336,  4356,  3325,
    3380,  3341,  3337,  4127,  3342,  3373,  3374,  3383,  3387,  3385,
    3395,  3404,  3396,  1574,  3407,  1252,  3402,  3408,  3411,  2889,
    3434,  3441,  3443,  3787,  3789,  3791,  3793,  3451,  3461,  3452,
    3453,   986,   987,  4133,  3414,  3462,  3463,  3474,  1662,  3456,
    3479,  1663,  3776,  3006,  2988,  1595,  1656,  3525,  3005,  3284,
    3537,   730,  3509,  3550,  3585,  3590,  3563,  4543,  3510,  4149,
    4150,  3786,  3511,  3517,  3546,  1420,  1666,  3538,  3606,  3571,
   -2183,  3587,  1667,  3599,  3622,  3600,  4411,  3629,  3650,  3652,
    3653,  3602,  3603,  1574,  3664,  3687,  3676,  1574,  1574,  3665,
    3688,  3690,  3689,  3702,  3852,  3700,  1668,  3701,  3722,  3726,
    3742,   169,  3849,  3744,  3671,  3808,  4543,  3747,  4227,  3667,
    3755,  3703,  3085,  3704,  4543,  3756,  3085,  3705,  3753,  3800,
    3779,  4307,  3780,   807,  4278,  3781,  3816,  3426,   650,   651,
    3818,  4189,  3811,   657,  2261,  3831,  3801,  3823,   668,   674,
     650,  3828,   681,  3844,  3827,   674,   674,  3846,   709,  3847,
     712,  3857,  3861, -2183,  3885,  3869,  3830,  3858,  3874,  3863,
    3876,  3878,  3890,  3879,  3880,  3881,  3882,  3899,  3900,  4207,
    3901,  3902,  3887,  3938,   641,  3939,  3946,  3894,  3951,   919,
    3895,  3903,  3907,  3923,  3933,  3952,  3934,  3936,  3949,  3961,
    3954,  3955,  3964,  3956,  3967,  3970,  3972,  1420,  1669,  4011,
   -2183,  3977,  1670,  3978,  3986,  3999,  4006,  4000,  4017,  4034,
    4020,  4021, -2183,  4024,  4041,  4062,  4065, -2183,  4066,  4074,
    4079,  4084, -2183,  1671,  1672,  4086,  4090, -2183,  4101,  4092,
   -2183,  4109, -2183,  4103,  4111,  4112,  4120,  4134,  4126,  4135,
    1673,  4137,  4142,  4144,  4159,  4145,  4146,  4147,  4153,  4166,
    4169,  4175,  4179,  4183,  4297,  4195,  4199,  4198,  4209, -2183,
    4210,  3076,  4220,  4221,  4204,  3076,  4531,  4225,  4239,  1675,
    4232,  4246,  3807,  4248,  4251,  4271,  4272,  4298,  4249,  3958,
    3959, -2183,  1676,  4252,  4303,   765,   770,   770,   773,  4270,
     770,  4276,   779,  3971,   765,  4253,   709,  4274,  4306,   809,
     169,  3962,  4280,  4310,   709,  4315,  4281,   709,  4321,  4325,
    4328,   770,  4340,   709,  4331,  4369,  4379,  4374, -2183,  4381,
    4383,  4384,  4389,  4396,  4397,  4378, -2183,  3969,  4398,  4403,
    4404,  4422,  1714,  4409,  4410,  4423,  1662,  4425,  4436,  1663,
    4345,   641,  4442,  4417,  4444,  4445,  4448,  4450,  4359,  4453,
    4421,  4458,  4076,  4459,  4465,  4466,  1664,  4480,  4489,  3551,
    1678,  4487,  4495,  4492,  1666,  4446,  4502,  4503,  4447,  4507,
    1667,  4521,  4534,  4551, -2183,  4554,  4560,  4001,  1177,  2084,
    4564,  2846,  3100,  1662,  2674,  1260,  1663,  1727,  3203,  2932,
    3681,   641,  3759,  1297,  1668,  1420,  2757,  3308,  4360,  4226,
    4443,  1321,  4273,  3819,  4275,  4071,  4261,  3149,  2920,  4014,
    4015,  1666,  4430,  4490,  4018,  4019,  4187,  1667,  4530,   654,
    4451,  4449,  4501,  4392,  3154,  4036,  4037,  3815,  2826,  2827,
    3215,  3679,  2173,  3391,  2809,  2780,  2780,  4533,  4565,  4250,
    4561,  1668,   918, -2183,  3338,  3322,  4055,  4505,  4208,  1420,
    4438,  2156,  4493,  1679,  1680,  1681,  4211,  1682,  1683,  1684,
    1685,  1686,  1687,   656,  3875,  4326,  3853, -2183,  2529, -2183,
   -2183,  3136,  3854,  1569,  3085,  4402,  3288,  4514,  4562,  3085,
     641,  2932,  1420,  2932,  3085,  4427,   920,  3085,  4068,  1578,
    2483,  1150,   919,  2252,  2484,  1662,  1669,   807,  1663,  3104,
    1670,  3963,   641,  3616, -2183,  3837,  1171, -2183, -2183, -2183,
    3105,  4094,  1825,  4032,  2508,  1664,  1853,  3085,  1854,  3115,
    3128,  1671,  1672,  1666,  3113,  2507,  3107,  4035,  3116,  1667,
    3566,  4317,  3944,  1158,  1858,   807,  3932,  4113,  1673,  3562,
    1863,  4416,  4415,  1669,  3617,  2795,  3529,  1670,  4301,  3519,
    4484,  4483,  4479,  1668,  3108,  4206,  3054,  1420,  2966,  3885,
    3885,  3885,  3885,  3052,  1674,  3613,  2460,  1675,  1671,  1672,
       0,     0,     0,     0,     0,     0,  1420,     0,     0,     0,
    1676,     0,     0,  1677,     0,  1673, -2196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1420,     0,     0,     0,
       0,     0,     0,     0,   783,     0,     0,     0,     0,     0,
       0,  4527,     0,     0,  1675,     0,     0,     0,     0,     0,
    4096,  1420,     0,     0,     0,     0,     0,  1676,  3076,     0,
     838,     0,     0,  3076,     0,   709,  3076,   765,     0,     0,
     770,     0,   773,     0,   770,     0,     0,     0,     0,     0,
       0,   809,     0,  3085,   895,  1669,     0,     0,  1678,  1670,
       0,   770,     0,     0,     0,     0,     0,     0,     0, -2196,
       0,     0,     0,  4180,     0,     0,     0,     0,  1420,     0,
    1671,  1672,     0,     0,   765,     0,  3319,     0,     0,   773,
       0,     0,     0,     0,   765,     0,     0,  1673,   809,     0,
       0,     0,     0,     0,     0,  1678,     0,  3085,     0,     0,
       0,     0,     0,   770,     0,     0, -2196,     0,     0,     0,
       0,  2780,     0,  1674,   641,     0,  1675,     0, -2196,     0,
     918,     0,     0, -2196,  4230,     0,  4231,     0, -2196,  1676,
    4236,  4237,  1677, -2196,     0,     0, -2196,     0, -2196,     0,
       0,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,
    1687,   709,     0,  4190,  4192,  4192,     0,     0,  2981,     0,
       0,     0,   709,  1012,     0, -2196,   169,  4265,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1124,  4380,   709,   674,     0,     0, -2196,   674, -2272,
   -2272,     0,  1682,  1683,  1684,  1685,  1686,  1687,     0,     0,
       0,     0,   709,     0,     0,     0,   709,  1678,     0,     0,
       0,     0,  1124,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   709, -2196,     0,     0,     0,     0,     0,
       0,     0, -2196,     0,     0,   709,     0,     0,     0,  1662,
    3085,   807,  1663,     0,     0,  1420,  3076,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1664,
       0,     0,     0,     0,     0,     0,     0,  1666,     0,     0,
       0,     0,     0,  1667,     0,     0,     0,   709,     0,     0,
   -2196,     0,     0,     0,     0,     0,  4285,     0,     0,   709,
       0,   770,   770,     0,     0,  4361,     0,  1668,     0,     0,
    1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,  1687,
       0,     0,  2477,   674,     0,     0,     0,     0,  2478,     0,
    4461,     0,     0,     0,  2932,   654,     0,     0,     0,     0,
       0,  3085,     0,     0,     0,   765,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   765,     0,     0, -2196,
     809,     0,   169,  4390,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   770,  4491,     0,  4332,     0,     0,     0,
       0,     0,     0, -2196,     0, -2196, -2196,     0,   709,     0,
       0,     0,     0,     0,   770,   770,     0,     0,     0,     0,
       0,     0,     0,  4355,     0,  4357,     0,     0,     0,  1669,
     709,   709,   709,  1670,   770,     0,   765,     0,     0,     0,
   -2196,     0,     0, -2196, -2196, -2196,     0,     0,     0,     0,
       0,     0,     0,     0,  1671,  1672,     0,     0,     0,     0,
       0,     0,   770,   918,   770,   770,     0,     0,     0,     0,
       0,  1673,     0,     0,  1662,     0,     0,  1663,     0,     0,
       0,     0,     0,     0,  1420,     0,     0,  1124,  1420,  1420,
       0,     0,     0,     0,     0,     0,     0,  1674,     0,     0,
    1675,     0,  1666,     0,     0,     0,     0,     0,  1667,     0,
       0,     0,     0,  1676,     0,     0,  1677,  1552,  1552,     0,
       0,  4563,   709,     0,   650,     0,     0,     0,     0,     0,
       0,     0,  1668,     0,  4192,     0,     0,     0,     0,     0,
       0,     0,  1584,     0,     0,   709,  1662,     0,  1590,  1663,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1124,     0,     0,     0,     0,  1664,     0,     0,   169,
    4506,     0,     0,     0,  1666,     0,     0,     0,     0,     0,
    1667,  4550,   169,  4519,   173,  4516,  4517,  4518,     0,  4457,
    1124,  1678,     0,  1420,  3039,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1668,     0,     0,  4542,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1124,  1124,
       0,  1124,  4549,  4519,   173,  4516,  4517,  4518,     0,     0,
       0,     0,     0,     0, -2272,     0,     0,     0,  1670,     0,
    1124,     0,     0,     0,     0,  4541,     0,  4494,     0,     0,
       0,     0,     0,     0,     0,     0,  4542,     0,     0,  1671,
    1672,     0,     0,     0,  4542,     0,     0,     0,   169,  4519,
     173,  4516,  4517,  4518,     0,     0, -2272,   709,     0,     0,
    1124,     0,     0,     0,  1679,  1680,  1681,     0,  1682,  1683,
    1684,  1685,  1686,  1687,  4541,     0,     0,  4532,     0,     0,
       0,  3029,  4541,     0,     0,  1675,  1669,     0,     0,  1124,
    1670,     0,     0,  1124,  1124,     0,     0,     0,  1676,     0,
       0,     0,     0,     0,   709,   709,  1866,     0,     0,     0,
       0,  1671,  1672,     0,     0,     0,     0,     0,     0,     0,
    1420,     0,   674,     0,     0,     0,     0,     0,  1673,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1674,   674,     0,  1675,     0,     0,
       0,     0,     0,     0,     0,     0,  1262,   709,  1981,     0,
    1676,     0,  1263,  1677,   709,     0, -2272,   770,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1302,   809,  1420,
       0,     0,     0,     0,   709,     0,     0,   709,     0,     0,
       0,     0,  1264,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1661,     0,   709,
       0,     0,  1662,     0,     0,  1663,     0,     0,   770,   770,
     770,   770,   709,  1303,     0,     0,     0,     0,  1678,     0,
       0,     0,  1664,   674,     0,  1665,   709,     0,     0,     0,
    1666,  1265,     0,     0,     0,     0,  1667,  2096,  1266,   709,
       0,  1267,     0,  1682,  1683,  1684,  1685,  1686,  1687,   770,
     770,     0,     0,  1420,     0,   770,     0,     0,     0,     0,
    1668,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1304,     0,     0,  1268,     0,     0,     0,   770,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,
    1687,     0,     0,     0,     0,  2395,   770,   770,   770,   770,
       0,     0,     0,     0,     0,     0,     0,     0,   709,     0,
    1305,     0,  1306,     0,   709,     0,     0,  2096,     0,     0,
       0,     0,  1307,     0,  1270,     0,   765,     0,     0,     0,
       0,     0,  1669,   773,  1271,   765,  1670,     0,     0,     0,
       0,     0,  1272,     0,     0,   809,     0,     0,     0,     0,
     770,  1308,  1273,     0,     0,     0,     0,  1671,  1672,   770,
       0,     0,     0,     0,     0,   770,   770,     0,     0,     0,
     709,     0,     0,     0,  1673,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1309,     0,     0,  1275,  1276,
    1310,     0,     0,     0,     0,  1552,     0,     0,     0,     0,
    1674,     0,   770,  1675,   765,     0,  1262,     0,   709,   709,
       0,   770,  1263,     0,  1311,     0,  1676,   709,     0,  1677,
       0,     0,     0,     0,   709,  1312,     0,     0,     0,     0,
       0,   650,   650,     0,     0,  2305,     0,     0,     0,  1124,
       0,  1124,     0,     0,     0,     0,     0,     0,  1124,     0,
       0,  1124,  1264,     0,     0,  1124,  1420,     0,     0,  1420,
       0,  1420,     0,  1124,  1124,     0,  1420,     0,     0,     0,
       0,  1124,  1278,   809,  1124,  1124,  1124,  1124,     0,     0,
       0,     0,     0,     0,  1124,  1124,     0,  1124,     0,  1124,
    1124,     0,     0,  1124,  1678,     0,     0,     0,     0,     0,
       0,  1265,     0,     0,     0,     0,     0,     0,  1266,     0,
    1124,  1267,     0,     0,   770,  1124,  1420,     0,     0,  1124,
       0,     0,     0,  1124,     0,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,     0,  1124,     0,     0,     0,     0,
       0,   709,     0,  1124,  1124,     0,     0,     0,     0,     0,
     709,     0,     0,     0,     0,     0,  1420,     0,     0,     0,
       0,     0,     0,     0,     0,  1268,     0,     0,     0,     0,
       0,     0,  1662,     0,     0,  1663,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1679,  1680,  1681,
       0,  1682,  1683,  1684,  1685,  1686,  1687,     0,     0,     0,
    1666,     0,     0,     0,     0,     0,  1667,     0,     0,     0,
       0,     0,     0,     0,     0,  1420,     0,  1420,     0,     0,
       0,     0,  1269,     0,  1270,     0,     0,     0,     0,     0,
    1668,     0,     0,     0,  1271,     0,     0,     0,     0,     0,
       0,     0,  1272,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1273,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1662,     0,     0,  1663,   709,     0,   709,     0,
    1124,     0,     0,     0,     0,     0,     0,     0,  1420,     0,
       0,     0,  1664,     0,     0,  1274,     0,     0,  1275,  1276,
    1666,     0,     0,     0,     0,  1662,  1667,     0,  1663,     0,
       0,     0,     0,  1420,     0,   709,     0,     0,     0,     0,
       0,  2515,     0,  2522,  1277,  1664,     0,     0,     0,     0,
    1668,     0,  1420,  1666,     0,     0,     0,     0,     0,  1667,
       0,     0,  1669,     0,     0,     0,  1670,     0,     0,     0,
    1420,   773,     0,     0,     0,     0,   650,     0,   650,     0,
       0,     0,     0,  1668,     0,     0,     0,  1671,  1672,     0,
       0,     0,     0,     0,     0,  1124,     0,     0,     0,     0,
       0,     0,  1278,     0,  1673,     0,   765,     0,   770,   770,
     770,     0,     0,   765,     0,   809,     0,   770,     0,   770,
       0,   770,   770,     0,     0,   709,     0,     0,     0,     0,
    1674,     0,     0,  1675,  1420,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   674,     0,  1676,     0,     0,  1262,
    1420,     0,  1669,  1981,     0,  1263,  1670,     0,     0,     0,
    2632,  1420,     0,     0,     0,  2641,     0,     0,     0,     0,
       0,   709,     0,     0,     0,     0,     0,  1671,  1672,     0,
       0,     0,     0,     0,     0,  1669,     0,     0,   709,  1670,
       0,     0,  2681,  2681,  1673,  1264,     0,     0,     0,   773,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1671,  1672,     0,     0,     0,     0,   770,     0,     0,     0,
    1674,     0,     0,  1675,  1678,     0,     0,  1673,     0,     0,
    1420,     0,     0,     0,     0,     0,  1676,     0,     0,  1677,
       0,     0,     0,     0,  1265,     0,  2746,     0,  2749,  2751,
    1420,  1266,     0,  1674,  1267,     0,  1675,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1676,
       0,     0,  1677,     0,     0,  1420,   770,     0,     0,     0,
       0,     0,     0,     0,   770,     0,     0,     0,     0,   770,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1124,     0,     0,     0,     0,     0,  1268,     0,
       0,  1420,     0,     0,  1678,     0,     0,  1679,  1680,  1681,
       0,  1682,  1683,  1684,  1685,  1686,  1687,     0,     0,     0,
    1981,     0,     0,  2681,     0,   709,     0,  2847,     0,     0,
     650,     0,     0,     0,     0,     0,     0,  1678,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1662,     0,     0,  1663,     0,  1269,  2746,  1270,     0,     0,
       0,     0,     0,     0,   770,  2872,     0,  1271,     0,     0,
    1664,     0,     0,     0,     0,  1272,     0,     0,  1666,     0,
       0,     0,     0,     0,  1667,  1273,     0,  1420,     0,     0,
       0,   770,     0,   770,  2681,   770,  2681,  1679,  1680,  1681,
       0,  1682,  1683,  1684,  1685,  1686,  1687,     0,  1668,     0,
       0,  3323,     0,     0,     0,  1124,     0,     0,  1324,     0,
       0,  1275,  1276,     0,     0,     0,     0,  1552,     0,     0,
    1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,  1687,
       0,     0,     0,     0,  3481,     0,     0,  1325,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   765,     0,     0,     0,  1420,     0,   765,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   770,
       0,     0,     0,     0,     0,     0,  1124,  1124,     0,     0,
       0,     0,  1124,     0,     0,  1278,     0,     0,     0,     0,
    1669,     0,     0,     0,  1670,  1262,     0,     0,     0,     0,
       0,  1263,     0,     0,     0,     0,     0,  1124,  1124,     0,
       0,     0,  1124,     0,     0,  1671,  1672,     0,     0,     0,
       0,     0,     0,     0,  1124,  1124,  1124,  1124,     0,     0,
       0,     0,  1673,     0,     0,     0,     0,  1124,     0,     0,
    1124,  1264,  1124,  3033,     0,     0,     0,     0,     0,     0,
       0,     0,  1124,  1124,     0,     0,  1124,     0,  1674,     0,
       0,  1675,  -121,     0,     0,     0,     0,     0,     0,  1124,
       0,  1124,     0,   809,  1676,  1124,     1,  1677,     0,     0,
       0,     0,     0,     0,     0,     0,     2,     0,     3,     4,
    1265,     0,     0,     0,  1124,     0,     0,  1266,   709,     0,
    1267,     0,     0,     5,  3086,     0,     0,  1124,  1124,  1124,
       0,     0,  1420,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     6,  1124,     7,     8,     0,     0,     0,
       0,     9,     0,    10,     0,     0,  1124,     0,     0,     0,
       0,  1124,     0,    11,     0,    12,     0,  1124,     0,  1420,
       0,     0,  1678,     0,  1268,  3086,     0,     0,  3122,     0,
       0,    13,  2522,     0,    14,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1262,     0,    15,     0,    16,     0,
    1263,     0,    17,     0,     0,     0,     0,     0,    18,     0,
       0,     0,     0,     0,     0,     0,    19,     0,    20,     0,
       0,     0,     0,  1124,    21,  2681,     0,     0,     0,     0,
    1552,  1269,     0,  1270,     0,     0,     0,     0,     0,    22,
    1264,     0,     0,  1271,     0,     0,     0,     0,     0,     0,
       0,  1272,     0,     0,     0,     0,   770,     0,   770,   770,
     770,  1273,  1262,     0,     0,  1679,  1680,  1681,  1263,  1682,
    1683,  1684,  1685,  1686,  1687,     0,     0,  3601,     0,  1420,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1265,
    1420,     0,     0,     0,    23,    24,  1266,  1275,  1276,  1267,
      25,     0,     0,     0,     0,     0,     0,     0,  1264,    26,
       0,  1662,     0,     0,  1663,     0,     0,     0,     0,     0,
      27,     0,     0,  1277,     0,     0,     0,     0,     0,     0,
       0,  1664,     0,     0,     0,     0,     0,     0,     0,  1666,
       0,     0,     0,     0,     0,  1667,     0,     0,     0,     0,
       0,  1662,     0,  1268,  1663,     0,     0,  1265,    28,     0,
       0,     0,     0,     0,  1266,     0,     0,  1267,     0,  1668,
      29,  1664,     0,     0,     0,    30,    31,     0,    32,  1666,
       0,  1278,     0,    33,     0,  1667,  1662,     0,    34,  1663,
       0,    35,     0,     0,     0,    36,     0,     0,     0,     0,
      37,    38,  1420,     0,     0,     0,     0,     0,    39,  1668,
    1269,    40,  1270,     0,  1666,     0,     0,     0,     0,    41,
    1667,  1268,  1271,     0,     0,     0,     0,     0,  1420,     0,
    1272,    42,     0,     0,     0,     0,     0,     0,     0,     0,
    1273,  2681,  2681,     0,  1668,  1420,     0,     0,    43,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    44,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,    46,
       0,  1669,     0,  1351,     0,  1670,  1275,  1276,  1269,     0,
    1270,     0,    47,     0,     0,     0,     0,     0,     0,     0,
    1271,     0,     0,     0,   709,   709,  1671,  1672,  1272,  1420,
       0,     0,  1352,     0,     0,     0,  3050,     0,  1273,     0,
     709,  1669,     0,  1673,     0,  1670,     0,     0,    48,     0,
       0,  -121,     0,  1552,   709,     0,     0,     0,     0,     0,
       0,     0,  1552,   709,     0,     0,  1671,  1672,     0,  1674,
       0,  1950,  1675,     0,  1275,  1276, -2272,   709,     0,     0,
    1670,     0,     0,  1673,     0,  1676,     0,     0,  1677,     0,
    1278,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1951,  1671,  1672,     0,     0,   770,     0,     0,   770,  1674,
       0,     0,  1675,     0,     0,     0,     0,     0, -2272,     0,
       0,     0,   765,     0,     0,  1676,     0,     0,  1677,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   709,     0,     0,     0,  1675,     0,     0,
       0,     0,     0,   770,     0,     0,     0,     0,  1278,     0,
    1676,  1124,     0,  1678,     0,     0,     0,     0,     0,     0,
       0,  1124,     0,     0,     0,     0,  1420,  1124,     0,  1124,
       0,     0,     0,     0,     0,  1124,     0,     0,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,     0,     0,
       0,  1124,  1124,  1678,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1124,     0,     0,     0,  1124,     0,
       0,     0,  1124,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1124,     0,     0,  1124,     0,  1124, -2272,     0,
       0,     0,     0,     0,     0,     0,  1124,  1124,  1124,     0,
       0,     0,  1124,     0,     0,  1124,  1679,  1680,  1681,  3553,
    1682,  1683,  1684,  1685,  1686,  1687,   709,   709,   709,   765,
    3528,  3086,  3570,     0,     0,     0,  3570,  3584,     0,     0,
       0,     0,     0,  1124,     0,     0,     0,     0,  1420,  1124,
    1124,     0,     0,     0,     0,     0,  1679,  1680,  1681,     0,
    1682,  1683,  1684,  1685,  1686,  1687,     0,     0,     0,     0,
    3605,     0,     0,  1124,     0,     0,     0,     0,     0,  1124,
       0,     0,     0,  2522,     0,  1124,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1682,  1683,  1684,  1685,  1686,
    1687,     0,     0,     0,     0,     0,     0,  3637,  1552,  1552,
       0,  2096,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   770,
     770,   770,   770,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1420,     0,     0,     0,
    1662,     0,     0,  1663,  3678,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1662,     0,  1420,  1663,     0,
    1664,     0,     0,     0,     0,     0,     0,     0,  1666,     0,
       0,     0,     0,     0,  1667,  1664,     0,     0,     0,     0,
       0,     0,     0,  1666,     0,     0,     0,     0,     0,  1667,
       0,     0,     0,  1420,     0,     0,  1662,     0,  1668,  1663,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1668,     0,     0,  1664,     0,     0,     0,
       0,     0,     0,     0,  1666,  3748,     0,  1420,     0,     0,
    1667,  1420,  1420,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1668,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   709,     0,     0,     0,
       0,   767,     0,     0,     0,     0,     0,   770,     0,  1124,
     767,   787,     0,     0,     0,   709,     0,   787,     0,     0,
    1669,  3814,     0,     0,  1670,     0,     0,     0,   787,     0,
    1981,     0,     0,     0,     0,  1669,     0,     0,     0,  1670,
       0,     0,   709,     0,     0,  1671,  1672,     0,     0,     0,
       0,     0,  2746,     0,     0,     0,     0,     0,  3842,     0,
    1671,  1672,  1673,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1124,  1124,  1669,  1673,     0,     0,
    1670,     0,     0,     0,     0,     0,     0,     0,  1674,     0,
       0,  1675,     0,     0,     0,     0,     0,  2681,     0,  2681,
       0,  1671,  1672,  1674,  1676,     0,  1675,  1677,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1673,  1676,
       0,     0,  1677,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1124,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1674,     0,     0,  1675,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1676,     0,     0,  1677,     0,     0,     0,     0,     0,     0,
    1124,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1124,  1124,  1678,     0,     0,     0,     0,     0,  1124,  1124,
       0,     0,     0,  1124,     0,     0,     0,  1678,     0,  1124,
    1124,     0,  1662,  1124,     0,  1663,  1124,  3926,     0,     0,
     709,   709,   709,   709,     0,     0,     0,  3570,  3584,  1262,
    3570,     0,  1664,  3935,     0,  1263,     0,  3086,     0,  1662,
    1666,  3086,  1663,     0,     0,     0,  1667,  3948,  1678,     0,
       0,     0,     0,  1124,     0,     0,     0,     0,  1124,  1664,
       0,     0,     0,  1124,     0,     0,     0,  1666,     0,   809,
    1668,     0,     0,  1667,     0,  1264,     0,  3122,     0,     0,
       0,  2522,     0,     0,     0,  1679,  1680,  1681,     0,  1682,
    1683,  1684,  1685,  1686,  1687,   650,     0,  1668,  1124,  3631,
    1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,  1687,
       0,     0,     0,     0,  3888,     0,     0,     0,  2681,  2681,
       0,     0,     0,     0,  1265,     0,     0,     0,     0,     0,
       0,  1266,     0,     0,  1267,     0,     0,     0,     0,     0,
    4002,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,
    1687,     0,     0,     0,     0,  3922,     0,     0,     0,     0,
       0,     0,     0,   767,     0,     0,     0,     0,     0,     0,
       0,     0,  1669,     0,     0,   787,  1670,     0,     0,   787,
       0,     0,     0,     0,     0,     0,     0,     0,  1268,     0,
     787,     0,     0,     0,   770,     0,     0,  1671,  1672,  1669,
       0,     0,     0,  1670,     0,     0,   787,     0,   770,     0,
     767,     0,     0,     0,  1673,     0,     0,     0,     0,     0,
     767,   787,     0,     0,  1671,  1672,   787,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   787,     0,     0,     0,
    1674,  1673,     0,  1675,   787,  1269,     0,  1270,     0,     0,
       0,     0,     0,     0,     0,     0,  1676,  1271,     0,  1677,
       0,     0,     0,     0,     0,  1272,  1124,  1674,     0,     0,
    1675,     0,     0,     0,     0,  1273,     0,   765,     0,     0,
       0,     0,  1981,  1676,     0,     0,  1677,  1662,     0,  1552,
    1663,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   770,  1981,     0,     0,     0,     0,  1664,  2013,     0,
       0,  1275,  1276,     0,     0,  1666,     0,   767,     0,     0,
       0,  1667,   787,     0,     0,     0,     0,   709,     0,     0,
       0,     0,     0,     0,  1678,  1262,     0,  2014,     0,     0,
       0,  1263,     0,     0,     0,  1668,     0,     0,   767,     0,
       0,     0,     0,     0,     0,     0,  1124,     0,     0,     0,
       0,  1678,     0,     0,     0,  1124,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1264,  1124,  1124,     0,     0,  1124,     0,     0,     0,
       0,     0,     0,     0,     0,  1278,     0,     0,     0,   765,
    3570,     0,     0,     0,  3086,     0,     0,     0,     0,  3086,
       0,     0,  3086,  2746,     0,  4171,     0,  1124,  1124,     0,
       0,     0,     0,     0,     0,     0,     0,  1679,  1680,  1681,
    1265,  1682,  1683,  1684,  1685,  1686,  1687,  1266,     0,     0,
    1267,  4143,  3637,   809,   770,   770,   770,  1669,     0,     0,
       0,  1670,     0,     0,  1679,  1680,  1681,     0,  1682,  1683,
    1684,  1685,  1686,  1687,     0,     0,     0,     0,  4152,     0,
       0,   767,  1671,  1672,     0,     0,     0,     0,     0,     0,
     765,   809,   767,     0,     0,     0,     0,     0,     0,  1673,
       0,     0,     0,     0,  1268,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1422,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1674,     0,     0,  1675,     0,
       0,     0,     0,     0,  1552,  1552,     0,  1662,     0,   765,
    1663,  1676,   709,     0,  1677,     0,     0,     0,     0,     0,
       0,     0,   767,  3814,     0,     0,     0,  1664,     0,     0,
    2681,  1269,     0,  1270,  1981,  1666,     0,     0,     0,     0,
       0,  1667,     0,  1271,     0,     0,  3842,     0,     0,   709,
       0,  1272,     0,     0,   787,     0,     0,   770,  3637,     0,
       0,  1273,     0,     0,     0,  1668,     0,     0,     0,   787,
       0,     0,     0,   767,     0,     0,     0,     0,     0,     0,
    1124,   787,     0,  1124,     0,  1124,     0,     0,     0,  1678,
       0,     0,     0,     0,  2627,     0,     0,  1275,  1276,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1124,   787,
       0,     0,  3086,     0,     0,  4171,     0,  1422,     0,   787,
       0,  4324,     0,  1277,     0,     0,     0,     0,     0,     0,
       0,     0,   787,     0,     0,   787,     0,   770,     0,     0,
       0,   709,     0,     0,     0,     0,     0,   767,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   770,   770,   770,   770,  1669,     0,     0,
       0,  1670,     0,     0,     0,     0,   767,     0,  1552,     0,
       0,  1278,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,
    1686,  1687,  1671,  1672,     0,     0,  4185,   765,     0,     0,
       0,     0,     0,     0,   767,   767,     0,   767,     0,  1673,
       0,     0,     0,     0,     0,     0,  1124,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   767,     0,     0,     0,
       0,     0,     0,     0,     0,  1674,     0,     0,  1675,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   787,
       0,  1676,  1124,     0,  1677,   765,  1662,   787,   787,  1663,
       0,     0,     0,     0,     0,     0,   767,  1812,     0,     0,
       0,     0,     0,     0,     0,   770,  1664,   809,     0,     0,
       0,     0,     0,     0,  1666,     0,  1124,     0,     0,     0,
    1667,     0,     0,     0,     0,   767,     0,     0,     0,   767,
     767,     0,     0,  1662,     0,     0,  1663,     0,     0,     0,
       0,     0,     0,     0,  1668,  1422,     0,     0,     0,     0,
       0,  1812,     0,  1664,     0,     0,     0,     0,     0,  1678,
     770,  1666,     0,     0,     0,   765,     0,  1667,     0,     0,
       0,     0,     0,     0,     0,     0,  3637,     0,     0,  1262,
       0,     0,     0,     0,     0,  1263,     0,     0,  1124,  1124,
       0,  1668,     0,  2746,     0,     0,     0,  4324,     0,  1422,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   765,
       0,     0,     0,     0,     0,     0,     0,     0,   770,     0,
       0,     0,     0,     0,     0,  1264,     0,     0,     0,     0,
       0,     0,  1422,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1669,     0,     0,  1124,
    1670,     0,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,
    1686,  1687,     0,  1124,     0,     0,  4244,     0,   770,     0,
       0,  1671,  1672,     0,  1265,     0,     0,     0,     0,     0,
       0,  1266,     0,     0,  1267,     0,     0,   787,  1673,     0,
       0,     0,     0,  1669,     0,     0,     0,  1670,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1422,     0,     0,
       0,     0,     0,     0,  1674,     0,     0,  1675,  1671,  1672,
       0,     0,     0,     0,     0,     0,  1422,  1124,     0,     0,
    1676,     0,     0,  1677,  1662,  1673,   765,  1663,  1268,     0,
       0,     0,     0,     0,     0,     0,  1422,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1674,  1666,     0,  1675,     0,  1812,     0,  1667,     0,
       0,  1422,     0,     0,     0,     0,     0,  1676,     0,     0,
    1677,     0,     0,     0,     0,     0,   787,     0,     0,     0,
       0,     0,  1668,     0,     0,  1269,     0,  1270,     0,     0,
       0,     0,   787,     0,     0,     0,     0,  1271,  1678,     0,
       0,     0,     0,     0,     0,  1272,     0,     0,     0,     0,
       0,     0,   767,     0,     0,  1273,     0,     0,  1422,     0,
       0,   767,     0,   787,   787,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   787,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3543,  1678,   787,   787,  2714,     0,
       0,  1275,  1276,     0,     0,     0,     0,     0,   787,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2715,     0,     0,
       0,     0,     0,     0, -2272,     0,     0,     0,  1670,     0,
     767,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,
    1687,     0,     0,     0,     0,  4460,     0,     0,     0,  1671,
    1672,     0,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,   815,   767, -2272,   767,     0,     0,
       0,     0,     0,   827,   767,  1278,     0,   767,  1679,  1680,
    1681,   767,  1682,  1683,  1684,  1685,  1686,  1687,     0,   767,
     767,     0,  4552,     0,     0,  1675,     0,   767,     0,     0,
     767,   767,   767,   767,     0,     0,  1662,     0,  1676,  1663,
     767,   767,     0,   767,     0,   767,   767,     0,     0,   767,
       0,     0,     0,     0,     0,     0,  1664,     0,     0,     0,
    2491,     0,     0,     0,  1666,  1422,   767,  1812,     0,     0,
    1667,   767,     0,     0,     0,   767,     0,     0,     0,   767,
       0,   767,   767,   767,   767,   767,   767,   767,   767,   767,
       0,   767,     0,     0,  1668,     0,     0,     0,     0,   767,
     767,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2272,  1662,     0,     0,
    1663,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1664,     0,  2492,
       0,     0,     0,     0,  1662,  1666,     0,  1663,     0,     0,
       0,  1667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1664,     0,     0,     0,     0,     0,
       0,  1662,  1666,     0,  1663,  1668,     0,     0,  1667,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1664,     0,     0,     0,     0,  1669,     0,     0,  1666,
    1670,     0,  1668,     0,     0,  1667,     0,     0,     0,     0,
       0,     0,     0,  1682,  1683,  1684,  1685,  1686,  1687,     0,
       0,  1671,  1672,     0,     0,     0,   767,     0,     0,  1668,
       0,     0,     0,     0,     0,     0,     0,     0,  1673,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1662,     0,
       0,  1663,     0,     0,     0,     0,  3005,     0,     0,     0,
       0,  3006,     0,     0,  1674,     0,     0,  1675,     0,     0,
       0,     0,     0,     0,  1422,     0,  1666,  1669,  1422,  1422,
    1676,  1670,  1667,  1677,     0,     0,     0,     0,   787,     0,
       0,     0,  1812,   787,     0,     0,   787,     0,     0,     0,
       0,     0,  1671,  1672,  1669,     0,  1668,     0,  1670,  4524,
       0,     0,     0,     0,     0,     0,     0,     0,   787,  1673,
     836,   767,     0,     0,     0,   869,     0,     0,     0,  1671,
    1672,  1669,   767,     0,     0,  1670,     0,     0,     0,   767,
       0,     0,     0,     0,     0,  1674,  1673,     0,  1675,     0,
       0,     0,     0,     0,     0,     0,  1671,  1672,  1678,   787,
       0,  1676,     0,     0,  1677,     0,     0,     0,  3544,     0,
       0,     0,  1674,  1673,     0,  1675,   787,   787,     0,     0,
       0,     0,     0,  1422,     0,     0,     0,     0,  1676,     0,
       0,  1677,     0,     0,     0,     0,     0,     0,     0,  1674,
    1812,   787,  1675,     0,  1812,     0,     0,     0, -2272,  2493,
       0,  3520,  1670,     0,     0,  1676,     0,     0,  1677,     0,
       0,     0,     0,     0,     0,     0,     0,   787,     0,     0,
       0,   787,     0,  1671,  1672,     0,  4525,     0,     0,  1678,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   787,
   -2272,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,
    1687,     0,  1011,   787,     0,     0,  1678,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   787,     0,     0,  1675,
    3521,     0,     0,  1129,     0,   787,     0,     0,     0,     0,
       0,     0,  1676,  1678,     0,     0,     0,  1662,     0,     0,
    1663,     0,  1152,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1664,     0,     0,
    2968,     0,     0,  1178,     0,  1666,     0,     0,   767,     0,
    1422,  1667,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,
    1686,  1687,     0,     0,     0,  1662,     0,     0,  1663,     0,
       0,  1812,     0,     0,     0,  1668,     0,     0,     0,  1679,
    1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,  1687,     0,
   -2272,     0,     0,  1666,     0,     0,     0,     0,     0,  1667,
       0,     0,     0,     0,     0,     0,  1679,  1680,  1681,  1287,
    1682,  1683,  1684,  1685,  1686,  1687,     0,     0,     0,     0,
       0,  1662,     0,  1668,  1663,     0,     0,     0,     0,  1422,
       0,     0,   787,     0,     0,  1662,     0,     0,  1663,     0,
       0,  1664,     0,     0,  3013,     0,     0,     0,     0,  1666,
       0,     0,     0,     0,     0,  1667,     0,     0,     0,     0,
       0,     0,     0,  1666,     0,     0,   787,     0,     0,  1667,
       0,   767,     0,     0,     0,     0,     0,  1669,     0,  1668,
       0,  1670,     0,     0,     0,  3547,     0,  1682,  1683,  1684,
    1685,  1686,  1687,  1668,     0,     0,     0,     0,  1435,     0,
       0,   787,  1671,  1672,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1422,     0,     0,     0,     0,     0,  1673,
    1463,  1466,  1467,     0,   787, -2272,     0,     0,   767,  1670,
       0,     0,     0,     0,   767,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1674,     0,     0,  1675,     0,
    1671,  1672,   767,   767,     0,  3920,     0,     0,   767,     0,
       0,  1676,     0,     0,  1677,     0,     0, -2272,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1669,     0,   767,   767,  1670,     0,     0,   767,     0,
       0,     0,     0,     0,     0, -2272,  1675,     0,     0,  1670,
     767,   767,   767,   767,     0,     0,  1671,  1672,  1812,  1676,
       0,     0,  1129,   767,  1812,     0,   767,     0,   767,     0,
    1671,  1672,     0,  1673,     0,     0,     0,     0,   767,   767,
       0,     0,   767,     0,     0,  1129,     0, -2272,     0,  1678,
       0,     0,     0,     0,     0,   767,     0,   767,     0,  1674,
       0,   767,  1675,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1676,  1675,     0,  1677,     0,
     767,     0,     0,     0,     0,  1262,     0,     0,     0,  1676,
     767,  1263,     0,   767,   767,   767,     0, -2272,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   787,     0,     0,
     767,   788,     0,     0,     0,     0,  1302,   788,     0,     0,
       0,     0,   767,     0,     0,     0,     0,   767,   788,     0,
       0,  1264,     0,   767,     0,     0,     0,     0,     0,     0,
       0,   767,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,
    1686,  1687,     0,  1678,     0,     0,  1422,     0,     0,  1422,
       0,  1422,  1303,     0,     0,     0,  1422, -2272,   787,     0,
       0,     0,     0,     0,     0,     0,     0,  1729,     0,     0,
    1265,     0,     0,   787,   787,     0,     0,  1266,     0,   767,
    1267,     0,     0,     0,  1682,  1683,  1684,  1685,  1686,  1687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     787,     0,     0,   787,     0,     0,  1422,     0,     0,     0,
       0,     0,     0,     0,     0,  1864,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1304,     0,     0,  1268,     0,  1679,  1680,  1681,     0,
    1682,  1683,  1684,  1685,  1686,  1687,  1422,     0,     0,     0,
       0,     0,     0,     0,  1682,  1683,  1684,  1685,  1686,  1687,
       0,     0,     0,     0,     0,     0,     0,  1662,     0,     0,
    1663,     0,     0,  1812,  1812,  1812,     0,  1976,     0,  1305,
       0,  1306,     0,     0,  1994,     0,     0,  1664,     0,     0,
       0,  1307,     0,  1270,     0,  1666,     0,   787,     0,     0,
       0,  1667,     0,  1271,     0,  1422,     0,  1422,   787,     0,
       0,  1272,     0,     0,  2028,     0,     0,  2031,   787,     0,
    1308,  1273,     0,     0,     0,  1668,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2069,     0,  2702,     0,     0,  1275,  1276,  1310,
       0,     0,     0,     0,     0,     0,  2085,     0,  1422,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2097,
       0,     0,     0,  2703,     0,     0,     0,   787,     0,     0,
       0,     0,     0,  1422,  1312,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1662,     0,     0,  1663,
       0,     0,  1422,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1664,  1669,     0,  1812,
    1422,  1670,     0,     0,  1666,     0,     0,     0,     0,  1262,
    1667,  1278,     0,     0,   787,  1263,   787,     0,     0,     0,
       0,     0,  1671,  1672,     0,   788,     0,     0,   787,   788,
     787,     0,     0,     0,  1668,     0,     0,     0,     0,  1673,
     788,     0,     0,     0,     0,     0,     0,     0,  2193,     0,
       0,     0,     0,     0,  2203,  1264,   788,     0,     0,     0,
       0,     0,     0,     0,  1422,  1674,     0,     0,  1675,     0,
       0,   788,     0,     0,     0,     0,   788,     0,     0,   787,
    1422,  1676,     0,     0,  1677,     0,   788,     0,     0,     0,
       0,  1422,     0,     0,   788,     0,     0,     0,     0,  2983,
       0,     0,     0,     0,  1265,     0,     0,   787,     0,     0,
    2250,  1266,     0,     0,  1267,     0,     0,     0,   767,     0,
    3018,   787,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1669,     0,   787,     0,
    1670,   787,     0,     0,     0,     0,     0,     0,  1129,  1129,
       0,     0,     0,     0,     0,     0,     0,   767,     0,  1678,
    1422,  1671,  1672,     0,  2298,     0,     0,   767,  1268,     0,
       0,     0,   788,   767,     0,   767,     0,     0,  1673,     0,
    1422,   767,     0,     0,   767,   767,   767,   767,   767,   767,
     767,   767,   767,   767,     0,     0,     0,   767,   767,     0,
       0,     0,     0,     0,  1674,  1422,     0,  1675,     0,     0,
     767,     0,     0,     0,   767,     0,  1812,     0,   767,     0,
    1676,     0,     0,  1677,     0,  1269,     0,  1270,   767,     0,
       0,   767,     0,   767,     0,     0,     0,  1271,     0,     0,
       0,  1422,   767,   767,   767,  1272,     0,     0,   767,     0,
       0,   767,  1679,  1680,  1681,  1273,  1682,  1683,  1684,  1685,
    1686,  1687,     0,     0,     0,   767,     0,   767,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   767,
    1662,  2457,     0,  1663,     0,   767,   767,     0,  2760,     0,
    2471,  1275,  1276,     0,     0,     0,     0,     0,  1678,     0,
    1664,     0,     0,  3024,     0,     0,     0,     0,  1666,   767,
       0,     0,     0,     0,  1667,   767,     0,  2761,     0,     0,
       0,   767,     0,     0,     0,     0,     0,  1422,     0,     0,
       0,     0,  1662,     0,     0,  1663,     0,     0,  1668,     0,
       0,     0,     0,   767,     0,     0,     0,     0,     0,     0,
       0,     0,  1664,     0,     0,     0,     0,     0,     0,     0,
    1666,     0,     0,     0,     0,     0,  1667,  1262,     0,     0,
       0,     0,     0,  1263,   787,  1278,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1668,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,
    1687,     0,     0,     0,     0,     0,  2482,     0,  2485,     0,
    1812,     0,     0,  1264,     0,  1812,  1422,  1812,     0,     0,
       0,     0,     0,     0,   788,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   788,
    1669,     0,     0,     0,  1670,  1129,     0,     0,     0,     0,
       0,   788,     0,   787,     0,   787,     0,     0,     0,   787,
       0,     0,  1265,     0,   787,  1671,  1672,   787,     0,  1266,
       0,     0,  1267,     0,     0,     0,     0,     0,     0,   788,
       0,     0,  1673,     0,     0,     0,     0,     0,     0,   788,
       0,     0,  1669,     0,     0,     0,  1670,     0,     0,     0,
       0,  1812,   788,     0,     0,   788,     0,     0,  1674,     0,
       0,  1675,     0,     0,     0,     0,     0,  1671,  1672,     0,
       0,     0,     0,     0,  1676,     0,  1268,  1677,     0,     0,
     789,     0,     0,     0,  1673,     0,   789,     0,     0,     0,
       0,     0,     0,     0,     0,   767,     0,   789,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1674,     0,     0,  1675,     0,     0,     0,     0,   787,   787,
       0,     0,  1422,     0,     0,   787,  1676,     0,     0,  1677,
       0,  2650,     0,  1269,     0,  1270,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1271,     0,  1662,  2676,     0,
    1663,     0,  1678,  1272,     0,     0,     0,     0,     0,  1422,
     767,   767,     0,  1273,     0,     0,     0,  1664,     0,   788,
    3527,     0,     0,     0,     0,  1666,     0,   788,   788,     0,
       0,  1667,     0,     0,     0,     0,     0,  1813,     0,     0,
       0,     0,     0,     0,     0,     0,  3187,     0,     0,  1275,
    1276,   787,     0,     0,  1678,  1668,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   767,
       0,     0,     0,     0,     0,  3188,     0,     0,     0,     0,
    3477,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1813,     0,     0,     0,  1679,  1680,  1681,     0,  1682,
    1683,  1684,  1685,  1686,  1687,     0,   767,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   767,   767,     0,  1422,
       0,     0,     0,     0,   767,   767,     0,     0,     0,   767,
    1422,     0,     0,  1278,     0,   767,   767,     0,     0,   767,
       0,     0,   767,     0,     0,  2845,     0,  1679,  1680,  1681,
       0,  1682,  1683,  1684,  1685,  1686,  1687,  1669,     0,     0,
       0,  1670,     0,   767,     0,     0,     0,   767,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   767,
       0,     0,  1671,  1672,   767,     0,     0,     0,     0,   767,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1673,
       0,     0,  1662,     0,     0,  1663,  1262,     0,     0,     0,
       0,     0,  1263,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1664,     0,   767,  1674,     0,   788,  1675,     0,
    1666,     0,     0,     0,     0,     0,  1667,     0,     0,     0,
       0,  1676,  1422,     0,  1677,     0,     0,     0,     0,     0,
       0,     0,  1264,     0,     0,     0,     0,     0,     0,  1812,
    1668,   179,     0,     0,     0,     0,     0,     0,  1422,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     787,     0,     0,     0,   789,  1422,     0,     0,   789,     0,
       0,     0,   787,     0,     0,     0,     0,     0,     0,   789,
       0,  1265,     0,     0,     0,     0,  1813,   180,  1266,     0,
       0,  1267,     0,     0,   787,   789,     0,     0,     0,  1678,
     181,     0,     0,     0,     0,     0,   788,     0,     0,     0,
     789,     0,     0,     0,     0,   789,     0,   182,     0,  1422,
       0,     0,   788,   183,     0,   789,     0,     0,     0,     0,
       0,     0,     0,   789,   787,     0,     0,     0,   184,     0,
       0,     0,  1669,     0,     0,  1268,  1670,     0,     0,   185,
       0,     0,     0,   788,   788,     0,     0,   186,     0,     0,
       0,     0,     0,     0,   788,     0,     0,  1671,  1672,   187,
       0,     0,   767,     0,   188,     0,   788,   788,     0,     0,
     189,     0,     0,   767,  1673,     0,     0,     0,   788,     0,
       0,     0,  1679,  1680,  1681,   190,  1682,  1683,  1684,  1685,
    1686,  1687,  1269,     0,  1270,     0,     0,     0,     0,     0,
    1674,   789,     0,  1675,  1271,     0,     0,     0,  3069,     0,
     191,     0,  1272,     0,     0,     0,  1676,     0,     0,  1677,
    1422,     0,  1273,     0,     0,     0,     0,     0,     0,     0,
       0,   192,     0,     0,     0,     0,     0,     0,     0,     0,
     787,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   767,     0,     0,  3227,  1422,     0,  1275,  1276,
       0,   767,   193,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   767,   767,
       0,     0,   767,     0,  3228,     0,     0,     0,     0,     0,
       0,   194,     0,     0,  1678,   767,     0,     0,     0,     0,
     767,     0,     0,     0,     0,   767,     0,     0,   767,     0,
       0,     0,     0,   767,   767,     0,     0,  1813,   195,     0,
       0,     0,   196,     0,   197,     0,     0,     0,     0,     0,
     198,     0,   787,   199,   787,     0,     0,     0,   767,     0,
       0,     0,  1278,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
       0,   202,     0,     0,     0,   203,     0,     0,  1422,     0,
       0,     0,     0,   204,     0,     0,   767,     0,   205,     0,
       0,     0,     0,     0,     0,     0,     0,  1679,  1680,  1681,
     206,  1682,  1683,  1684,  1685,  1686,  1687,     0,     0,     0,
       0,     0,     0,   207,     0,     0,     0,     0,     0,     0,
    1812,     0,   787,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   767,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   789,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   789,     0,
       0,     0,     0,     0,   767,     0,  1422,     0,     0,     0,
     789,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   767,  1422,     0,   767,
       0,   767,     0,     0,     0,     0,     0,     0,   789,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   789,     0,
       0,     0,     0,     0,   767,     0,     0,     0,   767,     0,
       0,   789,     0,  1422,   789,     0,     0,     0,   788,     0,
       0,     0,  1813,   788,     0,     0,   788,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1812,     0,     0,     0,  1422,   788,     0,
       0,  1422,  1422,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3371,  3372,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3381,     0,     0,     0,     0,     0,     0,     0,     0,   788,
       0,     0,     0,   767,  3390,     0,     0,     0,     0,     0,
       0,     0,     0,  3399,     0,     0,   788,   788,     0,     0,
       0,     0,   767,     0,     0,     0,     0,  3415,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   789,     0,
    1813,   788,  1422,     0,  1813,     0,   789,   789,     0,     0,
       0,     0,     0,     0,   531,     0,  1814,     0,   767,     0,
       0,   767,     0,     0,     0,     0,   532,   788,     0,     0,
       0,   788,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   533,     0,   788,
       0,     0,   767,  1129,     0,     0,     0,     0,     0,     0,
     534,     0,     0,   788,     0,     0,     0,     0,     0,   535,
    1814,     0,     0,  -729,     0,   787,   788,     0,     0,     0,
       0,     0,     0,     0,     0,   788,     0,     0,     0,     0,
     536,     0,     0,     0,     0,     0,   537,     0,     0,     0,
       0,   767,     0,     0,     0,     0,     0,     0,   578,     0,
       0,   538,   767,     0,     0,     0,     0,     0,     0,     0,
     579,     0,   539,     0,   767,   767,     0,     0,     0,     0,
     540,     0,     0,     0,     0,   787,     0,     0,     0,     0,
       0,   580,   541,     0,     0,   767,     0,     0,     0,   542,
       0,  1813,     0,   543,   581,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   582,  -924,     0,
       0,     0,     0,     0,     0,     0,  3558,  3559,  3560,     0,
       0,     0,     0,     0,   583,   767,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   767,
       0,     0,     0,     0,     0,   584,   789,   544,     0,     0,
       0,     0,   788,     0,  -496,     0,   585,     0,     0,  1812,
       0,     0,     0,     0,   586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   587,     0,     0,     0,
       0,   588,     0,     0,     0,   545,   788,   589,   546,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   590,   767,     0,     0,     0,     0,  1812,     0,
       0,     0,   767,     0,     0,     0,  1812,     0,     0,     0,
       0,   788,     0,  -392,     0,  1814,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   547,     0,     0,   788,   789,     0,   548,   591,     0,
       0,     0,   566,  -392,     0,     0,   549,     0,   609,     0,
       0,   789,     0,     0,     0,     0,     0,   659,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   592,
       0,     0,  -392,     0,   550,   551,   721,   552,   553,     0,
     593,     0,   789,   789,     0,     0,   554,     0,     0,     0,
       0,   555,     0,   789,     0,     0,     0,   556,   194,     0,
     557,     0,     0,   558,     0,   789,   789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  -392,   789,  1813,     0,
       0,     0,     0,     0,  1813,   594,     0,     0,     0,   595,
       0,   596,     0,     0,     0,     0,     0,   597,     0,     0,
     598,     0,     0,     0,   839,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   599,     0,   600,     0,
       0,     0,   601,     0,     0,     0,  3783,   840,     0,     0,
     602,     0,     0,     0,     0,   603,     0,     0,     0,     0,
     841,   842,     0,     0,     0,  3809,     0,   604,     0,   843,
       0,     0,     0,   844,     0,     0,     0,   788,     0,     0,
     605,     0,     0,     0,     0,   778,     0,     0,     0,     0,
     845,     0,  3826,     0,     0,   812,   813,     0,   816,     0,
       0,   820,     0,   822,     0,     0,     0,     0,     0,     0,
       0,   846,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   847,     0,     0,     0,  1814,     0,     0,     0,
     848,     0,     0,     0,     0,     0,     0,     0,   788,     0,
       0,     0,   849,     0,     0,     0,     0,   850,     0,     0,
       0,     0,     0,   788,   788,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   851,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     788,     0,     0,   788,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   852,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   853,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   854,     0,     0,     0,     0,
       0,     0,     0,  1813,  1813,  1813,     0,     0,     0,     0,
    3927,  3928,  3929,  3930,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   194,     0,     0,   788,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   788,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   788,     0,
       0,   855,     0,     0,     0,   856,     0,   857,     0,     0,
       0,     0,     0,   858,     0,     0,   859,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   860,     0,   861,     0,     0,   789,   862,     0,
       0,  1814,   789,     0,     0,   789,   863,     0,     0,     0,
       0,   864,     0,     0,     0,     0,     0,   788,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   789,     0,     0,
       0,     0,     0,     0,     0,     0,   865,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1813,
       0,     0,     0,     0,     0,     0,     0,     0,   789,     0,
       0,     0,     0,     0,   788,     0,   788,     0,     0,     0,
       0,   872,     0,     0,     0,   789,   789,     0,   788,   880,
     788,     0,     0,     0,     0,     0,     0,     0,   896,   897,
       0,     0,     0,   899,     0,     0,     0,     0,     0,  1814,
     789,     0,     0,  1814,   915,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   923,     0,
       0,     0,     0,     0,     0,     0,   789,     0,     0,   788,
     789,     0,     0,     0,   946,     0,     0,   948,     0,   950,
       0,   953,     0,     0,     0,     0,     0,     0,   789,     0,
       0,     0,     0,     0,     0,     0,     0,   788,     0,     0,
       0,     0,   789,     0,     0,     0,     0,     0,     0,     0,
       0,   788,     0,     0,     0,   789,     0,     0,     0,     0,
       0,     0,     0,     0,   789,     0,     0,     0,   788,     0,
       0,   788,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1009,     0,  1010,     0,     0,     0,  4119,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1108,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1814,     0,     0,     0,     0,     0,     0,   721,     0,     0,
       0,     0,     0,     0,     0,     0,  1813,  1168,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1412,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   789,     0,     0,     0,  1229,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   789,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1354,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     789,     0,  1366,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1376,     0,     0,     0,     0,
       0,     0,  1378,   789,     0,     0,     0,     0,     0,     0,
       0,     0,  4242,     0,  1426,     0,     0,  1430,     0,     0,
       0,     0,     0,     0,   788,     0,     0,     0,     0,  1412,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1129,
    1473,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1813,     0,     0,     0,     0,  1813,     0,  1813,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1814,     0,     0,
       0,     0,     0,  1814,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   788,     0,   788,     0,     0,     0,   788,
       0,     0,     0,     0,   788,     0,     0,   788,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4335,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1813,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1624,     0,     0,   788,   788,
       0,     0,     0,     0,     0,   788,     0,  1412,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   789,     0,     0,
       0,     0,     0,  1649,  1650,     0,  1652,     0,     0,     0,
       0,     0,   789,   789,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1694,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   789,
       0,  1412,   789,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   788,     0,     0,     0,  1730,     0,     0,     0,     0,
       0,   721,  1827,     0,  1412,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1834,     0,     0,     0,  1846,  1849,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1814,  1814,  1814,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1948,     0,   789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   789,     0,  1412,
       0,     0,     0,     0,     0,     0,     0,   789,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1412,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1412,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1412,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1814,  1813,
    1412,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   789,     0,   789,     0,     0,     0,     0,
     788,     0,     0,     0,     0,     0,     0,   789,     0,   789,
       0,     0,   788,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   788,     0,     0,     0,     0,     0,
       0,     0,  2152,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2175,   789,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   788,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2220,     0,     0,
     789,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2235,     0,  2237,     0,  2238,   789,     0,     0,
     789,  2239,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1412,     0,     0,
       0,     0,     0,     0,  1827,     0,     0,     0,  1827,     0,
    1827,     0,     0,  1827,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     788,     0,     0,     0,     0,  1814,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2334,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2357,     0,     0,  2359,
       0,     0,  2370,     0,     0,     0,     0,     0,     0,  2377,
    2382,     0,     0,     0,     0,  2388,     0,     0,  2393,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   788,     0,   788,  2402,     0,     0,     0,     0,
    2409,     0,     0,     0,  2421,     0,     0,     0,  2428,     0,
    2430,  2431,  2432,  2433,  2434,  2435,  2436,  2437,  2438,     0,
    2439,     0,     0,     0,     0,     0,     0,     0,  1108,  2467,
       0,     0,     0,     0,     0,  1421,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   789,     0,     0,     0,     0,     0,     0,
    1813,     0,   788,     0,     0,     0,  1412,     0,     0,     0,
    1412,  1412,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1814,
       0,     0,     0,     0,  1814,     0,  1814,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   789,     0,   789,     0,     0,     0,   789,     0,
       0,     0,     0,   789,     0,  1168,   789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1421,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1412,     0,     0,     0,     0,
    1814,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2540,  2541,     0,     0,
       0,  2544,  2545,     0,     0,  2548,     0,     0,     0,     0,
       0,     0,     0,  1813,     0,  2558,     0,     0,     0,     0,
       0,     0,  2567,     0,     0,     0,  2570,  2571,     0,     0,
    2574,  2575,     0,     0,     0,     0,     0,  2580,     0,     0,
    2572,     0,     0,     0,     0,     0,     0,   789,   789,  2596,
       0,  2598,     0,     0,   789,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2620,     0,     0,
       0,     0,  2622,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2631,     0,  2633,  2634,  2637,  2639,     0,     0,
       0,  2646,  2649,     0,     0,     0,     0,     0,     0,  2660,
       0,     0,     0,  2669,     0,     0,     0,  2673,     0,     0,
       0,     0,  1412,     0,     0,     0,     0,     0,     0,     0,
     789,     0,     0,     0,     0,     0,     0,     0,     0,  2701,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2708,     0,  2710,     0,     0,  1882,     0,  2713,     0,     0,
       0,     0,  2717,  2718,  2719,  2720,     0,     0,     0,     0,
       0,  2729,     0,     0,     0,   788,     0,     0,     0,     0,
       0,     0,     0,     0,  2753,  2754,  2755,     0,     0,     0,
       0,     0,     0,     0,     0,  2763,  2764,     0,     0,     0,
       0,  1412,     0,     0,     0,     0,     0,     0,     0,  1882,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   788,     0,     0,     0,     0,
       0,     0,  1421,     0,     0,     0,     0,  2793,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2821,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1412,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1689,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1421,     0,  1813,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1882,     0,  1814,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1421,     0,     0,   789,
       0,  1689,     0,     0,     0,     0,     0,     0,  1813,     0,
    2918,   789,     0,     0,     0,     0,  1813,     0,  1827,     0,
       0,  1421,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   789,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2943,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   789,     0,     0,     0,     0,  1421,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2964,     0,     0,     0,     0,  2970,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2382,
       0,  2382,  2382,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3027,     0,     0,  3030,     0,  3032,  1412,     0,
       0,  1412,     0,  1412,     0,     0,     0,     0,  1412,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3053,     0,  3055,     0,     0,   789,
    3058,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1412,     0,
       0,     0,  2467,  2467,  2467,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3103,     0,  3101,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1834,     0,     0,     0,  1421,  3112,     0,  1412,     0,
       0,     0,  1849,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   789,     0,   789,     0,     0,  3139,  3140,     0,     0,
    2470,     0,     0,  1414,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1827,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1412,  3148,  1412,
       0,     0,     0,     0,     0,     0,     0,     0,  3162,     0,
       0,     0,     0,     0,     0,     0,     0,  3166,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3177,  3179,     0,  1689,     0,  3179,     0,  1814,
       0,   789,  3190,  3191,  3192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1412,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3210,  3211,  3212,  3213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1412,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1412,  1414,  3230,  3231,  3232,     0,
       0,     0,     0,  1689,     0,     0,  3245,     0,     0,     0,
       0,     0,  1412,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1689,     0,     0,
       0,     0,  2366,     0,  2525,     0,     0,     0,  1882,  2531,
       0,  3262,     0,  3264,     0,     0,  3268,     0,     0,     0,
       0,     0,  1689,  1689,     0,  1689,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1412,  3292,     0,     0,
       0,     0,  1814,     0,     0,  3296,     0,     0,     0,     0,
       0,     0,  1412,     0,     0,     0,     0,  1689,     0,     0,
       0,     0,     0,  1412,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1689,     0,     0,     0,     0,     0,     0,
       0,     0,  3368,  1421,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1412,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3397,     0,     0,  3400,     0,     0,
       0,     0,  1412,  1414,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1412,     0,  3438,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3448,     0,     0,     0,  1689,     0,     0,
       0,     0,     0,  1827,   789,     0,     0,  1414,     0,  1689,
       0,     0,  1689,  1412,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1414,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1421,     0,     0,     0,     0,     0,  3478,     0,     0,     0,
       0,     0,     0,     0,   789,     0,  3482,     0,     0,     0,
       0,     0,  3483,     0,  3484,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3502,  3503,     0,  1412,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1414,     0,  2388,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3531,     0,  1882,
    3534,     0,  3536,     0,  1414,     0,     0,     0,     0,     0,
       0,  3540,     0,     0,     0,     0,     0,  3545,  1814,     0,
    3548,     0,     0,     0,  1414,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3589,  1414,
       0,     0,     0,     0,  3596,  2467,     0,     0,  1412,     0,
       0,     0,     0,     0,     0,     0,     0,  1814,     0,     0,
       0,     0,     0,     0,     0,  1814,     0,     0,  3608,     0,
       0,     0,     0,  1421,  1108,     0,     0,     0,     0,     0,
    1168,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1414,  3648,     0,  3649,
       0,     0,     0,     0,     0,     0,  3651,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3660,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3666,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3677,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3680,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3710,  3711,  3712,  3713,  3714,  3715,  3716,  3717,
       0,     0,     0,     0,  1412,  3723,     0,     0,     0,     0,
       0,     0,  3732,  3733,     0,  3735,  3736,  3737,  3738,  3739,
    3740,  3741,     0,     0,     0,     0,     0,     0,     0,     0,
    3749,     0,  3751,  3752,     0,     0,     0,     0,     0,     0,
       0,  1412,     0,  2470,  2470,  2470,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1414,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3795,  3797,  3799,     0,
       0,  3802,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1882,  1415,     0,  2531,
       0,  2531,     0,     0,     0,     0,  1882,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1412,     0,     0,     0,     0,     0,  1689,     0,     0,
       0,     0,  1412,     0,     0,     0,  1421,     0,     0,  3855,
    3856,     0,     0,  3179,     0,     0,     0,     0,     0,     0,
    1689,     0,  1689,     0,  2366,  2366,  3001,     0,     0,  2366,
    1827,  1827,  1827,  1689,     0,     0,     0,     0,     0,     0,
    1689,     0,     0,     0,     0,  1689,  1882,     0,     0,     0,
       0,  1689,     0,     0,     0,     0,  1689,     0,     0,     0,
       0,     0,     0,     0,     0,  1689,     0,     0,  3886,  2366,
    2366,     0,  1689,     0,     0,     0,     0,     0,     0,  1415,
       0,     0,     0,     0,  1689,     0,     0,     0,     0,     0,
       0,  1689,     0,  1689,  1689,  1689,  1689,  1689,  1689,  1689,
    1689,  1689,  1689,     0,     0,  1421,     0,  1421,     0,     0,
       0,     0,     0,     0,  1412,  3904,  3906,     0,     0,     0,
    1417,     0,  1414,     0,     0,     0,  1414,  1414,  3913,     0,
    1689,     0,     0,     0,  3918,  3919,     0,     0,  3921,     0,
    1412,  3924,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1412,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1421,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2467,     0,
       0,     0,     0,  2467,     0,     0,     0,     0,  2467,     0,
       0,     0,     0,  1421,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1412,  2531,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3974,     0,     0,     0,     0,     0,     0,
    2531,  1414,     0,     0,     0,  1689,     0,     0,     0,     0,
    3993,  3994,  3995,  3996,     0,     0,     0,     0,     0,     0,
       0,     0,  1417,     0,  1418,     0,     0,     0,     0,     0,
       0,     0,     0,  4007,  4008,  4009,  4010,     0,  4012,  4013,
       0,     0,     0,     0,     0,     0,     0,  1415,     0,     0,
    4022,  4023,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1421,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1827,  1827,     0,  1827,     0,
    2531,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1421,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1415,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1412,     0,
       0,     0,     0,     0,  1415,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1414,     0,
       0,     0,     0,     0,     0,     0,  1418,     0,     0,     0,
    1421,  4069,     0,     0,     0,     0,     0,  4083,     0,     0,
       0,     0,     0,     0,     0,     0,  4089,     0,     0,     0,
    1421,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4108,     0,     0,     0,
       0,     0,     0,     0,     0,  1421,     0,     0,     0,  1415,
       0,     0,     0,     0,     0,     0,     0,     0,  4125,     0,
    1417,     0,     0,     0,     0,     0,  1689,  1414,  1415,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1412,  1421,     0,     0,     0,     0,     0,     0,  1415,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1419,     0,     0,     0,     0,     0,
       0,     0,     0,  1415,  1417,     0,     0,     0,     0,     0,
       0,  4151,     0,     0,     0,  1827,  2470,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1827,     0,
       0,     0,     0,     0,     0,     0,     0,  1417,     0,     0,
       0,  1414,     0,  4174,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1882,     0,     0,
    1415,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1412,     0,
       0,  1689,     0,     0,  1418,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1412,
       0,     0,     0,  4212,  4213,  4214,     0,     0,  4216,     0,
       0,     0,  1417,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1419,  1689,     0,     0,
       0,  1417,     0,  1689,     0,  1412,     0,     0,  1418,     0,
       0,     0,     0,     0,     0,     0,  2531,     0,     0,  3001,
    3001,  1417,  2366,     0,     0,  2366,  2366,  2366,  2366,  2366,
    2366,  2366,  2366,  2366,  2366,  3001,     0,     0,     0,  1412,
       0,  1418,     0,  1412,  1412,     0,  1417,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1689,     0,     0,  1689,     0,  1689,     0,     0,     0,  3179,
    3001,  3001,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2366,  2366,  1689,     0,  1689,     0,
       0,  1689,     0,     0,     0,     0,     0,     0,  2388,     0,
       0,     0,     0,  1417,     0,     0,     0,  1415,  1827,     0,
       0,     0,     0,     0,     0,     0,  1418,     0,  1827,     0,
       0,     0,     0,  4314,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1689,  1418,     0,     0,     0,     0,
       0,     0,     0,     0,  1414,  1689,     0,  1414,  4338,  1414,
       0,     0,     0,  4342,  1414,  1418,     0,     0,     0,     0,
       0,     0,     0,     0,  4352,     0,     0,     0,     0,     0,
    1827,     0,  1421,     0,     0,     0,     0,     0,     0,     0,
    1418,  1689,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1419,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1414,     0,     0,     0,     0,  1882,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4388,     0,     0,     0,     0,     0,  1418,     0,     0,
       0,     0,     0,  3179,  1414,     0,     0,     0,  1419,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1827,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1417,  1419,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4432,     0,  1414,     0,  1414,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1415,     0,     0,  1421,
    1415,  1415,     0,     0,     0,     0,     0,  4452,     0,     0,
    1421,     0,  4456,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1419,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1414,     0,     0,     0,
       0,     0,     0,  4476,  4476,  1419,     0,     0,     0,  2470,
       0,     0,     0,     0,  2470,     0,  2366,     0,     0,  2470,
       0,  1414,     0,     0,     0,  1419,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1414,     0,     0,     0,  1418,     0,     0,     0,     0,     0,
    1419,     0,     0,     0,     0,  1415,     0,     0,  1414,     0,
       0,     0,     0,     0,  4476,     0,     0,     0,     0,     0,
       0,     0,  1421,     0,     0,     0,     0,     0,  4529,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1421,     0,
       0,     0,     0,     0,     0,     0,     0,  1419,     0,     0,
       0,     0,     0,     0,     0,  1421,     0,     0,     0,  1417,
       0,     0,  1414,  1417,  1417,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1414,     0,
       0,  1689,  4476,     0,     0,  1689,  1689,  1689,     0,  1414,
    3001,     0,     0,     0,     0,  3001,  3001,  3001,  3001,  3001,
    3001,  3001,  3001,  3001,  3001,  1689,  1689,     0,     0,  1421,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1689,  2366,  2366,  1689,     0,  1689,
       0,     0,  1415,  1689,  3001,  3001,     0,     0,  1689,     0,
       0,  1689,     0,     0,     0,     0,     0,     0,  1414,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1417,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1414,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1689,  1418,     0,     0,     0,  1418,  1418,  1689,
       0,     0,     0,  1414,     0,     0,     0,     0,     0,     0,
       0,  1689,     0,     0,     0,     0,     0,     0,     0,     0,
    4117,  1415,     0,     0,  1419,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1414,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1421,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1418,     0,     0,  1415,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1417,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1414,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2531,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1417,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3001,     0,     0,     0,
       0,     0,     0,     0,  1414,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1419,     0,     0,     0,  1419,  1419,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1418,
       0,     0,     0,     0,     0,     0,     0,     0,  1689,  1689,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2531,     0,  1417,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1689,
       0,     0,     0,  2366,     0,     0,     0,  1421,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1689,     0,  1689,
       0,     0,     0,     0,  3001,  3001,  1689,     0,     0,  2366,
    2366,  1689,  1689,     0,  1689,     0,     0,  1689,  1418,     0,
       0,     0,     0,  1421,     0,     0,     0,     0,  1415,     0,
       0,  1415,  1419,  1415,     0,     0,     0,     0,  1415,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1421,     0,     0,
    1414,  1421,  1421,     0,     0,     0,     0,  1689,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1415,     0,
       0,     0,     0,     0,     0,     0,     0,  1414,     0,     0,
       0,     0,  1418,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1415,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4117,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1689,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1419,
       0,     0,     0,     0,     0,     0,     0,  1415,     0,  1415,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1417,     0,     0,  1417,     0,  1417,  1414,     0,     0,
       0,  1417,     0,     0,     0,     0,     0,     0,  1414,     0,
       0,     0,     0,     0,     0,     0,  3001,  2366,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3001,  3001,  1689,     0,     0,     0,     0,     0,
    1415,     0,     0,     0,     0,     0,     0,     0,  1419,     0,
       0,  1417,     0,     0,     0,     0,     0,  1689,     0,     0,
       0,     0,     0,     0,     0,  1415,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1415,     0,     0,     0,     0,     0,
       0,  1417,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1415,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1414,     0,     0,     0,     0,  1418,     0,     0,  1418,     0,
    1418,     0,  1419,     0,     0,  1418,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1414,     0,     0,     0,
    1417,     0,  1417,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1414,     0,     0,  1415,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3001,  1415,     0,     0,  1418,     0,     0,     0,     0,
       0,     0,     0,  1415,     0,     0,     0,  1689,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1417,     0,     0,     0,  1414,     0,     0,
       0,     0,     0,     0,     0,  1418,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1417,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1417,     0,     0,
       0,     0,  1415,     0,     0,     0,     0,     0,     0,     0,
       0,  1689,     0,     0,     0,  1417,     0,     0,     0,     0,
       0,     0,  1415,     0,  1418,     0,  1418,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1415,     0,     0,
       0,     0,     0,     0,     0,  1689,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1417,
       0,     0,     0,  1415,     0,     0,     0,  1418,     0,     0,
       0,     0,     0,     0,     0,  1417,     0,     0,     0,  1689,
       0,     0,     0,     0,  1414,  1419,  1417,     0,  1419,     0,
    1419,     0,  1418,     0,     0,  1419,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1418,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1418,
       0,     0,  1689,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1419,     0,     0,     0,  1415,
       0,     0,     0,     0,     0,  1417,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1417,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1419,     0,     0,     0,     0,
       0,     0,     0,  1418,     0,     0,  1414,     0,     0,     0,
    1417,     0,     0,     0,     0,     0,     0,     0,     0,  1418,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1418,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1417,     0,  1415,     0,
       0,     0,     0,     0,  1419,     0,  1419,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1418,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1414,     0,     0,  1419,     0,  1418,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1417,     0,     0,  1414,     0,     0,     0,     0,
       0,     0,  1419,     0,  1418,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1419,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1414,     0,     0,     0,     0,     0,     0,     0,  1419,
    1418,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1415,  1414,     0,     0,     0,  1414,
    1414,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1417,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1415,     0,  1419,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1419,
       0,     0,     0,     0,     0,     0,  1418,     0,     0,     0,
    1419,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1419,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1415,     0,     0,     0,  1418,     0,     0,     0,  1419,
       0,     0,  1415,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1417,     0,     0,
       0,     0,     0,     0,  1419,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1417,     0,     0,     0,     0,     0,
    1419,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1415,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1415,     0,     0,     0,     0,     0,  1419,     0,     0,     0,
       0,  1418,     0,     0,     0,     0,     0,  1415,     0,     0,
       0,     0,     0,     0,  1417,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1417,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1418,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1415,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1419,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1417,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1418,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1418,
       0,     0,     0,  1417,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1417,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1415,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1417,     0,     0,     0,     0,     0,
       0,  1419,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1418,     0,     0,     0,     0,     0,     0,  1419,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1418,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1418,     0,     0,     0,     0,     0,
    1415,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1418,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1417,     0,     0,     0,     0,     0,     0,  1419,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1419,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1415,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1415,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1415,     0,     0,     0,     0,
       0,     0,     0,  1417,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1419,     0,     0,     0,  1418,     0,     0,     0,  1415,
       0,     0,     0,  1415,  1415,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1419,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1419,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1417,     0,     0,     0,     0,     0,     0,  1419,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1417,     0,     0,     0,     0,  1418,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1417,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1417,     0,     0,     0,  1417,  1417,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1418,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1419,  1418,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1418,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1418,     0,     0,     0,
    1418,  1418,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1419,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1419,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1419,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1419,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   741,  1026,   573,  1027,  1028,  1029,   624,  1030,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,  2461,   220,   221,   222,     0,  1419,     0,     0,  1031,
    1419,  1419,   223,   224,     0,   225,   226,   742,   227,   228,
     229,   230,  1032,   743,  1033,  1034,     0,   234,   235,   236,
     237,   238,  1035,  1036,   239,   240,  1037,  1038,   243,     0,
     244,   245,   246,   247,  1039,     0,  1040,     0,   249,   250,
     251,   252,   745,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   746,   261,   262,  1041,  1042,  1043,  1044,
    1045,  1046,  1047,   263,   264,   265,   266,   267,   268,  1048,
    1049,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,  2462,     0,   281,   282,  1050,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,  1051,   297,   298,   299,  1052,  1053,
     301,     0,   302,   303,  1054,   305,     0,   306,     0,   307,
     748,     0,   749,   308,   309,   310,     0,   311,  1055,     0,
     313,     0,   314,   315,   316,   317,   318,   750,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     751,   329,   330,   331,   332,   333,  1056,  1057,     0,  1058,
       0,   337,   752,   753,   338,   754,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,  1059,   755,   348,   756,
       0,   349,   350,   351,  1060,  1061,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1062,
     757,  1063,   367,   368,   369,  1064,   370,   371,   758,   372,
    1065,  1066,   374,  1067,   376,   377,   378,     0,   379,     0,
       0,  1068,   381,   382,     0,     0,   383,   384,   759,   385,
     760,  1069,   387,   388,   389,   390,   391,   392,   393,     0,
     394,  1070,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1071,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   761,   427,   428,  1072,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,  1073,   443,   444,   445,   446,   762,
     447,  1074,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,  1075,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1076,  1077,     0,     0,
     471,  1078,   473,  1079,  1080,   475,   476,   477,   478,   479,
     480,   481,     0,  1081,   482,   483,   484,   485,   486,  1082,
       0,   487,   488,   489,   490,   491,   492,  1083,  2463,   494,
     763,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,  1084,  1085,  1086,
    1087,  1088,  1089,  1090,  1091,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,     0,  1092,  1093,  2464,     0,
       0,     0,     0,     0,     0,  1095,  2465,   741,  1026,   573,
    1027,  1028,  1029,   624,  1030,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,  1031,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,  1032,   743,  1033,
    1034,     0,   234,   235,   236,   237,   238,  1035,  1036,   239,
     240,  1037,  1038,   243,     0,   244,   245,   246,   247,  1039,
       0,  1040,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,   264,
     265,   266,   267,   268,  1048,  1049,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1050,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,  1051,
     297,   298,   299,  1052,  1053,   301,     0,   302,   303,  1054,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,  1055,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,  1056,  1057,     0,  1058,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1059,   755,   348,   756,     0,   349,   350,   351,  1060,
    1061,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1062,   757,  1063,   367,   368,   369,
    1064,   370,   371,   758,   372,  1065,  1066,   374,  1067,   376,
     377,   378,     0,   379,     0,     0,  1068,   381,   382,     0,
       0,   383,   384,   759,   385,   760,  1069,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1070,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1071,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,  1072,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1073,
     443,   444,   445,   446,   762,   447,  1074,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1075,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1076,  1077,     0,     0,   471,  1078,   473,  1079,  1080,
     475,   476,   477,   478,   479,   480,   481,     0,  1081,   482,
     483,   484,   485,   486,  1082,     0,   487,   488,   489,   490,
     491,   492,  1083,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,  1093,   210,     0,     0,     0,     0,     0,     0,
    1095,  2368,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,  3567,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0, -1491,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0, -1491,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328, -1491,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338, -1491,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347, -1491,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365, -1491,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426, -1491,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,     0,  1388,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1175,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,     0,  1389,   743,  1390,
    1391,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,  1392,  1393,   243,     0,   244,   245,   246,   247,     0,
       0,   744,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,     0,     0,     0,   747,     0,     0,     0,   263,   264,
     265,   266,   267,   268,  1394,  1395,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1050,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,     0,
     297,   298,   299,     0,     0,   301,     0,   302,   303,  1396,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,     0,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,  1868,   322,   323,   324,
     325,   326,   327,     0,   328,   751,  1869,   330,   331,   332,
     333,  1397,  1398,     0,  1399,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   755,   348,   756,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1400,   757,  1401,   367,   368,     0,
       0,   370,   371,   758,   372,     0,     0,   374,  1402,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,  1871,   759,   385,   760,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   396,     0,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1403,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,     0,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,  1872,   445,   446,   762,   447,  1405,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,     0,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1406,  1407,     0,     0,   471,     0,   473,     0,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,     0,  1408,  1873,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,     0,  1388,     0,     0,     0,     0,     0,     0,     0,
     515,   516,   517,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,  1971,   223,   224,     0,   225,   226,   742,   227,   228,
     229,     0,  1389,   743,  1390,  1391,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,  1392,  1393,   243,     0,
     244,   245,   246,   247,     0,     0,   744,     0,   249,   250,
     251,   252,   745,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   746,   261,   262,     0,     0,     0,   747,
       0,     0,     0,   263,   264,   265,   266,   267,   268,  1394,
    1395,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1050,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,     0,   297,   298,   299,     0,     0,
     301,     0,   302,   303,  1396,   305,     0,   306,     0,   307,
     748,     0,   749,   308,   309,   310,     0,   311,     0,     0,
     313,     0,   314,   315,   316,   317,   318,   750,   319,   320,
     321,  1868,   322,   323,   324,   325,   326,   327,     0,   328,
     751,  1869,   330,   331,   332,   333,  1397,  1398,     0,  1399,
       0,   337,   752,   753,   338,   754,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,     0,   755,   348,   756,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1400,
     757,  1401,   367,   368,     0,     0,   370,   371,   758,   372,
       0,     0,   374,  1402,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,  1871,   759,   385,
     760,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   396,     0,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1403,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   761,   427,   428,     0,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,  1872,   445,   446,   762,
     447,  1405,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,     0,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1406,  1407,     0,     0,
     471,     0,   473,     0,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,     0,  1408,  1873,   494,
     763,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,     0,   741,  1026,   573,
    1027,  1028,  1029,   624,  1030,   515,   516,   517,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,  1031,     0,  2882,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,  1032,   743,  1033,
    1034,  2378,   234,   235,   236,   237,   238,  1035,  1036,   239,
     240,  1037,  1038,   243,     0,   244,   245,   246,   247,  1039,
       0,  1040,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,   264,
     265,   266,   267,   268,  1048,  1049,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1050,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,  1051,
     297,   298,   299,  1052,  1053,   301,     0,   302,   303,  1054,
     305,     0,   306,     0,   307,   748,  2379,   749,   308,   309,
     310,     0,   311,  1055,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,  1056,  1057,     0,  1058,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,  2380,
     346,  1059,   755,   348,   756,     0,   349,   350,   351,  1060,
    1061,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1062,   757,  1063,   367,   368,   369,
    1064,   370,   371,   758,   372,  1065,  1066,   374,  1067,   376,
     377,   378,     0,   379,     0,     0,  1068,   381,   382,     0,
       0,   383,   384,   759,   385,   760,  1069,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1070,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1071,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,  1072,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1073,
     443,   444,   445,   446,   762,   447,  1074,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1075,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1076,  1077,     0,  2381,   471,  1078,   473,  1079,  1080,
     475,   476,   477,   478,   479,   480,   481,     0,  1081,   482,
     483,   484,   485,   486,  1082,     0,   487,   488,   489,   490,
     491,   492,  1083,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,  1093,     0,     0,     0,     0,     0,     0,     0,
    1095,   741,  1026,   573,  1027,  1028,  1029,   624,  1030,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,  1031,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
     230,  1032,   743,  1033,  1034,     0,   234,   235,   236,   237,
     238,  1035,  1036,   239,   240,  1037,  1038,   243,     0,   244,
     245,   246,   247,  1039,     0,  1040,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,  1041,  1042,  1043,  1044,  1045,
    1046,  1047,   263,   264,   265,   266,   267,   268,  1048,  1049,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,  1050,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,  1051,   297,   298,   299,  1052,  1053,   301,
       0,   302,   303,  1054,   305,     0,   306,     0,   307,   748,
       0,   749,   308,   309,   310,     0,   311,  1055,     0,   313,
       0,   314,   315,   316,   317,   318,   750,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,  1056,  1057,     0,  1058,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,  1059,   755,   348,   756,     0,
     349,   350,   351,  1060,  1061,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1062,   757,
    1063,   367,   368,   369,  1064,   370,   371,   758,   372,  1065,
    1066,   374,  1067,   376,   377,   378,     0,   379,     0,     0,
    1068,   381,   382,     0,     0,   383,   384,   759,   385,   760,
    1069,   387,   388,   389,   390,   391,   392,   393,     0,   394,
    1070,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,  1071,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,  1072,   430,
     431,   432,   433,   434,   435,   436,   437,    38,   438,   439,
     440,   441,   442,  1073,   443,   444,   445,   446,   762,   447,
    1074,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,  1075,     0,   461,   462,    42,   463,   464,
     465,   466,   467,   468,     0,  1076,  1077,     0,     0,   471,
    1078,   473,  1079,  1080,   475,   476,   477,   478,   479,   480,
     481,     0,  1081,   482,   483,   484,   485,   486,  1082,     0,
     487,   488,   489,   490,   491,   965,  1083,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,    47,   500,
     501,   502,   503,   504,   505,   506,  1084,  1085,  1086,  1087,
    1088,  1089,  1090,  1091,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,  1093,     0,     0,     0,
       0,     0,     0,     0,  1095,   741,  1026,   573,  1027,  1028,
    1029,   624,  1030,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,  1031,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,   230,  1032,   743,  1033,  1034,     0,
     234,   235,   236,   237,   238,  1035,  1036,   239,   240,  1037,
    1038,   243,     0,   244,   245,   246,   247,  1039,     0,  1040,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,  1041,
    1042,  1043,  1044,  1045,  1046,  1047,   263,   264,   265,   266,
     267,   268,  1048,  1049,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1050,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,  1051,   297,   298,
     299,  1052,  1053,   301,     0,   302,   303,  1054,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,  1055,     0,   313,     0,   314,   315,   316,   317,   318,
     750,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,  1056,
    1057,     0,  1058,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,  1059,
     755,   348,   756,     0,   349,   350,   351,  1060,  1061,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1062,   757,  1063,   367,   368,   369,  1064,   370,
     371,   758,   372,  1065,  1066,   374,  1067,   376,   377,   378,
       0,   379,     0,     0,  1068,   381,   382,     0,     0,   383,
     384,   759,   385,   760,  1069,   387,   388,   389,   390,   391,
     392,   393,     0,   394,  1070,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1071,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,  1072,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,  1073,   443,   444,
     445,   446,   762,   447,  1074,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,  1075,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1076,
    1077,     0,     0,   471,  1078,   473,  1079,  1080,   475,   476,
     477,   478,   479,   480,   481,     0,  1081,   482,   483,   484,
     485,   486,  1082,     0,   487,   488,   489,   490,   491,   492,
    1083,     0,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
    1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
    1093,     0,     0,     0,     0,     0,  1595,  2326,  1095,   741,
    1026,   573,  1027,  1028,  1029,   624,  1030,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1031,     0,     0,   223,
     224,     0,   225,   226,   742,   227,   228,   229,   230,  1032,
     743,  1033,  1034,     0,   234,   235,   236,   237,   238,  1035,
    1036,   239,   240,  1037,  1038,   243,     0,   244,   245,   246,
     247,  1039,     0,  1040,     0,   249,   250,   251,   252,   745,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     746,   261,   262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,
     263,   264,   265,   266,   267,   268,  1048,  1049,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,  1050,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,  1051,   297,   298,   299,  1052,  1053,   301,     0,   302,
     303,  1054,   305,     0,   306,     0,   307,   748,     0,   749,
     308,   309,   310,     0,   311,  1055,     0,   313,     0,   314,
     315,   316,   317,   318,   750,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   751,   329,   330,
     331,   332,   333,  1056,  1057,     0,  1058,     0,   337,   752,
     753,   338,   754,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,  1059,   755,   348,   756,     0,   349,   350,
     351,  1060,  1061,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1062,   757,  1063,   367,
     368,   369,  1064,   370,   371,   758,   372,  1065,  1066,   374,
    1067,   376,   377,   378,     0,   379,     0,     0,  1068,   381,
     382,     0,     0,   383,   384,   759,   385,   760,  1069,   387,
     388,   389,   390,   391,   392,   393,     0,   394,  1070,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,  1071,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   761,   427,   428,  1072,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,  1073,   443,   444,   445,   446,   762,   447,  1074,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,  1075,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,  1076,  1077,     0,     0,   471,  1078,   473,
    1079,  1080,   475,   476,   477,   478,   479,   480,   481,     0,
    1081,   482,   483,   484,   485,   486,  1082,     0,   487,   488,
     489,   490,   491,   492,  1083,     0,   494,   763,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,  1084,  1085,  1086,  1087,  1088,  1089,
    1090,  1091,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,  1093,  1094,     0,     0,     0,     0,
       0,     0,  1095,   741,  1026,   573,  1027,  1028,  1029,   624,
    1030,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
    1031,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,   230,  1032,   743,  1033,  1034,     0,   234,   235,
     236,   237,   238,  1035,  1036,   239,   240,  1037,  1038,   243,
       0,   244,   245,   246,   247,  1039,     0,  1040,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,  1041,  1042,  1043,
    1044,  1045,  1046,  1047,   263,   264,   265,   266,   267,   268,
    1048,  1049,   271,  1167,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1050,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,  1051,   297,   298,   299,  1052,
    1053,   301,     0,   302,   303,  1054,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,  1055,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,   329,   330,   331,   332,   333,  1056,  1057,     0,
    1058,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,  1059,   755,   348,
     756,     0,   349,   350,   351,  1060,  1061,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1062,   757,  1063,   367,   368,   369,  1064,   370,   371,   758,
     372,  1065,  1066,   374,  1067,   376,   377,   378,     0,   379,
       0,     0,  1068,   381,   382,     0,     0,   383,   384,   759,
     385,   760,  1069,   387,   388,   389,   390,   391,   392,   393,
       0,   394,  1070,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1071,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
    1072,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,  1073,   443,   444,   445,   446,
     762,   447,  1074,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,  1075,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1076,  1077,     0,
       0,   471,  1078,   473,  1079,  1080,   475,   476,   477,   478,
     479,   480,   481,     0,  1081,   482,   483,   484,   485,   486,
    1082,     0,   487,   488,   489,   490,   491,   492,  1083,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,  1084,  1085,
    1086,  1087,  1088,  1089,  1090,  1091,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,  1093,     0,
       0,     0,     0,     0,     0,     0,  1095,   741,  1026,   573,
    1027,  1028,  1029,   624,  1030,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,  1844,   220,   221,   222,
       0,     0,     0,     0,  1031,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,  1032,   743,  1033,
    1034,     0,   234,   235,   236,   237,   238,  1035,  1036,   239,
     240,  1037,  1038,   243,     0,   244,   245,   246,   247,  1039,
       0,  1040,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,   264,
     265,   266,   267,   268,  1048,  1049,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1050,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,  1051,
     297,   298,   299,  1052,  1053,   301,     0,   302,   303,  1054,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,  1055,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,  1056,  1057,     0,  1058,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1059,   755,   348,   756,     0,   349,   350,   351,  1060,
    1061,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1062,   757,  1063,   367,   368,   369,
    1064,   370,   371,   758,   372,  1065,  1066,   374,  1067,   376,
     377,   378,     0,   379,     0,     0,  1068,   381,   382,     0,
       0,   383,   384,   759,   385,   760,  1069,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1070,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1071,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,  1072,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1073,
     443,   444,   445,   446,   762,   447,  1074,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1075,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1076,  1077,     0,     0,   471,  1078,   473,  1079,  1080,
     475,   476,   477,   478,   479,   480,   481,     0,  1081,   482,
     483,   484,   485,   486,  1082,     0,   487,   488,   489,   490,
     491,   492,  1083,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,  1093,     0,     0,     0,     0,     0,     0,     0,
    1095,   741,  1026,   573,  1027,  1028,  1029,   624,  1030,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,  1031,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
     230,  1032,   743,  1033,  1034,     0,   234,   235,   236,   237,
     238,  1035,  1036,   239,   240,  1037,  1038,   243,     0,   244,
     245,   246,   247,  1039,     0,  1040,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,  1041,  1042,  1043,  1044,  1045,
    1046,  1047,   263,   264,   265,   266,   267,   268,  1048,  1049,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,  1050,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,  1051,   297,   298,   299,  1052,  1053,   301,
       0,   302,   303,  1054,   305,     0,   306,     0,   307,   748,
    2379,   749,   308,   309,   310,     0,   311,  1055,     0,   313,
       0,   314,   315,   316,   317,   318,   750,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,  1056,  1057,     0,  1058,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,  1059,   755,   348,   756,     0,
     349,   350,   351,  1060,  1061,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1062,   757,
    1063,   367,   368,   369,  1064,   370,   371,   758,   372,  1065,
    1066,   374,  1067,   376,   377,   378,     0,   379,     0,     0,
    1068,   381,   382,     0,     0,   383,   384,   759,   385,   760,
    1069,   387,   388,   389,   390,   391,   392,   393,     0,   394,
    1070,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,  1071,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,  1072,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,  1073,   443,   444,   445,   446,   762,   447,
    1074,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,  1075,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,  1076,  1077,     0,     0,   471,
    1078,   473,  1079,  1080,   475,   476,   477,   478,   479,   480,
     481,     0,  1081,   482,   483,   484,   485,   486,  1082,     0,
     487,   488,   489,   490,   491,   492,  1083,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,  1084,  1085,  1086,  1087,
    1088,  1089,  1090,  1091,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,  1093,     0,     0,     0,
       0,     0,     0,     0,  1095,   741,  1026,   573,  1027,  1028,
    1029,   624,  1030,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,  1031,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,   230,  1032,   743,  1033,  1034,     0,
     234,   235,   236,   237,   238,  1035,  1036,   239,   240,  1037,
    1038,   243,     0,   244,   245,   246,   247,  1039,     0,  1040,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,  1041,
    1042,  1043,  1044,  1045,  1046,  1047,   263,   264,   265,   266,
     267,   268,  1048,  1049,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1050,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,  1051,   297,   298,
     299,  1052,  1053,   301,     0,   302,   303,  1054,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,  1055,     0,   313,     0,   314,   315,   316,   317,   318,
     750,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,  1056,
    1057,     0,  1058,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,  1059,
     755,   348,   756,     0,   349,   350,   351,  1060,  1061,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1062,   757,  1063,   367,   368,   369,  1064,   370,
     371,   758,   372,  1065,  1066,   374,  1067,   376,   377,   378,
       0,   379,     0,     0,  1068,   381,   382,     0,     0,   383,
     384,   759,   385,   760,  1069,   387,   388,   389,   390,   391,
     392,   393,     0,   394,  1070,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1071,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,  1072,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,  1073,   443,   444,
     445,   446,   762,   447,  1074,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,  1075,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1076,
    1077,     0,     0,   471,  1078,   473,  1079,  1080,   475,   476,
     477,   478,   479,   480,   481,     0,  1081,   482,   483,   484,
     485,   486,  1082,     0,   487,   488,   489,   490,   491,   492,
    1083,  3597,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
    1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
    1093,     0,     0,     0,     0,     0,     0,     0,  1095,   741,
    1026,   573,  1027,  1028,  1029,   624,  1030,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1031,     0,     0,   223,
     224,     0,   225,   226,   742,   227,   228,   229,   230,  1032,
     743,  1033,  1034,     0,   234,   235,   236,   237,   238,  1035,
    1036,   239,   240,  1037,  1038,   243,     0,   244,   245,   246,
     247,  1039,     0,  1040,     0,   249,   250,   251,   252,   745,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     746,   261,   262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,
     263,   264,   265,   266,   267,   268,  1048,  1049,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,  1050,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,  1051,   297,   298,   299,  1052,  1053,   301,     0,   302,
     303,  1054,   305,     0,   306,     0,   307,   748,     0,   749,
     308,   309,   310,     0,   311,  1055,     0,   313,     0,   314,
     315,   316,   317,   318,   750,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   751,   329,   330,
     331,   332,   333,  1056,  1057,     0,  1058,     0,   337,   752,
     753,   338,   754,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,  1059,   755,   348,   756,     0,   349,   350,
     351,  1060,  1061,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1062,   757,  1063,   367,
     368,   369,  1064,   370,   371,   758,   372,  1065,  1066,   374,
    1067,   376,   377,   378,     0,   379,     0,     0,  1068,   381,
     382,     0,     0,   383,   384,   759,   385,   760,  1069,   387,
     388,   389,   390,   391,   392,   393,     0,   394,  1070,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,  1071,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   761,   427,   428,  1072,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,  1073,   443,   444,   445,   446,   762,   447,  1074,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,  1075,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,  1076,  1077,     0,     0,   471,  1078,   473,
    1079,  1080,   475,   476,   477,   478,   479,   480,   481,     0,
    1081,   482,   483,   484,   485,   486,  1082,     0,   487,   488,
     489,   490,   491,   492,  1083,     0,   494,   763,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,  1084,  1085,  1086,  1087,  1088,  1089,
    1090,  1091,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,  1093,     0,     0,     0,     0,     0,
       0,     0,  1095,   741,  1026,   573,  1027,  1028,  1029,   624,
    1030,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
    1031,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,   230,  1032,   743,  1033,  1034,     0,   234,   235,
     236,   237,   238,  1035,  1036,   239,   240,  1037,  1038,   243,
       0,   244,   245,   246,   247,  1039,     0,  1040,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,  3607,  1041,  1042,  1043,
    1044,  1045,  1046,  1047,   263,   264,   265,   266,   267,   268,
    1048,  1049,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1050,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,  1051,   297,   298,   299,  1052,
    1053,   301,     0,   302,   303,  1054,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,  1055,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,   329,   330,   331,   332,   333,  1056,  1057,     0,
    1058,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,  1059,   755,   348,
     756,     0,   349,   350,   351,  1060,  1061,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1062,   757,  1063,   367,   368,   369,  1064,   370,   371,   758,
     372,  1065,  1066,   374,  1067,   376,   377,   378,     0,   379,
       0,     0,  1068,   381,   382,     0,     0,   383,   384,   759,
     385,   760,  1069,   387,   388,   389,   390,   391,   392,   393,
       0,   394,  1070,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1071,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
    1072,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,  1073,   443,   444,   445,   446,
     762,   447,  1074,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,  1075,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1076,  1077,     0,
       0,   471,  1078,   473,  1079,  1080,   475,   476,   477,   478,
     479,   480,   481,     0,  1081,   482,   483,   484,   485,   486,
    1082,     0,   487,   488,   489,   490,   491,   492,  1083,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,  1084,  1085,
    1086,  1087,  1088,  1089,  1090,  1091,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,  1093,     0,
       0,     0,     0,     0,     0,     0,  1095,   741,  1026,   573,
    1027,  1028,  1029,   624,  1030,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,  1031,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,  1032,   743,  1033,
    1034,     0,   234,   235,   236,   237,   238,  1035,  1036,   239,
     240,  1037,  1038,   243,     0,   244,   245,   246,   247,  1039,
       0,  1040,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,   264,
     265,   266,   267,   268,  1048,  1049,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1050,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,  1051,
     297,   298,   299,  1052,  1053,   301,     0,   302,   303,  1054,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,  1055,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,  1056,  1057,     0,  1058,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1059,   755,   348,   756,     0,   349,   350,   351,  1060,
    1061,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1062,   757,  1063,   367,   368,   369,
    1064,   370,   371,   758,   372,  1065,  1066,   374,  1067,   376,
     377,   378,     0,   379,     0,     0,  1068,   381,   382,     0,
       0,   383,   384,   759,   385,   760,  1069,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1070,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1071,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,  1072,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1073,
     443,   444,   445,   446,   762,   447,  1074,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1075,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1076,  1077,     0,     0,   471,  1078,   473,  1079,  1080,
     475,   476,   477,   478,   479,   480,   481,     0,  1081,   482,
     483,   484,   485,   486,  1082,     0,   487,   488,   489,   490,
     491,   492,  1083,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,  3896,  1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,  1093,     0,     0,     0,     0,     0,     0,     0,
    1095,   741,  1026,   573,  1027,  1028,  1029,   624,  1030,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,  1031,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
     230,  1032,   743,  1033,  1034,     0,   234,   235,   236,   237,
     238,  1035,  1036,   239,   240,  1037,  1038,   243,     0,   244,
     245,   246,   247,  1039,     0,  1040,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,  1041,  1042,  1043,  1044,  1045,
    1046,  1047,   263,   264,   265,   266,   267,   268,  1048,  1049,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,  1050,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,  1051,   297,   298,   299,  1052,  1053,   301,
       0,   302,   303,  1054,   305,     0,   306,     0,   307,   748,
       0,   749,   308,   309,   310,     0,   311,  1055,     0,   313,
       0,   314,   315,   316,   317,   318,   750,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,  1056,  1057,     0,  1058,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,  1059,   755,   348,   756,     0,
     349,   350,   351,  1060,  1061,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1062,   757,
    1063,   367,  3905,   369,  1064,   370,   371,   758,   372,  1065,
    1066,   374,  1067,   376,   377,   378,     0,   379,     0,     0,
    1068,   381,   382,     0,     0,   383,   384,   759,   385,   760,
    1069,   387,   388,   389,   390,   391,   392,   393,     0,   394,
    1070,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,  1071,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,  1072,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,  1073,   443,   444,   445,   446,   762,   447,
    1074,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,  1075,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,  1076,  1077,     0,     0,   471,
    1078,   473,  1079,  1080,   475,   476,   477,   478,   479,   480,
     481,     0,  1081,   482,   483,   484,   485,   486,  1082,     0,
     487,   488,   489,   490,   491,   492,  1083,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,  1084,  1085,  1086,  1087,
    1088,  1089,  1090,  1091,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,  1093,     0,     0,     0,
       0,     0,     0,     0,  1095,   741,  1026,   573,  1027,  1028,
    1029,   624,  1030,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,  1031,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,  4473,  1032,   743,  1033,  1034,     0,
     234,   235,   236,   237,   238,  1035,  1036,   239,   240,  1037,
    1038,   243,     0,   244,   245,   246,   247,  1039,     0,  1040,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,  4474,  1041,
    1042,  1043,  1044,  1045,  1046,  1047,   263,   264,   265,   266,
     267,   268,  1048,  1049,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1050,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,  1051,   297,   298,
     299,  1052,  1053,   301,     0,   302,   303,  1054,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,  1055,     0,   313,     0,   314,   315,   316,   317,   318,
     750,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,  1056,
    1057,     0,  1058,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,  1059,
     755,   348,   756,     0,   349,   350,   351,  1060,  1061,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1062,   757,  1063,   367,   368,   369,  1064,   370,
     371,   758,   372,  1065,  1066,   374,  1067,   376,   377,   378,
       0,   379,     0,     0,  1068,   381,   382,     0,     0,   383,
     384,   759,   385,   760,  1069,   387,   388,   389,   390,   391,
     392,   393,     0,   394,  1070,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1071,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,  1072,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,  1073,   443,   444,
     445,   446,   762,   447,  1074,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,  1075,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1076,
    1077,     0,     0,   471,  1078,   473,  1079,  1080,   475,   476,
     477,   478,  4475,   480,   481,     0,  1081,   482,   483,   484,
     485,   486,  1082,     0,   487,   488,   489,   490,   491,   492,
    1083,     0,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
    1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
    1093,     0,     0,     0,     0,     0,     0,     0,  1095,   741,
    1026,   573,  1027,  1028,  1029,   624,  1030,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1031,     0,     0,   223,
     224,     0,   225,   226,   742,   227,   228,   229,   230,  1032,
     743,  1033,  1034,     0,   234,   235,   236,   237,   238,  1035,
    1036,   239,   240,  1037,  1038,   243,     0,   244,   245,   246,
     247,  1039,     0,  1040,     0,   249,   250,   251,   252,   745,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     746,   261,  4474,  1041,  1042,  1043,  1044,  1045,  1046,  1047,
     263,   264,   265,   266,   267,   268,  1048,  1049,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,  1050,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,  1051,   297,   298,   299,  1052,  1053,   301,     0,   302,
     303,  1054,   305,     0,   306,     0,   307,   748,     0,   749,
     308,   309,   310,     0,   311,  1055,     0,   313,     0,   314,
     315,   316,   317,   318,   750,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   751,   329,   330,
     331,   332,   333,  1056,  1057,     0,  1058,     0,   337,   752,
     753,   338,   754,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,  1059,   755,   348,   756,     0,   349,   350,
     351,  1060,  1061,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1062,   757,  1063,   367,
     368,   369,  1064,   370,   371,   758,   372,  1065,  1066,   374,
    1067,   376,   377,   378,     0,   379,     0,     0,  1068,   381,
     382,     0,     0,   383,   384,   759,   385,   760,  1069,   387,
     388,   389,   390,   391,   392,   393,     0,   394,  1070,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,  1071,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   761,   427,   428,  1072,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,  1073,   443,   444,   445,   446,   762,   447,  1074,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,  1075,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,  1076,  1077,     0,     0,   471,  1078,   473,
    1079,  1080,   475,   476,   477,   478,  4475,   480,   481,     0,
    1081,   482,   483,   484,   485,   486,  1082,     0,   487,   488,
     489,   490,   491,   492,  1083,     0,   494,   763,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,  1084,  1085,  1086,  1087,  1088,  1089,
    1090,  1091,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,  1093,     0,     0,     0,     0,     0,
       0,     0,  1095,   741,  1026,   573,  1027,  1028,  1029,   624,
    1030,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
    1031,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,   230,  1032,   743,  1033,  1034,     0,   234,   235,
     236,   237,   238,  1035,  1036,   239,   240,  1037,  1038,   243,
       0,   244,   245,   246,   247,  1039,     0,  1040,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,  1041,  1042,  1043,
    1044,  1045,  1046,  1047,   263,   264,   265,   266,   267,   268,
    1048,  1049,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1050,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,  1051,   297,   298,   299,  1052,
    1053,   301,     0,   302,   303,  1054,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,  1055,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,   329,   330,   331,   332,   333,  1056,  1057,     0,
    1058,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,  1059,   755,   348,
     756,     0,   349,   350,   351,  1060,  1061,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1062,   757,  1063,   367,   368,   369,     0,   370,   371,   758,
     372,  1065,  1066,   374,  1067,   376,   377,   378,     0,   379,
       0,     0,  1068,   381,   382,     0,     0,   383,   384,   759,
     385,   760,  1069,   387,   388,   389,   390,   391,   392,   393,
       0,   394,  1070,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1071,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
    1072,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,  1073,   443,   444,   445,   446,
     762,   447,  1074,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,  1075,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1076,  1077,     0,
       0,   471,  1078,   473,  1079,  1080,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
    1082,     0,   487,   488,   489,   490,   491,   492,  1083,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,  1084,  1085,
    1086,  1087,  1088,  1089,  1090,  1091,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,     0,  2361,  2362,     0,
       0,     0,     0,     0,     0,     0,  1095,   741,  1026,   573,
    1027,  1028,  1029,   624,  1030,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,  1031,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229, -2272,  1032,   743,  1033,
    1034,     0,   234,   235,   236,   237,   238,  1035,  1036,   239,
     240,  1037,  1038,   243,     0,   244,   245,   246,   247,  1039,
       0,  1040,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
    4474,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,   264,
     265,   266,   267,   268,  1048,  1049,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1050,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,  1051,
     297,   298,   299,  1052,  1053,   301,     0,   302,   303,  1054,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,  1055,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,  1056,  1057,     0,  1058,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1059,   755,   348,     0,     0,   349,   350,   351,  1060,
    1061,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1062,   757,  1063,   367,   368,   369,
       0,   370,   371,   758,   372,  1065,  1066,   374,  1067,   376,
     377,   378,     0,   379,     0,     0,  1068,   381,   382,     0,
       0,   383,   384,   759,   385,   760,  1069,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1070,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1071,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,  1072,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1073,
     443,   444,   445,   446,     0,   447,  1074,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1075,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1076,  1077,     0,     0,   471,  1078,   473,  1079,  1080,
     475,   476,   477,   478,  4475,   480,   481,     0,  1081,   482,
     483,   484,   485,   486,  1082,     0,   487,   488,   489,   490,
     491,   492,  1083,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,  1093,     0,     0,   741,  1026,   573,  1027,  1028,
    1095,   624,  1030,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,  1031,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,   230,  1032,   743,  1033,  1034,     0,
     234,   235,   236,   237,   238,  1035,  1036,   239,   240,  1037,
    1038,   243,     0,   244,   245,   246,   247,  1039,     0,  1040,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,  1041,
    1042,  1043,  1044,  1045,  1046,  1047,   263,   264,   265,   266,
     267,   268,  1048,  1049,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1050,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,  1051,   297,   298,
     299,  1052,  1053,   301,     0,   302,   303,  1054,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,  1055,     0,   313,     0,   314,   315,   316,   317,   318,
     750,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,  1056,
    1057,     0,  1058,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,  1059,
     755,   348,   756,     0,   349,   350,   351,  1060,  1061,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1062,   757,  1063,   367,   368,   369,     0,   370,
     371,   758,   372,  1065,  1066,   374,  1067,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,   759,   385,   760,  1069,   387,   388,   389,   390,   391,
     392,   393,     0,   394,  1070,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1071,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,  1072,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,  1073,   443,   444,
     445,   446,   762,   447,  1074,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,  1075,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1076,
    1077,     0,     0,   471,  1078,   473,  1079,  1080,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,  1082,     0,   487,   488,   489,   490,   491,   492,
    1083,     0,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
    1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,   741,  1026,
     573,  1027,  1028,     0,   624,  1030,     0,     0,  1095,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,  1031,     0,     0,   223,   224,
       0,   225,   226,   742,   227,   228,   229,   230,  1032,   743,
    1033,  1034,     0,  3515,   235,   236,   237,   238,  1035,  1036,
     239,   240,  1037,  1038,   243,     0,   244,   245,   246,   247,
    1039,     0,  1040,     0,   249,   250,   251,   252,   745,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   746,
     261,   262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,
     264,   265,   266,   267,   268,  1048,  1049,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1050,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
    1051,   297,   298,   299,  1052,  1053,   301,     0,   302,   303,
    1054,   305,     0,   306,     0,   307,   748,     0,   749,   308,
     309,   310,     0,   311,  1055,     0,   313,     0,   314,   315,
     316,   317,   318,   750,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   751,   329,   330,   331,
     332,   333,  1056,  1057,     0,  1058,     0,   337,   752,   753,
     338,   754,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1059,   755,   348,   756,     0,   349,   350,   351,
    1060,  1061,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1062,   757,  1063,   367,   368,
     369,     0,   370,   371,   758,   372,  1065,  1066,   374,  1067,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,   759,   385,   760,  1069,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1070,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1071,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   761,   427,   428,  1072,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1073,   443,   444,   445,   446,   762,   447,  1074,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1075,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1076,  1077,     0,     0,   471,  1078,   473,  1079,
    1080,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,  1082,     0,   487,   488,   489,
     490,   491,   492,  1083,     0,   494,   763,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1084,  1085,  1086,  1087,  1088,  1089,  1090,
    1091,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,   741,  1026,   573,  1027,  1028,  1029,   624,  1030,     0,
       0,  1095,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,  1031,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
       0,  1032,   743,  1033,  1034,     0,   234,   235,   236,   237,
     238,  1035,  1036,   239,   240,  1037,  1038,   243,     0,   244,
     245,   246,   247,  1039,     0,  1040,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,  1041,  1042,  1043,  1044,  1045,
    1046,  1047,   263,   264,   265,   266,   267,   268,  1048,  1049,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,  1050,   284,   285,
       0,   286,   287,   288,     0,   289,     0,   291,     0,   292,
     293,   294,   295,  1051,   297,   298,   299,  1052,  1053,   301,
       0,   302,   303,  1054,   305,     0,   306,     0,   307,   748,
       0,   749,   308,   309,   310,     0,   311,  1055,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,  1056,  1057,     0,  1058,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,  1059,   755,   348,     0,     0,
     349,   350,   351,  1060,  1061,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1062,   757,
    1063,   367,   368,   369,     0,   370,   371,   758,   372,  1065,
    1066,   374,  1067,   376,   377,   378,     0,   379,     0,     0,
    1068,   381,   382,     0,     0,   383,   384,   759,   385,   760,
    1069,   387,   388,   389,   390,   391,   392,   393,     0,   394,
    1070,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,  1071,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,  1072,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,  1073,   443,   444,   445,   446,     0,   447,
    1074,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,  1075,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,  1076,  1077,     0,     0,   471,
    1078,   473,  1079,  1080,   475,   476,   477,   478,   479,   480,
     481,     0,  1081,   482,   483,   484,   485,   486,  1082,     0,
     487,   488,   489,   490,   491,   492,  1083,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,  1084,  1085,  1086,  1087,
    1088,  1089,  1090,  1091,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,  1093,     0,     0,     0,
       0,     0,     0,     0,  1095,   741,  1026,   573,  1027,  1028,
    1029,   624,  1030,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,  1031,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,     0,  1032,   743,  1033,  1034,     0,
     234,   235,   236,   237,   238,  1035,  1036,   239,   240,  1037,
    1038,   243,     0,   244,   245,   246,   247,  1039,     0,  1040,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,  1041,
    1042,  1043,  1044,  1045,  1046,  1047,   263,   264,   265,   266,
     267,   268,  1048,  1049,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1050,   284,   285,     0,   286,   287,   288,     0,   289,
       0,   291,     0,   292,   293,   294,   295,  1051,   297,   298,
     299,  1052,  1053,   301,     0,   302,   303,  1054,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,  1055,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,  1056,
    1057,     0,  1058,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,  1059,
     755,   348,     0,     0,   349,   350,   351,  1060,  1061,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1062,   757,  1063,   367,   368,   369,     0,   370,
     371,   758,   372,  1065,  1066,   374,  1067,   376,   377,   378,
       0,   379,     0,     0,  1068,   381,   382,     0,     0,   383,
     384,   759,   385,   760,  1069,   387,   388,   389,   390,   391,
     392,   393,     0,   394,  1070,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1071,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,  1072,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,  1073,   443,   444,
     445,   446,     0,   447,  1074,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,  1075,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1076,
    1077,     0,     0,   471,  1078,   473,  1079,  1080,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,  1082,     0,   487,   488,   489,   490,   491,   492,
    1083,     0,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
    1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,   741,  2361,
    2362,     0,     0,     0,     0,     0,     0,     0,  1095,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   742,   227,   228,   229,   230,   231,   743,
     232,   233,     0,   234,   235,   236,   237,   238,     0,  1036,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
    1039,     0,  1040,     0,   249,   250,   251,   252,   745,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   746,
     261,   262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,  1052,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   748,     0,   749,   308,
     309,   310,     0,   311,  1055,     0,   313,     0,   314,   315,
     316,   317,   318,   750,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   751,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   752,   753,
     338,   754,   339,   340,   341,   342,   343,  3073,   344,   345,
       0,   346,  1059,   755,   348,   756,     0,   349,   350,   351,
    1060,  1061,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   757,   366,   367,   368,
     369,     0,   370,   371,   758,   372,     0,  1066,   374,   375,
     376,   377,   378,     0,   379,     0,   706,   380,   381,   382,
       0,     0,   383,   384,   759,   385,   760,  1069,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1070,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   761,   427,   428,   429,  3074,   431,   432,   433,
     434,   435,   436,   437,    38,   438,   439,   440,   441,   442,
    1073,   443,   444,   445,   446,   762,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1075,     0,   461,   462,    42,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,  1078,   473,  1079,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,  1082,     0,   487,   488,   489,
     490,   491,   965,   493,     0,   494,   763,   495,   496,   497,
     498,     0,     0,   499,     0,    47,   500,   501,   502,   503,
     504,   505,   506,  1084,  1085,  1086,  1087,  1088,  1089,  1090,
    1091,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,   741,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3075,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
     230,   231,   743,   232,   233,     0,   234,   235,   236,   237,
     238,     0,  1036,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,  1039,     0,  1040,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,  1041,  1042,  1043,  1044,  1045,
    1046,  1047,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,  1052,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,   748,
       0,   749,   308,   309,   310,     0,   311,  1055,     0,   313,
       0,   314,   315,   316,   317,   318,   750,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
    3073,   344,   345,     0,   346,  1059,   755,   348,   756,     0,
     349,   350,   351,  1060,  1061,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   757,
     366,   367,   368,   369,     0,   370,   371,   758,   372,     0,
    1066,   374,   375,   376,   377,   378,     0,   379,     0,   706,
     380,   381,   382,     0,     0,   383,   384,   759,   385,   760,
    1069,   387,   388,   389,   390,   391,   392,   393,     0,   394,
    1070,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,   429,  3074,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,  1073,   443,   444,   445,   446,   762,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,  1075,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
    1078,   473,  1079,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,  1082,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,  1084,  1085,  1086,  1087,
    1088,  1089,  1090,  1091,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,   741,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3075,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   742,
     227,   228,   229,   230,   231,   743,   232,   233,     0,   234,
     235,   236,   237,   238,     0,  1036,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,  1039,     0,  1040,     0,
     249,   250,   251,   252,   745,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   746,   261,   262,  1041,  1042,
    1043,  1044,  1045,  1046,  1047,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
    1052,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,   748,     0,   749,   308,   309,   310,     0,   311,
    1055,     0,   313,     0,   314,   315,   316,   317,   318,   750,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   751,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,   752,   753,   338,   754,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,  1059,   755,
     348,   756,     0,   349,   350,   351,  1060,  1061,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   757,   366,   367,   368,   369,     0,   370,   371,
     758,   372,     0,  1066,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
     759,   385,   760,  1069,   387,   388,   389,   390,   391,   392,
     393,     0,   394,  1070,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   761,   427,
     428,   429,  3074,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,  1073,   443,   444,   445,
     446,   762,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,  1075,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,  1078,   473,  1079,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,  1082,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   763,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,  1084,
    1085,  1086,  1087,  1088,  1089,  1090,  1091,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,   741,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    48,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,   231,   743,   232,
     233,     0,   234,   235,   236,   237,   238,     0,  1036,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,  1039,
       0,  1040,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,  1052,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,  1055,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1059,   755,   348,   756,     0,   349,   350,   351,  1060,
    1061,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   757,   366,   367,   368,   369,
       0,   370,   371,   758,   372,     0,  1066,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,   759,   385,   760,  1069,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1070,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1073,
     443,   444,   445,   446,   762,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1075,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,  1078,   473,  1079,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,  1082,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
     784,  1282,   573,     0,     0,     0,   624,     0,     0,     0,
    3632,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   742,   227,   228,   229,   230,
     231,   743,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,   744,     0,   249,   250,   251,   252,
     745,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   746,   261,   262,     0,     0,     0,   747,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,  1527,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,   748,     0,
     749,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,   750,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   751,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
     752,   753,   338,   754,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,   755,   348,   756,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   757,   366,
     367,   368,   369,     0,   370,   371,   758,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,  1528,     0,   380,
     381,   382,     0,     0,   383,   384,   759,   385,   760,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   761,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   762,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,  1529,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   763,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,     0,     0,     0,
       0,     0,     0,   784,   636,  1283,  4049,     0,     0,     0,
       0,     0,     0,  4050,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     3,     4,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,   230,   231,   743,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,   744,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,     0,     0,     0,
     747,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,   755,   348,
     756,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   757,   366,   367,   368,   369,     0,   370,   371,   758,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,   759,
     385,   760,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    38,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     762,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,    42,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   965,   493,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
      47,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,   741,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    48,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   742,   227,   228,   229,   230,   231,   743,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
     744,     0,   249,   250,   251,   252,   745,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   746,   261,   262,
       0,     0,     0,   747,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,   748,     0,   749,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,   750,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   751,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,   752,   753,   338,   754,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,   755,   348,   756,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   757,   366,   367,   368,   369,     0,
     370,   371,   758,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,   759,   385,   760,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     761,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   762,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   763,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4205,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    38,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,    42,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   965,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,    47,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    48,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1151,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2516,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3551,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,  1388,  1282,   573,     0,     0,   794,
     624,     0,     0,     0,  3947,   211,   212,   213,   214,   215,
     216,   217,   218,  1732,   220,   221,   222,  1733,  1734,  1735,
    1736,  1737,  1738,  1739,   223,   224,  1740,   225,   226,   742,
     227,   228,   229,     0,  1389,   743,  1390,  1391,  1741,   234,
     235,   236,   237,   238,  1742,  1743,   239,   240,  1392,  1393,
     243,  1744,   244,   245,   246,   247,     0,  1745,   744,  1746,
     249,   250,   251,   252,   745,   253,   254,  1747,   255,   256,
     257,   258,   259,   260,  1748,   746,   261,   262,  1749,  1750,
    1751,   747,  1752,  1753,  1754,   263,   264,   265,   266,   267,
     268,  1394,  1395,   271,  1755,   272,  1756,   273,   274,   275,
     276,   277,  1757,   278,   279,   280,  1758,  1759,   281,   282,
    1050,   284,   285,  1760,   286,   287,   288,  1761,   289,   290,
     291,  1762,   292,   293,   294,   295,     0,   297,   298,   299,
       0,  1763,   301,  1764,   302,   303,  1396,   305,  1765,   306,
    1766,   307,   748,  1767,   749,   308,   309,   310,  1768,   311,
       0,  1769,   313,  1770,   314,   315,   316,   317,   318,   750,
     319,   320,   321,  1771,   322,   323,   324,   325,   326,   327,
    1772,   328,   751,     0,   330,   331,   332,   333,  1397,  1398,
    1773,  1399,  1774,   337,   752,   753,   338,   754,   339,   340,
     341,   342,   343,  1775,   344,   345,  1776,   346,     0,   755,
     348,   756,  1777,   349,   350,   351,  1778,  1779,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1400,   757,  1401,   367,   368,     0,  1780,   370,   371,
     758,   372,  1781,     0,   374,  1402,   376,   377,   378,  1782,
     379,  1783,  1784,  3312,   381,   382,  1785,  1786,   383,     0,
     759,   385,   760,     0,   387,   388,   389,   390,   391,   392,
     393,  1787,   394,     0,   396,     0,   398,   399,   400,  1788,
     401,   402,   403,   404,   405,   406,   407,   408,  1403,   410,
     411,   412,   413,  1789,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,  1790,   425,   426,   761,   427,
     428,     0,   430,   431,   432,   433,   434,   435,   436,   437,
    1791,   438,   439,   440,   441,   442,  1792,   443,  1872,   445,
     446,   762,   447,  1405,   449,  1793,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,     0,  1794,   461,   462,
    1795,   463,   464,   465,   466,   467,   468,  1796,  1406,  1407,
    1797,  1798,   471,     0,   473,     0,  1799,   475,   476,   477,
     478,   479,   480,   481,  1800,  1801,   482,   483,   484,   485,
     486,  1802,  1803,   487,   488,   489,   490,   491,     0,  1408,
    1804,   494,   763,   495,   496,   497,   498,  1805,  1806,   499,
    1807,  1808,   500,   501,   502,   503,   504,   505,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   515,   516,   517,
       0,     0,     0,     0,   797,   798,   799,     0,  3313,  3314,
     802,   803,   804,   805,   210,     0,     0,     0,     0,   794,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   795,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   796,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,     0,   797,   798,   799,     0,   800,   801,
     802,   803,   804,   805,   210,     0,     0,     0,     0,   794,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   888,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   889,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,     0,   797,   798,   799,     0,   800,   801,
     802,   803,   804,   805,   210,     0,     0,     0,     0,   794,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   938,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   939,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   940,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,     0,   797,   798,   799,     0,   800,   801,
     802,   803,   804,   805,   210,     0,     0,     0,     0,   794,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,  1373,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,  1374,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,     0,   797,   798,   799,     0,   800,   801,
     802,   803,   804,   805,   210,     0,     0,     0,     0,   794,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,     0,   797,   798,   799,     0,   800,   801,
     802,   803,   804,   805,   210,     0,     0,     0,     0,   794,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,  2593,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,  2594,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,     0,   797,   798,   799,     0,   800,   801,
     802,   803,   804,   805,   210,     0,     0,     0,     0,   794,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,  4188,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,  1731,   797,   798,   799,     0,   800,   801,
     802,   803,   804,   805,   211,   212,   213,   214,   215,   216,
     217,   218,  1732,   220,   221,   222,  1733,  1734,  1735,  1736,
    1737,  1738,  1739,   223,   224,  1740,   225,   226,   742,   227,
     228,   229,   230,   231,   743,   232,   233,  1741,   234,   235,
     236,   237,   238,  1742,  1743,   239,   240,   241,   242,   243,
    1744,   244,   245,   246,   247,   248,  1745,   744,  1746,   249,
     250,   251,   252,   745,   253,   254,  1747,   255,   256,   257,
     258,   259,   260,  1748,   746,   261,   262,  1749,  1750,  1751,
     747,  1752,  1753,  1754,   263,   264,   265,   266,   267,   268,
     269,   270,   271,  1755,   272,  1756,   273,   274,   275,   276,
     277,  1757,   278,   279,   280,  1758,  1759,   281,   282,   283,
     284,   285,  1760,   286,   287,   288,  1761,   289,   290,   291,
    1762,   292,   293,   294,   295,   296,   297,   298,   299,   300,
    1763,   301,  1764,   302,   303,   304,   305,  1765,   306,  1766,
     307,   748,  1767,   749,   308,   309,   310,  1768,   311,   312,
    1769,   313,  1770,   314,   315,   316,   317,   318,   750,   319,
     320,   321,  1771,   322,   323,   324,   325,   326,   327,  1772,
     328,   751,   329,   330,   331,   332,   333,   334,   335,  1773,
     336,  1774,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,  1775,   344,   345,  1776,   346,   347,   755,   348,
     756,  1777,   349,   350,   351,  1778,  1779,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   757,   366,   367,   368,   369,  1780,   370,   371,   758,
     372,  1781,   373,   374,   375,   376,   377,   378,  1782,   379,
    1783,  1784,   380,   381,   382,  1785,  1786,   383,   384,   759,
     385,   760,   386,   387,   388,   389,   390,   391,   392,   393,
    1787,   394,   395,   396,   397,   398,   399,   400,  1788,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,  1789,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,  1790,   425,   426,   761,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1791,
     438,   439,   440,   441,   442,  1792,   443,   444,   445,   446,
     762,   447,   448,   449,  1793,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,  1794,   461,   462,  1795,
     463,   464,   465,   466,   467,   468,  1796,   469,   470,  1797,
    1798,   471,   472,   473,   474,  1799,   475,   476,   477,   478,
     479,   480,   481,  1800,  1801,   482,   483,   484,   485,   486,
    1802,  1803,   487,   488,   489,   490,   491,   492,   493,  1804,
     494,   763,   495,   496,   497,   498,  1805,  1806,   499,  1807,
    1808,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1809,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,  1388,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   711,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,     0,  1389,   743,  1390,  1391,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,  1392,
    1393,   243,     0,   244,   245,   246,   247,     0,     0,   744,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,     0,
       0,     0,   747,     0,     0,     0,   263,   264,   265,   266,
     267,   268,  1394,  1395,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1050,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,     0,   297,   298,
     299,     0,     0,   301,     0,   302,   303,  1396,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,     0,     0,   313,     0,   314,   315,   316,   317,   318,
     750,   319,   320,   321,  1868,   322,   323,   324,   325,   326,
     327,     0,   328,   751,  1869,   330,   331,   332,   333,  1397,
    1398,     0,  1399,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     755,   348,   756,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1400,   757,  1401,   367,   368,     0,     0,   370,
     371,   758,   372,     0,     0,   374,  1402,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,  1870,   383,
    1871,   759,   385,   760,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   396,     0,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1403,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,     0,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,  1872,
     445,   446,   762,   447,  1405,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,     0,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1406,
    1407,     0,     0,   471,     0,   473,     0,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,     0,
    1408,  1873,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,     0,
       0,     0,  2122,     0,     0,     0,     0,     0,   515,   516,
     517,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,  1874,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   742,   227,   228,
     229,     0,  1389,   743,  1390,  1391,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,  1392,  1393,   243,     0,
     244,   245,   246,   247,     0,     0,   744,     0,   249,   250,
     251,   252,   745,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   746,   261,   262,     0,     0,     0,   747,
       0,     0,     0,   263,   264,   265,   266,   267,   268,  1394,
    1395,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1050,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,     0,   297,   298,   299,     0,     0,
     301,     0,   302,   303,  1396,   305,     0,   306,     0,   307,
     748,     0,   749,   308,   309,   310,     0,   311,     0,     0,
     313,     0,   314,   315,   316,   317,   318,   750,   319,   320,
     321,  1868,   322,   323,   324,   325,   326,   327,     0,   328,
     751,  1869,   330,   331,   332,   333,  1397,  1398,     0,  1399,
       0,   337,   752,   753,   338,   754,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,     0,   755,   348,   756,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1400,
     757,  1401,   367,   368,     0,     0,   370,   371,   758,   372,
       0,     0,   374,  1402,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,  1870,   383,  1871,   759,   385,
     760,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   396,     0,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1403,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   761,   427,   428,     0,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,  1872,   445,   446,   762,
     447,  1405,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,     0,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1406,  1407,     0,     0,
     471,     0,   473,     0,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,     0,  1408,  1873,   494,
     763,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,     0,     0,     0,   210,
       0,     0,     0,     0,     0,   515,   516,   517,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,  1874,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   784,  1282,   573,     0,     0,
       0,   624,     0,     0,     0,  4234,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,   230,   231,   743,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,   744,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,     0,
       0,     0,   747,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,  1721,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,  1527,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
     750,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
     755,   348,   756,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   757,   366,   367,   368,   369,     0,   370,
     371,   758,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,  1528,     0,   380,   381,   382,     0,     0,   383,
     384,   759,   385,   760,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   762,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,  1529,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   784,  1282,   573,     0,     0,     0,   624,     0,   636,
    1283,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
     230,   231,   743,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,   744,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,     0,     0,     0,   747,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,  1726,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,  1527,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,   748,
       0,   749,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,   750,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,   755,   348,   756,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   757,
     366,   367,   368,   369,     0,   370,   371,   758,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,  1528,     0,
     380,   381,   382,     0,     0,   383,   384,   759,   385,   760,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   762,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,  1529,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   784,  1282,   573,
       0,     0,     0,   624,     0,   636,  1283,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,   231,   743,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,   744,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,     0,     0,     0,   747,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,  1527,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,   755,   348,   756,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   757,   366,   367,   368,   369,
       0,   370,   371,   758,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,  1528,     0,   380,   381,   382,     0,
       0,   383,   384,   759,   385,   760,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   762,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,  1529,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,   624,
       0,   636,  1283,     0,   211,   625,   213,   214,   215,   216,
     217,   218,   626,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   627,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   628,   304,   305,     0,   306,     0,
     629,     0,   630,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   631,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   632,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   633,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   634,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   635,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,  1731,
    4538,   573,     0,     0,     0,   624,     0,   636,   637,     0,
     211,   212,   213,   214,   215,   216,   217,   218,  1732,   220,
     221,   222,  1733,  1734,  1735,  1736,  1737,  1738,  1739,   223,
     224,  1740,   225,   226,   742,   227,   228,   229,   230,   231,
     743,   232,   233,  1741,   234,   235,   236,   237,   238,  1742,
    1743,   239,   240,   241,   242,   243,  1744,   244,   245,   246,
     247,   248,  1745,   744,  1746,   249,   250,   251,   252,   745,
     253,   254,  1747,   255,   256,   257,   258,   259,   260,  1748,
     746,   261,   262,  1749,  1750,  1751,   747,  1752,  1753,  1754,
     263,   264,   265,   266,   267,   268,   269,   270,   271,  1755,
     272,  1756,   273,   274,   275,   276,   277,  1757,   278,   279,
     280,  1758,  1759,   281,   282,   283,   284,   285,  1760,   286,
     287,   288,  1761,   289,   290,   291,  1762,   292,   293,   294,
     295,   296,   297,   298,   299,   300,  1763,   301,  1764,   302,
     303,   304,   305,  1765,   306,  1766,   307,   748,  1767,   749,
     308,   309,   310,  1768,   311,   312,  1769,   313,  1770,   314,
     315,   316,   317,   318,   750,   319,   320,   321,  1771,   322,
     323,   324,   325,   326,   327,  1772,   328,   751,   329,   330,
     331,   332,   333,   334,   335,  1773,   336,  1774,   337,   752,
     753,   338,   754,   339,   340,   341,   342,   343,  1775,   344,
     345,  1776,   346,   347,   755,   348,   756,  1777,   349,   350,
     351,  1778,  1779,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   757,   366,   367,
     368,   369,  1780,   370,   371,   758,   372,  1781,   373,   374,
     375,   376,   377,   378,  1782,   379,  1783,  1784,   380,   381,
     382,  1785,  1786,   383,   384,   759,   385,   760,   386,   387,
     388,   389,   390,   391,   392,   393,  1787,   394,   395,   396,
     397,   398,   399,   400,  1788,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,  1789,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
    1790,   425,   426,   761,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1791,   438,   439,   440,   441,
     442,  1792,   443,   444,   445,   446,   762,   447,   448,   449,
    1793,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,  1794,   461,   462,  1795,   463,   464,   465,   466,
     467,   468,  1796,   469,   470,  1797,  1798,   471,   472,   473,
     474,  1799,   475,   476,   477,   478,   479,   480,   481,  1800,
    1801,   482,   483,   484,   485,   486,  1802,  1803,   487,   488,
     489,   490,   491,   492,   493,  1804,   494,   763,   495,   496,
     497,   498,  1805,  1806,   499,  1807,  1808,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,  1731,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,  1732,   220,   221,   222,  1733,  1734,
    1735,  1736,  1737,  1738,  1739,   223,   224,  1740,   225,   226,
     742,   227,   228,   229,   230,   231,   743,   232,   233,  1741,
     234,   235,   236,   237,   238,  1742,  1743,   239,   240,   241,
     242,   243,  1744,   244,   245,   246,   247,   248,  1745,   744,
    1746,   249,   250,   251,   252,   745,   253,   254,  1747,   255,
     256,   257,   258,   259,   260,  1748,   746,   261,   262,  1749,
    1750,  1751,   747,  1752,  1753,  1754,   263,   264,   265,   266,
     267,   268,   269,   270,   271,  1755,   272,  1756,   273,   274,
     275,   276,   277,  1757,   278,   279,   280,  1758,  1759,   281,
     282,   283,   284,   285,  1760,   286,   287,   288,  1761,   289,
     290,   291,  1762,   292,   293,   294,   295,   296,   297,   298,
     299,   300,  1763,   301,  1764,   302,   303,   304,   305,  1765,
     306,  1766,   307,   748,  1767,   749,   308,   309,   310,  1768,
     311,   312,  1769,   313,  1770,   314,   315,   316,   317,   318,
     750,   319,   320,   321,  1771,   322,   323,   324,   325,   326,
     327,  1772,   328,   751,   329,   330,   331,   332,   333,   334,
     335,  1773,   336,  1774,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,  1775,   344,   345,  1776,   346,   347,
     755,   348,   756,  1777,   349,   350,   351,  1778,  1779,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   757,   366,   367,   368,   369,  1780,   370,
     371,   758,   372,  1781,   373,   374,   375,   376,   377,   378,
    1782,   379,  1783,  1784,   380,   381,   382,  1785,  1786,   383,
     384,   759,   385,   760,   386,   387,   388,   389,   390,   391,
     392,   393,  1787,   394,   395,   396,   397,   398,   399,   400,
    1788,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,  1789,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,  1790,   425,   426,   761,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1791,   438,   439,   440,   441,   442,  1792,   443,   444,
     445,   446,   762,   447,   448,   449,  1793,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,  1794,   461,
     462,  1795,   463,   464,   465,   466,   467,   468,  1796,   469,
     470,  1797,  1798,   471,   472,   473,   474,  1799,   475,   476,
     477,   478,   479,   480,   481,  1800,  1801,   482,   483,   484,
     485,   486,  1802,  1803,   487,   488,   489,   490,   491,   492,
     493,  1804,   494,   763,   495,   496,   497,   498,  1805,  1806,
     499,  1807,  1808,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,  1731,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,  2651,   216,   217,   218,
    1732,   220,   221,   222,  1733,  1734,  1735,  1736,  1737,  1738,
    1739,   223,   224,  1740,   225,   226,   742,   227,   228,   229,
     230,   231,   743,   232,   233,  1741,   234,   235,   236,   237,
     238,  1742,  1743,   239,   240,   241,   242,   243,  1744,   244,
     245,   246,   247,   248,  1745,   744,  1746,   249,   250,   251,
     252,   745,   253,   254,  1747,   255,   256,   257,   258,   259,
     260,  1748,   746,   261,   262,  1749,  1750,  1751,   747,  1752,
    1753,  1754,   263,   264,   265,   266,   267,   268,   269,   270,
     271,  1755,   272,  1756,   273,   274,   275,   276,   277,  1757,
     278,   279,   280,  1758,  1759,   281,   282,   283,  2652,   285,
    1760,   286,   287,   288,  1761,   289,   290,   291,  1762,   292,
     293,   294,   295,   296,   297,   298,   299,   300,  1763,   301,
    1764,   302,   303,   304,   305,  1765,   306,  1766,   307,   748,
    1767,   749,   308,   309,   310,  1768,   311,   312,  1769,   313,
    1770,   314,   315,   316,   317,   318,   750,   319,   320,   321,
    1771,   322,   323,   324,   325,   326,   327,  1772,   328,   751,
     329,   330,   331,   332,   333,   334,   335,  1773,   336,  1774,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
    1775,   344,   345,  1776,   346,   347,   755,   348,   756,  1777,
     349,   350,   351,  1778,  1779,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   757,
     366,   367,   368,   369,  1780,   370,   371,   758,   372,  1781,
     373,   374,   375,   376,   377,   378,  1782,   379,  1783,  1784,
     380,   381,   382,  1785,  1786,   383,   384,   759,   385,   760,
     386,   387,   388,   389,   390,   391,   392,   393,  1787,   394,
     395,   396,   397,   398,   399,   400,  1788,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
    1789,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,  1790,   425,   426,   761,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1791,   438,   439,
     440,   441,   442,  1792,  2653,   444,   445,   446,   762,   447,
     448,   449,  1793,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,  1794,   461,   462,  1795,   463,   464,
     465,   466,   467,   468,  1796,   469,   470,  1797,  1798,   471,
     472,   473,   474,  1799,   475,   476,   477,   478,   479,   480,
     481,  1800,  1801,   482,   483,   484,   485,   486,  1802,  1803,
     487,   488,   489,   490,   491,   492,   493,  1804,   494,   763,
     495,   496,   497,   498,  1805,  1806,   499,  1807,  1808,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   741,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,   231,   743,   232,
     233,     0,   234,   235,   236,   237,   238,     0,  1036,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,  1039,
       0,  1040,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,  1052,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,  1055,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1059,   755,   348,   756,     0,   349,   350,   351,  1060,
    1061,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   757,   366,   367,   368,   369,
       0,   370,   371,   758,   372,     0,  1066,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,   759,   385,   760,  1069,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1070,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1073,
     443,   444,   445,   446,   762,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1075,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,  1078,   473,  1079,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,  1082,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,
     515,   516,   517,   784,     0,   573,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,   230,   231,   743,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,   744,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,     0,     0,     0,
     747,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
    1527,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,   755,   348,
     756,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   757,   366,   367,   368,   369,     0,   370,   371,   758,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
    1528,     0,   380,   381,   382,     0,     0,   383,   384,   759,
     385,   760,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     762,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,  1529,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   784,
       0,   573,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   742,   227,   228,   229,   230,   231,
     743,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,   744,     0,   249,   250,   251,   252,   745,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     746,   261,   262,     0,     0,     0,   747,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,  1706,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,   748,     0,   749,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,   750,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   751,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,   752,
     753,   338,   754,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,   755,   348,   756,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   757,   366,   367,
     368,   369,     0,   370,   371,   758,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,   759,   385,   760,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   761,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   762,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   763,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   784,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,   230,   231,   743,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,   744,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,     0,
       0,     0,   747,     0,     0,  2079,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
     750,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
     755,   348,   756,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   757,   366,   367,   368,   369,     0,   370,
     371,   758,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,   759,   385,   760,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   762,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,  2080,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   784,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     3,     4,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
     230,   231,   743,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,   744,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,     0,     0,     0,   747,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,   748,
       0,   749,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,   750,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,   755,   348,   756,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   757,
     366,   367,   368,   369,     0,   370,   371,   758,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,   759,   385,   760,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   762,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   784,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,   810,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,   231,   743,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,   744,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,     0,     0,     0,   747,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,   755,   348,   756,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   757,   366,   367,   368,   369,
       0,   370,   371,   758,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,   759,   385,   760,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   762,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   784,     0,   573,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,   230,   231,   743,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,   744,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,     0,     0,     0,
     747,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,   755,   348,
     756,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   757,   366,   367,   368,   369,     0,   370,   371,   758,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,   759,
     385,   760,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     762,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   784,
       0,   573,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   742,   227,   228,   229,   230,   231,
     743,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,   744,     0,   249,   250,   251,   252,   745,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     746,   261,   262,     0,     0,     0,   747,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,   748,     0,   749,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,  1517,   750,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   751,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,   752,
     753,   338,   754,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,   755,   348,   756,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   757,   366,   367,
     368,   369,     0,   370,   371,   758,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,   759,   385,   760,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   761,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   762,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   763,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   784,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,   230,   231,   743,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,   744,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,     0,
       0,     0,   747,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,   312,  2929,   313,     0,   314,   315,   316,   317,   318,
     750,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
     755,   348,   756,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   757,   366,   367,   368,   369,     0,   370,
     371,   758,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,   759,   385,   760,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   762,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   741,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
     230,   231,   743,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,   744,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,     0,     0,     0,   747,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,   748,
       0,   749,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,   750,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,   755,   348,   756,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   757,
     366,   367,   368,   369,     0,   370,   371,   758,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,   759,   385,   760,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   762,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   784,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,   231,   743,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,   744,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,     0,     0,     0,   747,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,   755,   348,   756,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   757,   366,   367,   368,   369,
       0,   370,   371,   758,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,   759,   385,   760,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   762,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   784,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,   230,   231,   743,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,   744,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,     0,     0,     0,
     747,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,   755,   348,
     756,     0,   349,   350,   351,     0,     0,   352,   353,   824,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   757,   366,   367,   368,   369,     0,   370,   371,   758,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,   759,
     385,   760,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     762,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   784,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   742,   227,   228,   229,   230,   231,
     743,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,   744,     0,   249,   250,   251,   252,   745,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     746,   261,   262,     0,     0,     0,   747,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,   748,     0,   749,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,   750,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   751,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,   752,
     753,   338,   754,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,   755,   348,   756,     0,   349,   350,
     351,     0,     0,   352,   353,   901,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   757,   366,   367,
     368,   369,     0,   370,   371,   758,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,   759,   385,   760,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   761,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   762,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   763,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   741,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,   230,   231,   743,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,   744,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,     0,
       0,     0,   747,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   921,
     750,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
     755,   348,   756,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   757,   366,   367,   368,   369,     0,   370,
     371,   758,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,   759,   385,   760,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   762,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   741,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
     230,   231,   743,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,   744,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,     0,     0,     0,   747,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,   748,
       0,   749,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   931,   750,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,   755,   348,   756,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   757,
     366,   367,   368,   369,     0,   370,   371,   758,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,   759,   385,   760,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   762,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   784,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,   231,   743,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,   744,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,     0,     0,     0,   747,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   933,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,   755,   348,   756,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   757,   366,   367,   368,   369,
       0,   370,   371,   758,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,   759,   385,   760,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   762,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   784,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,   230,   231,   743,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,   744,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,     0,     0,     0,
     747,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   943,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,   755,   348,
     756,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   757,   366,   367,   368,   369,     0,   370,   371,   758,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,   759,
     385,   760,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     762,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   784,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   742,   227,   228,   229,   230,   231,
     743,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,   744,     0,   249,   250,   251,   252,   745,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     746,   261,   262,     0,     0,     0,   747,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,   748,     0,   749,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   954,   750,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   751,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,   752,
     753,   338,   754,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,   755,   348,   756,     0,   349,   350,
     351,     0,     0,   352,   353,   955,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   757,   366,   367,
     368,   369,     0,   370,   371,   758,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,   759,   385,   760,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   761,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   762,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   763,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,  1905,   244,   245,   246,   247,   248,     0,     0,
    1977,   249,   250,   251,   252,     0,   253,   254,  1906,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,  1978,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,  1908,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
    1909,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,  1910,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,  1905,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,  1906,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,  1978,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,  1908,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,  2829,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,  1909,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,  1910,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   675,   217,   218,   643,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,   644,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,   676,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   645,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   646,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,   643,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,   644,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,  2555,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   645,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   646,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,  1905,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,  1906,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,  1978,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,  1908,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,  1909,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
    1910,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,   643,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,   644,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   645,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   646,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
    1554,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,  1555,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,  1556,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,  1557,   307,     0,
       0,     0,  1558,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,  1559,  1560,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,  1561,   434,   435,   436,   437,     0,  1562,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,  1563,   463,  1564,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,  1565,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,   644,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   645,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   646,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     3,     4,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,  2635,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,  2636,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,  2647,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,  2648,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,   564,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     565,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,   669,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   670,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   671,   470,     0,
       0,   672,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,   700,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     701,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   702,   470,     0,     0,   703,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,   706,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   818,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,   706,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,   914,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,  1126,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,  1137,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   686,   240,   241,   242,  1138,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   689,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   690,   428,   429,   430,   431,   432,
     691,   434,   435,   436,   437,     0,   438,   439,   440,   441,
    1130,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   693,   470,     0,     0,   694,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   695,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,  1236,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,   706,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,  2450,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,  2451,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,  2452,   463,   464,
    2453,   466,  2454,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,  2455,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,   573,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,  3567,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,  3581,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,  3794,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,  3796,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,  3798,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,  4191,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   658,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   667,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   686,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   687,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   688,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   689,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   690,   428,   429,   430,   431,   432,   691,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   692,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   693,   470,     0,     0,   694,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     695,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     718,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   790,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   814,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   826,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   879,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   893,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   926,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   945,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   947,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   949,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   952,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   958,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   686,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   689,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     690,   428,   429,   430,   431,   432,   691,   434,   435,   436,
     437,     0,   438,   439,   440,   441,  1130,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   693,
     470,     0,     0,   694,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   695,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,  1286,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,  1434,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,  1464,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,  1493,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,  1495,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,  1497,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,  1589,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,  1865,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,     0,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   686,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   689,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   690,   428,   429,   430,   431,   432,
     691,   434,   435,   436,   437,     0,   438,   439,   440,   441,
    1130,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,  1896,   465,   466,
     467,   468,     0,   693,   470,     0,     0,   694,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   695,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   686,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   689,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     690,   428,   429,   430,   431,   432,  1963,   434,   435,   436,
     437,     0,   438,   439,   440,   441,  1964,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   693,
     470,     0,     0,  1965,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   695,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,  2219,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,  2566,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   686,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   689,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   690,   428,
     429,   430,   431,   432,   691,   434,   435,   436,   437,     0,
     438,   439,   440,   441,  1964,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   693,   470,     0,
       0,  1965,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   695,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,  2638,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,  2640,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,  2750,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,  1388,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,     0,  1389,   743,  1390,
    1391,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,  1392,  1393,   243,     0,   244,   245,   246,   247,     0,
       0,   744,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,     0,     0,     0,   747,     0,     0,     0,   263,   264,
     265,   266,   267,   268,  1394,  1395,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1050,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,     0,
     297,   298,   299,     0,     0,   301,     0,   302,   303,  1396,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,     0,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,  1868,   322,   323,   324,
     325,   326,   327,     0,   328,   751,  1869,   330,   331,   332,
     333,  1397,  1398,     0,  1399,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   755,   348,   756,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1400,   757,  1401,   367,   368,     0,
       0,   370,   371,   758,   372,     0,     0,   374,  1402,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,  1871,   759,   385,   760,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   396,     0,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1403,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,     0,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,  1872,   445,   446,   762,   447,  1405,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,     0,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1406,  1407,     0,     0,   471,     0,   473,     0,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,     0,  1408,  1873,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,     0,  1388,     0,     0,     0,     0,     0,     0,     0,
     515,   516,   517,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   742,   227,   228,
     229,     0,  1389,   743,  1390,  1391,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,  1392,  1393,   243,     0,
     244,   245,   246,   247,     0,     0,   744,     0,   249,   250,
     251,   252,   745,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   746,   261,   262,     0,     0,     0,   747,
       0,     0,     0,   263,   264,   265,   266,   267,   268,  1394,
    1395,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1050,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,     0,   297,   298,   299,     0,     0,
     301,     0,   302,   303,  1396,   305,     0,   306,     0,   307,
     748,     0,   749,   308,   309,   310,     0,   311,     0,     0,
     313,     0,   314,   315,   316,   317,   318,   750,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     751,     0,   330,   331,   332,   333,  1397,  1398,     0,  1399,
       0,   337,   752,   753,   338,   754,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,     0,   755,   348,   756,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1400,
     757,  1401,   367,   368,     0,     0,   370,   371,   758,   372,
    1959,     0,   374,  1402,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,     0,   759,   385,
     760,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   396,     0,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1403,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   761,   427,   428,     0,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,  1872,   445,   446,   762,
     447,  1405,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,     0,     0,   461,   462,  3423,   463,
     464,   465,   466,   467,   468,     0,  1406,  1407,     0,     0,
     471,     0,   473,     0,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,     0,  1408,     0,   494,
     763,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,     0,   210,     0,     0,
       0,     0,     0,     0,     0,   515,   516,   517,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,     0,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,     0,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,  1388,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,     0,  1389,   743,  1390,  1391,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,  1392,  1393,   243,
       0,   244,   245,   246,   247,     0,     0,   744,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,     0,     0,     0,
     747,     0,     0,     0,   263,   264,   265,   266,   267,   268,
    1394,  1395,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1050,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,     0,   297,   298,   299,     0,
       0,   301,     0,   302,   303,  1396,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,     0,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,     0,   330,   331,   332,   333,  1397,  1398,     0,
    1399,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   755,   348,
     756,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1400,   757,  1401,   367,   368,  2018,     0,   370,   371,   758,
     372,     0,     0,   374,  1402,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,     0,   759,
     385,   760,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   396,     0,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1403,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
       0,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,  1404,   445,   446,
     762,   447,  1405,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,     0,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1406,  1407,     0,
       0,   471,     0,   473,     0,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,     0,  1408,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,     0,  1388,     0,
       0,     0,     0,     0,     0,     0,   515,   516,   517,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   742,   227,   228,   229,     0,  1389,   743,
    1390,  1391,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,  1392,  1393,   243,     0,   244,   245,   246,   247,
       0,     0,   744,     0,   249,   250,   251,   252,   745,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   746,
     261,   262,     0,     0,     0,   747,     0,     0,     0,   263,
     264,   265,   266,   267,   268,  1394,  1395,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1050,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
       0,   297,   298,   299,     0,     0,   301,     0,   302,   303,
    1396,   305,     0,   306,     0,   307,   748,     0,   749,   308,
     309,   310,     0,   311,     0,     0,   313,     0,   314,   315,
     316,   317,   318,   750,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   751,     0,   330,   331,
     332,   333,  1397,  1398,     0,  1399,     0,   337,   752,   753,
     338,   754,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,     0,   755,   348,   756,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1400,   757,  1401,   367,   368,
    3242,     0,   370,   371,   758,   372,     0,     0,   374,  1402,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,     0,   759,   385,   760,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   396,     0,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1403,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   761,   427,   428,     0,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,  1404,   445,   446,   762,   447,  1405,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
       0,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1406,  1407,     0,     0,   471,     0,   473,     0,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,     0,  1408,     0,   494,   763,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,     0,  1388,     0,     0,     0,     0,     0,     0,
       0,   515,   516,   517,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,     0,  1389,   743,  1390,  1391,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,  1392,  1393,   243,
       0,   244,   245,   246,   247,     0,     0,   744,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,     0,     0,     0,
     747,     0,     0,     0,   263,   264,   265,   266,   267,   268,
    1394,  1395,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1050,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,     0,   297,   298,   299,     0,
       0,   301,     0,   302,   303,  1396,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,     0,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,     0,   330,   331,   332,   333,  1397,  1398,     0,
    1399,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   755,   348,
     756,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1400,   757,  1401,   367,   368,     0,     0,   370,   371,   758,
     372,     0,     0,   374,  1402,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,     0,   759,
     385,   760,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   396,     0,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1403,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
       0,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,  1404,   445,   446,
     762,   447,  1405,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,     0,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1406,  1407,     0,
       0,   471,     0,   473,     0,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,     0,  1408,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,     0,  1388,     0,
       0,     0,     0,     0,     0,     0,   515,   516,   517,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   742,   227,   228,   229,     0,  1389,   743,
    1390,  1391,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,  1392,  1393,   243,     0,   244,   245,   246,   247,
       0,     0,   744,     0,   249,   250,   251,   252,   745,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   746,
     261,   262,     0,     0,     0,   747,     0,     0,     0,   263,
     264,   265,   266,   267,   268,  1394,  1395,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1050,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
       0,   297,   298,   299,     0,     0,   301,     0,   302,   303,
    1396,   305,     0,   306,     0,   307,   748,     0,   749,   308,
     309,   310,     0,   311,     0,     0,   313,     0,   314,   315,
     316,   317,   318,   750,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   751,     0,   330,   331,
     332,   333,  1397,  1398,     0,  1399,     0,   337,   752,   753,
     338,   754,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,     0,   755,   348,   756,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1400,   757,  1401,   367,   368,
       0,     0,   370,   371,   758,   372,     0,     0,   374,  1402,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,     0,   759,   385,   760,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   396,     0,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1403,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   761,   427,   428,     0,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,  1872,   445,   446,   762,   447,  1405,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
       0,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1406,  1407,     0,     0,   471,     0,   473,     0,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,     0,  1408,     0,   494,   763,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,     0,  1388,     0,     0,     0,     0,     0,     0,
       0,   515,   516,   517,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,     0,  1389,   743,  1390,  1391,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,  1392,  1393,   243,
       0,   244,   245,   246,   247,     0,     0,   744,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,     0,     0,     0,
     747,     0,     0,     0,   263,   264,   265,   266,   267,   268,
    1394,  1395,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1050,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,     0,   297,   298,   299,     0,
       0,   301,     0,   302,   303,  1396,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,     0,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,     0,   330,   331,   332,   333,  1397,  1398,     0,
    1399,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   755,   348,
     756,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1400,   757,  1401,   367,   368,     0,     0,   370,   371,   758,
     372,     0,     0,   374,  1402,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,     0,   759,
     385,   760,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   396,     0,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1403,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
       0,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,     0,   445,   446,
     762,   447,  1405,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,     0,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1406,  1407,     0,
       0,   471,     0,   473,     0,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,     0,  1408,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,     0,  1388,     0,
       0,     0,     0,     0,     0,     0,   515,   516,   517,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   742,   227,   228,   229,     0,     0,   743,
       0,     0,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,     0,     0,   243,     0,   244,   245,   246,   247,
       0,     0,   744,     0,   249,   250,   251,   252,   745,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   746,
     261,   262,     0,     0,     0,   747,     0,     0,     0,   263,
     264,   265,   266,   267,   268,     0,     0,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
       0,   297,   298,   299,     0,     0,   301,     0,   302,   303,
       0,   305,     0,   306,     0,   307,   748,     0,   749,   308,
     309,   310,     0,   311,     0,     0,   313,     0,   314,   315,
     316,   317,   318,   750,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   751,     0,   330,   331,
     332,   333,     0,     0,     0,     0,     0,   337,   752,   753,
     338,   754,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,     0,   755,   348,   756,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,     0,   757,     0,   367,   368,
       0,     0,   370,   371,   758,   372,     0,     0,   374,     0,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,     0,   759,   385,   760,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   396,     0,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,     0,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   761,   427,   428,     0,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,     0,   445,   446,   762,   447,     0,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
       0,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,     0,     0,     0,   471,     0,   473,     0,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,     0,     0,     0,   494,   763,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   515,   516,   517
};

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    16,    48,    34,   545,
     189,    11,   735,   574,    24,  1155,   195,   932,   687,   740,
      20,   991,    20,   193,   969,   936,    43,   206,   171,     7,
     179,   644,   645,   646,   941,    21,    14,   650,  1222,   188,
      26,   961,  1698,   811,  1558,   816,  1660,  1860,    48,    21,
    1173,   612,   834,   792,    26,   765,   592,   825,    12,  2017,
     890,   873,   574,  1404,   871,  1257,  1048,  1049,  1019,  1209,
     900,   694,  1077,  1361,  2608,  1421,    20,  1157,  1262,  2154,
      17,  1266,    22,  2302,  2162,  1067,  2631,  1876,  1877,  2115,
    2651,    42,  2653,  1276,    34,  1460,  2890,   536,  1314,  1595,
    3108,   815,  2827,  1178,  2790,   819,  1824,  2070,   876,  2281,
    3049,  2808,   880,   827,  2852,   922,  2516,   885,  3075,  3151,
       0,   594,  2808,  3198,   892,  1205,  2458,  2463,  3147,   690,
     611,   604,  2461,  2462,   902,   158,   173,     0,  3081,  1324,
     173,  2879,  3424,  2869,   583,  1629,  2395,  1330,  1331,    33,
    1515,  1249,  3360,  3403,  3413,  1209,    40,     0,     0,  1643,
       0,     0,     0,     0,  3843,  1262,  2524,  1463,  3637,     0,
       0,     0,     0,   173,    39,  1095,     0,  2509,   690,  3080,
    3007,    31,  1188,  1471,  2812,  2813,  2814,  2815,  2816,  2817,
     825,     0,   782,  1005,  3118,  1037,  1038,     0,     5,  2157,
      66,     0,    58,   732,     5,    11,   732,     5,  3947,  1693,
    3949,     5,    37,     0,  4119,     5,     5,    37,    44,    13,
    1876,  1063,    18,    13,    13,   103,    79,    72,   147,    96,
     969,    26,    27,    51,    16,   152,   103,   153,     0,    18,
       5,   172,    22,   105,   134,  3980,   134,  4112,    22,    29,
     201,     5,     5,  4265,    76,    29,   869,    58,    22,   108,
      96,     5,     9,     0,  2458,    29,   127,  2610,    25,     5,
    2228,   103,  2230,  2522,    83,   180,   181,     5,     5,   184,
      83,   186,    11,     4,  1424,     5,     5,    35,     9,   133,
     256,    68,  4065,    58,    20,     0,   103,   155,   133,    22,
     205,   280,   251,   160,     9,   326,    51,    36,     5,  4193,
    4194,     5,   246,   234,    40,  2509,   254,    22,   854,   110,
     246,    96,   234,    22,   120,     0,   264,     9,   359,    51,
     144,   103,    32,   308,     9,   108,   185,    66,    28,   381,
     310,   120,     5,   256,    11,   152,     9,    22,   157,   290,
      22,   133,  4003,   152,   157,   310,   151,     9,   153,   297,
    1142,    78,    96,    11,   543,   152,     4,   250,   547,   236,
     193,     9,   255,   172,  2984,   545,   391,     8,  4390,   558,
      11,    68,   531,   338,   948,   172,  1096,  4038,    36,    76,
     152,     3,     4,     5,   436,   959,   957,     9,  3008,    66,
     117,  1140,  1407,   316,   236,   380,  1145,  1146,   969,   440,
     172,   111,  1394,  1395,  1124,   152,   115,   438,    66,   233,
    1402,    11,   592,  1937,   285,  4104,    35,   250,     5,   578,
    4169,   319,  1555,     3,  3642,   172,  1559,    11,  1561,   588,
     103,  1564,    68,   115,   134,   957,    36,   152,   152,   302,
      76,   308,   393,   176,   392,  1370,   405,   436,    68,   234,
     186,   349,  1023,   321,   236,  4238,   436,   172,  1375,   942,
     319,   437,   339,   385,   440,   342,    66,   152,  1290,   199,
      68,    68,   314,  2826,   328,   303,     5,   323,     8,   122,
     971,   103,   350,   328,  4506,   304,   417,   172,   221,   387,
    1239,   304,   436,   152,    68,    75,   396,    96,  1247,   440,
     436,  1023,   400,  3141,  1594,   152,   526,   436,   297,   436,
     436,   383,   158,  1237,   997,  1665,   371,  3224,   310,     8,
     379,  1872,    11,    96,  1007,  4400,  1882,   359,  3224,   359,
    4424,   172,  1310,   300,  1312,   423,   328,  1020,   436,  1320,
    1392,  1393,   359,  1365,   334,   125,  1386,  1364,   303,  1401,
     334,   386,   193,  1302,   574,   575,  1305,  1306,   434,   436,
     334,   612,   438,  1287,  1654,   436,  1137,  1359,   190,  1549,
     436,   303,   359,   379,  1145,  1146,   436,   440,   525,   390,
     381,   400,   735,   616,  4329,  3845,   391,   400,   346,  3538,
    3808,  2559,   214,   193,   402,  4510,   379,   177,  1519,  3154,
     436,   611,   612,   611,  3571,   349,   423,  1429,  3575,  3562,
    1700,   252,   440,  1629,   422,  1137,   432,   350,   437,   534,
     439,   438,  1371,   538,   437,   436,   439,  1643,   436,   625,
     439,   627,   436,   629,  3382,  1556,   436,   436,   658,   635,
     555,  3859,   439,   625,  1565,   627,   610,   629,  3485,  1294,
    3561,   639,  1297,   635,   636,   637,  1256,  1196,   612,   679,
    1196,   436,  3397,  1593,  1486,  1595,   686,   439,  4417,   689,
     690,   691,   436,   436,   854,  1605,  3412,   724,   435,  1609,
     839,   724,   436,  3617,    22,   440,   390,  1617,  1618,   269,
     436,   850,   439,   432,   655,   402,   427,   428,   436,   436,
    1630,  1631,  4391,  3341,   193,   434,  4185,   436,   440,   438,
      98,  1641,   427,   428,   724,   422,   726,   726,   726,   726,
     726,   726,   252,   359,   439,  2031,   440,   346,  2527,   436,
    2529,  3073,   436,  3075,  2770,   427,   428,  2773,  2774,   359,
    1890,  2777,   427,   428,   436,    25,  1292,  2783,  3094,   710,
     349,   910,   400,   396,   439,  1950,    18,  3975,   246,  2847,
     714,   359,   359,   252,  3982,   427,   428,  3135,  3323,  1621,
    1622,   429,   430,   431,   432,  4464,   349,   165,   739,   427,
     428,   440,   423,   424,   425,   359,   427,   428,   429,   430,
     431,   432,   372,   440,   440,  2461,  2462,  2463,    96,     8,
     380,    96,    11,   383,   152,   427,   428,  2775,  2776,  3151,
     792,   340,   341,   688,   103,    18,    18,   692,  2013,    28,
     781,    24,    24,    18,   154,   161,  1890,   427,   428,   429,
     430,   431,   432,  4102,   120,   223,   726,   301,   226,    98,
     249,  1663,   108,     5,  1467,   429,   430,   431,   432,   113,
    2474,    74,  2002,   726,    51,    51,   152,    11,   120,   123,
    1968,   154,   326,  3122,   250,    64,    74,  2361,  2362,  3073,
    1977,  3075,  2366,   726,   726,   105,   726,   726,   726,   726,
     795,   796,   772,  1562,  1563,   726,   726,   726,   726,   112,
    3434,  3933,   726,   423,   424,   425,    83,   427,   428,   429,
     430,   431,   432,    23,   112,    18,   165,  1481,   108,   146,
       5,    24,  2406,  2407,   154,    11,  1490,   120,   120,   185,
    1494,   263,   252,   817,   108,   120,  1500,  1501,   349,   317,
       3,  1651,     5,   271,  3976,   825,   120,   957,   427,   428,
     429,   430,   431,   432,  1518,  3894,     5,  3151,   436,   969,
     319,     5,   867,  1499,   103,  1526,   250,     8,    60,   252,
      11,   971,   105,   971,   223,   195,   913,   226,   254,  2195,
     157,  3938,   161,   888,   889,   263,  3943,    28,   256,  3946,
     349,  3934,  1002,   321,   193,   185,   974,   969,   976,   256,
     978,  2790,   980,   908,   982,   983,   984,  4289,    22,  2149,
     264,   989,   264,  1023,   153,  2207,   236,   120,  1491,  2808,
    4279,   359,   342,  4273,   352,   301,   354,   359,   387,  1502,
     300,  1031,   152,   938,   939,    98,   165,   436,   416,   131,
     319,  1514,   312,   297,  1525,   297,   273,   234,  1487,   193,
     326,  1051,   265,   252,  1095,   234,    70,   149,   436,   385,
     249,   349,   195,    77,   349,  3859,   286,   265,   317,    42,
     349,   264,   264,   359,   326,     8,   186,   436,    11,   264,
    4112,  1081,   312,    60,   221,   423,  3631,  1097,   105,   241,
     104,  1627,   197,   363,   223,  1095,  3834,  1107,   237,  2888,
     438,   275,   165,   236,   297,   297,  3667,   193,   387,    60,
    1120,  3837,   297,   627,   628,   629,   303,   303,   632,   633,
     634,   400,  1292,   379,    95,    76,   103,  1137,   642,   234,
    1140,  1141,   384,   326,   326,  1145,  1146,   367,    76,   326,
     353,   326,  4392,  1166,  1181,  1182,  2269,  1184,  1181,  1182,
     434,  1184,   193,   286,   438,   353,   241,   436,  2140,    34,
     223,   103,   176,   226,  4183,   103,  1345,   416,  1140,  1981,
      97,   106,   440,  1145,  1146,   198,   366,   299,   195,  2525,
     131,  1181,  1182,   440,  1184,  2531,   278,   153,   317,   379,
    1859,   361,   241,  4401,   314,   168,  4135,   241,   149,   172,
     333,  4276,    74,    74,  4463,   436,   385,    74,  4467,  4166,
       8,   252,   359,    11,    52,  3615,   263,    30,   161,   236,
     440,  3983,    60,   328,   423,   424,   425,   147,   427,   428,
     429,   430,   431,   432,   169,     0,  2066,   210,    36,  3571,
     112,   112,   381,  3575,    42,   112,  2386,  1198,   175,   156,
    4509,   222,  2392,   224,   317,  1819,  3592,   439,  3587,   236,
     193,  3597,  1976,     5,   241,  1444,  4205,  1239,    66,   286,
    4209,  4210,   392,  3299,   379,  1247,   130,  4309,   400,  3305,
    3306,  1460,   374,   427,   428,   429,   430,   431,   432,   105,
     103,   234,  4473,   440,  3466,  2034,   171,  1234,   236,   241,
     266,   278,   440,  2042,   105,  2044,  2221,   214,  1318,  4006,
    4072,  1283,   359,  1492,  2225,   292,  2128,  2031,   440,   252,
    4006,   264,  2026,   172,  2231,  4333,  4334,   278,   342,  1499,
    1302,  1480,   161,  1305,  1306,   189,  1515,   142,  2052,     5,
    1489,   427,   428,   429,   430,   431,   432,  2177,  2178,  2179,
    2180,   132,  2120,   416,   297,  2361,  2362,   330,  4083,  2189,
    2366,   103,     5,   179,  4089,   331,  1271,   280,  4400,   155,
    4551,  2085,  1323,  1383,   172,   297,   214,  3571,   223,   299,
    2084,  3575,   423,   424,   425,   363,   427,   428,   429,   430,
     431,   432,   173,   265,   265,   193,   194,   374,   265,  1371,
    2406,  2407,   256,  1939,   326,   234,   211,  2482,  2215,  1558,
    2330,  3129,  2926,   264,  1294,   142,   277,  1297,   234,   245,
     236,   348,   349,   374,  4186,   254,    44,  1332,  1333,  1334,
    1335,  2554,  2624,  3396,  4196,  3224,  1446,   103,  3094,   264,
     241,   239,   385,   256,   263,   352,   297,   354,   297,  3262,
     359,  3264,   301,   393,   252,  3268,  1895,  1627,   972,  2379,
     103,   975,   115,   977,   117,   979,  2962,   981,  1373,  1374,
     377,   985,   317,    95,  1379,   326,    94,   326,  4486,  2291,
     326,   353,   353,  3441,   211,  3443,   353,   107,   105,  2705,
    2410,   424,   425,   263,   427,   428,   429,   430,   431,   432,
     361,   326,  1975,   107,     8,  2989,   264,    11,  2992,  2993,
    2994,  2995,  2996,  2997,  2998,  2999,  3000,  3001,  1423,   373,
     312,   248,  4067,   310,    28,  1525,  4264,  1525,  2448,  2714,
     147,   440,   130,   147,  2273,   321,   316,   156,  3022,   297,
     359,    49,   403,   157,   142,  1450,  1451,  1452,  1453,   147,
    2915,   400,    38,  2535,   277,   177,   385,  1535,   172,  1537,
    1586,  1539,   179,  1541,   350,  1543,   184,  3051,  3052,  1547,
     359,   363,   192,    59,   199,   359,  1576,  1576,  1576,  1576,
    1576,  1576,  1526,   369,  2023,   436,  4120,    95,   192,   359,
    2203,   189,   379,   246,  2564,   214,     3,   106,   290,  1504,
     222,  3933,   224,   115,  1614,   117,  3938,  4401,  1513,   359,
     423,  3943,    19,   211,  3946,  1520,   234,   234,   359,   236,
    1571,   434,   381,   436,   437,   438,   156,   440,   320,   427,
     428,   429,   430,   431,   432,  1607,  1608,   142,   361,   423,
    4201,   264,   147,  1615,  3976,  1585,   400,  1619,  1620,  2210,
     248,   440,  4197,   153,   438,  1592,  2220,   349,   256,  3878,
     169,  4399,  1634,   361,  1636,   359,   174,  2807,    75,   264,
    1670,   290,  2236,  2237,   297,   436,  2240,   436,   301,   106,
     403,   181,  2246,  2244,   214,  1657,   440,  1659,  2595,   193,
    2873,   221,   306,  2876,  3652,  3653,   196,   315,  2210,   440,
    1442,   393,   297,   326,  1714,   403,   211,  1886,   208,   297,
     400,   363,  1891,   301,   222,  1894,   224,     8,   125,  1461,
      11,   434,   314,  3337,   236,   438,   234,   290,   312,  3755,
    3756,  4456,  2244,   352,   246,   354,  2475,  1916,   326,  3933,
    2304,  3816,   169,   248,  3938,  2468,   440,  3825,   252,  3943,
     440,  3970,  3946,  3972,   351,   263,    76,   320,   377,   351,
    4294,  3836,   115,  1668,   117,   172,   142,   285,   154,  1939,
     177,   147,  2584,    11,   393,   373,  2583,   400,  1957,   363,
    4112,  1930,  3976,   363,   236,   423,   349,   140,  1937,   241,
      83,  4336,   299,   311,   302,  1974,   182,   400,    36,  1645,
     438,  2924,  1648,   400,   130,   402,    31,   307,   400,   102,
     402,   314,   400,   297,  2361,  2362,   142,   314,   264,  2366,
    1999,   147,   352,     8,   354,    50,    11,   312,    66,   337,
     393,   381,   284,  3179,  4166,   211,   156,   440,   227,   436,
    2611,   134,   326,    28,   436,   316,  2025,   377,   351,  2472,
    2029,   297,  1838,   197,   351,   175,   352,    82,   354,  2406,
    2407,  2632,   269,   189,  1864,  1864,  1838,  3155,  2047,  3353,
     221,  2683,   248,  2685,  1900,   264,  1902,  1821,   363,   221,
     326,  4426,  2061,   236,  3024,   211,   436,  2857,   241,   175,
     234,  2427,    68,   246,   214,  2074,  2866,   400,  2612,   402,
      76,   308,   193,   400,  2083,   402,    26,    27,   297,   402,
    3723,   314,   301,   138,  2475,   167,  3530,   264,  4112,   423,
     424,   425,   248,   427,   428,   429,   430,   431,   432,   422,
     256,  3587,   286,   436,  2746,   255,  3592,   326,   152,   436,
     347,  3597,   286,   436,   298,   170,   147,   264,   351,   402,
     297,  3031,     4,  1963,   352,   147,   354,     9,   172,  2771,
      73,   252,  2676,    83,   437,   372,   167,   440,   322,   422,
      57,    58,  4166,   380,   199,   167,   383,  4309,   393,   326,
     297,   206,   102,  2989,   328,  4530,  2992,  2993,  2994,  2995,
    2996,  2997,  2998,  2999,  3000,  3001,  2947,   400,  1949,   402,
     293,    20,  3187,  2567,   363,    84,  3011,  3012,   193,   326,
      80,   236,   365,   316,   134,  4041,  3022,    48,  3201,  3202,
    2581,    40,   375,   434,   402,   436,   319,  1932,  1933,  1934,
      84,   199,   352,   436,   354,   379,  1941,   436,  1943,  2954,
    1945,  1946,  3227,   363,   422,  3051,  3052,   373,  3532,  3533,
    3130,   264,   437,  2821,   374,   440,   349,   377,   436,   250,
    2872,   434,  2034,   436,   255,   438,    11,   252,  4400,  2581,
    2042,   436,  2044,   438,   153,  2639,   301,  2641,  2551,  2552,
     305,   310,   311,  3223,   297,  3225,   311,  2899,     9,   437,
     435,    36,   440,   318,   387,   440,   436,  2107,  3018,   153,
    2279,   326,   181,    60,   400,  2115,   402,   400,   434,    66,
     335,   437,   438,   326,  3765,  4309,  3767,   196,   343,    76,
    3771,    66,  3773,  2302,   440,   435,  4084,   181,   250,   208,
     440,    75,   423,   424,   425,  2040,   427,   428,   429,   430,
     431,   432,   196,   436,  2951,    48,   103,   314,   105,   436,
    3132,   438,   231,   431,   208,   238,  2968,  2306,   436,     5,
     438,   436,    21,  2312,    10,  2137,  2176,    26,    38,  3309,
     395,   250,    18,   293,   399,   400,  2988,   231,   419,   420,
     124,  2745,  3152,  3153,   351,   431,  3527,  2751,   437,    35,
     436,   440,   438,   437,  2204,  2100,   440,  2197,  2197,   319,
    2210,  3013,  3858,  2108,  4423,   400,  4400,   402,  2113,  2163,
    3879,  3880,  3881,  3882,  1010,  1011,  2955,  4006,  3402,  2799,
    2800,  2801,   179,  2696,  2378,  3417,  2380,  2381,   307,   349,
     310,   311,  2845,   400,  2244,   402,   319,  3049,   423,   424,
     425,   393,   427,   428,   429,   430,   431,   432,   193,   194,
     352,   437,   354,   307,   440,    31,   352,  2427,   354,   203,
     204,  2822,   437,  2824,   195,   440,   349,   387,   437,   436,
     439,   391,   437,   217,    50,   440,   438,   237,   238,   236,
     400,   418,   437,   437,   241,   440,   440,   253,   115,   437,
     117,   253,   440,  2198,   239,   437,   250,   437,   440,   314,
     440,  2273,   381,   359,   387,   437,    82,   250,   440,  2458,
    2822,   437,  2824,   140,   440,  3097,   436,   400,   253,   147,
     264,   278,  2227,  2493,  2229,  4114,  2887,    38,  3451,  3452,
    3453,   400,   418,   402,  2898,   292,   351,   437,  2902,  2903,
     440,  2905,   195,  2907,  2908,  3959,   437,  3353,   437,   440,
     418,   440,  2916,   436,   437,    44,   439,  2536,   429,   319,
    2509,   437,   138,  2836,   440,  2838,  3089,  3090,  3091,  2410,
     437,   437,   151,   440,   440,  2887,  3086,   437,   437,   437,
     440,   440,   440,   440,  2948,   400,   437,   402,   439,   349,
      50,   314,   437,   436,   170,   440,    85,   437,   437,  2578,
    4213,  4214,   437,  4216,    48,   440,  3890,   351,   437,   353,
    2410,   440,   152,   437,   241,  3899,   440,   374,  2323,   246,
     109,   436,    82,   199,  2424,   191,   437,   387,   351,   440,
     206,   437,  3916,  3917,   440,   124,  2453,  2454,  2455,   128,
     400,   437,  2989,  2443,   440,  2992,  2993,  2994,  2995,  2996,
    2997,  2998,  2999,  3000,  3001,   729,   436,   731,  2458,   148,
     236,   437,   151,   437,   440,  2475,   440,   437,   404,   314,
     440,  2512,   319,  2946,   163,   438,   436,   400,   138,   402,
     436,   135,   427,   428,   429,   430,   431,   432,   326,  2489,
    2489,  2489,  2489,  2489,  2489,   437,  2675,   437,   440,   314,
     440,  2473,   349,  2475,  3051,  3052,   351,  2686,  3588,  2509,
     170,    50,  2512,   436,   438,   437,    21,     8,   440,   437,
      11,  3292,   440,   436,   314,   301,  3532,  3533,   437,   305,
     437,   440,  3612,   440,   172,   311,   351,    28,   365,  4352,
     387,   437,   318,    82,   440,    36,   206,   250,   375,  4063,
     326,    42,   241,   400,  3576,   400,  3578,   402,   135,   335,
     249,   351,   437,    68,   135,   440,   437,   343,  3380,   440,
     437,  2581,   250,   440,   437,    66,   236,   440,   147,   437,
     437,   437,   440,   440,   440,   400,  2765,   402,   135,   436,
     209,   436,    97,   105,  3514,   284,  3426,   437,   437,   138,
     440,   440,   437,  3726,  3727,   440,  3729,   381,   437,   250,
     400,   440,   402,   118,   437,   437,   436,   440,   440,   395,
    2790,   436,   363,   399,   129,   437,   437,   437,   440,   440,
     440,   170,   437,   437,  4290,   440,   440,   437,  2808,   437,
     440,   301,   440,   303,   149,   305,   436,  2657,   245,   154,
    4134,   311,   437,   437,   437,   440,   440,   440,   318,   437,
     437,   393,   440,   440,   316,   437,   326,   206,   440,   199,
     283,   436,    60,   400,    31,   335,   236,   168,   404,   436,
     236,   172,    38,   343,  2694,  2590,    38,  2592,  2593,  2594,
     264,   368,   147,   393,    21,   200,   393,   236,    73,   281,
     135,   135,   193,   194,   135,   436,   404,   135,   135,   135,
     440,   135,   135,   250,   135,   135,   221,  3456,   135,   210,
     135,   250,   135,   349,   436,   264,  3538,    54,    31,   148,
     209,   147,   250,   147,   436,   395,  2915,     5,  2748,     5,
      67,   436,   436,   147,   436,   236,   436,   274,   239,   436,
    2929,   436,   436,    80,     5,     5,   436,   436,   297,     5,
    2770,   252,   301,  2773,  2774,   436,   305,  2777,   436,   436,
    2949,   436,   311,  2783,   436,   436,   281,  2926,     5,   318,
    2790,   436,   191,   436,   401,   436,   436,   326,  3261,   436,
    3263,   118,   261,   436,  3267,   440,   335,   436,  2808,   436,
     436,   436,   129,   308,   343,   436,  3353,   440,    31,   314,
      86,   209,  2822,    31,  2824,   320,     0,  3762,  2790,   147,
     326,   147,   149,   248,   246,  2797,  2798,   154,   359,   314,
    2802,   359,   438,   359,   359,   359,  2808,   314,  3650,   330,
     359,    76,   359,   314,   349,   135,   351,   250,   318,   359,
    2860,   206,   359,  3823,   241,   359,   395,   380,   250,   177,
     246,   436,   359,   368,  3676,   359,   166,  2839,   436,    76,
     440,   264,   135,   381,  3438,    97,  2886,  2887,  2878,  2878,
     381,  3693,  3446,  3447,  3890,   359,   359,   359,   393,    48,
      48,   359,   359,  3899,   221,   359,   254,  2897,  2897,    83,
     359,   359,    37,  3376,  3377,    37,   359,   314,  4048,   359,
    3916,  3917,   359,   250,   404,   250,  4100,   400,  3061,   440,
     193,   436,   436,   436,  3073,   252,  3075,  3637,   390,    31,
      30,    20,   423,   424,   425,  3747,   427,   428,   429,   430,
     431,   432,   250,   135,   236,   381,   130,   436,   103,   135,
     392,   246,   217,   236,   281,    31,   147,    31,   142,   199,
     436,    31,   315,   147,   135,   135,   135,   135,   152,   381,
     381,   135,   152,   157,   245,   359,   160,   357,   162,   240,
      50,   418,   436,  2955,   436,  3532,  3533,   314,   396,   228,
     228,    11,   440,   320,   326,   357,   323,   436,   436,   359,
     160,   143,  3151,  3182,  2909,   189,   152,  2912,   440,   166,
     361,   189,    82,   166,   328,   197,   381,   251,  3059,   437,
      48,   258,   349,  3762,    75,  3035,   436,   211,   355,   359,
     359,  3951,   314,   314,  3075,   440,  4159,   437,   440,   436,
     381,   368,   241,   197,   241,   197,  4169,   359,  3065,  3066,
    3067,  3068,  2957,   359,  3224,   359,   363,   436,   316,  3059,
     393,   199,   241,   250,   248,    38,   393,  3603,   138,   333,
     359,   440,   256,  3073,   249,  3075,   297,   394,   314,   359,
     297,   167,  3894,   286,  3648,   359,   193,   359,  4058,  4059,
     323,    31,   193,  3272,   193,   381,  3275,   381,  4221,   193,
     170,   193,   249,   423,    30,  4050,   359,   359,   423,   434,
     434,   359,   359,  3677,  3678,   436,   135,   147,   393,   246,
     304,   323,   149,   436,   135,   436,    31,   250,  4134,   199,
     400,   250,   164,   164,   147,    31,   206,   135,   250,   250,
     323,   147,   440,   172,   440,   404,   172,   172,    19,   440,
     158,   400,   225,   250,    48,   440,   349,   363,   245,   199,
     437,   393,   152,   268,   152,   349,   236,   260,   437,   359,
     437,    13,    13,   387,   379,   437,   418,   437,   304,    48,
     437,   437,   437,   437,  3748,  3749,   397,   397,   211,   373,
     250,   253,  4315,   437,   437,   440,  3809,   250,   418,   175,
     135,  3762,   183,   359,  3383,   241,   437,   437,   437,   437,
     436,   436,   436,   397,  3224,   399,   400,   436,   359,  4139,
     359,   437,   423,   436,   436,   359,   135,  3950,   404,   135,
     254,   301,   175,   211,  3957,   305,   269,  3247,   378,   359,
    3250,   311,  3252,  3964,   359,   359,   359,   269,   318,  3722,
     434,    48,  3224,   437,   438,   439,   326,    48,    48,   219,
    3246,   219,  4232,   219,   359,   335,   314,   314,  3173,  3174,
    3175,  3176,   314,   343,  3246,   359,   359,  4045,   359,   359,
    3459,   359,   359,   236,   135,   326,    37,   359,   359,  3299,
     193,  4206,   193,   314,   193,  3305,  3306,     3,  3308,  3863,
    4207,  3865,  3866,   436,   434,   317,  4217,   226,  4219,   437,
     368,   211,   437,  3877,   423,   437,   440,    38,    96,   299,
     437,   437,   440,  4135,   249,   395,   436,   250,    31,   399,
     161,   381,   381,  3343,  3344,  3345,  3346,   314,   253,   314,
     314,  3313,  3314,  3890,   359,   133,   133,   193,     8,   440,
     126,    11,  3324,   152,    11,   434,    58,   392,   147,  4171,
     152,   256,   437,   397,   421,   160,   152,  4507,   437,  3916,
    3917,  3343,   437,   437,   437,   873,    36,   436,   251,   440,
       0,   436,    42,   437,   368,   437,  4306,   147,    31,   381,
     381,   437,   436,  4205,   359,   359,   368,  4209,  4210,   183,
     359,   314,   359,   314,  3414,   359,    66,   359,    48,   147,
      66,  3411,  3411,   135,    96,   197,  4556,   368,  4363,   436,
     193,   437,  3571,   437,  4564,   193,  3575,   437,   437,   436,
     435,  4154,   435,  3603,  4103,   437,   436,   400,    22,    23,
     323,  3977,   282,    27,   440,   440,  3351,   436,    32,    33,
      34,   147,    36,   178,   404,    39,    40,    71,    42,   351,
      44,   440,   359,    83,  3474,   323,   437,   436,   157,   437,
      96,   152,   152,   193,   193,   193,   193,   291,    48,  4015,
     398,   398,   437,   196,  3456,   259,   196,   436,    48,  4050,
     437,   437,   440,   437,   436,   162,   437,   436,   436,   246,
     437,   437,   423,   437,   368,   359,   152,  1005,   168,  3688,
     130,   400,   172,    66,   177,   241,   423,   241,   440,   135,
     440,  3700,   142,   359,   193,   435,   154,   147,   152,   381,
     172,   381,   152,   193,   194,    31,   121,   157,   400,   396,
     160,   400,   162,   436,   152,   436,   180,   152,   253,   436,
     210,   436,   291,   386,   436,   336,   437,   437,   267,   196,
     436,   399,   437,   250,  4128,   292,   359,   437,   436,   189,
     436,  3571,   400,   147,   359,  3575,  4491,   110,    31,   239,
     241,   220,   241,   175,   282,   134,    31,  4134,   436,  3599,
    3600,   211,   252,   436,    48,   179,   180,   181,   182,   436,
     184,   254,   186,  3629,   188,   437,   190,   437,    48,   193,
    3610,  3610,   311,    31,   198,   436,   311,   201,   437,   437,
    4184,   205,   381,   207,   436,   234,   437,   250,   248,     5,
     323,   141,   282,    60,   253,   351,   256,  3623,    60,   116,
     385,    31,  1140,   291,   386,   152,     8,   397,   289,    11,
     147,  3623,   400,   436,   121,   177,   250,   250,  4222,   436,
     440,    31,  3811,    31,   253,   253,    28,   437,   437,   436,
     330,   436,   310,    48,    36,   108,   437,     5,   379,   436,
      42,   310,    17,    28,   304,   134,   282,  3673,   726,  1348,
     436,  2161,  2475,     8,  2009,   785,    11,  1146,  2632,  3878,
    3223,  3673,  3308,   811,    66,  1203,  2078,  2788,  4224,  4048,
    4363,   817,  4096,  3374,  4100,  3802,  4082,  2558,  2261,  3691,
    3692,    36,  4335,  4430,  3696,  3697,  3976,    42,  4490,   349,
    4377,  4376,  4447,  4274,  2562,  3745,  3746,  3366,  2152,  2152,
    2652,  3218,  1447,  2859,  2146,  3755,  3756,  4495,  4564,  4077,
    4556,    66,  3762,   373,  2807,  2792,  3766,  4458,  4017,  1257,
    4347,  1437,  4438,   423,   424,   425,  4020,   427,   428,   429,
     430,   431,   432,    26,  3459,  4182,  3415,   397,  1877,   399,
     400,  2534,  3417,   998,  3933,  4290,  2749,  4472,  4558,  3938,
    3762,  3970,  1290,  3972,  3943,  4331,   575,  3946,  3784,  1008,
    1821,   705,  4363,  1526,  1822,     8,   168,  3977,    11,  2489,
     172,  3611,  3784,  3127,   434,  3400,   718,   437,   438,   439,
    2490,  3831,  1172,  3728,  1862,    28,  1190,  3976,  1191,  2501,
    2517,   193,   194,    36,  2496,  1861,  4006,  3742,  2509,    42,
    3075,  4167,  3577,   710,  1193,  4015,  3562,  3857,   210,  3073,
    1198,  4309,  4308,   168,  3128,  2127,  3034,   172,  4137,  3026,
    4422,  4421,  4413,    66,  2493,  4014,  2424,  1365,  2332,  3879,
    3880,  3881,  3882,  2422,   236,  3123,  1697,   239,   193,   194,
      -1,    -1,    -1,    -1,    -1,    -1,  1384,    -1,    -1,    -1,
     252,    -1,    -1,   255,    -1,   210,     0,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1404,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4063,    -1,    -1,    -1,    -1,    -1,
      -1,  4485,    -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,
    3835,  1429,    -1,    -1,    -1,    -1,    -1,   252,  3938,    -1,
     524,    -1,    -1,  3943,    -1,   529,  3946,   531,    -1,    -1,
     534,    -1,   536,    -1,   538,    -1,    -1,    -1,    -1,    -1,
      -1,   545,    -1,  4112,   548,   168,    -1,    -1,   330,   172,
      -1,   555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      -1,    -1,    -1,  3961,    -1,    -1,    -1,    -1,  1486,    -1,
     193,   194,    -1,    -1,   578,    -1,  4006,    -1,    -1,   583,
      -1,    -1,    -1,    -1,   588,    -1,    -1,   210,   592,    -1,
      -1,    -1,    -1,    -1,    -1,   330,    -1,  4166,    -1,    -1,
      -1,    -1,    -1,   607,    -1,    -1,   130,    -1,    -1,    -1,
      -1,  4041,    -1,   236,  4006,    -1,   239,    -1,   142,    -1,
    4050,    -1,    -1,   147,  4054,    -1,  4056,    -1,   152,   252,
    4060,  4061,   255,   157,    -1,    -1,   160,    -1,   162,    -1,
      -1,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,   655,    -1,  3978,  3979,  3980,    -1,    -1,   440,    -1,
      -1,    -1,   666,   667,    -1,   189,  4086,  4086,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   685,  4251,   687,   688,    -1,    -1,   211,   692,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
      -1,    -1,   706,    -1,    -1,    -1,   710,   330,    -1,    -1,
      -1,    -1,   716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   727,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,    -1,    -1,   739,    -1,    -1,    -1,     8,
    4309,  4331,    11,    -1,    -1,  1663,  4166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    42,    -1,    -1,    -1,   781,    -1,    -1,
     304,    -1,    -1,    -1,    -1,    -1,  4111,    -1,    -1,   793,
      -1,   795,   796,    -1,    -1,  4225,    -1,    66,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,   435,   817,    -1,    -1,    -1,    -1,   441,    -1,
    4389,    -1,    -1,    -1,  4423,   349,    -1,    -1,    -1,    -1,
      -1,  4400,    -1,    -1,    -1,   839,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   850,    -1,    -1,   373,
     854,    -1,  4272,  4272,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   867,  4433,    -1,  4191,    -1,    -1,    -1,
      -1,    -1,    -1,   397,    -1,   399,   400,    -1,   882,    -1,
      -1,    -1,    -1,    -1,   888,   889,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4218,    -1,  4220,    -1,    -1,    -1,   168,
     904,   905,   906,   172,   908,    -1,   910,    -1,    -1,    -1,
     434,    -1,    -1,   437,   438,   439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   193,   194,    -1,    -1,    -1,    -1,
      -1,    -1,   936,  4363,   938,   939,    -1,    -1,    -1,    -1,
      -1,   210,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,  1872,    -1,    -1,   961,  1876,  1877,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,
     239,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,
      -1,    -1,    -1,   252,    -1,    -1,   255,   991,   992,    -1,
      -1,  4560,   996,    -1,   998,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    66,    -1,  4329,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1016,    -1,    -1,  1019,     8,    -1,  1022,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1035,    -1,    -1,    -1,    -1,    28,    -1,    -1,  4459,
    4459,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,
      42,  4512,  4472,  4472,  4472,  4472,  4472,  4472,    -1,  4384,
    1064,   330,    -1,  1981,   128,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,    -1,    -1,  4507,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1092,  1093,
      -1,  1095,  4512,  4512,  4512,  4512,  4512,  4512,    -1,    -1,
      -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,    -1,
    1114,    -1,    -1,    -1,    -1,  4507,    -1,  4442,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4556,    -1,    -1,   193,
     194,    -1,    -1,    -1,  4564,    -1,    -1,    -1,  4558,  4558,
    4558,  4558,  4558,  4558,    -1,    -1,   210,  1151,    -1,    -1,
    1154,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,  4556,    -1,    -1,  4492,    -1,    -1,
      -1,   440,  4564,    -1,    -1,   239,   168,    -1,    -1,  1183,
     172,    -1,    -1,  1187,  1188,    -1,    -1,    -1,   252,    -1,
      -1,    -1,    -1,    -1,  1198,  1199,  1200,    -1,    -1,    -1,
      -1,   193,   194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2128,    -1,  1216,    -1,    -1,    -1,    -1,    -1,   210,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   236,  1249,    -1,   239,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,  1261,  1262,    -1,
     252,    -1,    24,   255,  1268,    -1,   330,  1271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    49,  1292,  2207,
      -1,    -1,    -1,    -1,  1298,    -1,    -1,  1301,    -1,    -1,
      -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,  1323,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,  1332,  1333,
    1334,  1335,  1336,    95,    -1,    -1,    -1,    -1,   330,    -1,
      -1,    -1,    28,  1347,    -1,    31,  1350,    -1,    -1,    -1,
      36,   113,    -1,    -1,    -1,    -1,    42,  1361,   120,  1363,
      -1,   123,    -1,   427,   428,   429,   430,   431,   432,  1373,
    1374,    -1,    -1,  2291,    -1,  1379,    -1,    -1,    -1,    -1,
      66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,    -1,    -1,   177,    -1,    -1,    -1,  1423,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,    -1,    -1,   437,  1450,  1451,  1452,  1453,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1462,    -1,
     222,    -1,   224,    -1,  1468,    -1,    -1,  1471,    -1,    -1,
      -1,    -1,   234,    -1,   236,    -1,  1480,    -1,    -1,    -1,
      -1,    -1,   168,  1487,   246,  1489,   172,    -1,    -1,    -1,
      -1,    -1,   254,    -1,    -1,  1499,    -1,    -1,    -1,    -1,
    1504,   263,   264,    -1,    -1,    -1,    -1,   193,   194,  1513,
      -1,    -1,    -1,    -1,    -1,  1519,  1520,    -1,    -1,    -1,
    1524,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,    -1,    -1,  1549,    -1,    -1,    -1,    -1,
     236,    -1,  1556,   239,  1558,    -1,    18,    -1,  1562,  1563,
      -1,  1565,    24,    -1,   326,    -1,   252,  1571,    -1,   255,
      -1,    -1,    -1,    -1,  1578,   337,    -1,    -1,    -1,    -1,
      -1,  1585,  1586,    -1,    -1,  1589,    -1,    -1,    -1,  1593,
      -1,  1595,    -1,    -1,    -1,    -1,    -1,    -1,  1602,    -1,
      -1,  1605,    64,    -1,    -1,  1609,  2524,    -1,    -1,  2527,
      -1,  2529,    -1,  1617,  1618,    -1,  2534,    -1,    -1,    -1,
      -1,  1625,   384,  1627,  1628,  1629,  1630,  1631,    -1,    -1,
      -1,    -1,    -1,    -1,  1638,  1639,    -1,  1641,    -1,  1643,
    1644,    -1,    -1,  1647,   330,    -1,    -1,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,    -1,   120,    -1,
    1664,   123,    -1,    -1,  1668,  1669,  2584,    -1,    -1,  1673,
      -1,    -1,    -1,  1677,    -1,  1679,  1680,  1681,  1682,  1683,
    1684,  1685,  1686,  1687,    -1,  1689,    -1,    -1,    -1,    -1,
      -1,  1695,    -1,  1697,  1698,    -1,    -1,    -1,    -1,    -1,
    1704,    -1,    -1,    -1,    -1,    -1,  2624,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2683,    -1,  2685,    -1,    -1,
      -1,    -1,   234,    -1,   236,    -1,    -1,    -1,    -1,    -1,
      66,    -1,    -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,  1820,    -1,  1822,    -1,
    1824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2746,    -1,
      -1,    -1,    28,    -1,    -1,   297,    -1,    -1,   300,   301,
      36,    -1,    -1,    -1,    -1,     8,    42,    -1,    11,    -1,
      -1,    -1,    -1,  2771,    -1,  1859,    -1,    -1,    -1,    -1,
      -1,  1865,    -1,  1867,   326,    28,    -1,    -1,    -1,    -1,
      66,    -1,  2790,    36,    -1,    -1,    -1,    -1,    -1,    42,
      -1,    -1,   168,    -1,    -1,    -1,   172,    -1,    -1,    -1,
    2808,  1895,    -1,    -1,    -1,    -1,  1900,    -1,  1902,    -1,
      -1,    -1,    -1,    66,    -1,    -1,    -1,   193,   194,    -1,
      -1,    -1,    -1,    -1,    -1,  1919,    -1,    -1,    -1,    -1,
      -1,    -1,   384,    -1,   210,    -1,  1930,    -1,  1932,  1933,
    1934,    -1,    -1,  1937,    -1,  1939,    -1,  1941,    -1,  1943,
      -1,  1945,  1946,    -1,    -1,  1949,    -1,    -1,    -1,    -1,
     236,    -1,    -1,   239,  2872,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1968,    -1,   252,    -1,    -1,    18,
    2888,    -1,   168,  1977,    -1,    24,   172,    -1,    -1,    -1,
    1984,  2899,    -1,    -1,    -1,  1989,    -1,    -1,    -1,    -1,
      -1,  1995,    -1,    -1,    -1,    -1,    -1,   193,   194,    -1,
      -1,    -1,    -1,    -1,    -1,   168,    -1,    -1,  2012,   172,
      -1,    -1,  2016,  2017,   210,    64,    -1,    -1,    -1,  2023,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     193,   194,    -1,    -1,    -1,    -1,  2040,    -1,    -1,    -1,
     236,    -1,    -1,   239,   330,    -1,    -1,   210,    -1,    -1,
    2968,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,   255,
      -1,    -1,    -1,    -1,   113,    -1,  2070,    -1,  2072,  2073,
    2988,   120,    -1,   236,   123,    -1,   239,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,   255,    -1,    -1,  3013,  2100,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2108,    -1,    -1,    -1,    -1,  2113,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2126,    -1,    -1,    -1,    -1,    -1,   177,    -1,
      -1,  3049,    -1,    -1,   330,    -1,    -1,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
    2154,    -1,    -1,  2157,    -1,  2159,    -1,  2161,    -1,    -1,
    2164,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,   234,  2190,   236,    -1,    -1,
      -1,    -1,    -1,    -1,  2198,  2199,    -1,   246,    -1,    -1,
      28,    -1,    -1,    -1,    -1,   254,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    -1,    42,   264,    -1,  3135,    -1,    -1,
      -1,  2225,    -1,  2227,  2228,  2229,  2230,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    66,    -1,
      -1,   437,    -1,    -1,    -1,  2249,    -1,    -1,   297,    -1,
      -1,   300,   301,    -1,    -1,    -1,    -1,  2261,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,    -1,    -1,   437,    -1,    -1,   326,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2306,    -1,    -1,    -1,  3224,    -1,  2312,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2323,
      -1,    -1,    -1,    -1,    -1,    -1,  2330,  2331,    -1,    -1,
      -1,    -1,  2336,    -1,    -1,   384,    -1,    -1,    -1,    -1,
     168,    -1,    -1,    -1,   172,    18,    -1,    -1,    -1,    -1,
      -1,    24,    -1,    -1,    -1,    -1,    -1,  2361,  2362,    -1,
      -1,    -1,  2366,    -1,    -1,   193,   194,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2378,  2379,  2380,  2381,    -1,    -1,
      -1,    -1,   210,    -1,    -1,    -1,    -1,  2391,    -1,    -1,
    2394,    64,  2396,  2397,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2406,  2407,    -1,    -1,  2410,    -1,   236,    -1,
      -1,   239,     0,    -1,    -1,    -1,    -1,    -1,    -1,  2423,
      -1,  2425,    -1,  2427,   252,  2429,    14,   255,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,    26,    27,
     113,    -1,    -1,    -1,  2448,    -1,    -1,   120,  2452,    -1,
     123,    -1,    -1,    41,  2458,    -1,    -1,  2461,  2462,  2463,
      -1,    -1,  3380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    61,  2478,    63,    64,    -1,    -1,    -1,
      -1,    69,    -1,    71,    -1,    -1,  2490,    -1,    -1,    -1,
      -1,  2495,    -1,    81,    -1,    83,    -1,  2501,    -1,  3417,
      -1,    -1,   330,    -1,   177,  2509,    -1,    -1,  2512,    -1,
      -1,    99,  2516,    -1,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    -1,   114,    -1,   116,    -1,
      24,    -1,   120,    -1,    -1,    -1,    -1,    -1,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,   136,    -1,
      -1,    -1,    -1,  2557,   142,  2559,    -1,    -1,    -1,    -1,
    2564,   234,    -1,   236,    -1,    -1,    -1,    -1,    -1,   157,
      64,    -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   254,    -1,    -1,    -1,    -1,  2590,    -1,  2592,  2593,
    2594,   264,    18,    -1,    -1,   423,   424,   425,    24,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,  3527,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
    3538,    -1,    -1,    -1,   212,   213,   120,   300,   301,   123,
     218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,   227,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,
     238,    -1,    -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      -1,     8,    -1,   177,    11,    -1,    -1,   113,   276,    -1,
      -1,    -1,    -1,    -1,   120,    -1,    -1,   123,    -1,    66,
     288,    28,    -1,    -1,    -1,   293,   294,    -1,   296,    36,
      -1,   384,    -1,   301,    -1,    42,     8,    -1,   306,    11,
      -1,   309,    -1,    -1,    -1,   313,    -1,    -1,    -1,    -1,
     318,   319,  3650,    -1,    -1,    -1,    -1,    -1,   326,    66,
     234,   329,   236,    -1,    36,    -1,    -1,    -1,    -1,   337,
      42,   177,   246,    -1,    -1,    -1,    -1,    -1,  3676,    -1,
     254,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     264,  2775,  2776,    -1,    66,  3693,    -1,    -1,   366,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   376,    -1,
      -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,    -1,   387,
      -1,   168,    -1,   297,    -1,   172,   300,   301,   234,    -1,
     236,    -1,   400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     246,    -1,    -1,    -1,  2828,  2829,   193,   194,   254,  3747,
      -1,    -1,   326,    -1,    -1,    -1,   128,    -1,   264,    -1,
    2844,   168,    -1,   210,    -1,   172,    -1,    -1,   436,    -1,
      -1,   439,    -1,  2857,  2858,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2866,  2867,    -1,    -1,   193,   194,    -1,   236,
      -1,   297,   239,    -1,   300,   301,   168,  2881,    -1,    -1,
     172,    -1,    -1,   210,    -1,   252,    -1,    -1,   255,    -1,
     384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     326,   193,   194,    -1,    -1,  2909,    -1,    -1,  2912,   236,
      -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,   210,    -1,
      -1,    -1,  2926,    -1,    -1,   252,    -1,    -1,   255,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2947,    -1,    -1,    -1,   239,    -1,    -1,
      -1,    -1,    -1,  2957,    -1,    -1,    -1,    -1,   384,    -1,
     252,  2965,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2975,    -1,    -1,    -1,    -1,  3894,  2981,    -1,  2983,
      -1,    -1,    -1,    -1,    -1,  2989,    -1,    -1,  2992,  2993,
    2994,  2995,  2996,  2997,  2998,  2999,  3000,  3001,    -1,    -1,
      -1,  3005,  3006,   330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3018,    -1,    -1,    -1,  3022,    -1,
      -1,    -1,  3026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3036,    -1,    -1,  3039,    -1,  3041,   330,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3050,  3051,  3052,    -1,
      -1,    -1,  3056,    -1,    -1,  3059,   423,   424,   425,  3063,
     427,   428,   429,   430,   431,   432,  3070,  3071,  3072,  3073,
     437,  3075,  3076,    -1,    -1,    -1,  3080,  3081,    -1,    -1,
      -1,    -1,    -1,  3087,    -1,    -1,    -1,    -1,  4006,  3093,
    3094,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,    -1,    -1,
     437,    -1,    -1,  3117,    -1,    -1,    -1,    -1,    -1,  3123,
      -1,    -1,    -1,  3127,    -1,  3129,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,    -1,    -1,    -1,    -1,  3151,  3152,  3153,
      -1,  3155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3173,
    3174,  3175,  3176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4114,    -1,    -1,    -1,
       8,    -1,    -1,    11,  3208,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,  4135,    11,    -1,
      28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    -1,    42,    28,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,
      -1,    -1,    -1,  4171,    -1,    -1,     8,    -1,    66,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    66,    -1,    -1,    28,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    36,  3289,    -1,  4205,    -1,    -1,
      42,  4209,  4210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3340,    -1,    -1,    -1,
      -1,   179,    -1,    -1,    -1,    -1,    -1,  3351,    -1,  3353,
     188,   189,    -1,    -1,    -1,  3359,    -1,   195,    -1,    -1,
     168,  3365,    -1,    -1,   172,    -1,    -1,    -1,   206,    -1,
    3374,    -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,
      -1,    -1,  3386,    -1,    -1,   193,   194,    -1,    -1,    -1,
      -1,    -1,  3396,    -1,    -1,    -1,    -1,    -1,  3402,    -1,
     193,   194,   210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3418,  3419,   168,   210,    -1,    -1,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   236,    -1,
      -1,   239,    -1,    -1,    -1,    -1,    -1,  3441,    -1,  3443,
      -1,   193,   194,   236,   252,    -1,   239,   255,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,   252,
      -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3477,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   236,    -1,    -1,   239,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,    -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,    -1,
    3514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3524,  3525,   330,    -1,    -1,    -1,    -1,    -1,  3532,  3533,
      -1,    -1,    -1,  3537,    -1,    -1,    -1,   330,    -1,  3543,
    3544,    -1,     8,  3547,    -1,    11,  3550,  3551,    -1,    -1,
    3554,  3555,  3556,  3557,    -1,    -1,    -1,  3561,  3562,    18,
    3564,    -1,    28,  3567,    -1,    24,    -1,  3571,    -1,     8,
      36,  3575,    11,    -1,    -1,    -1,    42,  3581,   330,    -1,
      -1,    -1,    -1,  3587,    -1,    -1,    -1,    -1,  3592,    28,
      -1,    -1,    -1,  3597,    -1,    -1,    -1,    36,    -1,  3603,
      66,    -1,    -1,    42,    -1,    64,    -1,  3611,    -1,    -1,
      -1,  3615,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,  3629,    -1,    66,  3632,   437,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,    -1,    -1,   437,    -1,    -1,    -1,  3652,  3653,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
      -1,   120,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,
    3674,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,    -1,    -1,   437,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   168,    -1,    -1,   543,   172,    -1,    -1,   547,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,    -1,
     558,    -1,    -1,    -1,  3728,    -1,    -1,   193,   194,   168,
      -1,    -1,    -1,   172,    -1,    -1,   574,    -1,  3742,    -1,
     578,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,
     588,   589,    -1,    -1,   193,   194,   594,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   604,    -1,    -1,    -1,
     236,   210,    -1,   239,   612,   234,    -1,   236,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,   246,    -1,   255,
      -1,    -1,    -1,    -1,    -1,   254,  3800,   236,    -1,    -1,
     239,    -1,    -1,    -1,    -1,   264,    -1,  3811,    -1,    -1,
      -1,    -1,  3816,   252,    -1,    -1,   255,     8,    -1,  3823,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3835,  3836,    -1,    -1,    -1,    -1,    28,   297,    -1,
      -1,   300,   301,    -1,    -1,    36,    -1,   685,    -1,    -1,
      -1,    42,   690,    -1,    -1,    -1,    -1,  3861,    -1,    -1,
      -1,    -1,    -1,    -1,   330,    18,    -1,   326,    -1,    -1,
      -1,    24,    -1,    -1,    -1,    66,    -1,    -1,   716,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3890,    -1,    -1,    -1,
      -1,   330,    -1,    -1,    -1,  3899,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,  3916,  3917,    -1,    -1,  3920,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,    -1,  3933,
    3934,    -1,    -1,    -1,  3938,    -1,    -1,    -1,    -1,  3943,
      -1,    -1,  3946,  3947,    -1,  3949,    -1,  3951,  3952,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,
     113,   427,   428,   429,   430,   431,   432,   120,    -1,    -1,
     123,   437,  3976,  3977,  3978,  3979,  3980,   168,    -1,    -1,
      -1,   172,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,    -1,    -1,   437,    -1,
      -1,   839,   193,   194,    -1,    -1,    -1,    -1,    -1,    -1,
    4014,  4015,   850,    -1,    -1,    -1,    -1,    -1,    -1,   210,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   873,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,   239,    -1,
      -1,    -1,    -1,    -1,  4058,  4059,    -1,     8,    -1,  4063,
      11,   252,  4066,    -1,   255,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   910,  4077,    -1,    -1,    -1,    28,    -1,    -1,
    4084,   234,    -1,   236,  4088,    36,    -1,    -1,    -1,    -1,
      -1,    42,    -1,   246,    -1,    -1,  4100,    -1,    -1,  4103,
      -1,   254,    -1,    -1,   942,    -1,    -1,  4111,  4112,    -1,
      -1,   264,    -1,    -1,    -1,    66,    -1,    -1,    -1,   957,
      -1,    -1,    -1,   961,    -1,    -1,    -1,    -1,    -1,    -1,
    4134,   969,    -1,  4137,    -1,  4139,    -1,    -1,    -1,   330,
      -1,    -1,    -1,    -1,   297,    -1,    -1,   300,   301,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4162,   997,
      -1,    -1,  4166,    -1,    -1,  4169,    -1,  1005,    -1,  1007,
      -1,  4175,    -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1020,    -1,    -1,  1023,    -1,  4191,    -1,    -1,
      -1,  4195,    -1,    -1,    -1,    -1,    -1,  1035,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4217,  4218,  4219,  4220,   168,    -1,    -1,
      -1,   172,    -1,    -1,    -1,    -1,  1064,    -1,  4232,    -1,
      -1,   384,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,   193,   194,    -1,    -1,   437,  4251,    -1,    -1,
      -1,    -1,    -1,    -1,  1092,  1093,    -1,  1095,    -1,   210,
      -1,    -1,    -1,    -1,    -1,    -1,  4270,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1114,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,   239,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1137,
      -1,   252,  4306,    -1,   255,  4309,     8,  1145,  1146,    11,
      -1,    -1,    -1,    -1,    -1,    -1,  1154,  1155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4329,    28,  4331,    -1,    -1,
      -1,    -1,    -1,    -1,    36,    -1,  4340,    -1,    -1,    -1,
      42,    -1,    -1,    -1,    -1,  1183,    -1,    -1,    -1,  1187,
    1188,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,  1203,    -1,    -1,    -1,    -1,
      -1,  1209,    -1,    28,    -1,    -1,    -1,    -1,    -1,   330,
    4384,    36,    -1,    -1,    -1,  4389,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4400,    -1,    -1,    18,
      -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,  4412,  4413,
      -1,    66,    -1,  4417,    -1,    -1,    -1,  4421,    -1,  1257,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4433,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4442,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,    -1,    -1,
      -1,    -1,  1290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   168,    -1,    -1,  4473,
     172,    -1,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,  4487,    -1,    -1,   437,    -1,  4492,    -1,
      -1,   193,   194,    -1,   113,    -1,    -1,    -1,    -1,    -1,
      -1,   120,    -1,    -1,   123,    -1,    -1,  1345,   210,    -1,
      -1,    -1,    -1,   168,    -1,    -1,    -1,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1365,    -1,    -1,
      -1,    -1,    -1,    -1,   236,    -1,    -1,   239,   193,   194,
      -1,    -1,    -1,    -1,    -1,    -1,  1384,  4551,    -1,    -1,
     252,    -1,    -1,   255,     8,   210,  4560,    11,   177,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1404,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   236,    36,    -1,   239,    -1,  1424,    -1,    42,    -1,
      -1,  1429,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,
     255,    -1,    -1,    -1,    -1,    -1,  1444,    -1,    -1,    -1,
      -1,    -1,    66,    -1,    -1,   234,    -1,   236,    -1,    -1,
      -1,    -1,  1460,    -1,    -1,    -1,    -1,   246,   330,    -1,
      -1,    -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,
      -1,    -1,  1480,    -1,    -1,   264,    -1,    -1,  1486,    -1,
      -1,  1489,    -1,  1491,  1492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1502,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   128,   330,  1514,  1515,   297,    -1,
      -1,   300,   301,    -1,    -1,    -1,    -1,    -1,  1526,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,
      -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,    -1,
    1558,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,    -1,    -1,   437,    -1,    -1,    -1,   193,
     194,    -1,    -1,    -1,    -1,    -1,   190,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   198,  1593,   210,  1595,    -1,    -1,
      -1,    -1,    -1,   207,  1602,   384,    -1,  1605,   423,   424,
     425,  1609,   427,   428,   429,   430,   431,   432,    -1,  1617,
    1618,    -1,   437,    -1,    -1,   239,    -1,  1625,    -1,    -1,
    1628,  1629,  1630,  1631,    -1,    -1,     8,    -1,   252,    11,
    1638,  1639,    -1,  1641,    -1,  1643,  1644,    -1,    -1,  1647,
      -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,
      32,    -1,    -1,    -1,    36,  1663,  1664,  1665,    -1,    -1,
      42,  1669,    -1,    -1,    -1,  1673,    -1,    -1,    -1,  1677,
      -1,  1679,  1680,  1681,  1682,  1683,  1684,  1685,  1686,  1687,
      -1,  1689,    -1,    -1,    66,    -1,    -1,    -1,    -1,  1697,
    1698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   330,     8,    -1,    -1,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,   111,
      -1,    -1,    -1,    -1,     8,    36,    -1,    11,    -1,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    36,    -1,    11,    66,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    28,    -1,    -1,    -1,    -1,   168,    -1,    -1,    36,
     172,    -1,    66,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,   193,   194,    -1,    -1,    -1,  1824,    -1,    -1,    66,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,
      -1,   152,    -1,    -1,   236,    -1,    -1,   239,    -1,    -1,
      -1,    -1,    -1,    -1,  1872,    -1,    36,   168,  1876,  1877,
     252,   172,    42,   255,    -1,    -1,    -1,    -1,  1886,    -1,
      -1,    -1,  1890,  1891,    -1,    -1,  1894,    -1,    -1,    -1,
      -1,    -1,   193,   194,   168,    -1,    66,    -1,   172,   146,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1916,   210,
     524,  1919,    -1,    -1,    -1,   529,    -1,    -1,    -1,   193,
     194,   168,  1930,    -1,    -1,   172,    -1,    -1,    -1,  1937,
      -1,    -1,    -1,    -1,    -1,   236,   210,    -1,   239,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   193,   194,   330,  1957,
      -1,   252,    -1,    -1,   255,    -1,    -1,    -1,   128,    -1,
      -1,    -1,   236,   210,    -1,   239,  1974,  1975,    -1,    -1,
      -1,    -1,    -1,  1981,    -1,    -1,    -1,    -1,   252,    -1,
      -1,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   236,
    1998,  1999,   239,    -1,  2002,    -1,    -1,    -1,   168,   381,
      -1,   275,   172,    -1,    -1,   252,    -1,    -1,   255,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,
      -1,  2029,    -1,   193,   194,    -1,   273,    -1,    -1,   330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2047,
     210,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   666,  2061,    -1,    -1,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2074,    -1,    -1,   239,
     344,    -1,    -1,   687,    -1,  2083,    -1,    -1,    -1,    -1,
      -1,    -1,   252,   330,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,   706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,
      31,    -1,    -1,   727,    -1,    36,    -1,    -1,  2126,    -1,
    2128,    42,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,  2149,    -1,    -1,    -1,    66,    -1,    -1,    -1,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     330,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,
      -1,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,   793,
     427,   428,   429,   430,   431,   432,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    66,    11,    -1,    -1,    -1,    -1,  2207,
      -1,    -1,  2210,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    28,    -1,    -1,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    36,    -1,    -1,  2244,    -1,    -1,    42,
      -1,  2249,    -1,    -1,    -1,    -1,    -1,   168,    -1,    66,
      -1,   172,    -1,    -1,    -1,   128,    -1,   427,   428,   429,
     430,   431,   432,    66,    -1,    -1,    -1,    -1,   882,    -1,
      -1,  2279,   193,   194,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2291,    -1,    -1,    -1,    -1,    -1,   210,
     904,   905,   906,    -1,  2302,   168,    -1,    -1,  2306,   172,
      -1,    -1,    -1,    -1,  2312,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,   239,    -1,
     193,   194,  2330,  2331,    -1,   128,    -1,    -1,  2336,    -1,
      -1,   252,    -1,    -1,   255,    -1,    -1,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   168,    -1,  2361,  2362,   172,    -1,    -1,  2366,    -1,
      -1,    -1,    -1,    -1,    -1,   168,   239,    -1,    -1,   172,
    2378,  2379,  2380,  2381,    -1,    -1,   193,   194,  2386,   252,
      -1,    -1,   996,  2391,  2392,    -1,  2394,    -1,  2396,    -1,
     193,   194,    -1,   210,    -1,    -1,    -1,    -1,  2406,  2407,
      -1,    -1,  2410,    -1,    -1,  1019,    -1,   210,    -1,   330,
      -1,    -1,    -1,    -1,    -1,  2423,    -1,  2425,    -1,   236,
      -1,  2429,   239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,   239,    -1,   255,    -1,
    2448,    -1,    -1,    -1,    -1,    18,    -1,    -1,    -1,   252,
    2458,    24,    -1,  2461,  2462,  2463,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2475,    -1,    -1,
    2478,   189,    -1,    -1,    -1,    -1,    49,   195,    -1,    -1,
      -1,    -1,  2490,    -1,    -1,    -1,    -1,  2495,   206,    -1,
      -1,    64,    -1,  2501,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2509,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   330,    -1,    -1,  2524,    -1,    -1,  2527,
      -1,  2529,    95,    -1,    -1,    -1,  2534,   330,  2536,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1151,    -1,    -1,
     113,    -1,    -1,  2551,  2552,    -1,    -1,   120,    -1,  2557,
     123,    -1,    -1,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2578,    -1,    -1,  2581,    -1,    -1,  2584,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1199,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   174,    -1,    -1,   177,    -1,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,  2624,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,  2651,  2652,  2653,    -1,  1261,    -1,   222,
      -1,   224,    -1,    -1,  1268,    -1,    -1,    28,    -1,    -1,
      -1,   234,    -1,   236,    -1,    36,    -1,  2675,    -1,    -1,
      -1,    42,    -1,   246,    -1,  2683,    -1,  2685,  2686,    -1,
      -1,   254,    -1,    -1,  1298,    -1,    -1,  1301,  2696,    -1,
     263,   264,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1336,    -1,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,    -1,    -1,    -1,    -1,  1350,    -1,  2746,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1363,
      -1,    -1,    -1,   326,    -1,    -1,    -1,  2765,    -1,    -1,
      -1,    -1,    -1,  2771,   337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,  2790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    28,   168,    -1,  2807,
    2808,   172,    -1,    -1,    36,    -1,    -1,    -1,    -1,    18,
      42,   384,    -1,    -1,  2822,    24,  2824,    -1,    -1,    -1,
      -1,    -1,   193,   194,    -1,   543,    -1,    -1,  2836,   547,
    2838,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,   210,
     558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1462,    -1,
      -1,    -1,    -1,    -1,  1468,    64,   574,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2872,   236,    -1,    -1,   239,    -1,
      -1,   589,    -1,    -1,    -1,    -1,   594,    -1,    -1,  2887,
    2888,   252,    -1,    -1,   255,    -1,   604,    -1,    -1,    -1,
      -1,  2899,    -1,    -1,   612,    -1,    -1,    -1,    -1,   270,
      -1,    -1,    -1,    -1,   113,    -1,    -1,  2915,    -1,    -1,
    1524,   120,    -1,    -1,   123,    -1,    -1,    -1,  2926,    -1,
     152,  2929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   168,    -1,  2946,    -1,
     172,  2949,    -1,    -1,    -1,    -1,    -1,    -1,  1562,  1563,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2965,    -1,   330,
    2968,   193,   194,    -1,  1578,    -1,    -1,  2975,   177,    -1,
      -1,    -1,   690,  2981,    -1,  2983,    -1,    -1,   210,    -1,
    2988,  2989,    -1,    -1,  2992,  2993,  2994,  2995,  2996,  2997,
    2998,  2999,  3000,  3001,    -1,    -1,    -1,  3005,  3006,    -1,
      -1,    -1,    -1,    -1,   236,  3013,    -1,   239,    -1,    -1,
    3018,    -1,    -1,    -1,  3022,    -1,  3024,    -1,  3026,    -1,
     252,    -1,    -1,   255,    -1,   234,    -1,   236,  3036,    -1,
      -1,  3039,    -1,  3041,    -1,    -1,    -1,   246,    -1,    -1,
      -1,  3049,  3050,  3051,  3052,   254,    -1,    -1,  3056,    -1,
      -1,  3059,   423,   424,   425,   264,   427,   428,   429,   430,
     431,   432,    -1,    -1,    -1,  3073,    -1,  3075,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3087,
       8,  1695,    -1,    11,    -1,  3093,  3094,    -1,   297,    -1,
    1704,   300,   301,    -1,    -1,    -1,    -1,    -1,   330,    -1,
      28,    -1,    -1,    31,    -1,    -1,    -1,    -1,    36,  3117,
      -1,    -1,    -1,    -1,    42,  3123,    -1,   326,    -1,    -1,
      -1,  3129,    -1,    -1,    -1,    -1,    -1,  3135,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    66,    -1,
      -1,    -1,    -1,  3151,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    18,    -1,    -1,
      -1,    -1,    -1,    24,  3182,   384,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      66,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,    -1,    -1,    -1,  1820,    -1,  1822,    -1,
    3218,    -1,    -1,    64,    -1,  3223,  3224,  3225,    -1,    -1,
      -1,    -1,    -1,    -1,   942,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   957,
     168,    -1,    -1,    -1,   172,  1859,    -1,    -1,    -1,    -1,
      -1,   969,    -1,  3261,    -1,  3263,    -1,    -1,    -1,  3267,
      -1,    -1,   113,    -1,  3272,   193,   194,  3275,    -1,   120,
      -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,   997,
      -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,    -1,  1007,
      -1,    -1,   168,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,  3309,  1020,    -1,    -1,  1023,    -1,    -1,   236,    -1,
      -1,   239,    -1,    -1,    -1,    -1,    -1,   193,   194,    -1,
      -1,    -1,    -1,    -1,   252,    -1,   177,   255,    -1,    -1,
     189,    -1,    -1,    -1,   210,    -1,   195,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3353,    -1,   206,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     236,    -1,    -1,   239,    -1,    -1,    -1,    -1,  3376,  3377,
      -1,    -1,  3380,    -1,    -1,  3383,   252,    -1,    -1,   255,
      -1,  1995,    -1,   234,    -1,   236,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   246,    -1,     8,  2012,    -1,
      11,    -1,   330,   254,    -1,    -1,    -1,    -1,    -1,  3417,
    3418,  3419,    -1,   264,    -1,    -1,    -1,    28,    -1,  1137,
      31,    -1,    -1,    -1,    -1,    36,    -1,  1145,  1146,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,  1155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,   300,
     301,  3459,    -1,    -1,   330,    66,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3477,
      -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,    -1,
     356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1209,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,  3514,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3524,  3525,    -1,  3527,
      -1,    -1,    -1,    -1,  3532,  3533,    -1,    -1,    -1,  3537,
    3538,    -1,    -1,   384,    -1,  3543,  3544,    -1,    -1,  3547,
      -1,    -1,  3550,    -1,    -1,  2159,    -1,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,   168,    -1,    -1,
      -1,   172,    -1,  3571,    -1,    -1,    -1,  3575,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3587,
      -1,    -1,   193,   194,  3592,    -1,    -1,    -1,    -1,  3597,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,
      -1,    -1,     8,    -1,    -1,    11,    18,    -1,    -1,    -1,
      -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    -1,  3632,   236,    -1,  1345,   239,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,
      -1,   252,  3650,    -1,   255,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,  3667,
      66,    21,    -1,    -1,    -1,    -1,    -1,    -1,  3676,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3688,    -1,    -1,    -1,   543,  3693,    -1,    -1,   547,    -1,
      -1,    -1,  3700,    -1,    -1,    -1,    -1,    -1,    -1,   558,
      -1,   113,    -1,    -1,    -1,    -1,  1424,    67,   120,    -1,
      -1,   123,    -1,    -1,  3722,   574,    -1,    -1,    -1,   330,
      80,    -1,    -1,    -1,    -1,    -1,  1444,    -1,    -1,    -1,
     589,    -1,    -1,    -1,    -1,   594,    -1,    97,    -1,  3747,
      -1,    -1,  1460,   103,    -1,   604,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   612,  3762,    -1,    -1,    -1,   118,    -1,
      -1,    -1,   168,    -1,    -1,   177,   172,    -1,    -1,   129,
      -1,    -1,    -1,  1491,  1492,    -1,    -1,   137,    -1,    -1,
      -1,    -1,    -1,    -1,  1502,    -1,    -1,   193,   194,   149,
      -1,    -1,  3800,    -1,   154,    -1,  1514,  1515,    -1,    -1,
     160,    -1,    -1,  3811,   210,    -1,    -1,    -1,  1526,    -1,
      -1,    -1,   423,   424,   425,   175,   427,   428,   429,   430,
     431,   432,   234,    -1,   236,    -1,    -1,    -1,    -1,    -1,
     236,   690,    -1,   239,   246,    -1,    -1,    -1,  2452,    -1,
     200,    -1,   254,    -1,    -1,    -1,   252,    -1,    -1,   255,
    3858,    -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3890,    -1,    -1,   297,  3894,    -1,   300,   301,
      -1,  3899,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3916,  3917,
      -1,    -1,  3920,    -1,   326,    -1,    -1,    -1,    -1,    -1,
      -1,   281,    -1,    -1,   330,  3933,    -1,    -1,    -1,    -1,
    3938,    -1,    -1,    -1,    -1,  3943,    -1,    -1,  3946,    -1,
      -1,    -1,    -1,  3951,  3952,    -1,    -1,  1665,   308,    -1,
      -1,    -1,   312,    -1,   314,    -1,    -1,    -1,    -1,    -1,
     320,    -1,  3970,   323,  3972,    -1,    -1,    -1,  3976,    -1,
      -1,    -1,   384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   348,   349,
      -1,   351,    -1,    -1,    -1,   355,    -1,    -1,  4006,    -1,
      -1,    -1,    -1,   363,    -1,    -1,  4014,    -1,   368,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,
     380,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
      -1,    -1,    -1,   393,    -1,    -1,    -1,    -1,    -1,    -1,
    4048,    -1,  4050,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4063,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   942,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   957,    -1,
      -1,    -1,    -1,    -1,  4112,    -1,  4114,    -1,    -1,    -1,
     969,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4134,  4135,    -1,  4137,
      -1,  4139,    -1,    -1,    -1,    -1,    -1,    -1,   997,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1007,    -1,
      -1,    -1,    -1,    -1,  4162,    -1,    -1,    -1,  4166,    -1,
      -1,  1020,    -1,  4171,  1023,    -1,    -1,    -1,  1886,    -1,
      -1,    -1,  1890,  1891,    -1,    -1,  1894,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4201,    -1,    -1,    -1,  4205,  1916,    -1,
      -1,  4209,  4210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2828,  2829,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2844,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1957,
      -1,    -1,    -1,  4251,  2858,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2867,    -1,    -1,  1974,  1975,    -1,    -1,
      -1,    -1,  4270,    -1,    -1,    -1,    -1,  2881,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1137,    -1,
    1998,  1999,  4290,    -1,  2002,    -1,  1145,  1146,    -1,    -1,
      -1,    -1,    -1,    -1,    21,    -1,  1155,    -1,  4306,    -1,
      -1,  4309,    -1,    -1,    -1,    -1,    33,  2025,    -1,    -1,
      -1,  2029,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,  2047,
      -1,    -1,  4340,  2947,    -1,    -1,    -1,    -1,    -1,    -1,
      67,    -1,    -1,  2061,    -1,    -1,    -1,    -1,    -1,    76,
    1209,    -1,    -1,    80,    -1,  4363,  2074,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2083,    -1,    -1,    -1,    -1,
      97,    -1,    -1,    -1,    -1,    -1,   103,    -1,    -1,    -1,
      -1,  4389,    -1,    -1,    -1,    -1,    -1,    -1,    21,    -1,
      -1,   118,  4400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    -1,   129,    -1,  4412,  4413,    -1,    -1,    -1,    -1,
     137,    -1,    -1,    -1,    -1,  4423,    -1,    -1,    -1,    -1,
      -1,    54,   149,    -1,    -1,  4433,    -1,    -1,    -1,   156,
      -1,  2149,    -1,   160,    67,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,   175,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3070,  3071,  3072,    -1,
      -1,    -1,    -1,    -1,    97,  4473,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4487,
      -1,    -1,    -1,    -1,    -1,   118,  1345,   214,    -1,    -1,
      -1,    -1,  2210,    -1,   221,    -1,   129,    -1,    -1,  4507,
      -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   149,    -1,    -1,    -1,
      -1,   154,    -1,    -1,    -1,   252,  2244,   160,   255,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   175,  4551,    -1,    -1,    -1,    -1,  4556,    -1,
      -1,    -1,  4560,    -1,    -1,    -1,  4564,    -1,    -1,    -1,
      -1,  2279,    -1,   290,    -1,  1424,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   308,    -1,    -1,  2302,  1444,    -1,   314,   221,    -1,
      -1,    -1,    13,   320,    -1,    -1,   323,    -1,    19,    -1,
      -1,  1460,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,   349,    -1,   351,   352,    47,   354,   355,    -1,
     263,    -1,  1491,  1492,    -1,    -1,   363,    -1,    -1,    -1,
      -1,   368,    -1,  1502,    -1,    -1,    -1,   374,   281,    -1,
     377,    -1,    -1,   380,    -1,  1514,  1515,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   393,  1526,  2386,    -1,
      -1,    -1,    -1,    -1,  2392,   308,    -1,    -1,    -1,   312,
      -1,   314,    -1,    -1,    -1,    -1,    -1,   320,    -1,    -1,
     323,    -1,    -1,    -1,    21,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,   351,    -1,
      -1,    -1,   355,    -1,    -1,    -1,  3340,    54,    -1,    -1,
     363,    -1,    -1,    -1,    -1,   368,    -1,    -1,    -1,    -1,
      67,    68,    -1,    -1,    -1,  3359,    -1,   380,    -1,    76,
      -1,    -1,    -1,    80,    -1,    -1,    -1,  2475,    -1,    -1,
     393,    -1,    -1,    -1,    -1,   186,    -1,    -1,    -1,    -1,
      97,    -1,  3386,    -1,    -1,   196,   197,    -1,   199,    -1,
      -1,   202,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   129,    -1,    -1,    -1,  1665,    -1,    -1,    -1,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2536,    -1,
      -1,    -1,   149,    -1,    -1,    -1,    -1,   154,    -1,    -1,
      -1,    -1,    -1,  2551,  2552,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2578,    -1,    -1,  2581,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   200,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2651,  2652,  2653,    -1,    -1,    -1,    -1,
    3554,  3555,  3556,  3557,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   281,    -1,    -1,  2675,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2686,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2696,    -1,
      -1,   308,    -1,    -1,    -1,   312,    -1,   314,    -1,    -1,
      -1,    -1,    -1,   320,    -1,    -1,   323,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   349,    -1,   351,    -1,    -1,  1886,   355,    -1,
      -1,  1890,  1891,    -1,    -1,  1894,   363,    -1,    -1,    -1,
      -1,   368,    -1,    -1,    -1,    -1,    -1,  2765,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1916,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   393,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2807,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1957,    -1,
      -1,    -1,    -1,    -1,  2822,    -1,  2824,    -1,    -1,    -1,
      -1,   532,    -1,    -1,    -1,  1974,  1975,    -1,  2836,   540,
    2838,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,   550,
      -1,    -1,    -1,   554,    -1,    -1,    -1,    -1,    -1,  1998,
    1999,    -1,    -1,  2002,   565,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   579,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,  2887,
    2029,    -1,    -1,    -1,   595,    -1,    -1,   598,    -1,   600,
      -1,   602,    -1,    -1,    -1,    -1,    -1,    -1,  2047,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2915,    -1,    -1,
      -1,    -1,  2061,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2929,    -1,    -1,    -1,  2074,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2083,    -1,    -1,    -1,  2946,    -1,
      -1,  2949,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   662,    -1,   664,    -1,    -1,    -1,  3861,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   685,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2149,    -1,    -1,    -1,    -1,    -1,    -1,   718,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3024,   716,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   873,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2210,    -1,    -1,    -1,   776,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2244,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   828,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2279,    -1,   843,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   856,    -1,    -1,    -1,    -1,
      -1,    -1,   863,  2302,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4066,    -1,   875,    -1,    -1,   878,    -1,    -1,
      -1,    -1,    -1,    -1,  3182,    -1,    -1,    -1,    -1,  1005,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4103,
     911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3218,    -1,    -1,    -1,    -1,  3223,    -1,  3225,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2386,    -1,    -1,
      -1,    -1,    -1,  2392,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3261,    -1,  3263,    -1,    -1,    -1,  3267,
      -1,    -1,    -1,    -1,  3272,    -1,    -1,  3275,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2475,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1035,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1064,    -1,    -1,  3376,  3377,
      -1,    -1,    -1,    -1,    -1,  3383,    -1,  1203,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2536,    -1,    -1,
      -1,    -1,    -1,  1092,  1093,    -1,  1095,    -1,    -1,    -1,
      -1,    -1,  2551,  2552,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1114,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2578,
      -1,  1257,  2581,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3459,    -1,    -1,    -1,  1154,    -1,    -1,    -1,    -1,
      -1,  1172,  1173,    -1,  1290,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1183,    -1,    -1,    -1,  1187,  1188,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2651,  2652,  2653,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1235,    -1,  2675,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2686,    -1,  1365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2696,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1404,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1429,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2765,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2807,  3667,
    1486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2822,    -1,  2824,    -1,    -1,    -1,    -1,
    3688,    -1,    -1,    -1,    -1,    -1,    -1,  2836,    -1,  2838,
      -1,    -1,  3700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3722,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1448,  2887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3762,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2915,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1488,    -1,    -1,
    2929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1503,    -1,  1505,    -1,  1507,  2946,    -1,    -1,
    2949,  1512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1663,    -1,    -1,
      -1,    -1,    -1,    -1,  1555,    -1,    -1,    -1,  1559,    -1,
    1561,    -1,    -1,  1564,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3878,    -1,    -1,    -1,    -1,  3024,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1602,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1625,    -1,    -1,  1628,
      -1,    -1,  1631,    -1,    -1,    -1,    -1,    -1,    -1,  1638,
    1639,    -1,    -1,    -1,    -1,  1644,    -1,    -1,  1647,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3970,    -1,  3972,  1664,    -1,    -1,    -1,    -1,
    1669,    -1,    -1,    -1,  1673,    -1,    -1,    -1,  1677,    -1,
    1679,  1680,  1681,  1682,  1683,  1684,  1685,  1686,  1687,    -1,
    1689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1697,  1698,
      -1,    -1,    -1,    -1,    -1,   873,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3182,    -1,    -1,    -1,    -1,    -1,    -1,
    4048,    -1,  4050,    -1,    -1,    -1,  1872,    -1,    -1,    -1,
    1876,  1877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3218,
      -1,    -1,    -1,    -1,  3223,    -1,  3225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3261,    -1,  3263,    -1,    -1,    -1,  3267,    -1,
      -1,    -1,    -1,  3272,    -1,  1824,  3275,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1005,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1981,    -1,    -1,    -1,    -1,
    3309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1887,  1888,    -1,    -1,
      -1,  1892,  1893,    -1,    -1,  1896,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4201,    -1,  1906,    -1,    -1,    -1,    -1,
      -1,    -1,  1913,    -1,    -1,    -1,  1917,  1918,    -1,    -1,
    1921,  1922,    -1,    -1,    -1,    -1,    -1,  1928,    -1,    -1,
    1919,    -1,    -1,    -1,    -1,    -1,    -1,  3376,  3377,  1940,
      -1,  1942,    -1,    -1,  3383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1958,    -1,    -1,
      -1,    -1,  1963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1983,    -1,  1985,  1986,  1987,  1988,    -1,    -1,
      -1,  1992,  1993,    -1,    -1,    -1,    -1,    -1,    -1,  2000,
      -1,    -1,    -1,  2004,    -1,    -1,    -1,  2008,    -1,    -1,
      -1,    -1,  2128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2030,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2041,    -1,  2043,    -1,    -1,  1203,    -1,  2048,    -1,    -1,
      -1,    -1,  2053,  2054,  2055,  2056,    -1,    -1,    -1,    -1,
      -1,  2062,    -1,    -1,    -1,  4363,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2075,  2076,  2077,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2086,  2087,    -1,    -1,    -1,
      -1,  2207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1257,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4423,    -1,    -1,    -1,    -1,
      -1,    -1,  1290,    -1,    -1,    -1,    -1,  2126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2150,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1365,    -1,  4507,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1384,    -1,  3667,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1404,    -1,    -1,  3688,
      -1,  1168,    -1,    -1,    -1,    -1,    -1,    -1,  4556,    -1,
    2249,  3700,    -1,    -1,    -1,    -1,  4564,    -1,  2269,    -1,
      -1,  1429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3722,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3762,    -1,    -1,    -1,    -1,  1486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2331,    -1,    -1,    -1,    -1,  2336,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2378,
      -1,  2380,  2381,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2391,    -1,    -1,  2394,    -1,  2396,  2524,    -1,
      -1,  2527,    -1,  2529,    -1,    -1,    -1,    -1,  2534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2423,    -1,  2425,    -1,    -1,  3878,
    2429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2584,    -1,
      -1,    -1,  2461,  2462,  2463,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2488,    -1,  2478,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2490,    -1,    -1,    -1,  1663,  2495,    -1,  2624,    -1,
      -1,    -1,  2501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3970,    -1,  3972,    -1,    -1,  2537,  2538,    -1,    -1,
    1698,    -1,    -1,   873,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2554,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2683,  2557,  2685,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2579,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2588,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2603,  2604,    -1,  1522,    -1,  2608,    -1,  4048,
      -1,  4050,  2613,  2614,  2615,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2746,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2642,  2643,  2644,  2645,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2771,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2790,  1005,  2677,  2678,  2679,    -1,
      -1,    -1,    -1,  1600,    -1,    -1,  2687,    -1,    -1,    -1,
      -1,    -1,  2808,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1624,    -1,    -1,
      -1,    -1,  1629,    -1,  1872,    -1,    -1,    -1,  1876,  1877,
      -1,  2722,    -1,  2724,    -1,    -1,  2727,    -1,    -1,    -1,
      -1,    -1,  1649,  1650,    -1,  1652,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2872,  2758,    -1,    -1,
      -1,    -1,  4201,    -1,    -1,  2766,    -1,    -1,    -1,    -1,
      -1,    -1,  2888,    -1,    -1,    -1,    -1,  1694,    -1,    -1,
      -1,    -1,    -1,  2899,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1730,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2823,  1981,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2865,    -1,    -1,  2868,    -1,    -1,
      -1,    -1,  2988,  1203,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3013,    -1,  2900,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2914,    -1,    -1,    -1,  1834,    -1,    -1,
      -1,    -1,    -1,  2924,  4363,    -1,    -1,  1257,    -1,  1846,
      -1,    -1,  1849,  3049,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2128,    -1,    -1,    -1,    -1,    -1,  2965,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4423,    -1,  2975,    -1,    -1,    -1,
      -1,    -1,  2981,    -1,  2983,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3005,  3006,    -1,  3135,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1365,    -1,  3026,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3036,    -1,  2207,
    3039,    -1,  3041,    -1,  1384,    -1,    -1,    -1,    -1,    -1,
      -1,  3050,    -1,    -1,    -1,    -1,    -1,  3056,  4507,    -1,
    3059,    -1,    -1,    -1,  1404,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3087,  1429,
      -1,    -1,    -1,    -1,  3093,  3094,    -1,    -1,  3224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4556,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4564,    -1,    -1,  3117,    -1,
      -1,    -1,    -1,  2291,  3123,    -1,    -1,    -1,    -1,    -1,
    3129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1486,  3158,    -1,  3160,
      -1,    -1,    -1,    -1,    -1,    -1,  3167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3196,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3206,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3253,  3254,  3255,  3256,  3257,  3258,  3259,  3260,
      -1,    -1,    -1,    -1,  3380,  3266,    -1,    -1,    -1,    -1,
      -1,    -1,  3273,  3274,    -1,  3276,  3277,  3278,  3279,  3280,
    3281,  3282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3291,    -1,  3293,  3294,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3417,    -1,  2461,  2462,  2463,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1663,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3347,  3348,  3349,    -1,
      -1,  3352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2524,   873,    -1,  2527,
      -1,  2529,    -1,    -1,    -1,    -1,  2534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3527,    -1,    -1,    -1,    -1,    -1,  2334,    -1,    -1,
      -1,    -1,  3538,    -1,    -1,    -1,  2584,    -1,    -1,  3418,
    3419,    -1,    -1,  3434,    -1,    -1,    -1,    -1,    -1,    -1,
    2357,    -1,  2359,    -1,  2361,  2362,  2363,    -1,    -1,  2366,
    3451,  3452,  3453,  2370,    -1,    -1,    -1,    -1,    -1,    -1,
    2377,    -1,    -1,    -1,    -1,  2382,  2624,    -1,    -1,    -1,
      -1,  2388,    -1,    -1,    -1,    -1,  2393,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2402,    -1,    -1,  3477,  2406,
    2407,    -1,  2409,    -1,    -1,    -1,    -1,    -1,    -1,  1005,
      -1,    -1,    -1,    -1,  2421,    -1,    -1,    -1,    -1,    -1,
      -1,  2428,    -1,  2430,  2431,  2432,  2433,  2434,  2435,  2436,
    2437,  2438,  2439,    -1,    -1,  2683,    -1,  2685,    -1,    -1,
      -1,    -1,    -1,    -1,  3650,  3524,  3525,    -1,    -1,    -1,
     873,    -1,  1872,    -1,    -1,    -1,  1876,  1877,  3537,    -1,
    2467,    -1,    -1,    -1,  3543,  3544,    -1,    -1,  3547,    -1,
    3676,  3550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3693,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2746,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3587,    -1,
      -1,    -1,    -1,  3592,    -1,    -1,    -1,    -1,  3597,    -1,
      -1,    -1,    -1,  2771,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3747,  2790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3632,    -1,    -1,    -1,    -1,    -1,    -1,
    2808,  1981,    -1,    -1,    -1,  2572,    -1,    -1,    -1,    -1,
    3661,  3662,  3663,  3664,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1005,    -1,   873,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3684,  3685,  3686,  3687,    -1,  3689,  3690,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1203,    -1,    -1,
    3701,  3702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2872,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3726,  3727,    -1,  3729,    -1,
    2888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3894,    -1,
      -1,    -1,    -1,    -1,  1290,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2128,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1005,    -1,    -1,    -1,
    2968,  3800,    -1,    -1,    -1,    -1,    -1,  3818,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3827,    -1,    -1,    -1,
    2988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3847,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3013,    -1,    -1,    -1,  1365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3869,    -1,
    1203,    -1,    -1,    -1,    -1,    -1,  2793,  2207,  1384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4006,  3049,    -1,    -1,    -1,    -1,    -1,    -1,  1404,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   873,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1429,  1257,    -1,    -1,    -1,    -1,    -1,
      -1,  3920,    -1,    -1,    -1,  3936,  3094,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3949,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1290,    -1,    -1,
      -1,  2291,    -1,  3952,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3135,    -1,    -1,
    1486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4114,    -1,
      -1,  2918,    -1,    -1,  1203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4135,
      -1,    -1,    -1,  4024,  4025,  4026,    -1,    -1,  4029,    -1,
      -1,    -1,  1365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1005,  2964,    -1,    -1,
      -1,  1384,    -1,  2970,    -1,  4171,    -1,    -1,  1257,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3224,    -1,    -1,  2986,
    2987,  1404,  2989,    -1,    -1,  2992,  2993,  2994,  2995,  2996,
    2997,  2998,  2999,  3000,  3001,  3002,    -1,    -1,    -1,  4205,
      -1,  1290,    -1,  4209,  4210,    -1,  1429,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3027,    -1,    -1,  3030,    -1,  3032,    -1,    -1,    -1,  4120,
    3037,  3038,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3051,  3052,  3053,    -1,  3055,    -1,
      -1,  3058,    -1,    -1,    -1,    -1,    -1,    -1,  4137,    -1,
      -1,    -1,    -1,  1486,    -1,    -1,    -1,  1663,  4159,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1365,    -1,  4169,    -1,
      -1,    -1,    -1,  4162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3101,  1384,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2524,  3112,    -1,  2527,  4199,  2529,
      -1,    -1,    -1,  4204,  2534,  1404,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4215,    -1,    -1,    -1,    -1,    -1,
    4221,    -1,  3380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1429,  3148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2584,    -1,    -1,    -1,    -1,  3417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4270,    -1,    -1,    -1,    -1,    -1,  1486,    -1,    -1,
      -1,    -1,    -1,  4294,  2624,    -1,    -1,    -1,  1257,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4315,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1663,  1290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4340,    -1,  2683,    -1,  2685,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1872,    -1,    -1,  3527,
    1876,  1877,    -1,    -1,    -1,    -1,    -1,  4378,    -1,    -1,
    3538,    -1,  4383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1365,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2746,    -1,    -1,    -1,
      -1,    -1,    -1,  4412,  4413,  1384,    -1,    -1,    -1,  3587,
      -1,    -1,    -1,    -1,  3592,    -1,  3353,    -1,    -1,  3597,
      -1,  2771,    -1,    -1,    -1,  1404,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2790,    -1,    -1,    -1,  1663,    -1,    -1,    -1,    -1,    -1,
    1429,    -1,    -1,    -1,    -1,  1981,    -1,    -1,  2808,    -1,
      -1,    -1,    -1,    -1,  4473,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3650,    -1,    -1,    -1,    -1,    -1,  4487,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3676,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3693,    -1,    -1,    -1,  1872,
      -1,    -1,  2872,  1876,  1877,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2888,    -1,
      -1,  3478,  4551,    -1,    -1,  3482,  3483,  3484,    -1,  2899,
    3487,    -1,    -1,    -1,    -1,  3492,  3493,  3494,  3495,  3496,
    3497,  3498,  3499,  3500,  3501,  3502,  3503,    -1,    -1,  3747,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3531,  3532,  3533,  3534,    -1,  3536,
      -1,    -1,  2128,  3540,  3541,  3542,    -1,    -1,  3545,    -1,
      -1,  3548,    -1,    -1,    -1,    -1,    -1,    -1,  2968,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1981,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2988,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3589,  1872,    -1,    -1,    -1,  1876,  1877,  3596,
      -1,    -1,    -1,  3013,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3858,  2207,    -1,    -1,  1663,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3049,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3894,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1981,    -1,    -1,  2291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2128,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3135,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4006,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2207,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3803,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3224,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1872,    -1,    -1,    -1,  1876,  1877,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2128,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3855,  3856,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4114,    -1,  2291,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3886,
      -1,    -1,    -1,  3890,    -1,    -1,    -1,  4135,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3904,    -1,  3906,
      -1,    -1,    -1,    -1,  3911,  3912,  3913,    -1,    -1,  3916,
    3917,  3918,  3919,    -1,  3921,    -1,    -1,  3924,  2207,    -1,
      -1,    -1,    -1,  4171,    -1,    -1,    -1,    -1,  2524,    -1,
      -1,  2527,  1981,  2529,    -1,    -1,    -1,    -1,  2534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4205,    -1,    -1,
    3380,  4209,  4210,    -1,    -1,    -1,    -1,  3974,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3417,    -1,    -1,
      -1,    -1,  2291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2624,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4069,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2128,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2683,    -1,  2685,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2524,    -1,    -1,  2527,    -1,  2529,  3527,    -1,    -1,
      -1,  2534,    -1,    -1,    -1,    -1,    -1,    -1,  3538,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4133,  4134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4149,  4150,  4151,    -1,    -1,    -1,    -1,    -1,
    2746,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2207,    -1,
      -1,  2584,    -1,    -1,    -1,    -1,    -1,  4174,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2771,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2790,    -1,    -1,    -1,    -1,    -1,
      -1,  2624,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2808,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3650,    -1,    -1,    -1,    -1,  2524,    -1,    -1,  2527,    -1,
    2529,    -1,  2291,    -1,    -1,  2534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3676,    -1,    -1,    -1,
    2683,    -1,  2685,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3693,    -1,    -1,  2872,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4298,  2888,    -1,    -1,  2584,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2899,    -1,    -1,    -1,  4314,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2746,    -1,    -1,    -1,  3747,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2624,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2771,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2790,    -1,    -1,
      -1,    -1,  2968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4388,    -1,    -1,    -1,  2808,    -1,    -1,    -1,    -1,
      -1,    -1,  2988,    -1,  2683,    -1,  2685,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3013,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4432,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2872,
      -1,    -1,    -1,  3049,    -1,    -1,    -1,  2746,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2888,    -1,    -1,    -1,  4476,
      -1,    -1,    -1,    -1,  3894,  2524,  2899,    -1,  2527,    -1,
    2529,    -1,  2771,    -1,    -1,  2534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2808,
      -1,    -1,  4529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2584,    -1,    -1,    -1,  3135,
      -1,    -1,    -1,    -1,    -1,  2968,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2988,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2624,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2872,    -1,    -1,  4006,    -1,    -1,    -1,
    3013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2888,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3049,    -1,  3224,    -1,
      -1,    -1,    -1,    -1,  2683,    -1,  2685,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2968,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4114,    -1,    -1,  2746,    -1,  2988,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3135,    -1,    -1,  4135,    -1,    -1,    -1,    -1,
      -1,    -1,  2771,    -1,  3013,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2808,
    3049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3380,  4205,    -1,    -1,    -1,  4209,
    4210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3417,    -1,  2872,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2888,
      -1,    -1,    -1,    -1,    -1,    -1,  3135,    -1,    -1,    -1,
    2899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2968,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3527,    -1,    -1,    -1,  3224,    -1,    -1,    -1,  2988,
      -1,    -1,  3538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3380,    -1,    -1,
      -1,    -1,    -1,    -1,  3013,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3417,    -1,    -1,    -1,    -1,    -1,
    3049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3650,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3676,    -1,    -1,    -1,    -1,    -1,  3135,    -1,    -1,    -1,
      -1,  3380,    -1,    -1,    -1,    -1,    -1,  3693,    -1,    -1,
      -1,    -1,    -1,    -1,  3527,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3538,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3224,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3650,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3527,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3538,
      -1,    -1,    -1,  3676,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3693,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3894,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3747,    -1,    -1,    -1,    -1,    -1,
      -1,  3380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3650,    -1,    -1,    -1,    -1,    -1,    -1,  3417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3676,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3693,    -1,    -1,    -1,    -1,    -1,
    4006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3747,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3894,    -1,    -1,    -1,    -1,    -1,    -1,  3527,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3538,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4114,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4135,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4171,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4006,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3650,    -1,    -1,    -1,  3894,    -1,    -1,    -1,  4205,
      -1,    -1,    -1,  4209,  4210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3676,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3693,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4114,    -1,    -1,    -1,    -1,    -1,    -1,  3747,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4135,    -1,    -1,    -1,    -1,  4006,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4171,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4205,    -1,    -1,    -1,  4209,  4210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4114,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3894,  4135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4205,    -1,    -1,    -1,
    4209,  4210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4006,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4114,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,  4205,    -1,    -1,    30,
    4209,  4210,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,   115,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,   429,    -1,
      -1,    -1,    -1,    -1,    -1,   436,   437,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,     3,    -1,    -1,    -1,    -1,    -1,    -1,
     436,   437,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    -1,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
      -1,   237,   238,   239,   240,    -1,    -1,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,    -1,   363,    -1,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     416,   417,   418,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,   437,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,    -1,   237,   238,   239,   240,
      -1,    -1,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,    -1,   363,    -1,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,    -1,     3,     4,     5,
       6,     7,     8,     9,    10,   416,   417,   418,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,   437,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,    -1,    -1,    -1,    -1,    -1,   434,   435,   436,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,   428,   429,    -1,    -1,    -1,    -1,
      -1,    -1,   436,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,   428,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,   428,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,     3,     4,     5,     6,     7,
     436,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,     6,     7,    -1,     9,    10,    -1,    -1,   436,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,   436,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,    -1,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,    -1,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
      -1,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,    -1,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,   427,
     428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,   251,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,   251,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,    -1,
     436,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,   427,   428,   429,    -1,    -1,    -1,
      -1,    -1,    -1,   436,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    26,    27,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,     4,     5,    -1,    -1,     8,
       9,    -1,    -1,    -1,   436,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,   241,    -1,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,    -1,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,     3,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   429,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   429,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,    -1,   237,
     238,   239,   240,    -1,    -1,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,    -1,   363,    -1,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,   416,   417,
     418,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,   429,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,    -1,   237,   238,   239,   240,
      -1,    -1,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,   256,   257,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,    -1,   363,    -1,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,   416,   417,   418,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,   429,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,     4,     5,    -1,    -1,
      -1,     9,    -1,    -1,    -1,   429,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,     4,     5,    -1,    -1,    -1,     9,    -1,   427,
     428,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,     4,     5,
      -1,    -1,    -1,     9,    -1,   427,   428,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,     9,
      -1,   427,   428,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,   152,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
       4,     5,    -1,    -1,    -1,     9,    -1,   427,   428,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    26,    27,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    -1,
      68,    69,    70,    71,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    26,    27,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,   251,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,   251,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,   251,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,    -1,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    -1,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
      -1,   237,   238,   239,   240,    -1,    -1,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,    -1,   363,    -1,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     416,   417,   418,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,    -1,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,    -1,   237,   238,   239,   240,
     241,    -1,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,    -1,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,    -1,   363,    -1,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   416,   417,   418,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,    -1,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,    -1,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,    -1,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,    -1,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,    -1,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,    -1,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,    -1,   363,    -1,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   416,   417,   418,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,    -1,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,    -1,   237,   238,   239,
     240,    -1,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,    -1,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,    -1,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,    -1,   237,   238,   239,   240,    -1,    -1,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,    -1,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,    -1,   363,    -1,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   416,   417,   418,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,    -1,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,    -1,   237,   238,   239,
     240,    -1,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,    -1,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    -1,    44,
      -1,    -1,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    -1,    -1,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,    -1,    -1,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,   144,
      -1,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,    -1,   183,   184,
     185,   186,    -1,    -1,    -1,    -1,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,    -1,   237,   238,   239,   240,    -1,    -1,   243,    -1,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,    -1,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,    -1,    -1,    -1,    -1,   361,    -1,   363,    -1,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,    -1,    -1,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   416,   417,   418
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    41,    61,    63,    64,    69,
      71,    81,    83,    99,   102,   114,   116,   120,   126,   134,
     136,   142,   157,   212,   213,   218,   227,   238,   276,   288,
     293,   294,   296,   301,   306,   309,   313,   318,   319,   326,
     329,   337,   349,   366,   376,   382,   387,   400,   436,   443,
     444,   445,   446,   452,   453,   455,   456,   457,   458,   459,
     460,   461,   463,   464,   468,   480,   483,   484,   487,   488,
     489,   501,   504,   505,   521,   558,   561,   564,   565,   566,
     573,   579,   581,   583,   584,   587,   590,   591,   595,   596,
     605,   609,   610,   611,   612,   613,   615,   616,   617,   630,
     631,   635,   637,   638,   639,   649,   651,   658,   659,   662,
     663,   664,   665,   666,   671,   673,   676,   680,   684,   685,
     695,   696,   699,   704,   715,   737,   740,   741,   742,   745,
     748,   750,   752,   755,   756,   759,   760,   761,   768,   769,
     771,   772,   773,   778,   780,   781,   785,   786,   789,   790,
     791,   792,   794,   795,   796,   797,   799,   802,   803,   808,
     814,   817,   819,   820,   825,   827,   831,   838,   842,   843,
     844,   845,   846,   847,   850,   878,   361,   403,   774,    21,
      67,    80,    97,   103,   118,   129,   137,   149,   154,   160,
     175,   200,   221,   252,   281,   308,   312,   314,   320,   323,
     348,   349,   351,   355,   363,   368,   380,   393,   580,   774,
       3,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    33,    34,    36,    37,    39,    40,    41,
      42,    43,    45,    46,    48,    49,    50,    51,    52,    55,
      56,    57,    58,    59,    61,    62,    63,    64,    65,    69,
      70,    71,    72,    74,    75,    77,    78,    79,    80,    81,
      82,    85,    86,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   104,   106,   107,   108,   109,   110,   112,   113,
     114,   117,   118,   119,   120,   121,   123,   124,   125,   127,
     128,   129,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   141,   143,   144,   145,   146,   148,   150,   154,   155,
     156,   158,   159,   161,   163,   164,   165,   166,   167,   169,
     170,   171,   173,   174,   175,   176,   177,   178,   180,   182,
     183,   184,   185,   186,   187,   188,   190,   192,   195,   197,
     198,   199,   200,   201,   203,   204,   206,   207,   209,   212,
     213,   214,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   232,   233,   234,   235,
     237,   238,   240,   242,   243,   244,   245,   246,   247,   249,
     252,   253,   254,   257,   258,   260,   262,   263,   264,   265,
     266,   267,   268,   269,   271,   272,   273,   274,   275,   276,
     277,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   305,   306,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   320,   321,
     322,   323,   324,   326,   327,   328,   329,   331,   332,   333,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   347,   348,   350,   351,   352,   353,   354,   355,   357,
     358,   361,   362,   363,   364,   366,   367,   368,   369,   370,
     371,   372,   375,   376,   377,   378,   379,   382,   383,   384,
     385,   386,   387,   388,   390,   392,   393,   394,   395,   398,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   839,   995,
    1008,  1012,  1013,   391,   804,   250,   277,   774,    44,   512,
     843,    21,    33,    54,    67,    76,    97,   103,   118,   129,
     137,   149,   156,   160,   214,   252,   255,   308,   314,   323,
     351,   352,   354,   355,   363,   368,   374,   377,   380,   522,
     563,   654,   705,   716,    22,   276,   995,   839,    22,   271,
     321,   352,   354,     5,   199,   746,   747,  1004,    21,    33,
      54,    67,    80,    97,   118,   129,   137,   149,   154,   160,
     175,   221,   252,   263,   308,   312,   314,   320,   323,   349,
     351,   355,   363,   368,   380,   393,   580,   667,   774,   995,
      83,   391,   436,   558,   561,   564,   803,   809,   817,   820,
     825,   831,   838,   842,     9,    15,    22,    39,   144,   150,
     152,   172,   201,   233,   279,   295,   427,   428,   681,   682,
     839,  1003,  1007,    22,    83,   292,   319,   686,   687,   688,
    1008,  1008,  1000,  1004,   349,   853,   681,  1008,   361,   995,
     263,   221,    97,   175,   348,   349,   753,   313,  1008,    22,
     324,   357,   361,   472,  1008,    19,   157,   686,   687,   277,
     774,  1008,   198,    22,   115,   855,    55,    77,   214,   229,
     308,   314,   324,   357,   361,   406,   469,   470,   471,   472,
      22,   324,   357,   361,   472,   361,   251,   889,   993,  1008,
     853,   429,  1008,   153,   436,   805,   436,   988,   290,   848,
     849,   995,   843,   844,   847,     0,   439,   804,   130,   189,
     256,   373,   856,   857,   843,   845,   846,   108,   185,   379,
     440,     3,    38,    44,    67,    73,    84,    90,   151,   153,
     168,   181,   193,   194,   196,   208,   210,   231,   239,   259,
     261,   307,   330,   391,  1001,  1008,  1009,  1012,  1014,   669,
    1008,   669,   996,  1008,   280,   669,   363,   669,   995,  1008,
      96,   349,   694,  1001,     3,  1005,  1010,  1012,  1013,  1014,
     167,   993,   245,   393,     8,    62,   141,   423,   424,   425,
     427,   428,   429,   430,   431,   432,   744,   955,   956,  1008,
      22,  1005,   995,   995,   167,   993,   995,   326,   167,   889,
     995,   316,   995,   669,   219,  1005,   167,   993,   199,   105,
     195,   236,   286,   775,   776,   777,   993,   999,  1008,    21,
      54,    67,    68,    76,    80,    97,   118,   129,   137,   149,
     154,   175,   200,   221,   252,   308,   312,   314,   320,   323,
     349,   351,   355,   363,   368,   393,   580,   674,  1004,   993,
     359,  1001,   995,   436,   669,   363,   996,   669,   363,   167,
     995,    96,   349,   352,   354,  1005,   352,   354,    62,   141,
     744,   299,  1005,   167,   465,  1008,   995,   995,   316,   995,
     669,   219,  1005,   290,   320,   349,   393,   221,    80,   175,
     154,   312,   367,   574,    22,   995,   840,   479,  1004,  1010,
     747,   167,  1001,   995,   167,   751,   167,   996,   363,    96,
     349,   167,  1001,   167,  1005,  1006,    73,   393,    62,   141,
     167,   744,    48,   167,  1006,   167,   995,   167,   995,   167,
     995,   316,   167,   995,   167,   219,  1006,   199,   167,   668,
     669,   436,   818,   522,   809,   387,   803,   810,   811,   812,
    1010,   804,  1007,   682,   683,    22,   683,  1007,   683,    22,
     683,  1007,   683,   683,   683,  1007,  1003,  1003,   839,   683,
     280,   436,   436,   541,   541,   541,   250,   359,   440,   541,
     889,   890,   440,   770,  1004,   436,   815,    48,   393,   995,
     995,   993,  1008,    38,   418,   195,   438,   253,   253,   250,
     152,  1004,   359,   147,   677,   250,     4,     6,     7,     8,
      10,    30,    43,    45,    46,    53,    54,    57,    58,    65,
      67,    87,    88,    89,    90,    91,    92,    93,   100,   101,
     119,   135,   139,   140,   145,   159,   187,   188,   190,   207,
     215,   216,   230,   232,   236,   241,   242,   244,   252,   262,
     272,   287,   310,   325,   332,   345,   357,   358,   362,   364,
     365,   374,   380,   388,   408,   409,   410,   411,   412,   413,
     414,   415,   427,   428,   429,   436,   843,   905,   908,   911,
     912,   913,   915,   916,   917,   918,   921,   922,   926,   928,
     929,   930,   932,   953,   957,   976,   981,   989,   990,   991,
    1001,  1002,  1003,  1004,  1008,  1004,    22,   485,   992,   993,
     324,   469,   103,   478,  1004,   479,  1004,    38,    59,   469,
     418,   333,   776,   253,   152,   359,   423,    38,   418,   195,
     777,   436,   993,   429,   434,   438,   982,   983,   890,   151,
     153,   391,   800,   801,   803,   151,   806,   103,   926,   986,
     987,   848,   440,   436,   807,   437,   437,   445,   993,    22,
     115,   854,   854,    48,   854,   142,   147,   211,   248,   860,
     862,   863,   872,   874,   875,   876,   856,   857,   152,   191,
     889,   891,   988,   436,   728,   983,   264,   297,   326,   438,
     670,   264,   297,   326,   264,   297,   326,   400,   447,   480,
     481,   700,    18,   120,   264,   297,   326,   384,   492,   995,
     326,    18,   120,   379,   462,   404,   167,   889,    50,    82,
     138,   170,   206,   236,   264,   297,   305,   311,   318,   326,
     335,   343,   395,   480,   482,   731,   738,   436,   717,   297,
     462,   135,    18,    24,    64,   113,   120,   123,   177,   234,
     236,   246,   254,   264,   297,   300,   301,   326,   384,   490,
     491,   599,     4,   428,   571,  1007,   167,   993,   669,   669,
     436,   743,   438,   172,   454,   297,   447,   454,   250,   264,
     297,   135,    49,    95,   174,   222,   224,   234,   263,   297,
     302,   326,   337,   490,   568,   569,   264,   297,   392,   599,
     607,   470,   472,   135,   297,   326,   490,   227,   264,   297,
     301,   326,    74,   112,   265,   353,   250,    18,    24,   120,
     264,   297,   326,   502,   503,   147,   297,   326,   447,   481,
     135,   297,   326,   490,   995,   209,   105,   251,   405,   440,
     775,   381,   798,   250,  1001,   436,   995,   363,    96,   349,
    1001,   245,   393,    62,   141,   744,   995,   316,   995,   199,
     669,   541,   283,   507,   436,   644,   728,    60,     3,    43,
      45,    46,    57,    58,   100,   101,   145,   187,   188,   190,
     230,   232,   244,   287,   327,   332,   357,   358,   388,   902,
     904,   906,   908,   910,   912,   913,   914,   916,   917,   921,
     922,  1009,  1012,   152,   436,   640,   995,   447,    31,   793,
     995,   236,   447,   404,   167,   993,   447,   669,   669,   640,
     377,   522,   447,   236,    38,   466,   368,   606,   264,   582,
      74,   112,   265,   353,    20,    40,   186,   618,    31,   640,
     147,   447,   393,   993,   167,   559,   993,   993,   393,   669,
      73,   706,  1001,   995,   580,    44,    94,   184,   234,   315,
     135,   728,    51,   303,   493,   135,   436,   135,   404,   135,
     717,   135,   440,   167,   668,   167,   669,   167,   669,   135,
     743,  1006,   135,   135,   250,   135,   493,   135,    74,   112,
     265,   353,   135,   250,   135,   147,   167,   167,   479,   135,
     440,   493,   926,   960,   349,   437,   440,   140,   250,   365,
     476,   479,   571,   813,   809,   683,   839,   683,   839,   683,
     839,   683,   839,   683,   839,   839,   839,   683,   839,   436,
     542,   543,  1008,   542,    22,    97,   118,   149,   154,   199,
     200,   314,   320,   349,   351,   368,   689,   992,  1006,   688,
     172,   440,   828,  1004,   902,   963,    31,  1006,   706,   148,
     754,   754,   754,   209,  1008,   147,   147,   689,  1006,   313,
    1008,   479,   250,   436,   984,   434,   843,   964,   390,   919,
     926,   980,   436,   919,   919,   436,   147,   436,   436,   436,
     907,   907,   274,   843,   436,   436,   909,   436,   436,   436,
     436,    57,    58,   919,   926,   436,   907,   436,   436,   436,
     436,   436,   402,   422,   436,   923,   436,   923,   436,   436,
     843,   436,   436,   436,   436,   436,   436,   436,   436,   926,
     926,   843,   926,   960,   983,  1004,    58,   436,   920,   436,
    1004,     3,     8,    11,    28,    31,    36,    42,    66,   168,
     172,   193,   194,   210,   236,   239,   252,   255,   330,   423,
     424,   425,   427,   428,   429,   430,   431,   432,   955,   957,
     959,   401,   941,   261,   926,   191,   851,   440,   436,  1004,
     983,   106,   169,   486,   440,    59,   103,   479,    31,     3,
     103,   214,   477,   571,   922,  1004,  1004,    78,   117,   938,
      86,   103,   473,   474,   476,   571,   103,   473,   209,   993,
     926,     3,    22,    26,    27,    28,    29,    30,    31,    32,
      35,    47,    53,    54,    60,    66,    68,    76,    83,    87,
      88,    89,    91,    92,    93,   103,   105,   111,   115,   116,
     122,   126,   130,   140,   142,   147,   149,   152,   157,   160,
     162,   172,   179,   189,   191,   202,   205,   211,   215,   216,
     236,   241,   248,   250,   251,   255,   256,   270,   278,   292,
     304,   319,   325,   334,   346,   349,   356,   359,   360,   365,
     373,   374,   380,   381,   389,   396,   397,   399,   400,   429,
     998,  1011,  1012,  1013,  1014,  1015,   982,    79,   302,   672,
     437,   440,   804,   437,   440,   849,   994,   995,    31,   807,
     845,   845,   858,   859,   926,   845,   144,   233,   869,   197,
     234,   286,   328,   379,    22,   864,   926,   865,   867,   926,
     928,   872,   873,   863,   862,   860,   861,   147,   875,   246,
     877,   860,   872,   891,   993,    31,  1008,   326,   172,   182,
     256,   258,   327,   389,   429,   721,   722,   723,   725,   727,
     729,   902,  1009,   264,   297,   326,   359,   359,   314,   998,
     438,   359,   359,   314,   359,   359,   351,   469,   787,   147,
     157,   172,   306,   701,   702,    60,    76,   131,   149,   278,
     374,   538,   539,    76,   103,   236,   359,    76,   359,   103,
     236,   314,    76,   113,   123,   264,   297,   636,   314,   588,
      21,    54,    67,    80,   118,   129,   149,   154,   221,   252,
     314,   320,   323,   349,   355,   368,   393,   580,   995,   135,
     297,   326,   490,   250,   571,   318,   206,   359,   359,   241,
     571,   107,   192,   314,   324,   361,   471,   303,   326,   731,
     739,   437,   718,   721,   359,   380,   993,    68,   131,   529,
     538,  1008,    68,    76,   757,   250,   312,   363,    76,   757,
      25,   300,   312,   363,   993,   177,   246,   669,   436,   359,
     359,   166,   436,   497,   351,   400,   402,   497,    76,   440,
       4,   264,   135,   297,   326,   490,   381,   381,   235,   902,
     264,   326,   744,    97,   481,   359,   449,   481,   993,   359,
     359,   993,   571,    48,   570,   571,   571,    95,   222,   224,
      48,   359,   447,   314,   447,   234,   569,   359,   359,   241,
    1004,   599,   889,    76,   359,   757,   314,    22,   176,   221,
     350,   359,   359,   497,   497,   669,   669,   669,   669,   993,
      37,   386,    37,    37,   359,    37,   359,   314,   440,    93,
     380,   614,  1005,   359,   449,   993,   359,   314,   264,   297,
     286,   298,   322,   475,   775,   999,  1008,   993,   728,   902,
     250,   404,   717,   571,   669,   669,   743,   193,   250,    74,
     112,   265,   353,   250,   669,   193,   400,   513,   340,   341,
     508,  1004,     3,   645,   646,   640,   436,   904,    31,    30,
     903,    98,   165,   223,   226,   317,   416,   436,   924,   925,
     670,   907,   669,   641,   642,  1011,    20,   782,   902,   250,
     135,   585,   995,   236,   436,   448,   654,   381,   290,   393,
     448,   135,  1005,    83,   157,   467,   521,   565,   617,   684,
     704,   778,  1004,   607,   608,   995,   217,   669,   669,   669,
     669,   246,   108,   185,   366,   379,   619,   620,   127,   285,
     436,   614,   448,   993,   567,   568,   236,    31,   246,   436,
     541,   541,   562,   993,   147,   707,   999,   436,   719,    31,
     199,   400,   402,   841,   315,  1001,   493,   902,   996,   167,
     995,  1001,   493,  1006,  1005,   135,   493,   135,   381,   135,
     381,   744,   493,   493,  1006,   995,   669,   995,   995,   995,
     669,  1006,   614,   135,   135,   493,   668,   669,   437,   440,
     993,   809,   811,   839,   839,   839,   839,   839,   839,   542,
     437,   440,   437,   155,   321,   350,   994,   668,    96,   323,
     693,   694,   994,   245,   994,   992,   992,   994,   668,   359,
     400,   697,    16,   133,   310,   328,   829,   889,   240,   830,
     437,   440,   816,   820,   825,   831,   842,   359,   993,   687,
     686,   687,   152,   158,   698,  1008,    21,    68,    97,   118,
     129,   149,   154,   200,   221,   308,   314,   320,   349,   351,
     368,   393,   580,   678,   960,   982,   435,   960,   964,   965,
     436,   396,   977,   978,   926,   960,   436,  1003,  1003,   960,
       3,    98,   165,   223,   226,   317,   416,   966,   967,  1004,
    1003,   960,   960,  1003,  1003,   919,   919,   926,   744,   926,
     968,   427,   428,   927,   928,   953,   957,   970,   437,   960,
     926,   960,   971,   357,   418,  1003,  1003,   926,    47,   152,
     205,   360,   926,   960,   974,   960,   228,   928,   926,   936,
     937,   938,   228,   926,   938,   437,   440,   326,  1003,  1003,
     924,   902,   926,  1011,   357,    35,   346,   985,   669,   926,
     436,   843,   975,   115,   117,   140,   236,   241,   246,   365,
     375,   926,    42,   168,   172,   210,   330,   436,   926,   359,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
      22,    29,   334,   954,   160,   143,   942,   310,   436,   953,
     156,   214,   349,   352,   354,   377,   852,   993,   152,   879,
     991,    22,   115,   389,   429,   437,   723,   926,   961,   962,
    1009,   993,   361,   436,  1004,   440,   437,   435,   441,   166,
     166,   493,   993,   801,   802,   993,   986,   437,   440,   436,
     440,    32,   111,   381,   713,   436,   866,  1007,   328,   197,
     251,   440,   310,   311,   868,   992,   830,   873,   861,   381,
     826,   103,   436,   821,   842,  1008,   436,   832,   833,   834,
     835,   836,  1008,   258,    48,  1009,   437,   723,   725,   722,
     725,  1009,   256,   437,   440,   670,   359,   359,   314,  1005,
     995,   995,   998,  1005,   995,   995,  1005,   996,   995,    75,
     788,   308,   380,   686,   314,   157,   686,   436,   995,   381,
     708,   197,   197,   381,   436,   557,   167,   995,   241,  1005,
     995,   995,   926,   241,   995,   995,    25,   300,   359,   359,
     995,   359,   589,  1001,   436,   669,   669,   669,   363,    96,
     349,   694,   393,    62,   141,   744,   995,   669,   995,   669,
     316,   669,   669,   199,   161,   234,   264,   297,   385,   592,
     593,   594,   889,   359,   757,   314,   241,   107,   192,  1005,
     995,   250,   995,   437,   440,  1005,  1006,   297,   490,   529,
     902,   995,  1008,   995,   995,    22,   380,   995,   167,   995,
     167,  1008,   312,   363,   312,   363,   995,    22,   380,   995,
     993,    18,   120,   326,   600,   601,   602,   603,  1011,  1005,
     995,   103,   153,   237,   381,   496,   499,   500,  1011,   995,
     249,    64,   249,   995,   491,   359,   993,   359,   757,   314,
     997,  1008,   997,   440,   437,   440,   359,   314,   996,  1005,
       3,    75,   125,   177,   269,   372,   380,   383,   450,   297,
    1005,   995,   297,   326,   490,   568,   571,   669,   995,   571,
     995,   571,  1005,   995,   297,   326,   490,   995,   995,   995,
     995,   263,   359,   263,   359,   394,   263,   359,  1005,   995,
      18,    24,   120,   264,   297,   326,   264,   297,   326,   640,
     297,   326,   297,   326,   297,   901,  1008,   167,   650,  1008,
     167,  1008,  1005,   995,   995,   995,    18,   503,   323,  1005,
     297,   326,   490,   995,   995,   359,   359,    72,   371,   286,
     193,    31,   669,   193,   193,   381,   381,   193,   241,   675,
    1004,   669,   669,   193,   675,   249,   152,   359,   506,   447,
     423,   437,   440,   926,    30,   903,   902,   434,   434,   359,
     359,   359,   436,   359,  1003,   907,   437,   440,   423,   619,
      75,   124,   203,   204,   217,   264,   351,   353,   783,   531,
    1011,   995,   152,   314,   392,   586,   593,   594,   135,   210,
     523,   525,   527,   529,   535,   538,    19,   172,   308,   347,
     450,   451,   147,   997,   393,   993,   465,  1008,   466,   255,
     522,   149,  1004,   640,   640,   640,   640,   246,   250,   255,
     436,   640,   899,   900,   901,   323,   436,   135,   134,   842,
     669,   523,  1008,   400,   402,   553,   400,   498,    31,   541,
    1004,   250,   437,   720,   721,   726,    31,   199,   305,   399,
     730,   731,   732,   250,   479,   164,   164,   147,   728,    31,
     135,   493,   717,   668,   669,   997,   669,   997,   743,   250,
     493,   493,   250,   493,   323,   147,   479,   493,   926,   437,
     543,   172,   172,   172,   404,   994,   440,   571,   572,   160,
     690,   691,  1005,    19,   698,   133,   328,   133,   328,   310,
     379,   225,   902,   995,   400,   560,   152,   250,   690,    48,
     493,  1001,   363,   349,  1001,   245,   393,   199,   669,   437,
     435,   435,   440,   960,   926,   122,   978,   979,    31,   437,
     926,   437,   437,   437,   437,   152,   437,   437,   437,   437,
     437,   440,   437,   270,   969,   437,   927,   927,    11,   172,
     193,   252,   423,   424,   425,   427,   428,   429,   430,   431,
     432,   957,   927,   437,   437,   147,   152,   972,   973,   437,
     418,   437,   437,    31,   974,   960,   974,   974,   152,   437,
     437,  1011,   268,   940,    31,   437,   440,   926,  1011,   440,
     926,   984,   926,  1008,   437,   437,   418,   927,   927,   128,
     960,   152,   115,   117,   140,   241,   246,   365,   375,   436,
     128,   346,   985,   926,   975,   926,   359,   744,   926,   436,
     843,   436,   436,   260,   946,   352,   354,   352,   354,   993,
     853,   853,   853,   202,   311,   436,   843,   880,   881,   882,
     889,   892,   929,   931,   932,  1001,  1008,   397,   897,   961,
     961,   962,   437,    13,   440,   856,   857,   776,  1003,   924,
     474,   926,   807,   995,   816,   859,   252,   955,   958,   419,
     420,   714,   926,   868,   379,   865,   880,   397,   898,   387,
     822,   823,  1008,   304,   824,   836,   837,   440,   879,   423,
     984,   729,   670,   725,   725,    48,   727,   431,  1005,   995,
     995,   211,  1006,  1006,   250,   994,   253,   250,   926,   539,
     997,   436,   436,   436,   557,   175,   542,   628,   135,   493,
     359,  1005,   995,   479,   728,   902,   995,   404,   669,   669,
     669,   669,   743,    74,   112,   265,   353,   995,   575,   995,
     161,   385,   359,   359,   575,   592,   599,   297,   326,   490,
     995,   995,   995,   183,   241,   721,   359,   254,   597,   628,
     120,   301,   326,   492,   599,   758,   135,   493,   135,   493,
     995,   995,   995,   995,   602,   603,   602,   437,   440,   604,
    1004,   175,   437,   440,   423,   438,  1005,   297,   326,   490,
     995,   995,   995,   264,   297,   326,    18,   120,   264,   297,
     326,   902,   235,   902,  1005,   995,   211,   269,   241,  1004,
     269,  1006,   378,   359,   359,   314,   359,   757,   314,   359,
     359,    48,   995,    48,   995,   263,   359,    48,   995,   219,
     219,   219,   359,   359,   314,   359,   359,   314,   359,   314,
     359,   314,   359,   493,   902,   236,  1004,   326,   758,   135,
     493,   359,   995,   359,   314,  1005,   995,   675,   902,   193,
     675,   675,   997,   997,   675,   193,   193,   675,   507,   436,
     509,   510,   252,   427,   428,   571,   643,   725,   958,  1004,
    1015,     3,   646,   437,   434,   437,  1003,   435,  1003,   165,
     223,   925,   223,   925,   925,  1003,   226,   437,   642,   643,
     250,   211,   423,   784,   784,   784,   784,   784,   784,   784,
      60,    66,    76,   103,   105,   179,   236,   241,   278,   292,
     374,   532,   533,   534,   134,   396,   447,   479,   995,   479,
     597,   993,   993,   437,   440,  1006,   160,   308,  1006,  1003,
     368,   993,   541,    38,   466,   299,   349,    96,   498,   542,
     993,   620,   647,   648,  1004,   437,   440,   995,   542,   993,
     995,   560,   436,   524,   437,   249,   497,   249,   250,   554,
     497,    31,   842,   498,   359,   993,   437,   440,   103,   423,
     733,  1004,   479,   349,   724,   725,   400,   732,   734,   108,
     185,   319,   379,   766,   161,   842,   493,   902,   995,   493,
     493,   381,   493,   381,   493,   493,   669,   669,   995,   614,
     493,   314,   314,   314,   994,   694,   440,  1005,   400,   440,
     692,   253,   133,   133,    96,   234,  1006,   689,   493,  1005,
     728,   717,   571,   669,   193,   964,   437,   356,   926,   126,
     902,   437,   926,   926,   926,   972,   902,   927,   115,   117,
     236,   246,   927,   927,   927,   927,   927,   927,   927,   927,
     927,   927,   926,   926,   973,   972,   923,   923,   902,   437,
     437,   437,   960,   437,   440,    48,   928,   437,  1011,   937,
     275,   344,   939,   437,   440,   392,   933,    31,   437,   920,
    1004,   926,    28,    28,   926,   437,   926,   152,   436,   963,
     926,   927,   927,   128,   128,   926,   437,   128,   926,   857,
     397,   436,   947,  1008,   853,   853,   853,   853,   993,   993,
     993,   843,   892,   152,   843,   881,   882,    31,   883,   884,
    1008,   440,    84,   153,   181,   196,   208,   231,   307,   886,
     884,    31,   883,   885,  1008,   421,   896,   436,   983,   926,
     160,   870,   440,   856,   856,   856,   926,   389,   962,   437,
     437,   435,   437,   436,   714,   437,   251,    86,   926,   824,
     437,   440,   984,   990,   437,   440,   833,   898,   986,   437,
     431,   729,   368,   784,   155,   321,   350,   369,   703,   147,
     703,   437,   436,   545,   546,   710,   931,  1008,   542,   542,
     628,   999,   437,   105,   179,   234,   236,   629,   995,   995,
      31,   995,   381,   381,   669,   669,   669,   669,   670,  1005,
     995,   359,   757,   314,   359,   183,   995,   436,   531,   236,
     497,    96,   236,   339,   342,   497,   368,   995,  1008,   601,
     995,   500,   643,  1011,   359,   757,   314,   359,   359,   359,
     314,   154,   252,   342,   652,   653,   154,   252,   660,   661,
     359,   359,   314,   437,   437,   437,  1007,  1004,  1004,  1004,
     995,   995,   995,   995,   995,   995,   995,   995,  1006,   830,
    1006,   830,    48,   995,  1006,   830,   147,   147,   299,   147,
     167,  1005,   995,   995,  1005,   995,   995,   995,   995,   995,
     995,   995,    66,   494,   135,    20,    40,   368,  1008,   995,
     599,   995,   995,   437,   675,   193,   193,   675,   675,   508,
     516,   517,  1011,    44,    85,   109,   124,   128,   148,   151,
     163,   241,   249,   284,   511,   628,  1003,   400,   402,   435,
     435,   437,   924,   993,   784,   103,  1003,  1004,   103,  1004,
     103,  1004,   103,  1004,   103,   995,   103,   995,   103,   995,
     436,   669,   995,   927,   106,   169,   105,   241,   197,   993,
     734,   282,   632,   633,  1008,   585,   436,   536,   323,   527,
    1006,  1006,   902,   436,   498,  1005,   993,   404,   147,   621,
     437,   440,   901,   597,   437,   246,   436,   818,   526,   528,
     530,   538,  1008,   553,   178,   552,    71,   351,   555,   842,
     560,   555,  1004,   708,   726,   926,   926,   440,   436,   730,
     640,   359,   575,   437,   493,   997,   997,   493,   493,   323,
     994,   994,   994,   571,   157,   691,    96,   698,   152,   193,
     193,   193,   193,   241,   679,  1004,   926,   437,   437,   973,
     152,   115,   117,   246,   436,   437,   407,   935,   960,   291,
      48,   398,   398,   437,   926,   234,   926,   440,   934,   904,
     924,   927,   927,   926,   963,   437,    28,    28,   926,   926,
     128,   926,   437,   437,   926,   948,  1008,   993,   993,   993,
     993,   884,   885,   436,   437,  1008,   436,   881,   196,   259,
     887,   881,   887,   196,   886,   887,   196,   436,  1008,   436,
     961,    48,   162,   871,   437,   437,   437,   962,  1004,  1004,
     744,   246,   842,   823,   423,   836,   824,   368,   437,  1007,
     359,   686,   152,   628,   926,   437,   440,   400,    66,   711,
     711,   437,   437,   734,   106,   169,   177,   105,   383,   493,
     902,   997,   997,   995,   995,   995,   995,   598,   602,   241,
     241,  1007,  1008,   902,   493,   493,   423,   995,   995,   995,
     995,  1005,   995,   995,  1003,  1003,   902,   440,  1003,  1003,
     440,  1005,   995,   995,   359,   359,   359,  1006,   830,   359,
     994,   994,   669,   994,   135,   669,  1004,  1004,   902,   493,
     493,   193,   675,   675,   381,   514,   515,   437,   440,   429,
     436,   476,   518,   571,   793,  1004,   793,   236,   241,   284,
     793,   793,   435,   154,   182,   154,   152,   627,  1007,   926,
     236,   533,   734,   541,   381,   556,  1001,    28,   134,   172,
     523,   132,   173,   995,   381,   542,    31,   466,   436,   995,
     121,   622,   396,   624,  1004,   498,   669,   523,   560,   437,
     440,   400,   554,   436,   553,   108,   120,   275,   995,   400,
     779,   152,   436,  1004,   723,   735,   736,  1009,   734,   993,
     180,   576,   493,   493,   493,   995,   253,   493,   690,   679,
     679,   679,   679,   927,   152,   436,   963,   436,   437,   440,
     437,   928,   291,   437,   386,   336,   437,   437,   437,   927,
     927,   926,   437,   267,   949,   893,   894,   931,   883,   436,
     994,   881,   250,   381,   888,   881,   196,   881,   900,   436,
     900,  1008,   856,   960,   926,   399,   943,   856,   924,   437,
     839,   988,   690,   250,   690,   437,   734,   546,   252,   744,
     669,   381,   669,   712,   712,   292,   734,   556,   437,   359,
     437,   440,   494,   643,   359,   436,  1001,   744,   653,   436,
     436,   661,   995,   995,   995,   359,   995,   400,   299,   400,
     400,   147,   494,   675,   447,   110,   517,   476,   519,   520,
    1004,  1004,   241,   542,   429,   542,  1004,  1004,   694,    31,
     749,   749,   993,   628,   437,   556,   220,   544,   175,   436,
     633,   282,   436,   437,    22,    70,    77,   104,   176,   342,
     537,   537,   597,   997,   437,   842,   597,   310,   338,   623,
     436,   134,    31,   524,   437,   528,   254,   555,   992,   554,
     311,   311,    52,    60,   214,   669,   709,   710,   725,   437,
     440,   897,   575,   234,   385,   577,   578,   493,   927,   963,
     437,   936,   960,    48,   234,   417,    48,   856,   437,   440,
      31,   895,   994,   437,   926,   436,   881,   888,   437,   900,
     437,   437,   944,   945,  1008,   437,   692,   703,   493,   711,
     556,   436,   669,   713,   713,   993,   556,   628,   995,   602,
     381,   495,   995,   963,   717,   147,   656,   743,   963,   963,
     830,   830,   995,   830,   668,   669,   668,   669,   994,   493,
     509,  1004,   437,   440,   542,   749,    34,   171,   147,   234,
     540,   153,   266,   331,   250,   548,   549,   550,   351,   437,
    1001,     5,   634,   323,   141,   655,   498,   779,   926,   282,
     842,   553,   552,   531,   437,   555,    60,   253,    60,   437,
     440,   730,   735,   116,   385,   575,   437,   437,   437,   291,
     386,   960,   285,   311,   950,   896,   893,   436,   437,   994,
     437,   440,    31,   152,   712,   397,   547,   744,   714,   714,
     541,   628,   926,   437,   256,   316,   289,   657,   656,   437,
     437,   830,   400,   520,   121,   177,   108,   379,   250,   550,
     250,   549,   995,   436,   437,   440,   995,   669,    31,    31,
     437,  1001,   779,   554,   553,   253,   253,   498,   710,   734,
      23,   186,   767,    42,    86,   370,   926,   951,   952,   951,
     437,   900,   437,   945,   947,   690,   713,   436,   628,   437,
     544,  1001,    48,   657,   669,   310,    51,   234,   303,   326,
     551,   551,   437,     5,   597,   652,   842,   436,   555,   554,
     555,   237,   436,   762,   764,   769,   820,   825,   831,   842,
     952,   310,   146,   273,   146,   273,   437,   493,   714,   926,
     548,   717,   669,   624,    17,   103,   241,   779,     4,   625,
     626,  1003,  1004,  1011,   555,   897,   763,   764,   765,   843,
     844,    28,   437,   628,   134,   437,   440,   437,   439,   952,
     282,   626,   765,  1001,   436,   625,   437
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   442,   443,   444,   444,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   446,   447,   447,   448,   448,   449,   449,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   451,   451,
     451,   451,   451,   451,   452,   453,   454,   454,   455,   455,
     456,   457,   458,   458,   459,   459,   460,   461,   462,   462,
     463,   463,   464,   464,   464,   464,   465,   465,   466,   466,
     467,   467,   467,   467,   467,   467,   468,   468,   468,   469,
     469,   469,   470,   470,   470,   470,   471,   471,   471,   471,
     471,   471,   471,   471,   471,   471,   471,   472,   472,   473,
     473,   474,   474,   475,   475,   475,   475,   476,   476,   476,
     476,   477,   477,   477,   477,   477,   477,   477,   478,   478,
     478,   479,   479,   480,   480,   480,   480,   480,   481,   481,
     482,   482,   483,   483,   483,   483,   483,   484,   485,   485,
     486,   486,   487,   488,   488,   488,   488,   488,   489,   489,
     489,   489,   489,   489,   489,   489,   489,   489,   490,   490,
     491,   491,   491,   491,   491,   491,   491,   491,   491,   491,
     491,   491,   491,   491,   491,   491,   491,   491,   491,   491,
     491,   491,   491,   491,   491,   491,   491,   491,   491,   491,
     491,   491,   491,   491,   491,   491,   491,   491,   491,   491,
     491,   491,   491,   491,   492,   492,   493,   493,   493,   494,
     494,   495,   495,   496,   496,   496,   496,   497,   498,   498,
     499,   499,   500,   500,   500,   500,   501,   502,   502,   503,
     503,   503,   503,   504,   504,   505,   505,   506,   506,   507,
     507,   508,   508,   508,   509,   509,   510,   510,   511,   511,
     511,   511,   511,   511,   511,   511,   511,   511,   511,   511,
     511,   511,   512,   512,   513,   513,   514,   514,   515,   515,
     516,   516,   517,   518,   518,   518,   518,   518,   519,   519,
     520,   521,   521,   521,   521,   522,   522,   522,   522,   522,
     522,   522,   522,   523,   523,   524,   524,   525,   525,   526,
     526,   527,   527,   527,   528,   528,   529,   530,   531,   531,
     532,   532,   532,   532,   533,   533,   533,   533,   533,   533,
     533,   534,   534,   534,   534,   535,   536,   536,   536,   537,
     537,   537,   537,   537,   537,   538,   538,   539,   539,   539,
     539,   539,   539,   539,   540,   540,   541,   541,   542,   542,
     543,   544,   544,   544,   544,   545,   545,   546,   546,   547,
     547,   548,   548,   548,   548,   548,   549,   550,   551,   551,
     551,   551,   551,   552,   552,   553,   553,   553,   553,   554,
     554,   554,   554,   555,   555,   556,   556,   557,   558,   559,
     560,   560,   560,   561,   562,   563,   563,   564,   565,   566,
     566,   567,   567,   568,   568,   569,   569,   569,   569,   569,
     569,   569,   569,   569,   569,   569,   569,   570,   570,   571,
     571,   571,   572,   572,   573,   573,   574,   574,   575,   575,
     576,   576,   577,   577,   578,   578,   579,   579,   580,   580,
     581,   582,   582,   583,   583,   584,   584,   585,   585,   586,
     586,   586,   587,   588,   588,   589,   590,   590,   590,   590,
     590,   590,   590,   590,   590,   590,   590,   590,   590,   590,
     590,   590,   590,   590,   590,   590,   590,   590,   590,   590,
     591,   592,   592,   592,   592,   593,   593,   594,   594,   595,
     595,   596,   596,   597,   597,   598,   598,   599,   600,   600,
     601,   601,   601,   601,   602,   603,   604,   605,   606,   606,
     607,   607,   608,   608,   609,   609,   610,   610,   610,   611,
     611,   612,   612,   613,   614,   614,   614,   615,   615,   616,
     617,   617,   618,   618,   618,   619,   619,   620,   620,   620,
     620,   620,   621,   621,   622,   622,   623,   623,   624,   624,
     625,   625,   625,   626,   626,   626,   626,   627,   627,   628,
     628,   629,   629,   629,   629,   629,   629,   630,   630,   631,
     631,   632,   632,   633,   634,   634,   635,   636,   636,   636,
     636,   637,   638,   639,   639,   639,   639,   639,   639,   639,
     639,   639,   639,   639,   639,   639,   639,   640,   641,   641,
     642,   642,   643,   643,   643,   643,   643,   644,   645,   645,
     646,   647,   647,   648,   648,   649,   649,   649,   650,   650,
     651,   652,   652,   653,   653,   653,   653,   653,   654,   654,
     655,   655,   656,   656,   656,   657,   657,   658,   659,   659,
     660,   660,   661,   661,   662,   662,   663,   663,   664,   665,
     666,   666,   666,   666,   667,   667,   667,   667,   667,   667,
     667,   667,   667,   667,   667,   667,   667,   667,   667,   667,
     667,   668,   668,   669,   669,   670,   670,   671,   672,   672,
     672,   673,   673,   673,   673,   673,   673,   673,   673,   673,
     673,   673,   673,   673,   674,   674,   674,   674,   674,   674,
     674,   674,   674,   674,   674,   674,   674,   674,   674,   674,
     674,   674,   674,   674,   674,   674,   674,   675,   675,   676,
     676,   676,   676,   676,   677,   677,   678,   678,   678,   678,
     678,   678,   678,   678,   678,   678,   678,   678,   678,   679,
     679,   680,   680,   681,   681,   681,   681,   681,   681,   681,
     681,   681,   681,   681,   681,   681,   681,   681,   681,   682,
     682,   683,   683,   684,   685,   685,   686,   686,   686,   686,
     686,   687,   687,   688,   688,   688,   688,   689,   689,   689,
     689,   689,   689,   689,   689,   689,   689,   689,   689,   689,
     689,   689,   689,   690,   690,   691,   691,   692,   692,   693,
     693,   694,   695,   696,   696,   697,   697,   698,   698,   699,
     700,   700,   701,   701,   701,   702,   702,   702,   703,   703,
     703,   703,   704,   705,   705,   706,   706,   707,   707,   708,
     708,   709,   709,   710,   710,   710,   711,   711,   712,   712,
     712,   713,   713,   713,   714,   714,   714,   715,   715,   715,
     716,   716,   717,   717,   718,   718,   719,   719,   720,   720,
     721,   721,   721,   721,   721,   722,   722,   722,   722,   722,
     723,   724,   725,   725,   725,   726,   726,   726,   727,   728,
     728,   728,   728,   729,   729,   730,   730,   731,   731,   731,
     731,   731,   731,   731,   731,   731,   731,   731,   731,   731,
     731,   731,   732,   732,   732,   732,   733,   733,   734,   734,
     735,   736,   736,   737,   738,   738,   739,   739,   740,   740,
     741,   741,   742,   742,   743,   743,   743,   743,   744,   744,
     745,   746,   746,   747,   747,   748,   748,   748,   749,   749,
     749,   750,   751,   751,   752,   752,   752,   753,   753,   754,
     754,   755,   755,   755,   755,   755,   755,   755,   755,   755,
     755,   756,   756,   756,   756,   756,   756,   756,   756,   756,
     756,   756,   756,   756,   756,   756,   756,   756,   756,   756,
     756,   756,   756,   756,   756,   756,   756,   756,   756,   756,
     756,   756,   756,   756,   756,   756,   756,   756,   756,   756,
     756,   756,   756,   756,   756,   756,   757,   757,   758,   758,
     759,   759,   759,   759,   759,   759,   759,   759,   759,   759,
     759,   759,   759,   759,   759,   759,   759,   759,   759,   759,
     759,   759,   759,   759,   760,   760,   760,   760,   760,   760,
     760,   760,   760,   760,   760,   760,   760,   760,   760,   760,
     760,   760,   760,   761,   762,   762,   762,   763,   763,   764,
     764,   764,   764,   764,   765,   765,   766,   766,   766,   766,
     767,   767,   767,   768,   768,   769,   770,   770,   771,   772,
     772,   773,   773,   773,   773,   773,   773,   773,   773,   773,
     773,   773,   773,   773,   773,   774,   774,   774,   775,   775,
     775,   775,   775,   776,   776,   776,   777,   777,   778,   778,
     778,   778,   779,   779,   779,   779,   780,   781,   782,   782,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   784,   784,   785,   785,
     786,   787,   787,   788,   789,   789,   790,   791,   792,   792,
     792,   792,   792,   792,   792,   793,   793,   794,   795,   795,
     795,   795,   795,   795,   796,   797,   797,   797,   798,   798,
     799,   799,   799,   799,   799,   800,   800,   801,   801,   801,
     801,   802,   802,   803,   803,   804,   804,   805,   805,   806,
     806,   807,   807,   808,   808,   808,   808,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   810,   810,   811,   812,
     812,   813,   813,   813,   814,   815,   815,   816,   816,   816,
     816,   817,   817,   818,   818,   819,   819,   819,   819,   820,
     821,   821,   821,   822,   822,   823,   824,   824,   825,   826,
     826,   827,   828,   828,   829,   829,   829,   829,   829,   829,
     829,   829,   830,   830,   831,   832,   832,   833,   833,   834,
     835,   836,   837,   837,   838,   839,   840,   840,   840,   840,
     840,   841,   841,   841,   842,   842,   843,   843,   844,   844,
     844,   844,   844,   844,   844,   844,   845,   845,   846,   846,
     846,   846,   846,   846,   847,   847,   848,   848,   849,   850,
     850,   851,   851,   852,   852,   852,   852,   852,   852,   852,
     852,   852,   853,   853,   854,   854,   854,   855,   855,   855,
     855,   856,   856,   857,   858,   858,   859,   859,   860,   860,
     860,   860,   861,   861,   862,   862,   862,   863,   863,   864,
     864,   865,   866,   866,   866,   867,   868,   868,   869,   869,
     870,   870,   871,   871,   872,   872,   873,   873,   874,   874,
     875,   876,   876,   876,   876,   877,   877,   878,   878,   879,
     879,   880,   880,   881,   881,   881,   881,   881,   881,   881,
     882,   882,   882,   882,   882,   882,   883,   883,   883,   883,
     884,   884,   885,   885,   885,   885,   885,   886,   886,   886,
     886,   887,   887,   888,   888,   889,   889,   889,   889,   890,
     890,   891,   891,   891,   892,   892,   893,   894,   894,   895,
     895,   896,   896,   897,   897,   898,   898,   898,   899,   899,
     900,   900,   901,   902,   902,   902,   902,   902,   902,   903,
     903,   903,   904,   904,   904,   904,   904,   904,   904,   905,
     905,   905,   905,   906,   906,   907,   907,   908,   908,   908,
     908,   908,   908,   908,   908,   908,   908,   908,   909,   909,
     910,   910,   911,   911,   912,   913,   914,   914,   915,   915,
     916,   917,   918,   918,   918,   918,   918,   918,   919,   919,
     920,   920,   921,   921,   921,   921,   922,   923,   923,   923,
     924,   924,   924,   924,   924,   924,   924,   924,   924,   924,
     924,   924,   924,   924,   925,   925,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   927,   927,   927,   927,   927,
     927,   927,   927,   927,   927,   927,   927,   927,   927,   927,
     927,   927,   927,   927,   927,   927,   927,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   929,
     929,   929,   929,   929,   929,   929,   930,   930,   931,   931,
     932,   932,   932,   932,   932,   932,   932,   932,   932,   932,
     932,   932,   932,   932,   932,   932,   932,   932,   932,   932,
     932,   932,   932,   932,   932,   932,   932,   932,   932,   932,
     932,   932,   932,   932,   932,   932,   932,   932,   932,   932,
     932,   932,   933,   933,   934,   934,   934,   934,   935,   936,
     936,   937,   937,   938,   938,   939,   939,   939,   940,   940,
     940,   940,   941,   941,   942,   942,   943,   943,   944,   944,
     945,   946,   946,   946,   947,   948,   948,   949,   949,   950,
     950,   950,   951,   951,   952,   952,   952,   952,   952,   953,
     953,   953,   954,   954,   954,   955,   955,   956,   956,   956,
     956,   956,   956,   956,   956,   956,   957,   957,   958,   958,
     959,   959,   959,   959,   959,   959,   960,   960,   961,   961,
     962,   962,   963,   963,   964,   964,   964,   965,   965,   966,
     966,   967,   967,   967,   967,   967,   967,   967,   967,   968,
     968,   969,   970,   970,   971,   971,   971,   971,   971,   971,
     972,   973,   974,   974,   974,   975,   975,   976,   977,   977,
     978,   979,   979,   980,   980,   981,   981,   982,   982,   982,
     982,   983,   983,   984,   984,   985,   985,   986,   986,   987,
     987,   988,   989,   989,   990,   990,   991,   991,   991,   991,
     992,   992,   993,   993,   994,   994,   995,   996,   997,   998,
     999,  1000,  1001,  1001,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1003,  1004,  1005,
    1006,  1006,  1007,  1007,  1007,  1008,  1008,  1008,  1009,  1009,
    1009,  1010,  1010,  1010,  1010,  1011,  1011,  1011,  1011,  1011,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1013,
    1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,
    1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,
    1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,
    1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,
    1013,  1013,  1013,  1013,  1013,  1013,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     5,     1,     0,     2,     0,     2,     0,     2,
       2,     3,     3,     1,     3,     3,     2,     1,     1,     2,
       2,     2,     3,     3,     5,     5,     0,     3,     5,     5,
       5,     4,     3,     5,     3,     5,     5,     6,     1,     1,
       3,     5,     6,     4,     9,     7,     1,     0,     2,     0,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     2,
       5,     1,     3,     3,     3,     3,     1,     3,     3,     2,
       2,     2,     2,     3,     3,     3,     3,     1,     3,     1,
       3,     1,     1,     2,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     6,     1,     1,     1,     1,     1,
       0,     1,     1,     2,     3,     4,     3,     2,     2,     1,
       2,     1,     2,     3,     4,     3,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     4,     6,
       4,     6,     4,     6,     4,     6,     5,     7,     1,     3,
       2,     3,     4,     6,     6,     6,     5,     5,     6,     6,
       4,     8,     4,     2,     4,     3,     6,     4,     3,     3,
       3,     3,     3,     4,     4,     3,     3,     3,     3,     3,
       3,     4,     4,     3,     2,     3,     2,     2,     3,     3,
       2,     2,     3,     1,     3,     2,     1,     1,     0,     2,
       0,     2,     0,     1,     1,     1,     3,     3,     2,     0,
       1,     3,     3,     1,     5,     3,     4,     1,     3,     4,
       6,     4,     8,     2,     2,    11,     7,     1,     1,     1,
       0,     1,     1,     1,     1,     3,     2,     0,     1,     1,
       1,     3,     3,     1,     1,     3,     3,     3,     3,     4,
       3,     2,     1,     0,     2,     0,     3,     0,     1,     0,
       1,     3,     2,     1,     1,     1,     3,     0,     1,     3,
       1,    11,    14,    10,    13,     1,     1,     2,     2,     2,
       2,     1,     0,     1,     0,     3,     0,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     4,     4,     2,     0,
       3,     1,     1,     2,     2,     1,     3,     4,     5,     2,
       5,     1,     2,     2,     2,     3,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     1,     5,     7,     3,
       8,     4,     9,    11,     2,     0,     3,     0,     1,     3,
       1,     2,     2,     2,     0,     1,     3,     3,     6,     4,
       0,     1,     1,     2,     2,     0,     3,     3,     2,     1,
       1,     2,     2,     4,     0,     2,     2,     2,     0,     3,
       4,     4,     0,     2,     0,     4,     0,     3,     7,     5,
       2,     3,     0,     8,     4,     1,     0,     6,     5,     4,
       6,     1,     0,     1,     2,     2,     1,     2,     3,     2,
       2,     2,     2,     3,     3,     1,     3,     1,     0,     1,
       2,     1,     1,     3,     6,    10,     1,     0,     1,     2,
       2,     0,     2,     2,     1,     0,     5,     7,     1,     0,
       7,     2,     0,     3,     5,     5,     8,     2,     0,     2,
       2,     2,     5,     2,     0,     2,     7,    10,     6,     6,
       6,     6,     7,     7,     9,     9,     6,     7,     6,     8,
       8,     8,     8,     6,     6,     7,     7,     8,     6,     6,
       7,     2,     2,     2,     2,     1,     2,     1,     0,     6,
       8,     7,     6,     4,     0,     1,     3,     4,     1,     3,
       1,     2,     2,     2,     2,     1,     1,    10,     2,     0,
       2,     2,     1,     0,     4,     6,     5,     4,     4,    10,
      13,     5,     7,     8,     1,     1,     1,     7,     9,     8,
      15,    20,     1,     1,     2,     1,     3,     1,     1,     1,
       3,     1,     3,     0,     1,     0,     1,     1,     4,     0,
       1,     3,     0,     1,     1,     1,     1,     2,     0,     0,
       2,     2,     1,     2,     2,     2,     2,     6,     8,    11,
      13,     1,     3,     5,     1,     3,     5,     1,     2,     2,
       1,     8,     4,     5,     4,     4,     4,     3,     7,     8,
       6,     6,     6,     6,     6,     4,     5,     3,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     3,     1,     3,
       3,     1,     0,     1,     3,     7,     9,     9,     3,     0,
      13,     1,     3,     5,     6,     4,     7,     2,     1,     0,
       2,     0,     2,     4,     0,     1,     0,     6,     8,     8,
       1,     3,     5,     5,     7,     9,     7,     9,     5,     6,
       6,     4,     5,     7,     1,     1,     1,     2,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     1,     3,     1,     2,     2,     3,     5,     2,     2,
       0,     6,     7,     7,     7,     8,     8,     6,     8,     9,
       9,     7,    10,     7,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       1,     3,     2,     3,     3,     3,     3,     1,     1,     8,
       9,     9,     9,     9,     2,     0,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     2,     2,     1,     2,     3,     3,     3,     3,     4,
       4,     3,     3,     3,     4,     4,     3,     4,     4,     1,
       1,     1,     0,     7,     7,    10,     1,     1,     2,     4,
       5,     1,     3,     2,     2,     2,     2,     1,     2,     2,
       4,     3,     2,     2,     2,     2,     3,     2,     2,     2,
       5,     5,     5,     1,     3,     1,     2,     3,     0,     1,
       3,     2,     6,     6,     9,     3,     0,     3,     0,     5,
       2,     0,     3,     3,     3,     7,     7,    10,     1,     1,
       1,     1,    14,     1,     0,     1,     0,     1,     0,     2,
       0,     1,     3,     5,     5,     7,     2,     0,     1,     2,
       0,     1,     1,     0,     1,     1,     0,     9,    12,     7,
       2,     0,     3,     2,     1,     3,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     3,
       3,     5,     6,     1,     3,     1,     2,     4,     5,     1,
       1,     1,     1,     3,     3,     2,     2,     1,     2,     2,
       2,     1,     2,     2,     1,     1,     1,     3,     2,     0,
       2,     1,     3,     5,     1,     2,     1,     0,     5,     7,
       5,     7,     5,     7,     3,     5,     5,     5,     1,     3,
       2,     1,     2,     1,     2,    11,    10,    10,     2,     2,
       0,     9,     2,     0,     4,     4,     4,     1,     1,     1,
       0,     8,     8,     8,     9,    11,    11,    11,    12,     5,
       5,     7,     6,     6,     6,     6,     8,     8,     6,     6,
       7,     9,     9,     6,     6,     6,     8,     6,     8,     6,
       8,     7,     9,     6,     8,     7,     9,     8,    10,     9,
      11,     8,     9,    11,     8,     8,     7,     6,     6,     6,
       8,     8,     8,     8,     6,     9,     1,     0,     2,     0,
       7,     6,     6,     6,     6,     6,     7,     9,     9,     6,
       8,     8,     8,     8,     8,     6,     8,     6,     8,     7,
       9,     7,     9,     6,     7,     6,     6,     6,     6,     6,
       7,     7,     7,     9,     9,     6,     6,     6,     8,     8,
       8,     6,     7,    13,     1,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     0,     6,     8,     3,     2,     0,     2,     2,
       2,     2,     3,     3,     2,     2,     2,     2,     3,     2,
       5,     4,     3,     3,     3,     1,     1,     0,     3,     2,
       2,     1,     2,     1,     3,     2,     1,     0,     9,    11,
      12,    14,     3,     4,     4,     0,     2,     5,     2,     0,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     4,     3,     3,     1,     0,     5,     6,
       4,     2,     0,     4,     3,     5,     4,     6,     4,     6,
       6,     5,     7,     9,     6,     1,     0,     6,    11,    11,
      11,    13,     9,    11,    10,     4,     2,     5,     2,     0,
       4,     5,     5,     4,     6,     1,     3,     1,     1,     1,
       1,     2,     4,     1,     1,     1,     0,     1,     0,     1,
       0,     3,     0,     2,     4,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     2,     1,
       1,     1,     1,     0,     5,     3,     0,     1,     1,     1,
       1,     3,     9,     3,     0,     2,     3,     2,     3,     6,
       1,     4,     2,     1,     3,     2,     2,     0,     7,     2,
       0,     5,     3,     0,     2,     2,     2,     3,     1,     3,
       1,     2,     1,     0,     8,     1,     3,     1,     1,     3,
       5,     2,     1,     3,     7,     1,     0,     3,     2,     2,
       2,     0,     2,     2,     1,     1,     3,     3,     1,     2,
       4,     4,     2,     3,     5,     5,     1,     1,     9,     1,
       2,     4,     4,     4,     2,     3,     1,     3,     6,     1,
       0,     2,     0,     3,     3,     4,     4,     4,     4,     3,
       2,     1,     1,     0,     1,     1,     0,     1,     5,     1,
       0,     1,     0,     3,     1,     3,     4,     3,     2,     2,
       1,     1,     1,     0,     2,     4,     5,     2,     3,     1,
       1,     1,     1,     3,     0,     1,     1,     1,     1,     1,
       3,     0,     2,     0,     1,     3,     1,     0,     1,     2,
       3,     2,     4,     2,     3,     2,     0,     2,     3,     2,
       0,     1,     3,     2,     2,     3,     2,     3,     1,     4,
       3,     4,     5,     4,     5,     4,     5,     2,     4,     1,
       1,     0,     1,     4,     5,     4,     0,     2,     2,     2,
       1,     1,     0,     4,     2,     1,     2,     2,     4,     1,
       3,     1,     2,     3,     2,     6,     2,     1,     3,     4,
       0,     1,     0,     2,     0,     2,     4,     0,     1,     0,
       1,     3,     3,     2,     3,     5,     6,     2,     3,     3,
       4,     0,     1,     1,     1,     1,     1,     2,     5,     1,
       1,     1,     1,     2,     3,     3,     0,     1,     1,     1,
       1,     1,     2,     2,     2,     2,     2,     1,     3,     0,
       1,     1,     1,     1,     5,     2,     1,     1,     1,     1,
       5,     2,     2,     2,     1,     3,     3,     2,     1,     0,
       3,     0,     5,     2,     5,     2,     1,     2,     3,     0,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       3,     3,     3,     0,     1,     4,     1,     3,     3,     5,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     2,     3,     3,     2,     3,     5,     4,
       6,     3,     5,     4,     6,     4,     6,     5,     7,     3,
       2,     4,     2,     3,     3,     4,     3,     4,     3,     4,
       5,     6,     6,     7,     6,     7,     6,     7,     3,     4,
       4,     6,     2,     3,     4,     1,     3,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     5,     6,     6,     7,     3,     4,     1,     1,     2,
       4,     1,     1,     1,     2,     2,     2,     2,     1,     3,
       5,     6,     8,     6,     6,     4,     4,     1,     1,     1,
       5,     1,     1,     4,     1,     4,     1,     4,     1,     4,
       1,     1,     1,     1,     1,     1,     6,     4,     4,     4,
       4,     6,     5,     5,     5,     4,     6,     4,     4,     4,
       4,     5,     7,     7,     9,     5,     4,     6,     5,     7,
       7,     7,     2,     3,     3,     3,     4,     0,     4,     1,
       3,     3,     1,     1,     1,     2,     2,     0,     2,     4,
       4,     6,     5,     0,     5,     0,     2,     0,     1,     3,
       3,     2,     2,     0,     6,     1,     0,     3,     0,     2,
       2,     0,     1,     4,     2,     2,     2,     2,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     1,     4,
       1,     4,     1,     2,     1,     2,     1,     3,     1,     3,
       1,     3,     1,     3,     3,     3,     2,     1,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       3,     2,     3,     0,     3,     3,     2,     2,     1,     0,
       2,     2,     3,     2,     1,     1,     3,     5,     1,     2,
       4,     2,     0,     1,     0,     1,     2,     2,     2,     3,
       5,     1,     2,     0,     2,     1,     0,     1,     1,     1,
       3,     3,     1,     0,     1,     3,     3,     2,     1,     1,
       1,     3,     1,     2,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       6,     2,     3,     6,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 722 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 20811 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 729 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 20822 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 736 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1((yyvsp[0].node));
					else
						(yyval.list) = NIL;
				}
#line 20833 "gram.c" /* yacc.c:1646  */
    break;

  case 121:
#line 862 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 20839 "gram.c" /* yacc.c:1646  */
    break;

  case 122:
#line 873 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20851 "gram.c" /* yacc.c:1646  */
    break;

  case 123:
#line 883 "gram.y" /* yacc.c:1646  */
    {}
#line 20857 "gram.c" /* yacc.c:1646  */
    break;

  case 124:
#line 884 "gram.y" /* yacc.c:1646  */
    {}
#line 20863 "gram.c" /* yacc.c:1646  */
    break;

  case 125:
#line 893 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 20869 "gram.c" /* yacc.c:1646  */
    break;

  case 126:
#line 894 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20875 "gram.c" /* yacc.c:1646  */
    break;

  case 127:
#line 898 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 20881 "gram.c" /* yacc.c:1646  */
    break;

  case 128:
#line 899 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20887 "gram.c" /* yacc.c:1646  */
    break;

  case 129:
#line 904 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 20896 "gram.c" /* yacc.c:1646  */
    break;

  case 130:
#line 909 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
#line 20904 "gram.c" /* yacc.c:1646  */
    break;

  case 131:
#line 913 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 20913 "gram.c" /* yacc.c:1646  */
    break;

  case 132:
#line 918 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 20922 "gram.c" /* yacc.c:1646  */
    break;

  case 133:
#line 923 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
#line 20930 "gram.c" /* yacc.c:1646  */
    break;

  case 134:
#line 927 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 20938 "gram.c" /* yacc.c:1646  */
    break;

  case 135:
#line 931 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)));
				}
#line 20946 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 936 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 20954 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 940 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[0].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 21009 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 993 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 21015 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 996 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 21023 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1000 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list));
				}
#line 21031 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1004 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 21039 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1008 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 21047 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1012 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 21055 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1026 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21067 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1044 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 21079 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1054 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 21085 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1055 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21091 "gram.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1060 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].str);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 21103 "gram.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1068 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 21115 "gram.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1086 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 21127 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1098 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-1].str);
					n->database = NULL;
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 21139 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1119 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21150 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1126 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21161 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1145 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21172 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1152 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 21183 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1169 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21195 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1187 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 21208 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1197 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 21214 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1198 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 21220 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1211 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21231 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1218 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21242 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1235 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[-3].str) != NULL)
						n->schemaname = (yyvsp[-3].str);
					else
						n->schemaname = (yyvsp[-1].str);
					n->authid = (yyvsp[-1].str);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 21259 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1248 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 21273 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1258 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[-3].str) != NULL)
						n->schemaname = (yyvsp[-3].str);
					else
						n->schemaname = (yyvsp[-1].str);
					n->authid = (yyvsp[-1].str);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 21295 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1276 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authid = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 21314 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1293 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21320 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1294 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 21326 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1299 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 21336 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1305 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 21342 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1333 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 21352 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1339 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 21362 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1345 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 21372 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1354 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 21384 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1362 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 21396 "gram.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1374 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 21408 "gram.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1382 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 21420 "gram.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1390 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 21431 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1397 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 21442 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1405 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 21448 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1407 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 21459 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1415 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 21474 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1426 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 21486 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1434 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 21498 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1442 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 21513 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1453 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 21525 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1461 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 21537 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1469 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 21548 "gram.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1476 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 21560 "gram.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1485 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 21572 "gram.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1494 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21578 "gram.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1496 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 21584 "gram.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1499 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 21590 "gram.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1500 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 21596 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1504 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 21602 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1506 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 21608 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1509 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 21614 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1510 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 21620 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1511 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 21626 "gram.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1512 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 21632 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1516 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 21638 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1517 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 21644 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1518 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 21650 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1524 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21656 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1537 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 21664 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1541 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 21672 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1545 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 21691 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1560 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-5].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-5]))));
						t->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 21718 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1582 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 21724 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1583 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21730 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1584 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21736 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1588 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21742 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1589 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 21748 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1590 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 21754 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1594 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21760 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1595 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21766 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1600 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 21777 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1607 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 21788 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1614 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 21799 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1621 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 21810 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1628 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.node) = (Node *) n;
				}
#line 21820 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1637 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 21826 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1638 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 21832 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1643 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 21838 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1644 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 21844 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1650 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 21854 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1656 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 21864 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1662 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 21874 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1668 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 21884 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1674 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 21894 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1684 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 21905 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1693 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 21911 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1694 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 21917 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1698 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 21923 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1699 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 21929 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1708 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 21938 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1723 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 21948 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1729 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 21958 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1735 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 21968 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1741 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 21978 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1747 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 21988 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1766 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 22001 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1775 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 22014 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1784 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 22027 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1793 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 22040 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1802 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 22053 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1811 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 22066 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1820 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 22079 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1829 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 22092 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1838 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 22105 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1847 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 22118 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1858 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 22124 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1859 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 22130 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1865 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 22141 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1873 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 22152 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1881 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 22164 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1890 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 22175 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1898 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 22186 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1906 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 22198 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1915 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22210 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1924 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22222 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1933 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 22234 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1942 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 22247 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1952 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 22260 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1965 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 22278 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1980 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22290 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1989 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 22301 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1997 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22319 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2012 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22330 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2020 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 22343 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2030 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 22356 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2040 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 22366 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2047 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 22376 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2054 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22387 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2062 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 22398 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2070 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22409 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2078 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22420 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2086 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22431 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2094 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 22441 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2101 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 22451 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2108 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22462 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2116 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 22472 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2123 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 22482 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2130 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22493 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2138 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22504 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2146 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22515 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2154 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22526 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2162 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 22537 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2170 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 22548 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2178 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 22561 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2188 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 22571 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2195 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22582 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2203 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22593 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2211 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22604 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2219 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22615 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2227 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 22626 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2234 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 22637 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2243 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22643 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2244 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22649 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2248 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 22655 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2249 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 22661 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2250 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 22667 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2255 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 22679 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2262 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22685 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2266 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22691 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2267 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22697 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2272 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 22708 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2279 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 22719 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2286 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 22730 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2293 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 22741 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2302 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22747 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2305 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22753 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2306 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22759 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2310 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 22765 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2311 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 22771 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2317 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 22779 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2321 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 22787 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2325 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC);
				}
#line 22796 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2330 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC);
				}
#line 22804 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2345 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 22818 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2357 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 22824 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2358 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 22830 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2364 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 22842 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2373 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 22855 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2383 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 22868 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2393 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 22887 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2419 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22897 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2425 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 22907 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2456 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 22939 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2484 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-5].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-2]))));

					(yyval.node) = (Node *)n;
				}
#line 22962 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2505 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 22968 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2506 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 22974 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2510 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 22980 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2511 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 22986 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2520 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 22992 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2521 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 22998 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2522 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23004 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2525 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23010 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2526 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23016 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2531 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23022 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2532 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23028 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2537 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 23036 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2541 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 23044 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2545 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE));
				}
#line 23052 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2549 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 23060 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2553 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)));
				}
#line 23068 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2557 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
#line 23076 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2561 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
#line 23084 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2565 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)));
				}
#line 23092 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2569 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)));
				}
#line 23100 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2573 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list));
				}
#line 23108 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2577 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
#line 23116 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2581 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list));
				}
#line 23124 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2585 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list));
				}
#line 23132 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2589 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 23140 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2598 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 23148 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2601 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 23154 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2606 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 23162 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2609 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 23168 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2614 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 23176 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2617 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 23182 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2621 "gram.y" /* yacc.c:1646  */
    {}
#line 23188 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2622 "gram.y" /* yacc.c:1646  */
    {}
#line 23194 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2628 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 23202 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2632 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 23210 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2639 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 23218 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2645 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 23224 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2646 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 23230 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2647 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 23236 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2648 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 23242 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2649 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 23248 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2654 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 23256 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2658 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 23264 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2665 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 23270 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2678 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 23288 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2694 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 23306 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2709 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-8].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 23325 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2725 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 23344 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2752 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 23350 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2753 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 23356 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2754 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 23362 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2755 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 23368 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2757 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 23379 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2764 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 23390 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2770 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 23396 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2771 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 23402 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2775 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23408 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2776 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23414 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2780 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23420 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2781 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23426 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2786 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 23434 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2790 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 23442 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2797 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 23450 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2801 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 23458 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2807 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23464 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2808 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23470 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2809 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23476 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2813 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23482 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2814 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23488 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2818 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 23511 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2839 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 23533 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2859 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 23539 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2860 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23545 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2865 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 23557 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2872 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23563 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2873 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23569 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2875 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 23586 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2906 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 23597 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2913 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 23608 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2920 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 23623 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2931 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 23638 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2942 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 23652 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2952 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 23665 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2961 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 23684 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2994 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 23695 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3001 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 23706 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3008 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 23717 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3015 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 23728 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3026 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 23739 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3035 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 23745 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3036 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 23751 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3037 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 23757 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3041 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 23763 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3042 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 23769 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3043 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 23775 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3044 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 23781 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3045 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 23787 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3046 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 23793 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3056 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 23805 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3063 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23811 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3068 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 23828 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3082 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-6]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23846 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3096 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23864 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3111 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23882 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3125 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23900 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3141 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-8]);
					n->access_method	= (yyvsp[-7].str);
					n->exclusions		= (yyvsp[-5].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23920 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3158 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 23942 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3177 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 23948 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3178 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 23954 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3182 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23960 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3183 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23966 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3187 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 23972 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3188 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 23978 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3192 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 23986 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3198 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 23994 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3202 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 24006 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3210 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 24014 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3214 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 24022 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3220 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 24028 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3222 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 24034 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3226 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 24042 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3231 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 24050 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3237 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 24056 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3238 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 24062 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3249 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 24068 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3251 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 24074 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3253 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 24080 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3255 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 24086 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3257 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 24092 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3260 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 24098 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3263 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 24104 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3267 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 24110 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3268 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 24116 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3269 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 24122 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3270 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 24128 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3271 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 24134 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3274 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 24140 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3275 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24146 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3280 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24152 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3281 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(true)); }
#line 24158 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3282 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(false)); }
#line 24164 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3283 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24170 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3286 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 24176 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3287 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 24182 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3288 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 24188 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3289 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 24194 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3292 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24200 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3293 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24206 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3296 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24212 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3297 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24218 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3300 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24224 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3316 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 24240 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3331 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 24255 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3344 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 24261 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3345 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 24267 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3346 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 24273 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3359 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 24289 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3374 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 24304 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3386 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 24310 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3387 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 24316 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3400 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 24328 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3420 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
#line 24341 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3432 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24353 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3440 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24365 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3450 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24371 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3451 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24377 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3454 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 24383 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3455 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24389 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3459 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value));
				}
#line 24397 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3463 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
#line 24405 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3467 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
#line 24413 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3471 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value));
				}
#line 24421 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3475 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value));
				}
#line 24429 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3479 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value));
				}
#line 24437 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3483 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
#line 24445 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3487 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
#line 24453 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3491 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list));
				}
#line 24461 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3495 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value));
				}
#line 24469 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3499 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
#line 24477 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3503 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value));
				}
#line 24485 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3508 "gram.y" /* yacc.c:1646  */
    {}
#line 24491 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3509 "gram.y" /* yacc.c:1646  */
    {}
#line 24497 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3513 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 24503 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3515 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 24512 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3519 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 24518 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3522 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 24524 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3523 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 24530 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3536 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 24546 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3549 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 24561 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3562 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 24567 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3563 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 24573 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3571 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 24579 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3572 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 24585 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3576 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24591 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3577 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24597 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3581 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24603 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3582 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24609 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3586 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24615 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3587 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24621 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3592 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 24636 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3603 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 24650 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3615 "gram.y" /* yacc.c:1646  */
    {}
#line 24656 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3616 "gram.y" /* yacc.c:1646  */
    {}
#line 24662 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3627 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].str);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24675 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3637 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24681 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3638 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24687 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3652 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 24698 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3659 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 24709 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3676 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24721 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3684 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24733 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3695 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24739 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3697 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24745 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3702 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)));
				}
#line 24753 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3706 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 24761 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3710 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 24769 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3722 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24780 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3732 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24786 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3734 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24792 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3739 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 24800 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3752 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 24814 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3762 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-3].typnam));
					n->objargs = list_make1((yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 24828 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3772 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24841 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3781 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24854 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3790 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24867 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3799 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[0].funwithargs)->funcname;
					n->objargs = (yyvsp[0].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				}
#line 24881 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3809 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24894 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3818 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24908 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3828 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[-2].list);
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24922 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3838 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[-2].list);
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24936 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3848 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24949 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3857 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24962 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3866 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24975 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3875 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24988 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3884 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25001 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3893 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25014 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 3902 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25027 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 3911 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25040 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 3920 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25053 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 3929 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25066 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 3938 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25079 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 3947 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 25092 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 3956 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 25105 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 3965 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25118 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 3983 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25130 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 3993 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list)); }
#line 25136 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 3994 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL); }
#line 25142 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 3995 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list)); }
#line 25148 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 3996 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL); }
#line 25154 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4000 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 25160 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4001 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 25166 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4005 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25172 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4006 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25178 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4017 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25193 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4028 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25208 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4048 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25220 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4056 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 25232 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4067 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25238 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4068 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25244 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4073 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 25252 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4077 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 25260 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4084 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25266 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4089 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 25274 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4093 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 25282 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4100 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 25290 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4104 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 25299 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4109 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 25308 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4114 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP);
				}
#line 25316 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4121 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 25324 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4127 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25330 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4132 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 25336 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4144 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25350 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4156 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25356 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4157 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25362 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4162 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25368 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4163 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25374 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4167 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25380 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4168 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25386 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4179 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25401 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4190 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25416 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4210 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 25429 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4219 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 25441 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4227 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25452 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4246 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-6].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-6].range);
					n->base.tableElts = (yyvsp[-4].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25469 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4261 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-6].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-6].range);
					n->base.tableElts = (yyvsp[-4].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25486 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4284 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25499 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4293 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25512 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4311 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[-3].str);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25524 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4322 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "current_user"; }
#line 25530 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4323 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "current_user"; }
#line 25536 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4324 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (strcmp((yyvsp[0].str), "public") == 0) ? NULL : (yyvsp[0].str); }
#line 25542 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4335 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[-2].str);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 25554 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4343 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[-2].str);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 25566 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4360 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[-3].str);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25578 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4381 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-12].str);
					n->relation = (yyvsp[-8].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-11].ival);
					n->events = intVal(linitial((yyvsp[-10].list)));
					n->columns = (List *) lsecond((yyvsp[-10].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 25600 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4402 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 25623 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4423 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 25629 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4424 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 25635 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4425 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 25641 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4430 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25647 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4432 "gram.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 25670 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4454 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 25676 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4456 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 25682 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4458 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 25688 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4460 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 25694 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4462 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 25700 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4467 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 25708 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4471 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
#line 25720 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4481 "gram.y" /* yacc.c:1646  */
    {}
#line 25726 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4482 "gram.y" /* yacc.c:1646  */
    {}
#line 25732 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4486 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 25738 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4487 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25744 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4491 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 25750 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4492 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25756 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4496 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 25762 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4497 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 25768 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4498 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25774 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4503 "gram.y" /* yacc.c:1646  */
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[0].ival));
					(yyval.value) = makeString(pstrdup(buf));
				}
#line 25784 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4508 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 25790 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4509 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 25796 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4510 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 25802 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4514 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 25808 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4515 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 25814 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4520 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 25820 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4522 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 25848 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4548 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 25854 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4549 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 25860 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4550 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 25866 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4551 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 25872 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4552 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 25878 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4553 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 25884 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4559 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25899 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4570 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25914 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4594 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 25927 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4605 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 25940 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4617 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 25946 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4619 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 25952 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4624 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list)); }
#line 25958 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4629 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 25964 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4631 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 25970 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4636 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 25981 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4645 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 25987 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4646 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 25993 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4647 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 25999 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4648 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 26005 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4662 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 26025 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4681 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 26041 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4704 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26055 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4714 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26070 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4725 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26084 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4735 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26098 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4745 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 26113 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4756 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 26126 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4765 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 26137 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4772 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26148 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4779 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26161 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4788 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26174 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4797 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26187 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4806 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26200 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4815 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26213 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4824 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 26226 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4834 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26232 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4837 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26238 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4838 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 26244 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4842 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 26252 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4846 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 26260 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4852 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 26266 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4853 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 26272 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4854 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 26278 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4855 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 26284 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4856 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 26290 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4859 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26296 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4862 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26302 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4863 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 26308 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4872 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node));
				}
#line 26316 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4878 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26322 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4879 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26328 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4883 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 26334 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4885 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 26340 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4896 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 26354 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4906 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 26368 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4916 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 26382 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4927 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 26388 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4928 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 26394 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4946 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 26409 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4959 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26415 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4960 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26421 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4965 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].list);
					n->args = NIL;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 26435 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4976 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-3].list);
					n->args = (yyvsp[-2].list);
					n->number = (yyvsp[-4].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 26449 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4986 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 26462 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 4995 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-5].ival);
					n->class_args = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 26476 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5005 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 26487 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5013 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26493 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5014 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26499 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5017 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26505 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5018 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26511 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5021 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26517 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5022 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26523 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5023 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26529 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5027 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = TRUE;
				}
#line 26547 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5040 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26553 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5046 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26564 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5056 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 26577 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5065 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 26590 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5076 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26596 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5077 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26602 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5082 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 26614 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5090 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 26626 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5102 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 26641 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5113 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 26656 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5127 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 26671 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5138 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 26686 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5161 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26697 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5171 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26708 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5189 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 26723 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5200 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 26738 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5211 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 26753 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5222 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 26768 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5235 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 26774 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5236 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 26780 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5237 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 26786 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5238 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 26792 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5239 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 26798 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5240 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 26804 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5241 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 26810 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5242 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 26816 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5243 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DOMAIN; }
#line 26822 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5244 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 26828 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5245 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 26834 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5246 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 26840 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5247 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 26846 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5248 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 26852 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5249 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 26858 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5250 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 26864 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5251 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 26870 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5255 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 26876 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5256 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 26882 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5259 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 26888 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5260 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 26894 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5264 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 26900 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5266 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 26906 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5279 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26918 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5289 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 26924 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5290 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 26930 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5291 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 26936 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5324 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26949 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5333 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractAggrArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26962 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5342 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26975 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5351 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26988 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5360 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27001 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5369 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27014 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5378 "gram.y" /* yacc.c:1646  */
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[-2].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27028 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5388 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27041 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5397 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[-4].list);
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27054 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5406 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[-4].list);
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27067 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5415 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27080 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5424 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-5].typnam));
					n->objargs = list_make1((yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27093 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5433 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27106 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5444 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 27112 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5445 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 27118 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5446 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 27124 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5447 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 27130 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5448 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 27136 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5449 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 27142 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5450 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DOMAIN; }
#line 27148 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5451 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 27154 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5452 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 27160 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5453 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 27166 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5454 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 27172 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5455 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 27178 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5456 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 27184 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5457 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 27190 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5458 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 27196 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5459 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 27202 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5460 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 27208 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5461 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 27214 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5462 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 27220 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5463 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 27226 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5464 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 27232 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5465 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 27238 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5466 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 27244 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5470 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27250 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5471 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27256 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5487 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27270 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5498 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractAggrArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27284 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5509 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27298 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5520 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27312 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5531 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27326 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5542 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27332 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5543 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27338 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5547 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 27344 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5548 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 27350 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5549 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 27356 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5550 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 27362 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5551 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 27368 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5552 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 27374 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5553 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 27380 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5554 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 27386 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5555 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 27392 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5556 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 27398 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5557 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 27404 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5558 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 27410 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5559 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 27416 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5562 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27422 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5563 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27428 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5574 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 27438 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5580 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 27448 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5588 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27460 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5596 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27472 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5604 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27484 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5612 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27496 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5620 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27508 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5628 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 27520 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5636 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27532 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5644 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27544 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5652 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27556 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5660 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 27568 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5668 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27580 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5676 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27592 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5684 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 27604 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5692 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27616 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5700 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27628 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5708 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 27640 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5717 "gram.y" /* yacc.c:1646  */
    {}
#line 27646 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5718 "gram.y" /* yacc.c:1646  */
    {}
#line 27652 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5721 "gram.y" /* yacc.c:1646  */
    {}
#line 27658 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5722 "gram.y" /* yacc.c:1646  */
    {}
#line 27664 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5734 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 27680 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5750 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 27697 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5764 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 27714 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5789 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27720 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5791 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27726 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5793 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27732 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5795 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 27743 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5802 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 27754 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5810 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 27760 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5811 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 27766 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5815 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 27777 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5822 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 27788 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5829 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 27799 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5836 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 27810 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5850 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27822 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5858 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27834 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5866 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27846 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5874 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27858 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5882 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27870 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5890 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27882 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5898 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27894 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5906 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27906 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5914 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27918 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5922 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27930 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5930 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27942 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5938 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27954 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5946 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27966 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5954 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27978 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5962 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27990 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5970 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 28002 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5981 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 28008 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5982 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 28014 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5986 "gram.y" /* yacc.c:1646  */
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[0].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28028 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5996 "gram.y" /* yacc.c:1646  */
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[0].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28042 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6009 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28048 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6010 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28054 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6014 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].funwithargs)); }
#line 28060 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6016 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].funwithargs)); }
#line 28066 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6021 "gram.y" /* yacc.c:1646  */
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[-1].list);
					n->funcargs = extractArgTypes((yyvsp[0].list));
					(yyval.funwithargs) = n;
				}
#line 28077 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6037 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].str);
					(yyval.node) = (Node*)n;
				}
#line 28091 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6050 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 28105 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6060 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 28119 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6071 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28125 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6072 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28131 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6075 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28137 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6076 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28143 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6087 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 28154 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6096 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28160 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6097 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28166 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6102 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list));
				}
#line 28174 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6106 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 28182 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6110 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 28190 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6122 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 28206 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6135 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 28223 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6149 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 28240 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6164 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_RELATION; }
#line 28246 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6165 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
#line 28252 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6166 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
#line 28258 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6167 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_TYPE; }
#line 28264 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6182 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-12].boolean);
					n->concurrent = (yyvsp[-10].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					(yyval.node) = (Node *)n;
				}
#line 28290 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6206 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28296 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6207 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28302 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6211 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28308 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6212 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28314 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6216 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28320 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6217 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28326 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6221 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28332 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6222 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 28338 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6225 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 28344 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6226 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 28350 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6235 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 28365 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6246 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 28380 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6257 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 28395 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6269 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28401 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6270 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28407 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6273 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28413 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6274 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28419 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6275 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28425 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6278 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 28431 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6279 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 28437 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6280 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 28443 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6283 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 28449 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6284 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 28455 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6285 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 28461 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6303 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28476 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6315 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28492 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6328 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28507 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6341 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28513 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6342 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28519 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6345 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28525 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6346 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28531 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6350 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 28537 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6351 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 28543 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6359 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28549 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6360 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28555 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6364 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 28561 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6366 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 28567 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6381 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28580 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6390 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28593 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6399 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28606 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6408 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28619 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6417 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28632 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6428 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 28638 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6429 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 28644 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6430 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 28650 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6431 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 28656 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6432 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 28662 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6443 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 28674 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6457 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 28680 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6459 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 28690 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6465 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 28701 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6475 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 28709 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6479 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 28718 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6484 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 28727 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6492 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 28741 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6533 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 28749 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6537 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 28757 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6541 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 28765 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6545 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 28774 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6552 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 28780 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6553 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 28786 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6558 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28792 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6559 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28798 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6567 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
#line 28806 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6571 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 28814 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6575 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 28822 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6579 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
#line 28830 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6583 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
#line 28838 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6587 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
#line 28846 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6591 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 28854 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6595 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 28862 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6599 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 28870 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6603 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 28878 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6607 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				}
#line 28886 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6611 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				}
#line 28894 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6615 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value));
				}
#line 28902 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6619 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value));
				}
#line 28910 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6623 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt));
				}
#line 28919 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6631 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list));
				}
#line 28927 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6635 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 28935 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6639 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
#line 28943 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6643 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 28951 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6648 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 28957 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6650 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 28965 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6656 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28971 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6657 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28977 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6661 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28990 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6673 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 28998 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6677 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 29006 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6692 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[-2].funwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 29017 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6702 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29023 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6703 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29029 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6725 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29044 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6736 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29059 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6750 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29074 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6761 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29089 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6775 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29104 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6786 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29119 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6800 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 29131 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6808 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 29137 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6810 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 29143 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6812 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 29149 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6817 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 29155 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6819 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 29161 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6832 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29171 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6840 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29177 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6841 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29183 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6846 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)));
				}
#line 29191 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6850 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 29199 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6863 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].funwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 29213 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6874 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 29227 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6885 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 29241 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6896 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 29247 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6897 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 29253 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6898 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 29259 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6903 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[-4].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29274 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6915 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 29280 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6916 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29286 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6931 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].objtype);
					n->relation = (yyvsp[-1].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 29298 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6939 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[-1].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				}
#line 29312 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6949 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[-1].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				}
#line 29326 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6961 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 29332 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6962 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 29338 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6965 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 29344 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6966 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 29350 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6977 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceMoveStmt *n =
						makeNode(AlterTableSpaceMoveStmt);
					n->orig_tablespacename = (yyvsp[-5].str);
					n->objtype = -1;
					n->move_all = true;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 29366 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6989 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceMoveStmt *n =
						makeNode(AlterTableSpaceMoveStmt);
					n->orig_tablespacename = (yyvsp[-5].str);
					n->objtype = OBJECT_TABLE;
					n->move_all = false;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 29382 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7001 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceMoveStmt *n =
						makeNode(AlterTableSpaceMoveStmt);
					n->orig_tablespacename = (yyvsp[-5].str);
					n->objtype = OBJECT_INDEX;
					n->move_all = false;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 29398 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7013 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceMoveStmt *n =
						makeNode(AlterTableSpaceMoveStmt);
					n->orig_tablespacename = (yyvsp[-6].str);
					n->objtype = OBJECT_MATVIEW;
					n->move_all = false;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 29414 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7025 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceMoveStmt *n =
						makeNode(AlterTableSpaceMoveStmt);
					n->orig_tablespacename = (yyvsp[-8].str);
					n->objtype = -1;
					n->move_all = true;
					n->roles = (yyvsp[-3].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 29430 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7037 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceMoveStmt *n =
						makeNode(AlterTableSpaceMoveStmt);
					n->orig_tablespacename = (yyvsp[-8].str);
					n->objtype = OBJECT_TABLE;
					n->move_all = false;
					n->roles = (yyvsp[-3].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 29446 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7049 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceMoveStmt *n =
						makeNode(AlterTableSpaceMoveStmt);
					n->orig_tablespacename = (yyvsp[-8].str);
					n->objtype = OBJECT_INDEX;
					n->move_all = false;
					n->roles = (yyvsp[-3].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 29462 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7061 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceMoveStmt *n =
						makeNode(AlterTableSpaceMoveStmt);
					n->orig_tablespacename = (yyvsp[-9].str);
					n->objtype = OBJECT_MATVIEW;
					n->move_all = false;
					n->roles = (yyvsp[-3].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 29478 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7073 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 29491 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7082 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 29504 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7099 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29518 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7109 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29531 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7118 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29544 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7127 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29557 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7136 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29570 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7145 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_DOMAIN;
					n->object = (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29584 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7155 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29597 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7164 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29611 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7174 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29624 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7183 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29637 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7192 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29651 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7202 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29665 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7212 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29678 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7221 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29691 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7230 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29705 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7240 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29719 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7250 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29733 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7260 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29747 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7270 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29761 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7280 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29775 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7290 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29789 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7300 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29803 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7310 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29817 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7320 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29831 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7330 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29845 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7340 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29859 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7350 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29874 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7361 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29889 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7372 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29904 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7383 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29919 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7394 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29933 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7404 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29948 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7415 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29963 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7426 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29977 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7436 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29991 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7446 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30003 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7454 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30016 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7463 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30029 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7472 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30042 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7481 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30055 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7490 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30068 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7499 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30081 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7508 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30094 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7517 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30107 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7526 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30123 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7539 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 30129 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7540 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 30135 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7543 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 30141 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7544 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 30147 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7555 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30161 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7565 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30174 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7574 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30187 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7583 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30200 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7592 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30213 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7601 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30227 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7611 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30241 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7621 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30255 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7631 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30269 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7641 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30282 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7650 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30295 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7659 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30308 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7668 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30321 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7677 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30334 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7686 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30347 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7695 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30360 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7704 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30373 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7713 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30386 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7722 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30399 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7731 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30412 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7740 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30425 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7749 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30438 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7758 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30451 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7767 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30464 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7784 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30477 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7793 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30489 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7801 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30501 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7809 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30513 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7817 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30525 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7825 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30538 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7834 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30550 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7842 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[-3].value));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30562 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7850 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30575 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7859 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30588 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7868 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30601 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7877 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30613 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7885 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30625 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7893 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30637 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7901 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30649 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7909 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30661 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7917 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30673 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7925 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30685 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7933 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30697 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7952 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30713 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7966 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30719 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7967 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30725 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7968 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30731 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7974 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 30741 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7980 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 30751 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7996 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30757 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7997 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30763 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 8000 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 30769 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 8001 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 30775 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 8002 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 30781 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 8003 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 30787 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 8007 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30793 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 8008 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30799 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 8009 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30805 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 8015 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 30820 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 8026 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 30835 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 8048 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30846 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 8057 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30852 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 8058 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30858 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 8062 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30868 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 8071 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30878 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 8077 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 30888 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 8096 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30899 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 8103 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30910 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 8110 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30921 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 8117 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30932 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 8124 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30943 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 8131 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30954 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 8138 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30966 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8146 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30978 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8154 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30990 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8162 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 31002 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8170 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 31014 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8178 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 31025 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8185 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 31036 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8192 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 31047 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8200 "gram.y" /* yacc.c:1646  */
    {}
#line 31053 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8201 "gram.y" /* yacc.c:1646  */
    {}
#line 31059 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 8202 "gram.y" /* yacc.c:1646  */
    {}
#line 31065 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 8207 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0]))); }
#line 31072 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8210 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[-1]))); }
#line 31079 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8213 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 31086 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8216 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[0]))); }
#line 31093 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8219 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 31100 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8226 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31106 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8228 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 31112 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8230 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31118 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8236 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31124 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8250 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 31140 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8263 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 31156 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8276 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 31177 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8294 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 31198 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8313 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 31204 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8314 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 31210 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8315 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 31216 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8316 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 31222 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8327 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 31232 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8343 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31243 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8352 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31249 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8353 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31255 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8358 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[0].str)));
				}
#line 31263 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8362 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				}
#line 31271 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8366 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[0].str)));
				}
#line 31279 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8370 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				}
#line 31287 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8374 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[0].str)));
				}
#line 31295 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8378 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				}
#line 31303 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8382 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 31311 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8386 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 31319 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8390 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				}
#line 31327 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8394 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[0].str)));
				}
#line 31335 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8398 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				}
#line 31343 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8402 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[0].str)));
				}
#line 31351 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8406 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				}
#line 31359 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8410 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 31367 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8414 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[0].str)));
				}
#line 31375 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8418 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				}
#line 31383 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8427 "gram.y" /* yacc.c:1646  */
    {}
#line 31389 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8428 "gram.y" /* yacc.c:1646  */
    {}
#line 31395 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8440 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 31406 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8447 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				 }
#line 31418 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8458 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 31429 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8468 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31435 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8469 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31441 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8474 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 31449 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8488 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 31460 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8495 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 31471 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8513 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 31481 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8529 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 31494 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8542 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 31506 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8551 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 31517 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8559 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 31528 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8567 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 31540 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8576 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 31554 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8587 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 31568 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8598 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 31580 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8607 "gram.y" /* yacc.c:1646  */
    {}
#line 31586 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8608 "gram.y" /* yacc.c:1646  */
    {}
#line 31592 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8620 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31603 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8630 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 31617 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8640 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 31631 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8650 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 31645 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8660 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 31659 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8670 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 31671 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8678 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 31683 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8700 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 31697 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8722 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 31709 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8730 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 31721 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8739 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 31733 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8749 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31739 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8750 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31745 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8763 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 31765 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8779 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->relation = (yyvsp[0].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 31785 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8795 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[0].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				}
#line 31803 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8809 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-1].ival);
					if (n->options & VACOPT_FREEZE)
					{
						n->freeze_min_age = n->freeze_table_age = 0;
						n->multixact_freeze_min_age = 0;
						n->multixact_freeze_table_age = 0;
					}
					else
					{
						n->freeze_min_age = n->freeze_table_age = -1;
						n->multixact_freeze_min_age = -1;
						n->multixact_freeze_table_age = -1;
					}
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
#line 31827 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8829 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-3].ival);
					if (n->options & VACOPT_FREEZE)
					{
						n->freeze_min_age = n->freeze_table_age = 0;
						n->multixact_freeze_min_age = 0;
						n->multixact_freeze_table_age = 0;
					}
					else
					{
						n->freeze_min_age = n->freeze_table_age = -1;
						n->multixact_freeze_min_age = -1;
						n->multixact_freeze_table_age = -1;
					}
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
#line 31853 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8853 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 31859 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8854 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 31865 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8858 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 31871 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8859 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 31877 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8860 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 31883 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8861 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FULL; }
#line 31889 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8866 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->multixact_freeze_min_age = -1;
					n->multixact_freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 31907 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8880 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->multixact_freeze_min_age = -1;
					n->multixact_freeze_table_age = -1;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31925 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8896 "gram.y" /* yacc.c:1646  */
    {}
#line 31931 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8897 "gram.y" /* yacc.c:1646  */
    {}
#line 31937 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8901 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31943 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8902 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31949 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8905 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31955 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8906 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31961 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8909 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31967 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8910 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31973 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8914 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31979 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8915 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31985 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8929 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 31996 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8936 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 32010 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8946 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 32021 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8953 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 32032 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8975 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 32040 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8979 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 32048 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8986 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 32056 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8992 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32062 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8993 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 32068 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8997 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 32074 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8998 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 32080 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8999 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32086 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 9010 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32098 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 9019 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32104 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 9020 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32110 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9038 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32121 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9046 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 32140 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9062 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32146 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9063 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32152 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9074 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 32162 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9080 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 32172 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9086 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 32182 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9092 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 32192 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9108 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].istmt)->relation = (yyvsp[-2].range);
					(yyvsp[-1].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-1].istmt)->withClause = (yyvsp[-5].with);
					(yyval.node) = (Node *) (yyvsp[-1].istmt);
				}
#line 32203 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9118 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 32213 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9124 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 32223 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 9130 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 32233 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 9139 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 32239 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 9141 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 32245 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 9146 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 32257 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 9156 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32263 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 9157 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32269 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 9170 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 32283 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 9182 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32289 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 9183 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32295 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 9195 "gram.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 32308 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 9205 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 32314 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 9206 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 32320 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 9209 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 32326 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 9210 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 32332 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9211 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 32338 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9212 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 32344 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9213 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 32350 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 9214 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 32356 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 9215 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 32362 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 9216 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 32368 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 9219 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32374 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9220 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32380 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9236 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 32395 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9249 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32401 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9250 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 32407 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9254 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 32413 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9255 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32419 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9260 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = (yyvsp[-2].target);
					(yyval.target)->val = (Node *) (yyvsp[0].node);
				}
#line 32428 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9268 "gram.y" /* yacc.c:1646  */
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[-3].list)) != list_length((yyvsp[0].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[-4]))));
					forboth(col_cell, (yyvsp[-3].list), val_cell, (yyvsp[0].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 32457 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9296 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 32469 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9306 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 32475 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9307 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 32481 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 9318 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 32494 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 9328 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32500 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 9331 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32506 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 9332 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 32512 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 9333 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 32518 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 9334 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 32524 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 9335 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 32530 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 9338 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32536 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9339 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 32542 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9340 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32548 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9393 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32554 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 9394 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32560 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 9409 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32566 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 9411 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 32577 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 9418 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 32589 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 9426 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 32601 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 9434 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 32613 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 9442 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 32625 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 9450 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 32637 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 9458 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 32649 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 9468 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32655 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9469 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32661 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9499 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32678 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9511 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32684 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9513 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 32707 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9532 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 32715 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9536 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 32723 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9540 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 32731 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9555 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 32742 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9562 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 32753 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9571 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32759 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 9572 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32765 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 9576 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 32778 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 9587 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 32784 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 9588 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 32790 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 9593 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 32805 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9604 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 32811 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 9613 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32820 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 9618 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32829 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 9623 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32838 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 9628 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32847 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 9633 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32859 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9641 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32871 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 9649 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 32880 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 9654 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 32889 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 9659 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 32898 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 9665 "gram.y" /* yacc.c:1646  */
    {}
#line 32904 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 9666 "gram.y" /* yacc.c:1646  */
    {}
#line 32910 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 9669 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32916 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 9670 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32922 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9671 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32928 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9678 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 32934 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9679 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32940 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9680 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32946 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9681 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32952 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9685 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 32958 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9686 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32964 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9690 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32970 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9694 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 32976 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9695 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 32982 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9699 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 32995 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9708 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 33008 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9720 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 33014 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9721 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 33020 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9722 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 33026 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9723 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 33032 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9727 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33038 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9728 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 33044 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9733 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33050 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9735 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 33063 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9745 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 33069 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9750 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33075 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9753 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 33081 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9757 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33087 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9759 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 33096 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9766 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33102 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9776 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0])); }
#line 33108 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9777 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 33114 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9778 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 33120 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9786 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33126 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9790 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 33132 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9791 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 33138 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9794 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 33144 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9795 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 33150 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9800 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33156 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9801 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33162 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9805 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33168 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9806 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33174 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9810 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33180 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9811 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33186 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 9815 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33192 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9816 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33198 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 9820 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33204 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 9821 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 33210 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 9826 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->noWait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 33222 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 9836 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 33228 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 9837 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 33234 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 9838 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 33240 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 9839 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 33246 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 9843 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33252 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 9844 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33258 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 9850 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 33268 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9856 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-2].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 33278 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9873 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33284 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9874 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33290 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9878 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33296 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9879 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33302 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9886 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 33311 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9891 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 33322 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9898 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 33334 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9906 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 33373 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9941 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same coment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 33402 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9966 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 33410 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9970 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 33419 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9996 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 33427 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 10000 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 33443 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 10012 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 33460 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 10025 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 33478 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 10039 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 33493 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 10050 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 33509 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 10065 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 33519 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 10071 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 33528 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 10076 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 33538 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 10082 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 33547 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 10088 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 33553 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 10089 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 33559 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 10098 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 33567 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 10102 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 33575 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 10106 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 33585 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 10112 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 33595 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 10118 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 33603 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 10123 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 33609 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 10124 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 33615 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 10125 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 33621 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 10126 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 33627 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 10130 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33633 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 10131 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33639 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 10143 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 33645 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 10144 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33651 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 10150 "gram.y" /* yacc.c:1646  */
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
#line 33662 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 10157 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
#line 33673 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 10164 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 33684 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 10171 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 33695 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 10181 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 33701 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 10182 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 33707 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 10196 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 33715 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 10200 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 33726 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 10207 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 33737 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10228 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 33751 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10238 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 33765 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10250 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 33771 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10254 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 33777 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10255 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 33783 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 10258 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33789 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 10259 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33795 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 10262 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33801 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 10263 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33807 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 10268 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33813 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 10269 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33819 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 10274 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33825 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10276 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 33837 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10283 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33843 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10288 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33849 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10289 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33855 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10294 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33863 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10298 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33871 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10304 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 33893 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10334 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 33902 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10339 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = TRUE;
				}
#line 33912 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10346 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 33921 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10351 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = TRUE;
				}
#line 33931 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10357 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 33940 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10362 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
#line 33950 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10371 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 33956 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10373 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 33962 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10375 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 33968 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10379 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33974 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10380 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33980 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10381 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33986 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10382 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33992 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 10383 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33998 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 10385 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 34007 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 10390 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-4]))));
						(yyval.typnam)->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
				}
#line 34027 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 10419 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 34033 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 10420 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 34039 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 10421 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 34045 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 10422 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 34051 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 10434 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34061 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 10440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 34071 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 10447 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34077 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 10448 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34083 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 10455 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 34092 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 10460 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 34101 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 10465 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 34110 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 10470 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 34119 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 10475 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 34128 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10480 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34137 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10485 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34146 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10490 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34156 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34166 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 10502 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34176 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 10508 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 34185 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 10515 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 34210 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 10536 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 34218 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10546 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 34226 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 10550 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 34234 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 10558 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 34242 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 10562 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 34251 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 10570 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 34264 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 10582 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34282 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 10603 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 34290 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10607 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 34298 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10613 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 34306 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10617 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 34321 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10630 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
						(yyvsp[-4].str) = psprintf("%s_%s", (yyvsp[-4].str), (yyvsp[0].str));

					(yyval.typnam) = SystemTypeName((yyvsp[-4].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 34334 "gram.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10641 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
						(yyvsp[-1].str) = psprintf("%s_%s", (yyvsp[-1].str), (yyvsp[0].str));

					(yyval.typnam) = SystemTypeName((yyvsp[-1].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[-1].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34351 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10656 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 34357 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10658 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 34363 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10660 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 34369 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10662 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 34375 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10664 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 34381 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10666 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 34387 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10670 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 34393 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 10671 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34399 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 10675 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34405 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 10676 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34411 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 10684 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 34424 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 10693 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34436 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 10701 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 34449 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 10710 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34461 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 10721 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 34470 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 10728 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 34476 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 10729 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34482 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 10730 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34488 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 10735 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 34494 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 10737 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 34500 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 10739 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 34506 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 10741 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 34512 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 10743 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 34518 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 10745 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34524 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 10747 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 34533 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 10752 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 34542 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 10757 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 34552 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 10763 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 34564 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 10771 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 34573 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 10776 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 34584 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 10783 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 34594 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 10789 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34600 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 10794 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 34608 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 10798 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 34617 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 10827 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34623 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 10829 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 34629 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 10831 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34641 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 10839 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 34651 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 10854 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34657 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 10856 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 34663 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 10858 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34669 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 10860 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34675 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 10862 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34681 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 10864 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34687 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 10866 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34693 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 10868 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34699 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 10870 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34705 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 10872 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34711 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 10874 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34717 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 10877 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34723 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 10879 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34729 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 10881 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 34735 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 10884 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34741 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 10886 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34747 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 10888 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34753 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 10891 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34759 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 10893 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 34770 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 10900 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2])); }
#line 34776 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 10902 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 34787 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 10909 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34793 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 10911 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 34804 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 10918 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2])); }
#line 34810 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 10920 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 34821 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 10928 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 34832 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 10935 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 34843 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 10942 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 34854 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 10949 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 34865 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 10966 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
#line 34876 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 10973 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
#line 34887 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10980 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
#line 34898 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10987 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
#line 34909 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10994 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 34929 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 11010 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				}
#line 34940 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 11017 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				}
#line 34951 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 11024 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				}
#line 34962 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 11031 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				}
#line 34973 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 11038 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
#line 34984 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 11045 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
#line 34995 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 11052 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 35003 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 11056 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											 (yylsp[-4]));

				}
#line 35015 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 11064 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 35023 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 11068 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 35031 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 11078 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											 (yylsp[-4]));
				}
#line 35042 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 11085 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
											 (yylsp[-5]));
				}
#line 35053 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 11092 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											(yylsp[-4])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
											(yylsp[-4])),
											 (yylsp[-4]));
				}
#line 35070 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 11105 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
											(yylsp[-5])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
											(yylsp[-5])),
											 (yylsp[-5]));
				}
#line 35087 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11118 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[-2].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 35110 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11137 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[-3].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[-1]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 35135 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11158 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 35149 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11168 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 35160 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11175 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 35180 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11191 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 35189 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11196 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[-3].node)), (yylsp[-2])),
											 (yylsp[-2]));
				}
#line 35200 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11214 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35206 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11216 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 35212 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11218 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 35218 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11220 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 35224 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11222 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35230 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11224 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35236 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11226 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35242 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11228 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35248 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11230 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35254 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11232 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35260 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11234 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35266 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11236 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35272 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11238 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35278 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11240 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 35284 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11242 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 35290 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11244 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 35296 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11246 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 35304 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11250 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])), (yylsp[-4]));
				}
#line 35313 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11255 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 35321 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11259 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 35329 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11263 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 35338 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11268 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[-3].node)), (yylsp[-2])),
											 (yylsp[-2]));
				}
#line 35349 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11284 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35355 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11285 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35361 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11287 "gram.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 35380 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11302 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 35396 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11314 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35402 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11316 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35408 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11318 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 35422 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11328 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 35449 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11351 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 35463 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11361 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 35477 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11371 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[0].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 35489 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11379 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 35502 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11390 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 35510 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11394 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 35520 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11400 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 35531 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11407 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 35542 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11414 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 35556 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11424 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 35567 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11431 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 35587 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11459 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = TRUE;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 35626 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11494 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35632 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11504 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35638 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11505 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35644 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11513 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 35654 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11519 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 *
					 * The token location is attached to the run-time
					 * typecast, not to the Const, for the convenience of
					 * pg_stat_statements (which doesn't want these constructs
					 * to appear to be replaceable constants).
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), (yylsp[0]));
				}
#line 35684 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11545 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), (yylsp[0]));
				}
#line 35698 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11555 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 35715 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11568 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("now"), NIL, (yylsp[0]));
				}
#line 35727 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11576 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 35744 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11589 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), (yylsp[0]));
				}
#line 35758 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11599 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast((Node *)n, d, (yylsp[-3]));
				}
#line 35775 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11612 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), (yylsp[0]));
				}
#line 35789 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11622 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 35806 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11635 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 35814 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11639 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 35822 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11643 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("session_user"), NIL, (yylsp[0]));
				}
#line 35830 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11647 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 35838 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11651 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_database"), NIL, (yylsp[0]));
				}
#line 35846 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11655 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_schema"), NIL, (yylsp[0]));
				}
#line 35854 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11659 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 35860 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11661 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35868 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11665 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35881 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11674 "gram.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35890 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11679 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35901 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11686 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 35920 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11701 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 35931 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11708 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 35939 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11712 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 35947 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11716 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35955 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11720 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 35963 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11724 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 35974 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11731 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 35986 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11739 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 35998 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11747 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 36006 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11751 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 36014 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11755 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 36022 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11759 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 36030 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11763 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 36038 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11767 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 36048 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11773 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 36056 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11777 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 36069 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11786 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 36077 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11790 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 36085 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11794 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 36094 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11799 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 36107 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11813 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36113 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11815 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 36119 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 11819 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 36125 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 11821 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 36131 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 11823 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 36137 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 11825 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 36143 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 11828 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36149 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 11831 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 36155 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 11832 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 36161 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 11836 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 36173 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 11844 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 36185 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 11853 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 36191 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 11854 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 36197 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 11857 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 36203 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 11858 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 36209 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 11859 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 36215 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 11865 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 36223 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 11869 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 36231 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 11873 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 36239 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 11877 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 36247 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 11887 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36253 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 11888 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36259 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 11892 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36265 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 11893 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36271 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 11901 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36277 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 11902 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36283 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 11906 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 36289 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 11908 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 36295 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 11913 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 36305 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 11921 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 36311 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 11923 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 36328 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 11936 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 36334 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 11941 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 36352 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 11966 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36358 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 11967 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36364 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 11970 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36370 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 11971 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36376 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 11983 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					(yyval.windef) = n;
				}
#line 36398 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 12001 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
#line 36408 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 12007 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36420 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 12017 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 36441 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 12034 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 36482 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 12079 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36494 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 12087 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36506 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 12095 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36518 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 12103 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36530 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 12111 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36542 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 12131 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36548 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 12132 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36554 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 12133 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 36560 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12136 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 36566 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12137 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 36572 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12138 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 36578 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12141 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36584 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12142 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36590 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12145 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 36596 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12146 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 36602 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12147 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 36608 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12148 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 36614 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12149 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 36620 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12150 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 36626 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12151 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 36632 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12152 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 36638 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12153 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 36644 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12157 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36650 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12159 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36656 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12164 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36662 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12166 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36668 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12171 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36674 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12173 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36680 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12175 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 36686 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12177 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 36692 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12179 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 36698 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12181 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 36704 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12193 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 36712 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12197 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 36720 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12204 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 36728 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12208 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 36736 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12214 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 36744 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12218 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 36757 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12228 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 36763 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12229 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 36769 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12233 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 36777 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12237 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 36785 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12241 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 36793 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12246 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36799 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12247 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36805 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12253 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 36813 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12256 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36819 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12263 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36825 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12264 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 36831 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12265 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 36837 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12266 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 36843 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 12267 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 36849 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 12268 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 36855 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 12269 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 36861 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 12270 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36867 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 12281 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 36875 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 12285 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 36883 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12292 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36889 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12298 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 36895 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12299 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36901 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12316 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 36909 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 12320 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 36918 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 12325 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 36926 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 12329 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 36945 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 12344 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 36953 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 12348 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36959 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 12352 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36965 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 12355 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36971 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 12358 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 36977 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 12359 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36983 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 12360 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36989 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 12364 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 37000 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 12370 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 37006 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 12381 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 37020 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 12394 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37026 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 12395 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 37032 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 12400 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 37044 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 12410 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37050 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 12411 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 37056 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 12414 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37062 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 12415 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 37068 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 12419 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 37076 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 12423 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 37084 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 12430 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 37092 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 12434 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 37100 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 12438 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 37111 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 12445 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 37122 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 12454 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37128 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 12455 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 37134 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 12459 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37140 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 12460 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 37146 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 12475 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 37152 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 12477 "gram.y" /* yacc.c:1646  */
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 37162 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 12485 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37168 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 12486 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 37174 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 12494 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37180 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 12504 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37186 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 12505 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37192 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 12509 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 37198 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 12510 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 37204 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 12514 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 37216 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 12530 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 37228 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 12538 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 37240 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 12546 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 37256 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 12567 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 37262 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 12568 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 37268 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 12580 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 37276 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 12584 "gram.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 37305 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 12611 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37311 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 12613 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37317 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 12617 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37323 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 12620 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37329 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 12623 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37335 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 12625 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37341 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 12627 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37347 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 12629 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37353 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 12640 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37359 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 12642 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 37368 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 12653 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 37376 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 12657 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 37384 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 12661 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 37392 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 12665 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 37400 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 12669 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 37413 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 12678 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 37424 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 12685 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 37460 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 12717 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 37468 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 12721 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 37478 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 12727 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-5].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-5]))));
						t->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 37499 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 12744 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[0]));
				}
#line 37507 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 12748 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[0]));
				}
#line 37515 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 12752 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 37523 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 12757 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 37529 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 12758 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37535 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 12759 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37541 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 12762 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37547 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 12764 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37553 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 12767 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 37559 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 12768 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 37565 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 12769 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 37571 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 12785 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37577 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 12786 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37583 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 12787 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37589 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 12792 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37595 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 12793 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37601 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 12794 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37607 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 12799 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37613 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 12800 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37619 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 12801 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37625 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 12802 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37631 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 12808 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37637 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 12809 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37643 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 12810 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37649 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 12811 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37655 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 12812 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37661 "gram.c" /* yacc.c:1646  */
    break;


#line 37665 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 13274 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));;
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

/*
 * Create a DefElem setting "oids" to the specified value.
 */
static DefElem *
defWithOids(bool value)
{
	DefElem    *f = makeNode(DefElem);
	
	f->defname = "oids";
	f->arg = (Node *) makeInteger(value);
	return f;
}

/*
 * Must undefine this stuff before including scan.c, since it has different
 * definitions for these macros.
 */
#undef yyerror
#undef yylval
#undef yylloc

#include "scan.c"
